#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 9
#define STATE_COUNT 1704
#define SYMBOL_COUNT 349
#define ALIAS_COUNT 2
#define TOKEN_COUNT 174
#define EXTERNAL_TOKEN_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 7

enum {
  anon_sym_SEMI = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_long_integer_literal = 6,
  sym_decimal_floating_point_literal = 7,
  sym_hex_floating_point_literal = 8,
  sym_true = 9,
  sym_false = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH = 12,
  aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH = 13,
  aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH = 14,
  sym_string_literal = 15,
  sym_null_literal = 16,
  anon_sym_NUL = 17,
  anon_sym_SOH = 18,
  anon_sym_STX = 19,
  anon_sym_ETX = 20,
  anon_sym_EOT = 21,
  anon_sym_ENQ = 22,
  anon_sym_ACK = 23,
  anon_sym_BEL = 24,
  anon_sym_BS = 25,
  anon_sym_TAB = 26,
  anon_sym_LF = 27,
  anon_sym_VT = 28,
  anon_sym_FF = 29,
  anon_sym_CR = 30,
  anon_sym_SO = 31,
  anon_sym_SI = 32,
  anon_sym_DLE = 33,
  anon_sym_DC1 = 34,
  anon_sym_DC2 = 35,
  anon_sym_DC3 = 36,
  anon_sym_DC4 = 37,
  anon_sym_NAK = 38,
  anon_sym_SYN = 39,
  anon_sym_ETB = 40,
  anon_sym_CAN = 41,
  anon_sym_EM = 42,
  anon_sym_SUB = 43,
  anon_sym_ESC = 44,
  anon_sym_FS = 45,
  anon_sym_GS = 46,
  anon_sym_RS = 47,
  anon_sym_US = 48,
  sym_space = 49,
  sym_horizontal_tab = 50,
  aux_sym_SLASH_BSLASH_BSLASH_SLASH = 51,
  anon_sym_u = 52,
  aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH = 53,
  anon_sym_b = 54,
  anon_sym_t = 55,
  anon_sym_n = 56,
  anon_sym_f = 57,
  anon_sym_r = 58,
  anon_sym_DQUOTE = 59,
  anon_sym_BSLASH = 60,
  aux_sym_SLASH_LBRACK0_DASH7_RBRACK_PLUS_SLASH = 61,
  aux_sym_SLASH_LBRACK0_DASH3_RBRACK_SLASH = 62,
  anon_sym_LPAREN = 63,
  anon_sym_RPAREN = 64,
  anon_sym_AMP = 65,
  anon_sym_EQ = 66,
  anon_sym_PLUS_EQ = 67,
  anon_sym_DASH_EQ = 68,
  anon_sym_STAR_EQ = 69,
  anon_sym_SLASH_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_CARET_EQ = 73,
  anon_sym_PERCENT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_GT_GT_EQ = 76,
  anon_sym_GT_GT_GT_EQ = 77,
  anon_sym_GT = 78,
  anon_sym_LT = 79,
  anon_sym_EQ_EQ = 80,
  anon_sym_GT_EQ = 81,
  anon_sym_LT_EQ = 82,
  anon_sym_BANG_EQ = 83,
  anon_sym_AMP_AMP = 84,
  anon_sym_PIPE_PIPE = 85,
  anon_sym_PLUS = 86,
  anon_sym_DASH = 87,
  anon_sym_STAR = 88,
  anon_sym_SLASH = 89,
  anon_sym_PIPE = 90,
  anon_sym_CARET = 91,
  anon_sym_PERCENT = 92,
  anon_sym_LT_LT = 93,
  anon_sym_GT_GT = 94,
  anon_sym_GT_GT_GT = 95,
  anon_sym_instanceof = 96,
  anon_sym_DASH_GT = 97,
  anon_sym_COMMA = 98,
  anon_sym_QMARK = 99,
  anon_sym_COLON = 100,
  anon_sym_BANG = 101,
  anon_sym_TILDE = 102,
  anon_sym_PLUS_PLUS = 103,
  anon_sym_DASH_DASH = 104,
  anon_sym_assert = 105,
  anon_sym_switch = 106,
  anon_sym_LBRACE = 107,
  anon_sym_RBRACE = 108,
  anon_sym_case = 109,
  anon_sym_default = 110,
  anon_sym_do = 111,
  anon_sym_while = 112,
  anon_sym_break = 113,
  anon_sym_continue = 114,
  anon_sym_return = 115,
  anon_sym_synchronized = 116,
  anon_sym_throw = 117,
  anon_sym_try = 118,
  anon_sym_catch = 119,
  anon_sym_finally = 120,
  anon_sym_if = 121,
  anon_sym_else = 122,
  anon_sym_for = 123,
  anon_sym_LT_GT = 124,
  anon_sym_extends = 125,
  anon_sym_LBRACK = 126,
  anon_sym_RBRACK = 127,
  anon_sym_byte = 128,
  anon_sym_short = 129,
  anon_sym_int = 130,
  anon_sym_long = 131,
  anon_sym_char = 132,
  anon_sym_float = 133,
  anon_sym_double = 134,
  sym_boolean_type = 135,
  sym_void_type = 136,
  anon_sym_AT = 137,
  anon_sym_open = 138,
  anon_sym_module = 139,
  anon_sym_requires = 140,
  anon_sym_exports = 141,
  anon_sym_to = 142,
  anon_sym_opens = 143,
  anon_sym_uses = 144,
  anon_sym_provides = 145,
  anon_sym_with = 146,
  anon_sym_transitive = 147,
  anon_sym_static = 148,
  anon_sym_DOT = 149,
  anon_sym_package = 150,
  anon_sym_import = 151,
  anon_sym_enum = 152,
  anon_sym_class = 153,
  anon_sym_public = 154,
  anon_sym_protected = 155,
  anon_sym_private = 156,
  anon_sym_abstract = 157,
  anon_sym_final = 158,
  anon_sym_strictfp = 159,
  anon_sym_native = 160,
  anon_sym_transient = 161,
  anon_sym_volatile = 162,
  anon_sym_implements = 163,
  anon_sym_new = 164,
  anon_sym_COLON_COLON = 165,
  anon_sym_ATinterface = 166,
  anon_sym_interface = 167,
  anon_sym_DOT_DOT_DOT = 168,
  sym_this = 169,
  sym_super = 170,
  anon_sym_throws = 171,
  sym_identifier = 172,
  sym_comment = 173,
  sym_program = 174,
  sym__statement = 175,
  sym__method_statement = 176,
  sym__expression_statement = 177,
  sym__semicolon = 178,
  sym__literal = 179,
  sym_integer_literal = 180,
  sym_floating_point_literal = 181,
  sym_boolean_literal = 182,
  sym_character_literal = 183,
  sym__expression = 184,
  sym_cast_expression = 185,
  sym_additional_bound = 186,
  sym_assignment_expression = 187,
  sym_lhs = 188,
  sym_binary_expression = 189,
  sym_lambda_expression = 190,
  sym__lambda_parameters = 191,
  sym_inferred_parameters = 192,
  sym_lambda_body = 193,
  sym_ternary_expression = 194,
  sym_unary_expression = 195,
  sym_update_expression = 196,
  sym_labeled_statement = 197,
  sym_assert_statement = 198,
  sym_switch_statement = 199,
  sym_switch_block = 200,
  sym_switch_label = 201,
  sym_do_statement = 202,
  sym_break_statement = 203,
  sym_continue_statement = 204,
  sym_return_statement = 205,
  sym_synchronized_statement = 206,
  sym_throw_statement = 207,
  sym_try_statement = 208,
  sym_catches = 209,
  sym_catch_clause = 210,
  sym_catch_formal_parameter = 211,
  sym_catch_type = 212,
  sym_finally = 213,
  sym_try_with_resources_statement = 214,
  sym_resource_specification = 215,
  sym_resource = 216,
  sym_variable_access = 217,
  sym_if_then_else_statement = 218,
  sym_while_statement = 219,
  sym_for_statement = 220,
  sym_basic_for_statement = 221,
  sym_for_init = 222,
  sym_enhanced_for_statement = 223,
  sym__type_arguments_or_diamond = 224,
  sym__type_arguments = 225,
  sym_type_argument = 226,
  sym_wildcard = 227,
  sym__wildcard_bounds = 228,
  sym_dims = 229,
  sym_integral_type = 230,
  sym_floating_point_type = 231,
  sym__annotation = 232,
  sym_normal_annotation = 233,
  sym_marker_annotation = 234,
  sym_single_element_annotation = 235,
  sym_element_value_pair_list = 236,
  sym_element_value_pair = 237,
  sym_element_value = 238,
  sym_element_value_array_initializer = 239,
  sym__declaration = 240,
  sym_module_declaration = 241,
  sym_module_directive = 242,
  sym_requires_modifier = 243,
  sym_module_name = 244,
  sym_package_declaration = 245,
  sym_import_declaration = 246,
  sym_asterisk = 247,
  sym_enum_declaration = 248,
  sym_enum_body_declarations = 249,
  sym_enum_constant = 250,
  sym_class_declaration = 251,
  sym_modifier = 252,
  sym_type_parameters = 253,
  sym_type_parameter = 254,
  sym_type_bound = 255,
  sym_superclass = 256,
  sym_super_interfaces = 257,
  sym_interface_type_list = 258,
  sym_class_body = 259,
  sym_static_initializer = 260,
  sym_constructor_declaration = 261,
  sym_constructor_declarator = 262,
  sym_constructor_body = 263,
  sym_explicit_constructor_invocation = 264,
  sym_scoped_identifier = 265,
  sym_field_declaration = 266,
  sym__primary = 267,
  sym_array_creation_expression = 268,
  sym__dims_exprs = 269,
  sym_dims_expr = 270,
  sym__primary_no_new_array = 271,
  sym_class_literal = 272,
  sym_class_instance_creation_expression = 273,
  sym_unqualified_class_instance_creation_expression = 274,
  sym_field_access = 275,
  sym_array_access = 276,
  sym_method_invocation = 277,
  sym_argument_list = 278,
  sym_method_reference = 279,
  sym_interface_declaration = 280,
  sym_annotation_type_declaration = 281,
  sym_annotation_type_body = 282,
  sym_annotation_type_member_declaration = 283,
  sym_annotation_type_element_declaration = 284,
  sym_default_value = 285,
  sym_normal_interface_declaration = 286,
  sym_extends_interfaces = 287,
  sym_interface_body = 288,
  sym_interface_member_declaration = 289,
  sym_constant_declaration = 290,
  sym_variable_declarator_list = 291,
  sym_variable_declarator = 292,
  sym_variable_declarator_id = 293,
  sym_array_initializer = 294,
  sym__type = 295,
  sym__unann_type = 296,
  sym_annotated_type = 297,
  sym_scoped_type_identifier = 298,
  sym_generic_type = 299,
  sym_array_type = 300,
  sym_method_header = 301,
  sym_method_declarator = 302,
  sym_formal_parameter = 303,
  sym_receiver_parameter = 304,
  sym_spread_parameter = 305,
  sym_throws = 306,
  sym_exception_type_list = 307,
  sym_exception_type = 308,
  sym_method_body = 309,
  sym_block = 310,
  sym_local_variable_declaration_statement = 311,
  sym_local_variable_declaration = 312,
  sym_method_declaration = 313,
  sym__reserved_identifier = 314,
  aux_sym_program_repeat1 = 315,
  aux_sym_character_literal_repeat1 = 316,
  aux_sym_cast_expression_repeat1 = 317,
  aux_sym_inferred_parameters_repeat1 = 318,
  aux_sym_switch_block_repeat1 = 319,
  aux_sym_catches_repeat1 = 320,
  aux_sym_catch_formal_parameter_repeat1 = 321,
  aux_sym_catch_type_repeat1 = 322,
  aux_sym_resource_specification_repeat1 = 323,
  aux_sym_basic_for_statement_repeat1 = 324,
  aux_sym__type_arguments_repeat1 = 325,
  aux_sym_wildcard_repeat1 = 326,
  aux_sym_dims_repeat1 = 327,
  aux_sym_element_value_pair_list_repeat1 = 328,
  aux_sym_element_value_array_initializer_repeat1 = 329,
  aux_sym_module_declaration_repeat1 = 330,
  aux_sym_module_directive_repeat1 = 331,
  aux_sym_module_directive_repeat2 = 332,
  aux_sym_module_directive_repeat3 = 333,
  aux_sym_import_declaration_repeat1 = 334,
  aux_sym_enum_declaration_repeat1 = 335,
  aux_sym_enum_body_declarations_repeat1 = 336,
  aux_sym_type_parameters_repeat1 = 337,
  aux_sym_type_bound_repeat1 = 338,
  aux_sym_interface_type_list_repeat1 = 339,
  aux_sym_constructor_body_repeat1 = 340,
  aux_sym__dims_exprs_repeat1 = 341,
  aux_sym_class_literal_repeat1 = 342,
  aux_sym_annotation_type_body_repeat1 = 343,
  aux_sym_interface_body_repeat1 = 344,
  aux_sym_variable_declarator_list_repeat1 = 345,
  aux_sym_array_initializer_repeat1 = 346,
  aux_sym_formal_parameters_repeat1 = 347,
  aux_sym_exception_type_list_repeat1 = 348,
  alias_sym_identifier = 349,
  alias_sym_type_identifier = 350,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "END",
  [anon_sym_SEMI] = ";",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_long_integer_literal] = "long_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH] = "/[^\\'\\n]/",
  [aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH] = "/\\\\./",
  [aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH] = "/\\\\\\n/",
  [sym_string_literal] = "string_literal",
  [sym_null_literal] = "null_literal",
  [anon_sym_NUL] = "NUL",
  [anon_sym_SOH] = "SOH",
  [anon_sym_STX] = "STX",
  [anon_sym_ETX] = "ETX",
  [anon_sym_EOT] = "EOT",
  [anon_sym_ENQ] = "ENQ",
  [anon_sym_ACK] = "ACK",
  [anon_sym_BEL] = "BEL",
  [anon_sym_BS] = "BS",
  [anon_sym_TAB] = "TAB",
  [anon_sym_LF] = "LF",
  [anon_sym_VT] = "VT",
  [anon_sym_FF] = "FF",
  [anon_sym_CR] = "CR",
  [anon_sym_SO] = "SO",
  [anon_sym_SI] = "SI",
  [anon_sym_DLE] = "DLE",
  [anon_sym_DC1] = "DC1",
  [anon_sym_DC2] = "DC2",
  [anon_sym_DC3] = "DC3",
  [anon_sym_DC4] = "DC4",
  [anon_sym_NAK] = "NAK",
  [anon_sym_SYN] = "SYN",
  [anon_sym_ETB] = "ETB",
  [anon_sym_CAN] = "CAN",
  [anon_sym_EM] = "EM",
  [anon_sym_SUB] = "SUB",
  [anon_sym_ESC] = "ESC",
  [anon_sym_FS] = "FS",
  [anon_sym_GS] = "GS",
  [anon_sym_RS] = "RS",
  [anon_sym_US] = "US",
  [sym_space] = "space",
  [sym_horizontal_tab] = "horizontal_tab",
  [aux_sym_SLASH_BSLASH_BSLASH_SLASH] = "/\\\\/",
  [anon_sym_u] = "u",
  [aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH] = "/[A-Fa-f0-9]+/",
  [anon_sym_b] = "b",
  [anon_sym_t] = "t",
  [anon_sym_n] = "n",
  [anon_sym_f] = "f",
  [anon_sym_r] = "r",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_PLUS_SLASH] = "/[0-7]+/",
  [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_SLASH] = "/[0-3]/",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_assert] = "assert",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_extends] = "extends",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_DOT] = ".",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_implements] = "implements",
  [anon_sym_new] = "new",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_this] = "this",
  [sym_super] = "super",
  [anon_sym_throws] = "throws",
  [sym_identifier] = "identifier",
  [sym_comment] = "comment",
  [sym_program] = "program",
  [sym__statement] = "_statement",
  [sym__method_statement] = "_method_statement",
  [sym__expression_statement] = "_expression_statement",
  [sym__semicolon] = "_semicolon",
  [sym__literal] = "_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym_character_literal] = "character_literal",
  [sym__expression] = "_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_additional_bound] = "additional_bound",
  [sym_assignment_expression] = "assignment_expression",
  [sym_lhs] = "lhs",
  [sym_binary_expression] = "binary_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym__lambda_parameters] = "_lambda_parameters",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_lambda_body] = "lambda_body",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_switch_label] = "switch_label",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catches] = "catches",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally] = "finally",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_variable_access] = "variable_access",
  [sym_if_then_else_statement] = "if_then_else_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_basic_for_statement] = "basic_for_statement",
  [sym_for_init] = "for_init",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__type_arguments_or_diamond] = "_type_arguments_or_diamond",
  [sym__type_arguments] = "_type_arguments",
  [sym_type_argument] = "type_argument",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dims] = "dims",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__annotation] = "_annotation",
  [sym_normal_annotation] = "normal_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_single_element_annotation] = "single_element_annotation",
  [sym_element_value_pair_list] = "element_value_pair_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym_element_value] = "element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym__declaration] = "_declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_directive] = "module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_module_name] = "module_name",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifier] = "modifier",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_interface_type_list] = "interface_type_list",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym_constructor_declarator] = "constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym__primary] = "_primary",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym__dims_exprs] = "_dims_exprs",
  [sym_dims_expr] = "dims_expr",
  [sym__primary_no_new_array] = "_primary_no_new_array",
  [sym_class_literal] = "class_literal",
  [sym_class_instance_creation_expression] = "class_instance_creation_expression",
  [sym_unqualified_class_instance_creation_expression] = "unqualified_class_instance_creation_expression",
  [sym_field_access] = "field_access",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_interface_declaration] = "interface_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_member_declaration] = "annotation_type_member_declaration",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym_default_value] = "default_value",
  [sym_normal_interface_declaration] = "normal_interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_interface_member_declaration] = "interface_member_declaration",
  [sym_constant_declaration] = "constant_declaration",
  [sym_variable_declarator_list] = "variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym_variable_declarator_id] = "variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unann_type] = "_unann_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_method_header] = "method_header",
  [sym_method_declarator] = "method_declarator",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_exception_type_list] = "exception_type_list",
  [sym_exception_type] = "exception_type",
  [sym_method_body] = "method_body",
  [sym_block] = "block",
  [sym_local_variable_declaration_statement] = "local_variable_declaration_statement",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_character_literal_repeat1] = "character_literal_repeat1",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_catches_repeat1] = "catches_repeat1",
  [aux_sym_catch_formal_parameter_repeat1] = "catch_formal_parameter_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_basic_for_statement_repeat1] = "basic_for_statement_repeat1",
  [aux_sym__type_arguments_repeat1] = "_type_arguments_repeat1",
  [aux_sym_wildcard_repeat1] = "wildcard_repeat1",
  [aux_sym_dims_repeat1] = "dims_repeat1",
  [aux_sym_element_value_pair_list_repeat1] = "element_value_pair_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_declaration_repeat1] = "module_declaration_repeat1",
  [aux_sym_module_directive_repeat1] = "module_directive_repeat1",
  [aux_sym_module_directive_repeat2] = "module_directive_repeat2",
  [aux_sym_module_directive_repeat3] = "module_directive_repeat3",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_enum_declaration_repeat1] = "enum_declaration_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_interface_type_list_repeat1] = "interface_type_list_repeat1",
  [aux_sym_constructor_body_repeat1] = "constructor_body_repeat1",
  [aux_sym__dims_exprs_repeat1] = "_dims_exprs_repeat1",
  [aux_sym_class_literal_repeat1] = "class_literal_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym_variable_declarator_list_repeat1] = "variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_exception_type_list_repeat1] = "exception_type_list_repeat1",
  [alias_sym_identifier] = "identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_long_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH] = {
    .visible = false,
    .named = false,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NUL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SOH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STX] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ETX] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BEL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TAB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_VT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SO] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DC1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DC2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DC3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DC4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NAK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SYN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ETB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CAN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SUB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ESC] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_US] = {
    .visible = true,
    .named = false,
  },
  [sym_space] = {
    .visible = true,
    .named = true,
  },
  [sym_horizontal_tab] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_SLASH_BSLASH_BSLASH_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_b] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_t] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_n] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_PLUS_SLASH] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_SLASH] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__method_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additional_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_body] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catches] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_access] = {
    .visible = true,
    .named = true,
  },
  [sym_if_then_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_basic_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_init] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_arguments_or_diamond] = {
    .visible = false,
    .named = true,
  },
  [sym__type_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_type_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dims] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_normal_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_single_element_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__primary] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dims_exprs] = {
    .visible = false,
    .named = true,
  },
  [sym_dims_expr] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_no_new_array] = {
    .visible = false,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_class_instance_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unqualified_class_instance_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_value] = {
    .visible = true,
    .named = true,
  },
  [sym_normal_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator_id] = {
    .visible = true,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__unann_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_header] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_body] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catches_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_formal_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_basic_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_wildcard_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dims_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_pair_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_directive_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_directive_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__dims_exprs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exception_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[8][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = alias_sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [3] = {
    [1] = alias_sym_type_identifier,
  },
  [4] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [5] = {
    [2] = alias_sym_type_identifier,
  },
  [6] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [7] = {
    [3] = alias_sym_type_identifier,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(4);
      if (lookahead == '%')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(13);
      if (lookahead == '+')
        ADVANCE(15);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(19);
      if (lookahead == '.')
        ADVANCE(23);
      if (lookahead == '/')
        ADVANCE(33);
      if (lookahead == '0')
        ADVANCE(39);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(78);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(85);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '\\')
        ADVANCE(103);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(108);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(70);
      if (('1' <= lookahead && lookahead <= '3'))
        ADVANCE(74);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      if (('4' <= lookahead && lookahead <= '7'))
        ADVANCE(74);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(113);
      if (('G' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(6);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(8);
      if (lookahead == '=')
        ADVANCE(9);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(14);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(16);
      if (lookahead == '=')
        ADVANCE(17);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      if (lookahead == '>')
        ADVANCE(22);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 24:
      if (lookahead == '.')
        ADVANCE(25);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(27);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(28);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '_')
        ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '+')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(30);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(31);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '_')
        ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(30);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(37);
      if (lookahead == '=')
        ADVANCE(38);
      END_STATE();
    case 34:
      if (lookahead == '*')
        ADVANCE(35);
      if (lookahead != 0)
        ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '*')
        ADVANCE(35);
      if (lookahead == '/')
        ADVANCE(36);
      if (lookahead != 0)
        ADVANCE(34);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(37);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == 'B')
        ADVANCE(41);
      if (lookahead == 'L')
        ADVANCE(46);
      if (lookahead == 'O')
        ADVANCE(47);
      if (lookahead == 'X')
        ADVANCE(49);
      if (lookahead == '_')
        ADVANCE(66);
      if (lookahead == 'b')
        ADVANCE(41);
      if (lookahead == 'l')
        ADVANCE(46);
      if (lookahead == 'o')
        ADVANCE(47);
      if (lookahead == 'x')
        ADVANCE(49);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(70);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(71);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c'))
        ADVANCE(45);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(74);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(28);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(42);
      if (('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(45);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(42);
      if (('2' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(45);
      END_STATE();
    case 43:
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(44);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == '_')
        ADVANCE(43);
      if (lookahead == '0' ||
          lookahead == '1')
        ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(45);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_long_integer_literal);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(48);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '_')
        ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '.')
        ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 51:
      if (lookahead == '_')
        ADVANCE(50);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == '+')
        ADVANCE(53);
      if (lookahead == '-')
        ADVANCE(53);
      if (lookahead == '_')
        ADVANCE(50);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(57);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(54);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(55);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(54);
      END_STATE();
    case 55:
      if (lookahead == '_')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(54);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(52);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(59);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c'))
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '_')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(57);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(50);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.')
        ADVANCE(61);
      if (lookahead == '_')
        ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(51);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '+')
        ADVANCE(53);
      if (lookahead == '-')
        ADVANCE(53);
      if (lookahead == '.')
        ADVANCE(61);
      if (lookahead == '_')
        ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(64);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.')
        ADVANCE(61);
      if (lookahead == '_')
        ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(63);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c'))
        ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(64);
      END_STATE();
    case 65:
      if (lookahead == '_')
        ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(64);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(60);
      END_STATE();
    case 66:
      if (lookahead == '_')
        ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 67:
      if (lookahead == '_')
        ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(68);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == '_')
        ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(28);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(68);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == 'L')
        ADVANCE(46);
      if (lookahead == '_')
        ADVANCE(66);
      if (lookahead == 'l')
        ADVANCE(46);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(28);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == 'L')
        ADVANCE(46);
      if (lookahead == '_')
        ADVANCE(66);
      if (lookahead == 'l')
        ADVANCE(46);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(71);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(73);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c'))
        ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH);
      if (lookahead == '+')
        ADVANCE(29);
      if (lookahead == '-')
        ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(72);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(45);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_')
        ADVANCE(31);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f')
        ADVANCE(73);
      if (('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e'))
        ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(72);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(45);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == 'L')
        ADVANCE(46);
      if (lookahead == '_')
        ADVANCE(66);
      if (lookahead == 'l')
        ADVANCE(46);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(70);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(71);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(73);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c'))
        ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':')
        ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(79);
      if (lookahead == '=')
        ADVANCE(81);
      if (lookahead == '>')
        ADVANCE(82);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(80);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(84);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(87);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(88);
      if (lookahead == '>')
        ADVANCE(89);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=')
        ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i')
        ADVANCE(93);
      END_STATE();
    case 93:
      if (lookahead == 'n')
        ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == 't')
        ADVANCE(95);
      END_STATE();
    case 95:
      if (lookahead == 'e')
        ADVANCE(96);
      END_STATE();
    case 96:
      if (lookahead == 'r')
        ADVANCE(97);
      END_STATE();
    case 97:
      if (lookahead == 'f')
        ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == 'a')
        ADVANCE(99);
      END_STATE();
    case 99:
      if (lookahead == 'c')
        ADVANCE(100);
      END_STATE();
    case 100:
      if (lookahead == 'e')
        ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(109);
      if (lookahead == '|')
        ADVANCE(110);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(113);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 115:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(115);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 117:
      if (lookahead == '\"')
        ADVANCE(118);
      if (lookahead == '\\')
        ADVANCE(119);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_string_literal);
      END_STATE();
    case 119:
      if (lookahead == '\n')
        ADVANCE(117);
      if (lookahead != 0)
        ADVANCE(117);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(16);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(20);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 123:
      if (lookahead == '*')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(37);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.')
        ADVANCE(40);
      if (lookahead == 'B')
        ADVANCE(43);
      if (lookahead == 'L')
        ADVANCE(46);
      if (lookahead == 'O')
        ADVANCE(47);
      if (lookahead == 'X')
        ADVANCE(49);
      if (lookahead == '_')
        ADVANCE(66);
      if (lookahead == 'b')
        ADVANCE(43);
      if (lookahead == 'l')
        ADVANCE(46);
      if (lookahead == 'o')
        ADVANCE(47);
      if (lookahead == 'x')
        ADVANCE(49);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(28);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f'))
        ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      END_STATE();
    case 125:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(130);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(133);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(125);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 126:
      if (lookahead == '=')
        ADVANCE(3);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(8);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(20);
      if (lookahead == '>')
        ADVANCE(22);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(37);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(134);
      if (lookahead == '=')
        ADVANCE(81);
      if (lookahead == '>')
        ADVANCE(82);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(86);
      if (lookahead == '>')
        ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>')
        ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(110);
      END_STATE();
    case 141:
      if (lookahead == '\n')
        SKIP(141);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '/')
        ADVANCE(142);
      if (lookahead == '\\')
        ADVANCE(143);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(146);
      if (lookahead != 0)
        ADVANCE(146);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH);
      if (lookahead == '*')
        ADVANCE(34);
      if (lookahead == '/')
        ADVANCE(37);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH);
      if (lookahead == '\n')
        ADVANCE(144);
      if (lookahead != 0)
        ADVANCE(145);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH);
      END_STATE();
    case 147:
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(148);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(147);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 149:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(148);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(149);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 150:
      if (lookahead == '&')
        ADVANCE(151);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '.')
        ADVANCE(152);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(154);
      if (lookahead == '>')
        ADVANCE(155);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(150);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(24);
      END_STATE();
    case 153:
      if (lookahead == ':')
        ADVANCE(76);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '>')
        ADVANCE(82);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 157:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(13);
      if (lookahead == '+')
        ADVANCE(15);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(19);
      if (lookahead == '.')
        ADVANCE(152);
      if (lookahead == '/')
        ADVANCE(33);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == '<')
        ADVANCE(78);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(85);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '|')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(157);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 158:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '*')
        ADVANCE(13);
      if (lookahead == '+')
        ADVANCE(15);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(19);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(33);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(78);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(85);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '|')
        ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(158);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 159:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(159);
      END_STATE();
    case 160:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(133);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(160);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 161:
      if (lookahead == '=')
        ADVANCE(84);
      END_STATE();
    case 162:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(162);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 163:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(13);
      if (lookahead == '+')
        ADVANCE(15);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(19);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(33);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(78);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(85);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '|')
        ADVANCE(108);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(163);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 164:
      if (lookahead == '&')
        ADVANCE(151);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '>')
        ADVANCE(155);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(164);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 165:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(5);
      if (lookahead == '&')
        ADVANCE(7);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(13);
      if (lookahead == '+')
        ADVANCE(15);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(166);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(33);
      if (lookahead == ':')
        ADVANCE(167);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(168);
      if (lookahead == '=')
        ADVANCE(83);
      if (lookahead == '>')
        ADVANCE(85);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(105);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(108);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(165);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(20);
      if (lookahead == '=')
        ADVANCE(21);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(79);
      if (lookahead == '=')
        ADVANCE(81);
      END_STATE();
    case 169:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(134);
      if (lookahead == '=')
        ADVANCE(81);
      END_STATE();
    case 171:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ':')
        ADVANCE(167);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(171);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 172:
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(172);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 173:
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(148);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(173);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 174:
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ':')
        ADVANCE(167);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '=')
        ADVANCE(175);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(174);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 176:
      if (lookahead == '!')
        ADVANCE(116);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(122);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(176);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 177:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 178:
      if (lookahead == '&')
        ADVANCE(151);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '.')
        ADVANCE(152);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '=')
        ADVANCE(175);
      if (lookahead == '>')
        ADVANCE(155);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(178);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 179:
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(179);
      END_STATE();
    case 180:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '\"')
        ADVANCE(117);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '\'')
        ADVANCE(10);
      if (lookahead == '(')
        ADVANCE(11);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(181);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == '0')
        ADVANCE(124);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '~')
        ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(180);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(69);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(26);
      END_STATE();
    case 182:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == ')')
        ADVANCE(12);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(75);
      if (lookahead == ';')
        ADVANCE(77);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == ']')
        ADVANCE(104);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '{')
        ADVANCE(107);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 183:
      if (lookahead == '!')
        ADVANCE(126);
      if (lookahead == '%')
        ADVANCE(127);
      if (lookahead == '&')
        ADVANCE(128);
      if (lookahead == '*')
        ADVANCE(129);
      if (lookahead == '+')
        ADVANCE(120);
      if (lookahead == ',')
        ADVANCE(18);
      if (lookahead == '-')
        ADVANCE(121);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(132);
      if (lookahead == ':')
        ADVANCE(153);
      if (lookahead == '<')
        ADVANCE(170);
      if (lookahead == '=')
        ADVANCE(161);
      if (lookahead == '>')
        ADVANCE(135);
      if (lookahead == '?')
        ADVANCE(91);
      if (lookahead == '@')
        ADVANCE(138);
      if (lookahead == '[')
        ADVANCE(102);
      if (lookahead == '^')
        ADVANCE(139);
      if (lookahead == '|')
        ADVANCE(140);
      if (lookahead == '}')
        ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(183);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    case 184:
      if (lookahead == '/')
        ADVANCE(123);
      if (lookahead == ':')
        ADVANCE(167);
      if (lookahead == '@')
        ADVANCE(92);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z'))
        ADVANCE(114);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'A')
        ADVANCE(1);
      if (lookahead == 'B')
        ADVANCE(4);
      if (lookahead == 'C')
        ADVANCE(8);
      if (lookahead == 'D')
        ADVANCE(12);
      if (lookahead == 'E')
        ADVANCE(20);
      if (lookahead == 'F')
        ADVANCE(31);
      if (lookahead == 'G')
        ADVANCE(34);
      if (lookahead == 'H')
        ADVANCE(36);
      if (lookahead == 'L')
        ADVANCE(38);
      if (lookahead == 'N')
        ADVANCE(40);
      if (lookahead == 'R')
        ADVANCE(45);
      if (lookahead == 'S')
        ADVANCE(47);
      if (lookahead == 'T')
        ADVANCE(58);
      if (lookahead == 'U')
        ADVANCE(61);
      if (lookahead == 'V')
        ADVANCE(63);
      if (lookahead == 'a')
        ADVANCE(65);
      if (lookahead == 'b')
        ADVANCE(78);
      if (lookahead == 'c')
        ADVANCE(92);
      if (lookahead == 'd')
        ADVANCE(113);
      if (lookahead == 'e')
        ADVANCE(125);
      if (lookahead == 'f')
        ADVANCE(143);
      if (lookahead == 'i')
        ADVANCE(160);
      if (lookahead == 'l')
        ADVANCE(190);
      if (lookahead == 'm')
        ADVANCE(194);
      if (lookahead == 'n')
        ADVANCE(200);
      if (lookahead == 'o')
        ADVANCE(211);
      if (lookahead == 'p')
        ADVANCE(216);
      if (lookahead == 'r')
        ADVANCE(246);
      if (lookahead == 's')
        ADVANCE(258);
      if (lookahead == 't')
        ADVANCE(294);
      if (lookahead == 'u')
        ADVANCE(318);
      if (lookahead == 'v')
        ADVANCE(322);
      if (lookahead == 'w')
        ADVANCE(332);
      END_STATE();
    case 1:
      if (lookahead == 'C')
        ADVANCE(2);
      END_STATE();
    case 2:
      if (lookahead == 'K')
        ADVANCE(3);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_ACK);
      END_STATE();
    case 4:
      if (lookahead == 'E')
        ADVANCE(5);
      if (lookahead == 'S')
        ADVANCE(7);
      END_STATE();
    case 5:
      if (lookahead == 'L')
        ADVANCE(6);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_BEL);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_BS);
      END_STATE();
    case 8:
      if (lookahead == 'A')
        ADVANCE(9);
      if (lookahead == 'R')
        ADVANCE(11);
      END_STATE();
    case 9:
      if (lookahead == 'N')
        ADVANCE(10);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_CAN);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_CR);
      END_STATE();
    case 12:
      if (lookahead == 'C')
        ADVANCE(13);
      if (lookahead == 'L')
        ADVANCE(18);
      END_STATE();
    case 13:
      if (lookahead == '1')
        ADVANCE(14);
      if (lookahead == '2')
        ADVANCE(15);
      if (lookahead == '3')
        ADVANCE(16);
      if (lookahead == '4')
        ADVANCE(17);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_DC1);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_DC2);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_DC3);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_DC4);
      END_STATE();
    case 18:
      if (lookahead == 'E')
        ADVANCE(19);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_DLE);
      END_STATE();
    case 20:
      if (lookahead == 'M')
        ADVANCE(21);
      if (lookahead == 'N')
        ADVANCE(22);
      if (lookahead == 'O')
        ADVANCE(24);
      if (lookahead == 'S')
        ADVANCE(26);
      if (lookahead == 'T')
        ADVANCE(28);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_EM);
      END_STATE();
    case 22:
      if (lookahead == 'Q')
        ADVANCE(23);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_ENQ);
      END_STATE();
    case 24:
      if (lookahead == 'T')
        ADVANCE(25);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_EOT);
      END_STATE();
    case 26:
      if (lookahead == 'C')
        ADVANCE(27);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_ESC);
      END_STATE();
    case 28:
      if (lookahead == 'B')
        ADVANCE(29);
      if (lookahead == 'X')
        ADVANCE(30);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_ETB);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_ETX);
      END_STATE();
    case 31:
      if (lookahead == 'F')
        ADVANCE(32);
      if (lookahead == 'S')
        ADVANCE(33);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_FF);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_FS);
      END_STATE();
    case 34:
      if (lookahead == 'S')
        ADVANCE(35);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_GS);
      END_STATE();
    case 36:
      if (lookahead == 'T')
        ADVANCE(37);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(sym_horizontal_tab);
      END_STATE();
    case 38:
      if (lookahead == 'F')
        ADVANCE(39);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 40:
      if (lookahead == 'A')
        ADVANCE(41);
      if (lookahead == 'U')
        ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'K')
        ADVANCE(42);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_NAK);
      END_STATE();
    case 43:
      if (lookahead == 'L')
        ADVANCE(44);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_NUL);
      END_STATE();
    case 45:
      if (lookahead == 'S')
        ADVANCE(46);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_RS);
      END_STATE();
    case 47:
      if (lookahead == 'I')
        ADVANCE(48);
      if (lookahead == 'O')
        ADVANCE(49);
      if (lookahead == 'P')
        ADVANCE(51);
      if (lookahead == 'T')
        ADVANCE(52);
      if (lookahead == 'U')
        ADVANCE(54);
      if (lookahead == 'Y')
        ADVANCE(56);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SI);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_SO);
      if (lookahead == 'H')
        ADVANCE(50);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_SOH);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_space);
      END_STATE();
    case 52:
      if (lookahead == 'X')
        ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_STX);
      END_STATE();
    case 54:
      if (lookahead == 'B')
        ADVANCE(55);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_SUB);
      END_STATE();
    case 56:
      if (lookahead == 'N')
        ADVANCE(57);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_SYN);
      END_STATE();
    case 58:
      if (lookahead == 'A')
        ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'B')
        ADVANCE(60);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_TAB);
      END_STATE();
    case 61:
      if (lookahead == 'S')
        ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_US);
      END_STATE();
    case 63:
      if (lookahead == 'T')
        ADVANCE(64);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_VT);
      END_STATE();
    case 65:
      if (lookahead == 'b')
        ADVANCE(66);
      if (lookahead == 's')
        ADVANCE(73);
      END_STATE();
    case 66:
      if (lookahead == 's')
        ADVANCE(67);
      END_STATE();
    case 67:
      if (lookahead == 't')
        ADVANCE(68);
      END_STATE();
    case 68:
      if (lookahead == 'r')
        ADVANCE(69);
      END_STATE();
    case 69:
      if (lookahead == 'a')
        ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == 'c')
        ADVANCE(71);
      END_STATE();
    case 71:
      if (lookahead == 't')
        ADVANCE(72);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 73:
      if (lookahead == 's')
        ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == 'e')
        ADVANCE(75);
      END_STATE();
    case 75:
      if (lookahead == 'r')
        ADVANCE(76);
      END_STATE();
    case 76:
      if (lookahead == 't')
        ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_b);
      if (lookahead == 'o')
        ADVANCE(79);
      if (lookahead == 'r')
        ADVANCE(85);
      if (lookahead == 'y')
        ADVANCE(89);
      END_STATE();
    case 79:
      if (lookahead == 'o')
        ADVANCE(80);
      END_STATE();
    case 80:
      if (lookahead == 'l')
        ADVANCE(81);
      END_STATE();
    case 81:
      if (lookahead == 'e')
        ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == 'a')
        ADVANCE(83);
      END_STATE();
    case 83:
      if (lookahead == 'n')
        ADVANCE(84);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 85:
      if (lookahead == 'e')
        ADVANCE(86);
      END_STATE();
    case 86:
      if (lookahead == 'a')
        ADVANCE(87);
      END_STATE();
    case 87:
      if (lookahead == 'k')
        ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 89:
      if (lookahead == 't')
        ADVANCE(90);
      END_STATE();
    case 90:
      if (lookahead == 'e')
        ADVANCE(91);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 92:
      if (lookahead == 'a')
        ADVANCE(93);
      if (lookahead == 'h')
        ADVANCE(99);
      if (lookahead == 'l')
        ADVANCE(102);
      if (lookahead == 'o')
        ADVANCE(106);
      END_STATE();
    case 93:
      if (lookahead == 's')
        ADVANCE(94);
      if (lookahead == 't')
        ADVANCE(96);
      END_STATE();
    case 94:
      if (lookahead == 'e')
        ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 96:
      if (lookahead == 'c')
        ADVANCE(97);
      END_STATE();
    case 97:
      if (lookahead == 'h')
        ADVANCE(98);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 99:
      if (lookahead == 'a')
        ADVANCE(100);
      END_STATE();
    case 100:
      if (lookahead == 'r')
        ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 102:
      if (lookahead == 'a')
        ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 's')
        ADVANCE(104);
      END_STATE();
    case 104:
      if (lookahead == 's')
        ADVANCE(105);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 106:
      if (lookahead == 'n')
        ADVANCE(107);
      END_STATE();
    case 107:
      if (lookahead == 't')
        ADVANCE(108);
      END_STATE();
    case 108:
      if (lookahead == 'i')
        ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == 'n')
        ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == 'u')
        ADVANCE(111);
      END_STATE();
    case 111:
      if (lookahead == 'e')
        ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 113:
      if (lookahead == 'e')
        ADVANCE(114);
      if (lookahead == 'o')
        ADVANCE(120);
      END_STATE();
    case 114:
      if (lookahead == 'f')
        ADVANCE(115);
      END_STATE();
    case 115:
      if (lookahead == 'a')
        ADVANCE(116);
      END_STATE();
    case 116:
      if (lookahead == 'u')
        ADVANCE(117);
      END_STATE();
    case 117:
      if (lookahead == 'l')
        ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == 't')
        ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u')
        ADVANCE(121);
      END_STATE();
    case 121:
      if (lookahead == 'b')
        ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == 'l')
        ADVANCE(123);
      END_STATE();
    case 123:
      if (lookahead == 'e')
        ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 125:
      if (lookahead == 'l')
        ADVANCE(126);
      if (lookahead == 'n')
        ADVANCE(129);
      if (lookahead == 'x')
        ADVANCE(132);
      END_STATE();
    case 126:
      if (lookahead == 's')
        ADVANCE(127);
      END_STATE();
    case 127:
      if (lookahead == 'e')
        ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 129:
      if (lookahead == 'u')
        ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == 'm')
        ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 132:
      if (lookahead == 'p')
        ADVANCE(133);
      if (lookahead == 't')
        ADVANCE(138);
      END_STATE();
    case 133:
      if (lookahead == 'o')
        ADVANCE(134);
      END_STATE();
    case 134:
      if (lookahead == 'r')
        ADVANCE(135);
      END_STATE();
    case 135:
      if (lookahead == 't')
        ADVANCE(136);
      END_STATE();
    case 136:
      if (lookahead == 's')
        ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 138:
      if (lookahead == 'e')
        ADVANCE(139);
      END_STATE();
    case 139:
      if (lookahead == 'n')
        ADVANCE(140);
      END_STATE();
    case 140:
      if (lookahead == 'd')
        ADVANCE(141);
      END_STATE();
    case 141:
      if (lookahead == 's')
        ADVANCE(142);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_f);
      if (lookahead == 'a')
        ADVANCE(144);
      if (lookahead == 'i')
        ADVANCE(148);
      if (lookahead == 'l')
        ADVANCE(154);
      if (lookahead == 'o')
        ADVANCE(158);
      END_STATE();
    case 144:
      if (lookahead == 'l')
        ADVANCE(145);
      END_STATE();
    case 145:
      if (lookahead == 's')
        ADVANCE(146);
      END_STATE();
    case 146:
      if (lookahead == 'e')
        ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 148:
      if (lookahead == 'n')
        ADVANCE(149);
      END_STATE();
    case 149:
      if (lookahead == 'a')
        ADVANCE(150);
      END_STATE();
    case 150:
      if (lookahead == 'l')
        ADVANCE(151);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l')
        ADVANCE(152);
      END_STATE();
    case 152:
      if (lookahead == 'y')
        ADVANCE(153);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 154:
      if (lookahead == 'o')
        ADVANCE(155);
      END_STATE();
    case 155:
      if (lookahead == 'a')
        ADVANCE(156);
      END_STATE();
    case 156:
      if (lookahead == 't')
        ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 158:
      if (lookahead == 'r')
        ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 160:
      if (lookahead == 'f')
        ADVANCE(161);
      if (lookahead == 'm')
        ADVANCE(162);
      if (lookahead == 'n')
        ADVANCE(174);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 162:
      if (lookahead == 'p')
        ADVANCE(163);
      END_STATE();
    case 163:
      if (lookahead == 'l')
        ADVANCE(164);
      if (lookahead == 'o')
        ADVANCE(171);
      END_STATE();
    case 164:
      if (lookahead == 'e')
        ADVANCE(165);
      END_STATE();
    case 165:
      if (lookahead == 'm')
        ADVANCE(166);
      END_STATE();
    case 166:
      if (lookahead == 'e')
        ADVANCE(167);
      END_STATE();
    case 167:
      if (lookahead == 'n')
        ADVANCE(168);
      END_STATE();
    case 168:
      if (lookahead == 't')
        ADVANCE(169);
      END_STATE();
    case 169:
      if (lookahead == 's')
        ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 171:
      if (lookahead == 'r')
        ADVANCE(172);
      END_STATE();
    case 172:
      if (lookahead == 't')
        ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 174:
      if (lookahead == 's')
        ADVANCE(175);
      if (lookahead == 't')
        ADVANCE(183);
      END_STATE();
    case 175:
      if (lookahead == 't')
        ADVANCE(176);
      END_STATE();
    case 176:
      if (lookahead == 'a')
        ADVANCE(177);
      END_STATE();
    case 177:
      if (lookahead == 'n')
        ADVANCE(178);
      END_STATE();
    case 178:
      if (lookahead == 'c')
        ADVANCE(179);
      END_STATE();
    case 179:
      if (lookahead == 'e')
        ADVANCE(180);
      END_STATE();
    case 180:
      if (lookahead == 'o')
        ADVANCE(181);
      END_STATE();
    case 181:
      if (lookahead == 'f')
        ADVANCE(182);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e')
        ADVANCE(184);
      END_STATE();
    case 184:
      if (lookahead == 'r')
        ADVANCE(185);
      END_STATE();
    case 185:
      if (lookahead == 'f')
        ADVANCE(186);
      END_STATE();
    case 186:
      if (lookahead == 'a')
        ADVANCE(187);
      END_STATE();
    case 187:
      if (lookahead == 'c')
        ADVANCE(188);
      END_STATE();
    case 188:
      if (lookahead == 'e')
        ADVANCE(189);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 190:
      if (lookahead == 'o')
        ADVANCE(191);
      END_STATE();
    case 191:
      if (lookahead == 'n')
        ADVANCE(192);
      END_STATE();
    case 192:
      if (lookahead == 'g')
        ADVANCE(193);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 194:
      if (lookahead == 'o')
        ADVANCE(195);
      END_STATE();
    case 195:
      if (lookahead == 'd')
        ADVANCE(196);
      END_STATE();
    case 196:
      if (lookahead == 'u')
        ADVANCE(197);
      END_STATE();
    case 197:
      if (lookahead == 'l')
        ADVANCE(198);
      END_STATE();
    case 198:
      if (lookahead == 'e')
        ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_n);
      if (lookahead == 'a')
        ADVANCE(201);
      if (lookahead == 'e')
        ADVANCE(206);
      if (lookahead == 'u')
        ADVANCE(208);
      END_STATE();
    case 201:
      if (lookahead == 't')
        ADVANCE(202);
      END_STATE();
    case 202:
      if (lookahead == 'i')
        ADVANCE(203);
      END_STATE();
    case 203:
      if (lookahead == 'v')
        ADVANCE(204);
      END_STATE();
    case 204:
      if (lookahead == 'e')
        ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 206:
      if (lookahead == 'w')
        ADVANCE(207);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 208:
      if (lookahead == 'l')
        ADVANCE(209);
      END_STATE();
    case 209:
      if (lookahead == 'l')
        ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 211:
      if (lookahead == 'p')
        ADVANCE(212);
      END_STATE();
    case 212:
      if (lookahead == 'e')
        ADVANCE(213);
      END_STATE();
    case 213:
      if (lookahead == 'n')
        ADVANCE(214);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's')
        ADVANCE(215);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 216:
      if (lookahead == 'a')
        ADVANCE(217);
      if (lookahead == 'r')
        ADVANCE(223);
      if (lookahead == 'u')
        ADVANCE(241);
      END_STATE();
    case 217:
      if (lookahead == 'c')
        ADVANCE(218);
      END_STATE();
    case 218:
      if (lookahead == 'k')
        ADVANCE(219);
      END_STATE();
    case 219:
      if (lookahead == 'a')
        ADVANCE(220);
      END_STATE();
    case 220:
      if (lookahead == 'g')
        ADVANCE(221);
      END_STATE();
    case 221:
      if (lookahead == 'e')
        ADVANCE(222);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 223:
      if (lookahead == 'i')
        ADVANCE(224);
      if (lookahead == 'o')
        ADVANCE(229);
      END_STATE();
    case 224:
      if (lookahead == 'v')
        ADVANCE(225);
      END_STATE();
    case 225:
      if (lookahead == 'a')
        ADVANCE(226);
      END_STATE();
    case 226:
      if (lookahead == 't')
        ADVANCE(227);
      END_STATE();
    case 227:
      if (lookahead == 'e')
        ADVANCE(228);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 229:
      if (lookahead == 't')
        ADVANCE(230);
      if (lookahead == 'v')
        ADVANCE(236);
      END_STATE();
    case 230:
      if (lookahead == 'e')
        ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == 'c')
        ADVANCE(232);
      END_STATE();
    case 232:
      if (lookahead == 't')
        ADVANCE(233);
      END_STATE();
    case 233:
      if (lookahead == 'e')
        ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 'd')
        ADVANCE(235);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 236:
      if (lookahead == 'i')
        ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'd')
        ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'e')
        ADVANCE(239);
      END_STATE();
    case 239:
      if (lookahead == 's')
        ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 241:
      if (lookahead == 'b')
        ADVANCE(242);
      END_STATE();
    case 242:
      if (lookahead == 'l')
        ADVANCE(243);
      END_STATE();
    case 243:
      if (lookahead == 'i')
        ADVANCE(244);
      END_STATE();
    case 244:
      if (lookahead == 'c')
        ADVANCE(245);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_r);
      if (lookahead == 'e')
        ADVANCE(247);
      END_STATE();
    case 247:
      if (lookahead == 'q')
        ADVANCE(248);
      if (lookahead == 't')
        ADVANCE(254);
      END_STATE();
    case 248:
      if (lookahead == 'u')
        ADVANCE(249);
      END_STATE();
    case 249:
      if (lookahead == 'i')
        ADVANCE(250);
      END_STATE();
    case 250:
      if (lookahead == 'r')
        ADVANCE(251);
      END_STATE();
    case 251:
      if (lookahead == 'e')
        ADVANCE(252);
      END_STATE();
    case 252:
      if (lookahead == 's')
        ADVANCE(253);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 254:
      if (lookahead == 'u')
        ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == 'r')
        ADVANCE(256);
      END_STATE();
    case 256:
      if (lookahead == 'n')
        ADVANCE(257);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 258:
      if (lookahead == 'h')
        ADVANCE(259);
      if (lookahead == 't')
        ADVANCE(263);
      if (lookahead == 'u')
        ADVANCE(274);
      if (lookahead == 'w')
        ADVANCE(278);
      if (lookahead == 'y')
        ADVANCE(283);
      END_STATE();
    case 259:
      if (lookahead == 'o')
        ADVANCE(260);
      END_STATE();
    case 260:
      if (lookahead == 'r')
        ADVANCE(261);
      END_STATE();
    case 261:
      if (lookahead == 't')
        ADVANCE(262);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 263:
      if (lookahead == 'a')
        ADVANCE(264);
      if (lookahead == 'r')
        ADVANCE(268);
      END_STATE();
    case 264:
      if (lookahead == 't')
        ADVANCE(265);
      END_STATE();
    case 265:
      if (lookahead == 'i')
        ADVANCE(266);
      END_STATE();
    case 266:
      if (lookahead == 'c')
        ADVANCE(267);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 268:
      if (lookahead == 'i')
        ADVANCE(269);
      END_STATE();
    case 269:
      if (lookahead == 'c')
        ADVANCE(270);
      END_STATE();
    case 270:
      if (lookahead == 't')
        ADVANCE(271);
      END_STATE();
    case 271:
      if (lookahead == 'f')
        ADVANCE(272);
      END_STATE();
    case 272:
      if (lookahead == 'p')
        ADVANCE(273);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 274:
      if (lookahead == 'p')
        ADVANCE(275);
      END_STATE();
    case 275:
      if (lookahead == 'e')
        ADVANCE(276);
      END_STATE();
    case 276:
      if (lookahead == 'r')
        ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 278:
      if (lookahead == 'i')
        ADVANCE(279);
      END_STATE();
    case 279:
      if (lookahead == 't')
        ADVANCE(280);
      END_STATE();
    case 280:
      if (lookahead == 'c')
        ADVANCE(281);
      END_STATE();
    case 281:
      if (lookahead == 'h')
        ADVANCE(282);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 283:
      if (lookahead == 'n')
        ADVANCE(284);
      END_STATE();
    case 284:
      if (lookahead == 'c')
        ADVANCE(285);
      END_STATE();
    case 285:
      if (lookahead == 'h')
        ADVANCE(286);
      END_STATE();
    case 286:
      if (lookahead == 'r')
        ADVANCE(287);
      END_STATE();
    case 287:
      if (lookahead == 'o')
        ADVANCE(288);
      END_STATE();
    case 288:
      if (lookahead == 'n')
        ADVANCE(289);
      END_STATE();
    case 289:
      if (lookahead == 'i')
        ADVANCE(290);
      END_STATE();
    case 290:
      if (lookahead == 'z')
        ADVANCE(291);
      END_STATE();
    case 291:
      if (lookahead == 'e')
        ADVANCE(292);
      END_STATE();
    case 292:
      if (lookahead == 'd')
        ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_t);
      if (lookahead == 'h')
        ADVANCE(295);
      if (lookahead == 'o')
        ADVANCE(302);
      if (lookahead == 'r')
        ADVANCE(303);
      END_STATE();
    case 295:
      if (lookahead == 'i')
        ADVANCE(296);
      if (lookahead == 'r')
        ADVANCE(298);
      END_STATE();
    case 296:
      if (lookahead == 's')
        ADVANCE(297);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 298:
      if (lookahead == 'o')
        ADVANCE(299);
      END_STATE();
    case 299:
      if (lookahead == 'w')
        ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's')
        ADVANCE(301);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 303:
      if (lookahead == 'a')
        ADVANCE(304);
      if (lookahead == 'u')
        ADVANCE(315);
      if (lookahead == 'y')
        ADVANCE(317);
      END_STATE();
    case 304:
      if (lookahead == 'n')
        ADVANCE(305);
      END_STATE();
    case 305:
      if (lookahead == 's')
        ADVANCE(306);
      END_STATE();
    case 306:
      if (lookahead == 'i')
        ADVANCE(307);
      END_STATE();
    case 307:
      if (lookahead == 'e')
        ADVANCE(308);
      if (lookahead == 't')
        ADVANCE(311);
      END_STATE();
    case 308:
      if (lookahead == 'n')
        ADVANCE(309);
      END_STATE();
    case 309:
      if (lookahead == 't')
        ADVANCE(310);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 311:
      if (lookahead == 'i')
        ADVANCE(312);
      END_STATE();
    case 312:
      if (lookahead == 'v')
        ADVANCE(313);
      END_STATE();
    case 313:
      if (lookahead == 'e')
        ADVANCE(314);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 315:
      if (lookahead == 'e')
        ADVANCE(316);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_u);
      if (lookahead == 's')
        ADVANCE(319);
      END_STATE();
    case 319:
      if (lookahead == 'e')
        ADVANCE(320);
      END_STATE();
    case 320:
      if (lookahead == 's')
        ADVANCE(321);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 322:
      if (lookahead == 'o')
        ADVANCE(323);
      END_STATE();
    case 323:
      if (lookahead == 'i')
        ADVANCE(324);
      if (lookahead == 'l')
        ADVANCE(326);
      END_STATE();
    case 324:
      if (lookahead == 'd')
        ADVANCE(325);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 326:
      if (lookahead == 'a')
        ADVANCE(327);
      END_STATE();
    case 327:
      if (lookahead == 't')
        ADVANCE(328);
      END_STATE();
    case 328:
      if (lookahead == 'i')
        ADVANCE(329);
      END_STATE();
    case 329:
      if (lookahead == 'l')
        ADVANCE(330);
      END_STATE();
    case 330:
      if (lookahead == 'e')
        ADVANCE(331);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 332:
      if (lookahead == 'h')
        ADVANCE(333);
      if (lookahead == 'i')
        ADVANCE(337);
      END_STATE();
    case 333:
      if (lookahead == 'i')
        ADVANCE(334);
      END_STATE();
    case 334:
      if (lookahead == 'l')
        ADVANCE(335);
      END_STATE();
    case 335:
      if (lookahead == 'e')
        ADVANCE(336);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 337:
      if (lookahead == 't')
        ADVANCE(338);
      END_STATE();
    case 338:
      if (lookahead == 'h')
        ADVANCE(339);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 115},
  [2] = {.lex_state = 125},
  [3] = {.lex_state = 125},
  [4] = {.lex_state = 125},
  [5] = {.lex_state = 141},
  [6] = {.lex_state = 147},
  [7] = {.lex_state = 147},
  [8] = {.lex_state = 147},
  [9] = {.lex_state = 147},
  [10] = {.lex_state = 115},
  [11] = {.lex_state = 149},
  [12] = {.lex_state = 149},
  [13] = {.lex_state = 115},
  [14] = {.lex_state = 115},
  [15] = {.lex_state = 115},
  [16] = {.lex_state = 115},
  [17] = {.lex_state = 147},
  [18] = {.lex_state = 115},
  [19] = {.lex_state = 147},
  [20] = {.lex_state = 115},
  [21] = {.lex_state = 115},
  [22] = {.lex_state = 115},
  [23] = {.lex_state = 150},
  [24] = {.lex_state = 150},
  [25] = {.lex_state = 157},
  [26] = {.lex_state = 157},
  [27] = {.lex_state = 115},
  [28] = {.lex_state = 158},
  [29] = {.lex_state = 158},
  [30] = {.lex_state = 115},
  [31] = {.lex_state = 115},
  [32] = {.lex_state = 115},
  [33] = {.lex_state = 115},
  [34] = {.lex_state = 125},
  [35] = {.lex_state = 115},
  [36] = {.lex_state = 115},
  [37] = {.lex_state = 125},
  [38] = {.lex_state = 158},
  [39] = {.lex_state = 159},
  [40] = {.lex_state = 160},
  [41] = {.lex_state = 157},
  [42] = {.lex_state = 125},
  [43] = {.lex_state = 162},
  [44] = {.lex_state = 162},
  [45] = {.lex_state = 115},
  [46] = {.lex_state = 163},
  [47] = {.lex_state = 125},
  [48] = {.lex_state = 125},
  [49] = {.lex_state = 125},
  [50] = {.lex_state = 163},
  [51] = {.lex_state = 149},
  [52] = {.lex_state = 125},
  [53] = {.lex_state = 125},
  [54] = {.lex_state = 164},
  [55] = {.lex_state = 150},
  [56] = {.lex_state = 150},
  [57] = {.lex_state = 150},
  [58] = {.lex_state = 163},
  [59] = {.lex_state = 115},
  [60] = {.lex_state = 115},
  [61] = {.lex_state = 125},
  [62] = {.lex_state = 125},
  [63] = {.lex_state = 141},
  [64] = {.lex_state = 147},
  [65] = {.lex_state = 125},
  [66] = {.lex_state = 147},
  [67] = {.lex_state = 147},
  [68] = {.lex_state = 147},
  [69] = {.lex_state = 125},
  [70] = {.lex_state = 115},
  [71] = {.lex_state = 165},
  [72] = {.lex_state = 125},
  [73] = {.lex_state = 157},
  [74] = {.lex_state = 160},
  [75] = {.lex_state = 157},
  [76] = {.lex_state = 125},
  [77] = {.lex_state = 125},
  [78] = {.lex_state = 150},
  [79] = {.lex_state = 157},
  [80] = {.lex_state = 147},
  [81] = {.lex_state = 147},
  [82] = {.lex_state = 147},
  [83] = {.lex_state = 125},
  [84] = {.lex_state = 125},
  [85] = {.lex_state = 163},
  [86] = {.lex_state = 125},
  [87] = {.lex_state = 125},
  [88] = {.lex_state = 125},
  [89] = {.lex_state = 147},
  [90] = {.lex_state = 147},
  [91] = {.lex_state = 147},
  [92] = {.lex_state = 125},
  [93] = {.lex_state = 169},
  [94] = {.lex_state = 157},
  [95] = {.lex_state = 125},
  [96] = {.lex_state = 147},
  [97] = {.lex_state = 171},
  [98] = {.lex_state = 115},
  [99] = {.lex_state = 115},
  [100] = {.lex_state = 115},
  [101] = {.lex_state = 115},
  [102] = {.lex_state = 158},
  [103] = {.lex_state = 115},
  [104] = {.lex_state = 125},
  [105] = {.lex_state = 115},
  [106] = {.lex_state = 115},
  [107] = {.lex_state = 149},
  [108] = {.lex_state = 115},
  [109] = {.lex_state = 115},
  [110] = {.lex_state = 115},
  [111] = {.lex_state = 115},
  [112] = {.lex_state = 158},
  [113] = {.lex_state = 115},
  [114] = {.lex_state = 147},
  [115] = {.lex_state = 115},
  [116] = {.lex_state = 162},
  [117] = {.lex_state = 115},
  [118] = {.lex_state = 162},
  [119] = {.lex_state = 162},
  [120] = {.lex_state = 160},
  [121] = {.lex_state = 147},
  [122] = {.lex_state = 160},
  [123] = {.lex_state = 147},
  [124] = {.lex_state = 115},
  [125] = {.lex_state = 115},
  [126] = {.lex_state = 147},
  [127] = {.lex_state = 147},
  [128] = {.lex_state = 172},
  [129] = {.lex_state = 115},
  [130] = {.lex_state = 125},
  [131] = {.lex_state = 173},
  [132] = {.lex_state = 115},
  [133] = {.lex_state = 160},
  [134] = {.lex_state = 158},
  [135] = {.lex_state = 115},
  [136] = {.lex_state = 158},
  [137] = {.lex_state = 115},
  [138] = {.lex_state = 147},
  [139] = {.lex_state = 125},
  [140] = {.lex_state = 125},
  [141] = {.lex_state = 125},
  [142] = {.lex_state = 115},
  [143] = {.lex_state = 125},
  [144] = {.lex_state = 125},
  [145] = {.lex_state = 115},
  [146] = {.lex_state = 147},
  [147] = {.lex_state = 125},
  [148] = {.lex_state = 147},
  [149] = {.lex_state = 115},
  [150] = {.lex_state = 172},
  [151] = {.lex_state = 125},
  [152] = {.lex_state = 150},
  [153] = {.lex_state = 147},
  [154] = {.lex_state = 147},
  [155] = {.lex_state = 147},
  [156] = {.lex_state = 147},
  [157] = {.lex_state = 147},
  [158] = {.lex_state = 147},
  [159] = {.lex_state = 125},
  [160] = {.lex_state = 162},
  [161] = {.lex_state = 147},
  [162] = {.lex_state = 147},
  [163] = {.lex_state = 125},
  [164] = {.lex_state = 125},
  [165] = {.lex_state = 125},
  [166] = {.lex_state = 147},
  [167] = {.lex_state = 172},
  [168] = {.lex_state = 150},
  [169] = {.lex_state = 125},
  [170] = {.lex_state = 125},
  [171] = {.lex_state = 125},
  [172] = {.lex_state = 150},
  [173] = {.lex_state = 115},
  [174] = {.lex_state = 115},
  [175] = {.lex_state = 115},
  [176] = {.lex_state = 115},
  [177] = {.lex_state = 115},
  [178] = {.lex_state = 115},
  [179] = {.lex_state = 115},
  [180] = {.lex_state = 115},
  [181] = {.lex_state = 150},
  [182] = {.lex_state = 125},
  [183] = {.lex_state = 125},
  [184] = {.lex_state = 125},
  [185] = {.lex_state = 141},
  [186] = {.lex_state = 150},
  [187] = {.lex_state = 125},
  [188] = {.lex_state = 157},
  [189] = {.lex_state = 147},
  [190] = {.lex_state = 125},
  [191] = {.lex_state = 174},
  [192] = {.lex_state = 125},
  [193] = {.lex_state = 125},
  [194] = {.lex_state = 125},
  [195] = {.lex_state = 125},
  [196] = {.lex_state = 125},
  [197] = {.lex_state = 125},
  [198] = {.lex_state = 115},
  [199] = {.lex_state = 125},
  [200] = {.lex_state = 147},
  [201] = {.lex_state = 125},
  [202] = {.lex_state = 147},
  [203] = {.lex_state = 147},
  [204] = {.lex_state = 147},
  [205] = {.lex_state = 147},
  [206] = {.lex_state = 147},
  [207] = {.lex_state = 147},
  [208] = {.lex_state = 147},
  [209] = {.lex_state = 147},
  [210] = {.lex_state = 147},
  [211] = {.lex_state = 125},
  [212] = {.lex_state = 150},
  [213] = {.lex_state = 115},
  [214] = {.lex_state = 147},
  [215] = {.lex_state = 150},
  [216] = {.lex_state = 147},
  [217] = {.lex_state = 150},
  [218] = {.lex_state = 157},
  [219] = {.lex_state = 147},
  [220] = {.lex_state = 147},
  [221] = {.lex_state = 147},
  [222] = {.lex_state = 157},
  [223] = {.lex_state = 147},
  [224] = {.lex_state = 157},
  [225] = {.lex_state = 125},
  [226] = {.lex_state = 150},
  [227] = {.lex_state = 125},
  [228] = {.lex_state = 150},
  [229] = {.lex_state = 125},
  [230] = {.lex_state = 125},
  [231] = {.lex_state = 125},
  [232] = {.lex_state = 125},
  [233] = {.lex_state = 147},
  [234] = {.lex_state = 147},
  [235] = {.lex_state = 147},
  [236] = {.lex_state = 147},
  [237] = {.lex_state = 147},
  [238] = {.lex_state = 147},
  [239] = {.lex_state = 147},
  [240] = {.lex_state = 162},
  [241] = {.lex_state = 147},
  [242] = {.lex_state = 147},
  [243] = {.lex_state = 160},
  [244] = {.lex_state = 147},
  [245] = {.lex_state = 115},
  [246] = {.lex_state = 115},
  [247] = {.lex_state = 147},
  [248] = {.lex_state = 147},
  [249] = {.lex_state = 115},
  [250] = {.lex_state = 158},
  [251] = {.lex_state = 115},
  [252] = {.lex_state = 147},
  [253] = {.lex_state = 158},
  [254] = {.lex_state = 125},
  [255] = {.lex_state = 149},
  [256] = {.lex_state = 125},
  [257] = {.lex_state = 115},
  [258] = {.lex_state = 171},
  [259] = {.lex_state = 149},
  [260] = {.lex_state = 147},
  [261] = {.lex_state = 115},
  [262] = {.lex_state = 115},
  [263] = {.lex_state = 147},
  [264] = {.lex_state = 147},
  [265] = {.lex_state = 115},
  [266] = {.lex_state = 115},
  [267] = {.lex_state = 160},
  [268] = {.lex_state = 162},
  [269] = {.lex_state = 162},
  [270] = {.lex_state = 162},
  [271] = {.lex_state = 160},
  [272] = {.lex_state = 162},
  [273] = {.lex_state = 147},
  [274] = {.lex_state = 125},
  [275] = {.lex_state = 160},
  [276] = {.lex_state = 147},
  [277] = {.lex_state = 147},
  [278] = {.lex_state = 160},
  [279] = {.lex_state = 125},
  [280] = {.lex_state = 160},
  [281] = {.lex_state = 125},
  [282] = {.lex_state = 160},
  [283] = {.lex_state = 125},
  [284] = {.lex_state = 115},
  [285] = {.lex_state = 115},
  [286] = {.lex_state = 115},
  [287] = {.lex_state = 162},
  [288] = {.lex_state = 162},
  [289] = {.lex_state = 115},
  [290] = {.lex_state = 160},
  [291] = {.lex_state = 147},
  [292] = {.lex_state = 147},
  [293] = {.lex_state = 147},
  [294] = {.lex_state = 125},
  [295] = {.lex_state = 147},
  [296] = {.lex_state = 160},
  [297] = {.lex_state = 157},
  [298] = {.lex_state = 125},
  [299] = {.lex_state = 115},
  [300] = {.lex_state = 125},
  [301] = {.lex_state = 115},
  [302] = {.lex_state = 125},
  [303] = {.lex_state = 125},
  [304] = {.lex_state = 125},
  [305] = {.lex_state = 115},
  [306] = {.lex_state = 125},
  [307] = {.lex_state = 147},
  [308] = {.lex_state = 115},
  [309] = {.lex_state = 160},
  [310] = {.lex_state = 149},
  [311] = {.lex_state = 162},
  [312] = {.lex_state = 158},
  [313] = {.lex_state = 125},
  [314] = {.lex_state = 162},
  [315] = {.lex_state = 158},
  [316] = {.lex_state = 176},
  [317] = {.lex_state = 125},
  [318] = {.lex_state = 115},
  [319] = {.lex_state = 125},
  [320] = {.lex_state = 149},
  [321] = {.lex_state = 125},
  [322] = {.lex_state = 115},
  [323] = {.lex_state = 115},
  [324] = {.lex_state = 115},
  [325] = {.lex_state = 149},
  [326] = {.lex_state = 150},
  [327] = {.lex_state = 150},
  [328] = {.lex_state = 150},
  [329] = {.lex_state = 150},
  [330] = {.lex_state = 125},
  [331] = {.lex_state = 147},
  [332] = {.lex_state = 172},
  [333] = {.lex_state = 115},
  [334] = {.lex_state = 160},
  [335] = {.lex_state = 160},
  [336] = {.lex_state = 125},
  [337] = {.lex_state = 160},
  [338] = {.lex_state = 147},
  [339] = {.lex_state = 125},
  [340] = {.lex_state = 115},
  [341] = {.lex_state = 160},
  [342] = {.lex_state = 115},
  [343] = {.lex_state = 125},
  [344] = {.lex_state = 125},
  [345] = {.lex_state = 125},
  [346] = {.lex_state = 149},
  [347] = {.lex_state = 149},
  [348] = {.lex_state = 149},
  [349] = {.lex_state = 125},
  [350] = {.lex_state = 115},
  [351] = {.lex_state = 115},
  [352] = {.lex_state = 149},
  [353] = {.lex_state = 163},
  [354] = {.lex_state = 115},
  [355] = {.lex_state = 147},
  [356] = {.lex_state = 125},
  [357] = {.lex_state = 147},
  [358] = {.lex_state = 147},
  [359] = {.lex_state = 125},
  [360] = {.lex_state = 160},
  [361] = {.lex_state = 157},
  [362] = {.lex_state = 125},
  [363] = {.lex_state = 147},
  [364] = {.lex_state = 162},
  [365] = {.lex_state = 147},
  [366] = {.lex_state = 147},
  [367] = {.lex_state = 147},
  [368] = {.lex_state = 125},
  [369] = {.lex_state = 177},
  [370] = {.lex_state = 157},
  [371] = {.lex_state = 125},
  [372] = {.lex_state = 125},
  [373] = {.lex_state = 125},
  [374] = {.lex_state = 163},
  [375] = {.lex_state = 125},
  [376] = {.lex_state = 125},
  [377] = {.lex_state = 160},
  [378] = {.lex_state = 160},
  [379] = {.lex_state = 160},
  [380] = {.lex_state = 160},
  [381] = {.lex_state = 125},
  [382] = {.lex_state = 147},
  [383] = {.lex_state = 147},
  [384] = {.lex_state = 147},
  [385] = {.lex_state = 125},
  [386] = {.lex_state = 169},
  [387] = {.lex_state = 157},
  [388] = {.lex_state = 125},
  [389] = {.lex_state = 160},
  [390] = {.lex_state = 160},
  [391] = {.lex_state = 125},
  [392] = {.lex_state = 125},
  [393] = {.lex_state = 163},
  [394] = {.lex_state = 125},
  [395] = {.lex_state = 115},
  [396] = {.lex_state = 178},
  [397] = {.lex_state = 172},
  [398] = {.lex_state = 125},
  [399] = {.lex_state = 125},
  [400] = {.lex_state = 150},
  [401] = {.lex_state = 125},
  [402] = {.lex_state = 115},
  [403] = {.lex_state = 147},
  [404] = {.lex_state = 115},
  [405] = {.lex_state = 147},
  [406] = {.lex_state = 115},
  [407] = {.lex_state = 158},
  [408] = {.lex_state = 147},
  [409] = {.lex_state = 150},
  [410] = {.lex_state = 157},
  [411] = {.lex_state = 125},
  [412] = {.lex_state = 157},
  [413] = {.lex_state = 147},
  [414] = {.lex_state = 115},
  [415] = {.lex_state = 160},
  [416] = {.lex_state = 160},
  [417] = {.lex_state = 160},
  [418] = {.lex_state = 147},
  [419] = {.lex_state = 157},
  [420] = {.lex_state = 125},
  [421] = {.lex_state = 147},
  [422] = {.lex_state = 160},
  [423] = {.lex_state = 160},
  [424] = {.lex_state = 160},
  [425] = {.lex_state = 160},
  [426] = {.lex_state = 169},
  [427] = {.lex_state = 160},
  [428] = {.lex_state = 160},
  [429] = {.lex_state = 125},
  [430] = {.lex_state = 150},
  [431] = {.lex_state = 150},
  [432] = {.lex_state = 125},
  [433] = {.lex_state = 147},
  [434] = {.lex_state = 150},
  [435] = {.lex_state = 157},
  [436] = {.lex_state = 147},
  [437] = {.lex_state = 157},
  [438] = {.lex_state = 115},
  [439] = {.lex_state = 174},
  [440] = {.lex_state = 150},
  [441] = {.lex_state = 157},
  [442] = {.lex_state = 147},
  [443] = {.lex_state = 147},
  [444] = {.lex_state = 147},
  [445] = {.lex_state = 147},
  [446] = {.lex_state = 157},
  [447] = {.lex_state = 147},
  [448] = {.lex_state = 115},
  [449] = {.lex_state = 147},
  [450] = {.lex_state = 147},
  [451] = {.lex_state = 125},
  [452] = {.lex_state = 150},
  [453] = {.lex_state = 147},
  [454] = {.lex_state = 150},
  [455] = {.lex_state = 169},
  [456] = {.lex_state = 169},
  [457] = {.lex_state = 169},
  [458] = {.lex_state = 169},
  [459] = {.lex_state = 169},
  [460] = {.lex_state = 169},
  [461] = {.lex_state = 169},
  [462] = {.lex_state = 169},
  [463] = {.lex_state = 160},
  [464] = {.lex_state = 169},
  [465] = {.lex_state = 169},
  [466] = {.lex_state = 115},
  [467] = {.lex_state = 160},
  [468] = {.lex_state = 149},
  [469] = {.lex_state = 149},
  [470] = {.lex_state = 160},
  [471] = {.lex_state = 147},
  [472] = {.lex_state = 115},
  [473] = {.lex_state = 125},
  [474] = {.lex_state = 125},
  [475] = {.lex_state = 158},
  [476] = {.lex_state = 115},
  [477] = {.lex_state = 147},
  [478] = {.lex_state = 147},
  [479] = {.lex_state = 125},
  [480] = {.lex_state = 115},
  [481] = {.lex_state = 125},
  [482] = {.lex_state = 160},
  [483] = {.lex_state = 115},
  [484] = {.lex_state = 115},
  [485] = {.lex_state = 160},
  [486] = {.lex_state = 147},
  [487] = {.lex_state = 115},
  [488] = {.lex_state = 125},
  [489] = {.lex_state = 125},
  [490] = {.lex_state = 147},
  [491] = {.lex_state = 115},
  [492] = {.lex_state = 115},
  [493] = {.lex_state = 125},
  [494] = {.lex_state = 125},
  [495] = {.lex_state = 125},
  [496] = {.lex_state = 125},
  [497] = {.lex_state = 125},
  [498] = {.lex_state = 147},
  [499] = {.lex_state = 115},
  [500] = {.lex_state = 147},
  [501] = {.lex_state = 125},
  [502] = {.lex_state = 125},
  [503] = {.lex_state = 125},
  [504] = {.lex_state = 162},
  [505] = {.lex_state = 162},
  [506] = {.lex_state = 125},
  [507] = {.lex_state = 162},
  [508] = {.lex_state = 162},
  [509] = {.lex_state = 115},
  [510] = {.lex_state = 115},
  [511] = {.lex_state = 150},
  [512] = {.lex_state = 125},
  [513] = {.lex_state = 125},
  [514] = {.lex_state = 125},
  [515] = {.lex_state = 125},
  [516] = {.lex_state = 147},
  [517] = {.lex_state = 160},
  [518] = {.lex_state = 147},
  [519] = {.lex_state = 147},
  [520] = {.lex_state = 147},
  [521] = {.lex_state = 147},
  [522] = {.lex_state = 147},
  [523] = {.lex_state = 147},
  [524] = {.lex_state = 147},
  [525] = {.lex_state = 147},
  [526] = {.lex_state = 147},
  [527] = {.lex_state = 147},
  [528] = {.lex_state = 147},
  [529] = {.lex_state = 158},
  [530] = {.lex_state = 158},
  [531] = {.lex_state = 125},
  [532] = {.lex_state = 125},
  [533] = {.lex_state = 173},
  [534] = {.lex_state = 176},
  [535] = {.lex_state = 157},
  [536] = {.lex_state = 147},
  [537] = {.lex_state = 179},
  [538] = {.lex_state = 147},
  [539] = {.lex_state = 147},
  [540] = {.lex_state = 147},
  [541] = {.lex_state = 150},
  [542] = {.lex_state = 179},
  [543] = {.lex_state = 173},
  [544] = {.lex_state = 149},
  [545] = {.lex_state = 162},
  [546] = {.lex_state = 115},
  [547] = {.lex_state = 115},
  [548] = {.lex_state = 115},
  [549] = {.lex_state = 115},
  [550] = {.lex_state = 149},
  [551] = {.lex_state = 125},
  [552] = {.lex_state = 162},
  [553] = {.lex_state = 158},
  [554] = {.lex_state = 115},
  [555] = {.lex_state = 158},
  [556] = {.lex_state = 115},
  [557] = {.lex_state = 158},
  [558] = {.lex_state = 149},
  [559] = {.lex_state = 149},
  [560] = {.lex_state = 176},
  [561] = {.lex_state = 149},
  [562] = {.lex_state = 149},
  [563] = {.lex_state = 176},
  [564] = {.lex_state = 125},
  [565] = {.lex_state = 115},
  [566] = {.lex_state = 147},
  [567] = {.lex_state = 160},
  [568] = {.lex_state = 125},
  [569] = {.lex_state = 176},
  [570] = {.lex_state = 150},
  [571] = {.lex_state = 150},
  [572] = {.lex_state = 125},
  [573] = {.lex_state = 180},
  [574] = {.lex_state = 149},
  [575] = {.lex_state = 125},
  [576] = {.lex_state = 125},
  [577] = {.lex_state = 115},
  [578] = {.lex_state = 125},
  [579] = {.lex_state = 115},
  [580] = {.lex_state = 149},
  [581] = {.lex_state = 149},
  [582] = {.lex_state = 115},
  [583] = {.lex_state = 160},
  [584] = {.lex_state = 125},
  [585] = {.lex_state = 115},
  [586] = {.lex_state = 115},
  [587] = {.lex_state = 149},
  [588] = {.lex_state = 125},
  [589] = {.lex_state = 150},
  [590] = {.lex_state = 150},
  [591] = {.lex_state = 125},
  [592] = {.lex_state = 150},
  [593] = {.lex_state = 150},
  [594] = {.lex_state = 150},
  [595] = {.lex_state = 150},
  [596] = {.lex_state = 125},
  [597] = {.lex_state = 182},
  [598] = {.lex_state = 147},
  [599] = {.lex_state = 177},
  [600] = {.lex_state = 176},
  [601] = {.lex_state = 125},
  [602] = {.lex_state = 172},
  [603] = {.lex_state = 125},
  [604] = {.lex_state = 160},
  [605] = {.lex_state = 147},
  [606] = {.lex_state = 125},
  [607] = {.lex_state = 160},
  [608] = {.lex_state = 172},
  [609] = {.lex_state = 160},
  [610] = {.lex_state = 182},
  [611] = {.lex_state = 147},
  [612] = {.lex_state = 150},
  [613] = {.lex_state = 125},
  [614] = {.lex_state = 147},
  [615] = {.lex_state = 147},
  [616] = {.lex_state = 149},
  [617] = {.lex_state = 149},
  [618] = {.lex_state = 125},
  [619] = {.lex_state = 115},
  [620] = {.lex_state = 149},
  [621] = {.lex_state = 149},
  [622] = {.lex_state = 149},
  [623] = {.lex_state = 125},
  [624] = {.lex_state = 125},
  [625] = {.lex_state = 149},
  [626] = {.lex_state = 149},
  [627] = {.lex_state = 115},
  [628] = {.lex_state = 115},
  [629] = {.lex_state = 149},
  [630] = {.lex_state = 147},
  [631] = {.lex_state = 115},
  [632] = {.lex_state = 150},
  [633] = {.lex_state = 125},
  [634] = {.lex_state = 125},
  [635] = {.lex_state = 125},
  [636] = {.lex_state = 125},
  [637] = {.lex_state = 147},
  [638] = {.lex_state = 147},
  [639] = {.lex_state = 147},
  [640] = {.lex_state = 147},
  [641] = {.lex_state = 147},
  [642] = {.lex_state = 147},
  [643] = {.lex_state = 147},
  [644] = {.lex_state = 147},
  [645] = {.lex_state = 147},
  [646] = {.lex_state = 147},
  [647] = {.lex_state = 125},
  [648] = {.lex_state = 150},
  [649] = {.lex_state = 125},
  [650] = {.lex_state = 125},
  [651] = {.lex_state = 125},
  [652] = {.lex_state = 125},
  [653] = {.lex_state = 147},
  [654] = {.lex_state = 147},
  [655] = {.lex_state = 147},
  [656] = {.lex_state = 147},
  [657] = {.lex_state = 147},
  [658] = {.lex_state = 147},
  [659] = {.lex_state = 163},
  [660] = {.lex_state = 147},
  [661] = {.lex_state = 147},
  [662] = {.lex_state = 115},
  [663] = {.lex_state = 125},
  [664] = {.lex_state = 125},
  [665] = {.lex_state = 125},
  [666] = {.lex_state = 125},
  [667] = {.lex_state = 150},
  [668] = {.lex_state = 125},
  [669] = {.lex_state = 150},
  [670] = {.lex_state = 125},
  [671] = {.lex_state = 125},
  [672] = {.lex_state = 125},
  [673] = {.lex_state = 125},
  [674] = {.lex_state = 147},
  [675] = {.lex_state = 147},
  [676] = {.lex_state = 147},
  [677] = {.lex_state = 147},
  [678] = {.lex_state = 147},
  [679] = {.lex_state = 147},
  [680] = {.lex_state = 147},
  [681] = {.lex_state = 147},
  [682] = {.lex_state = 147},
  [683] = {.lex_state = 125},
  [684] = {.lex_state = 178},
  [685] = {.lex_state = 150},
  [686] = {.lex_state = 115},
  [687] = {.lex_state = 115},
  [688] = {.lex_state = 149},
  [689] = {.lex_state = 115},
  [690] = {.lex_state = 160},
  [691] = {.lex_state = 162},
  [692] = {.lex_state = 147},
  [693] = {.lex_state = 157},
  [694] = {.lex_state = 125},
  [695] = {.lex_state = 147},
  [696] = {.lex_state = 147},
  [697] = {.lex_state = 125},
  [698] = {.lex_state = 160},
  [699] = {.lex_state = 160},
  [700] = {.lex_state = 147},
  [701] = {.lex_state = 150},
  [702] = {.lex_state = 150},
  [703] = {.lex_state = 125},
  [704] = {.lex_state = 157},
  [705] = {.lex_state = 147},
  [706] = {.lex_state = 147},
  [707] = {.lex_state = 150},
  [708] = {.lex_state = 125},
  [709] = {.lex_state = 147},
  [710] = {.lex_state = 125},
  [711] = {.lex_state = 157},
  [712] = {.lex_state = 147},
  [713] = {.lex_state = 147},
  [714] = {.lex_state = 115},
  [715] = {.lex_state = 150},
  [716] = {.lex_state = 147},
  [717] = {.lex_state = 169},
  [718] = {.lex_state = 169},
  [719] = {.lex_state = 147},
  [720] = {.lex_state = 162},
  [721] = {.lex_state = 149},
  [722] = {.lex_state = 162},
  [723] = {.lex_state = 115},
  [724] = {.lex_state = 149},
  [725] = {.lex_state = 115},
  [726] = {.lex_state = 147},
  [727] = {.lex_state = 160},
  [728] = {.lex_state = 147},
  [729] = {.lex_state = 158},
  [730] = {.lex_state = 125},
  [731] = {.lex_state = 158},
  [732] = {.lex_state = 147},
  [733] = {.lex_state = 147},
  [734] = {.lex_state = 160},
  [735] = {.lex_state = 147},
  [736] = {.lex_state = 125},
  [737] = {.lex_state = 115},
  [738] = {.lex_state = 115},
  [739] = {.lex_state = 115},
  [740] = {.lex_state = 147},
  [741] = {.lex_state = 160},
  [742] = {.lex_state = 147},
  [743] = {.lex_state = 158},
  [744] = {.lex_state = 125},
  [745] = {.lex_state = 160},
  [746] = {.lex_state = 162},
  [747] = {.lex_state = 162},
  [748] = {.lex_state = 125},
  [749] = {.lex_state = 125},
  [750] = {.lex_state = 125},
  [751] = {.lex_state = 160},
  [752] = {.lex_state = 115},
  [753] = {.lex_state = 147},
  [754] = {.lex_state = 147},
  [755] = {.lex_state = 147},
  [756] = {.lex_state = 125},
  [757] = {.lex_state = 147},
  [758] = {.lex_state = 125},
  [759] = {.lex_state = 162},
  [760] = {.lex_state = 147},
  [761] = {.lex_state = 115},
  [762] = {.lex_state = 125},
  [763] = {.lex_state = 125},
  [764] = {.lex_state = 115},
  [765] = {.lex_state = 115},
  [766] = {.lex_state = 115},
  [767] = {.lex_state = 115},
  [768] = {.lex_state = 158},
  [769] = {.lex_state = 115},
  [770] = {.lex_state = 147},
  [771] = {.lex_state = 150},
  [772] = {.lex_state = 160},
  [773] = {.lex_state = 160},
  [774] = {.lex_state = 160},
  [775] = {.lex_state = 115},
  [776] = {.lex_state = 160},
  [777] = {.lex_state = 147},
  [778] = {.lex_state = 160},
  [779] = {.lex_state = 160},
  [780] = {.lex_state = 160},
  [781] = {.lex_state = 160},
  [782] = {.lex_state = 160},
  [783] = {.lex_state = 169},
  [784] = {.lex_state = 147},
  [785] = {.lex_state = 160},
  [786] = {.lex_state = 160},
  [787] = {.lex_state = 160},
  [788] = {.lex_state = 158},
  [789] = {.lex_state = 147},
  [790] = {.lex_state = 158},
  [791] = {.lex_state = 149},
  [792] = {.lex_state = 179},
  [793] = {.lex_state = 176},
  [794] = {.lex_state = 173},
  [795] = {.lex_state = 147},
  [796] = {.lex_state = 173},
  [797] = {.lex_state = 115},
  [798] = {.lex_state = 147},
  [799] = {.lex_state = 162},
  [800] = {.lex_state = 149},
  [801] = {.lex_state = 115},
  [802] = {.lex_state = 158},
  [803] = {.lex_state = 158},
  [804] = {.lex_state = 115},
  [805] = {.lex_state = 158},
  [806] = {.lex_state = 158},
  [807] = {.lex_state = 125},
  [808] = {.lex_state = 149},
  [809] = {.lex_state = 115},
  [810] = {.lex_state = 125},
  [811] = {.lex_state = 162},
  [812] = {.lex_state = 115},
  [813] = {.lex_state = 149},
  [814] = {.lex_state = 149},
  [815] = {.lex_state = 147},
  [816] = {.lex_state = 176},
  [817] = {.lex_state = 149},
  [818] = {.lex_state = 176},
  [819] = {.lex_state = 176},
  [820] = {.lex_state = 176},
  [821] = {.lex_state = 125},
  [822] = {.lex_state = 125},
  [823] = {.lex_state = 147},
  [824] = {.lex_state = 160},
  [825] = {.lex_state = 160},
  [826] = {.lex_state = 149},
  [827] = {.lex_state = 176},
  [828] = {.lex_state = 125},
  [829] = {.lex_state = 150},
  [830] = {.lex_state = 147},
  [831] = {.lex_state = 125},
  [832] = {.lex_state = 150},
  [833] = {.lex_state = 150},
  [834] = {.lex_state = 149},
  [835] = {.lex_state = 147},
  [836] = {.lex_state = 125},
  [837] = {.lex_state = 125},
  [838] = {.lex_state = 125},
  [839] = {.lex_state = 149},
  [840] = {.lex_state = 125},
  [841] = {.lex_state = 149},
  [842] = {.lex_state = 115},
  [843] = {.lex_state = 158},
  [844] = {.lex_state = 115},
  [845] = {.lex_state = 115},
  [846] = {.lex_state = 149},
  [847] = {.lex_state = 149},
  [848] = {.lex_state = 115},
  [849] = {.lex_state = 125},
  [850] = {.lex_state = 115},
  [851] = {.lex_state = 149},
  [852] = {.lex_state = 180},
  [853] = {.lex_state = 149},
  [854] = {.lex_state = 160},
  [855] = {.lex_state = 160},
  [856] = {.lex_state = 115},
  [857] = {.lex_state = 149},
  [858] = {.lex_state = 150},
  [859] = {.lex_state = 125},
  [860] = {.lex_state = 150},
  [861] = {.lex_state = 150},
  [862] = {.lex_state = 150},
  [863] = {.lex_state = 150},
  [864] = {.lex_state = 150},
  [865] = {.lex_state = 125},
  [866] = {.lex_state = 182},
  [867] = {.lex_state = 125},
  [868] = {.lex_state = 147},
  [869] = {.lex_state = 147},
  [870] = {.lex_state = 149},
  [871] = {.lex_state = 147},
  [872] = {.lex_state = 125},
  [873] = {.lex_state = 125},
  [874] = {.lex_state = 183},
  [875] = {.lex_state = 157},
  [876] = {.lex_state = 125},
  [877] = {.lex_state = 176},
  [878] = {.lex_state = 125},
  [879] = {.lex_state = 172},
  [880] = {.lex_state = 160},
  [881] = {.lex_state = 147},
  [882] = {.lex_state = 160},
  [883] = {.lex_state = 177},
  [884] = {.lex_state = 125},
  [885] = {.lex_state = 182},
  [886] = {.lex_state = 147},
  [887] = {.lex_state = 182},
  [888] = {.lex_state = 147},
  [889] = {.lex_state = 158},
  [890] = {.lex_state = 115},
  [891] = {.lex_state = 125},
  [892] = {.lex_state = 115},
  [893] = {.lex_state = 149},
  [894] = {.lex_state = 149},
  [895] = {.lex_state = 125},
  [896] = {.lex_state = 149},
  [897] = {.lex_state = 149},
  [898] = {.lex_state = 149},
  [899] = {.lex_state = 149},
  [900] = {.lex_state = 125},
  [901] = {.lex_state = 147},
  [902] = {.lex_state = 147},
  [903] = {.lex_state = 147},
  [904] = {.lex_state = 150},
  [905] = {.lex_state = 160},
  [906] = {.lex_state = 160},
  [907] = {.lex_state = 160},
  [908] = {.lex_state = 160},
  [909] = {.lex_state = 160},
  [910] = {.lex_state = 160},
  [911] = {.lex_state = 160},
  [912] = {.lex_state = 160},
  [913] = {.lex_state = 169},
  [914] = {.lex_state = 147},
  [915] = {.lex_state = 160},
  [916] = {.lex_state = 160},
  [917] = {.lex_state = 147},
  [918] = {.lex_state = 150},
  [919] = {.lex_state = 177},
  [920] = {.lex_state = 177},
  [921] = {.lex_state = 177},
  [922] = {.lex_state = 177},
  [923] = {.lex_state = 177},
  [924] = {.lex_state = 177},
  [925] = {.lex_state = 177},
  [926] = {.lex_state = 169},
  [927] = {.lex_state = 177},
  [928] = {.lex_state = 177},
  [929] = {.lex_state = 163},
  [930] = {.lex_state = 115},
  [931] = {.lex_state = 147},
  [932] = {.lex_state = 150},
  [933] = {.lex_state = 169},
  [934] = {.lex_state = 169},
  [935] = {.lex_state = 169},
  [936] = {.lex_state = 169},
  [937] = {.lex_state = 169},
  [938] = {.lex_state = 169},
  [939] = {.lex_state = 169},
  [940] = {.lex_state = 169},
  [941] = {.lex_state = 160},
  [942] = {.lex_state = 169},
  [943] = {.lex_state = 169},
  [944] = {.lex_state = 176},
  [945] = {.lex_state = 115},
  [946] = {.lex_state = 115},
  [947] = {.lex_state = 149},
  [948] = {.lex_state = 125},
  [949] = {.lex_state = 125},
  [950] = {.lex_state = 160},
  [951] = {.lex_state = 160},
  [952] = {.lex_state = 160},
  [953] = {.lex_state = 150},
  [954] = {.lex_state = 157},
  [955] = {.lex_state = 160},
  [956] = {.lex_state = 125},
  [957] = {.lex_state = 125},
  [958] = {.lex_state = 125},
  [959] = {.lex_state = 147},
  [960] = {.lex_state = 147},
  [961] = {.lex_state = 169},
  [962] = {.lex_state = 169},
  [963] = {.lex_state = 169},
  [964] = {.lex_state = 162},
  [965] = {.lex_state = 147},
  [966] = {.lex_state = 184},
  [967] = {.lex_state = 115},
  [968] = {.lex_state = 115},
  [969] = {.lex_state = 115},
  [970] = {.lex_state = 115},
  [971] = {.lex_state = 158},
  [972] = {.lex_state = 149},
  [973] = {.lex_state = 115},
  [974] = {.lex_state = 115},
  [975] = {.lex_state = 115},
  [976] = {.lex_state = 115},
  [977] = {.lex_state = 158},
  [978] = {.lex_state = 149},
  [979] = {.lex_state = 115},
  [980] = {.lex_state = 160},
  [981] = {.lex_state = 147},
  [982] = {.lex_state = 160},
  [983] = {.lex_state = 147},
  [984] = {.lex_state = 158},
  [985] = {.lex_state = 115},
  [986] = {.lex_state = 115},
  [987] = {.lex_state = 115},
  [988] = {.lex_state = 115},
  [989] = {.lex_state = 158},
  [990] = {.lex_state = 115},
  [991] = {.lex_state = 115},
  [992] = {.lex_state = 160},
  [993] = {.lex_state = 147},
  [994] = {.lex_state = 160},
  [995] = {.lex_state = 147},
  [996] = {.lex_state = 158},
  [997] = {.lex_state = 115},
  [998] = {.lex_state = 125},
  [999] = {.lex_state = 125},
  [1000] = {.lex_state = 115},
  [1001] = {.lex_state = 147},
  [1002] = {.lex_state = 125},
  [1003] = {.lex_state = 147},
  [1004] = {.lex_state = 147},
  [1005] = {.lex_state = 147},
  [1006] = {.lex_state = 125},
  [1007] = {.lex_state = 160},
  [1008] = {.lex_state = 157},
  [1009] = {.lex_state = 125},
  [1010] = {.lex_state = 147},
  [1011] = {.lex_state = 115},
  [1012] = {.lex_state = 150},
  [1013] = {.lex_state = 147},
  [1014] = {.lex_state = 125},
  [1015] = {.lex_state = 125},
  [1016] = {.lex_state = 125},
  [1017] = {.lex_state = 115},
  [1018] = {.lex_state = 147},
  [1019] = {.lex_state = 115},
  [1020] = {.lex_state = 115},
  [1021] = {.lex_state = 147},
  [1022] = {.lex_state = 147},
  [1023] = {.lex_state = 115},
  [1024] = {.lex_state = 115},
  [1025] = {.lex_state = 147},
  [1026] = {.lex_state = 160},
  [1027] = {.lex_state = 160},
  [1028] = {.lex_state = 115},
  [1029] = {.lex_state = 158},
  [1030] = {.lex_state = 162},
  [1031] = {.lex_state = 115},
  [1032] = {.lex_state = 147},
  [1033] = {.lex_state = 160},
  [1034] = {.lex_state = 147},
  [1035] = {.lex_state = 147},
  [1036] = {.lex_state = 158},
  [1037] = {.lex_state = 160},
  [1038] = {.lex_state = 147},
  [1039] = {.lex_state = 179},
  [1040] = {.lex_state = 176},
  [1041] = {.lex_state = 176},
  [1042] = {.lex_state = 147},
  [1043] = {.lex_state = 125},
  [1044] = {.lex_state = 147},
  [1045] = {.lex_state = 147},
  [1046] = {.lex_state = 162},
  [1047] = {.lex_state = 115},
  [1048] = {.lex_state = 149},
  [1049] = {.lex_state = 158},
  [1050] = {.lex_state = 115},
  [1051] = {.lex_state = 115},
  [1052] = {.lex_state = 147},
  [1053] = {.lex_state = 158},
  [1054] = {.lex_state = 147},
  [1055] = {.lex_state = 115},
  [1056] = {.lex_state = 162},
  [1057] = {.lex_state = 115},
  [1058] = {.lex_state = 149},
  [1059] = {.lex_state = 147},
  [1060] = {.lex_state = 149},
  [1061] = {.lex_state = 176},
  [1062] = {.lex_state = 176},
  [1063] = {.lex_state = 176},
  [1064] = {.lex_state = 147},
  [1065] = {.lex_state = 176},
  [1066] = {.lex_state = 147},
  [1067] = {.lex_state = 147},
  [1068] = {.lex_state = 160},
  [1069] = {.lex_state = 176},
  [1070] = {.lex_state = 150},
  [1071] = {.lex_state = 150},
  [1072] = {.lex_state = 125},
  [1073] = {.lex_state = 150},
  [1074] = {.lex_state = 147},
  [1075] = {.lex_state = 150},
  [1076] = {.lex_state = 150},
  [1077] = {.lex_state = 115},
  [1078] = {.lex_state = 147},
  [1079] = {.lex_state = 157},
  [1080] = {.lex_state = 147},
  [1081] = {.lex_state = 147},
  [1082] = {.lex_state = 147},
  [1083] = {.lex_state = 125},
  [1084] = {.lex_state = 147},
  [1085] = {.lex_state = 115},
  [1086] = {.lex_state = 115},
  [1087] = {.lex_state = 125},
  [1088] = {.lex_state = 149},
  [1089] = {.lex_state = 160},
  [1090] = {.lex_state = 125},
  [1091] = {.lex_state = 158},
  [1092] = {.lex_state = 115},
  [1093] = {.lex_state = 149},
  [1094] = {.lex_state = 158},
  [1095] = {.lex_state = 160},
  [1096] = {.lex_state = 158},
  [1097] = {.lex_state = 149},
  [1098] = {.lex_state = 147},
  [1099] = {.lex_state = 115},
  [1100] = {.lex_state = 147},
  [1101] = {.lex_state = 149},
  [1102] = {.lex_state = 147},
  [1103] = {.lex_state = 149},
  [1104] = {.lex_state = 125},
  [1105] = {.lex_state = 115},
  [1106] = {.lex_state = 115},
  [1107] = {.lex_state = 115},
  [1108] = {.lex_state = 149},
  [1109] = {.lex_state = 160},
  [1110] = {.lex_state = 149},
  [1111] = {.lex_state = 125},
  [1112] = {.lex_state = 150},
  [1113] = {.lex_state = 125},
  [1114] = {.lex_state = 125},
  [1115] = {.lex_state = 125},
  [1116] = {.lex_state = 125},
  [1117] = {.lex_state = 125},
  [1118] = {.lex_state = 147},
  [1119] = {.lex_state = 147},
  [1120] = {.lex_state = 147},
  [1121] = {.lex_state = 147},
  [1122] = {.lex_state = 147},
  [1123] = {.lex_state = 176},
  [1124] = {.lex_state = 147},
  [1125] = {.lex_state = 176},
  [1126] = {.lex_state = 147},
  [1127] = {.lex_state = 147},
  [1128] = {.lex_state = 125},
  [1129] = {.lex_state = 125},
  [1130] = {.lex_state = 125},
  [1131] = {.lex_state = 182},
  [1132] = {.lex_state = 125},
  [1133] = {.lex_state = 182},
  [1134] = {.lex_state = 147},
  [1135] = {.lex_state = 149},
  [1136] = {.lex_state = 158},
  [1137] = {.lex_state = 115},
  [1138] = {.lex_state = 125},
  [1139] = {.lex_state = 147},
  [1140] = {.lex_state = 147},
  [1141] = {.lex_state = 160},
  [1142] = {.lex_state = 160},
  [1143] = {.lex_state = 147},
  [1144] = {.lex_state = 147},
  [1145] = {.lex_state = 177},
  [1146] = {.lex_state = 177},
  [1147] = {.lex_state = 147},
  [1148] = {.lex_state = 147},
  [1149] = {.lex_state = 115},
  [1150] = {.lex_state = 147},
  [1151] = {.lex_state = 169},
  [1152] = {.lex_state = 169},
  [1153] = {.lex_state = 147},
  [1154] = {.lex_state = 149},
  [1155] = {.lex_state = 176},
  [1156] = {.lex_state = 115},
  [1157] = {.lex_state = 149},
  [1158] = {.lex_state = 149},
  [1159] = {.lex_state = 125},
  [1160] = {.lex_state = 125},
  [1161] = {.lex_state = 169},
  [1162] = {.lex_state = 149},
  [1163] = {.lex_state = 147},
  [1164] = {.lex_state = 115},
  [1165] = {.lex_state = 115},
  [1166] = {.lex_state = 147},
  [1167] = {.lex_state = 147},
  [1168] = {.lex_state = 115},
  [1169] = {.lex_state = 162},
  [1170] = {.lex_state = 149},
  [1171] = {.lex_state = 147},
  [1172] = {.lex_state = 115},
  [1173] = {.lex_state = 115},
  [1174] = {.lex_state = 147},
  [1175] = {.lex_state = 147},
  [1176] = {.lex_state = 115},
  [1177] = {.lex_state = 115},
  [1178] = {.lex_state = 158},
  [1179] = {.lex_state = 115},
  [1180] = {.lex_state = 147},
  [1181] = {.lex_state = 160},
  [1182] = {.lex_state = 147},
  [1183] = {.lex_state = 160},
  [1184] = {.lex_state = 147},
  [1185] = {.lex_state = 147},
  [1186] = {.lex_state = 115},
  [1187] = {.lex_state = 115},
  [1188] = {.lex_state = 147},
  [1189] = {.lex_state = 147},
  [1190] = {.lex_state = 115},
  [1191] = {.lex_state = 115},
  [1192] = {.lex_state = 158},
  [1193] = {.lex_state = 115},
  [1194] = {.lex_state = 147},
  [1195] = {.lex_state = 160},
  [1196] = {.lex_state = 147},
  [1197] = {.lex_state = 160},
  [1198] = {.lex_state = 147},
  [1199] = {.lex_state = 162},
  [1200] = {.lex_state = 125},
  [1201] = {.lex_state = 125},
  [1202] = {.lex_state = 150},
  [1203] = {.lex_state = 125},
  [1204] = {.lex_state = 125},
  [1205] = {.lex_state = 125},
  [1206] = {.lex_state = 125},
  [1207] = {.lex_state = 147},
  [1208] = {.lex_state = 147},
  [1209] = {.lex_state = 147},
  [1210] = {.lex_state = 147},
  [1211] = {.lex_state = 147},
  [1212] = {.lex_state = 147},
  [1213] = {.lex_state = 147},
  [1214] = {.lex_state = 147},
  [1215] = {.lex_state = 160},
  [1216] = {.lex_state = 162},
  [1217] = {.lex_state = 150},
  [1218] = {.lex_state = 125},
  [1219] = {.lex_state = 125},
  [1220] = {.lex_state = 125},
  [1221] = {.lex_state = 125},
  [1222] = {.lex_state = 125},
  [1223] = {.lex_state = 147},
  [1224] = {.lex_state = 160},
  [1225] = {.lex_state = 115},
  [1226] = {.lex_state = 115},
  [1227] = {.lex_state = 160},
  [1228] = {.lex_state = 147},
  [1229] = {.lex_state = 115},
  [1230] = {.lex_state = 125},
  [1231] = {.lex_state = 125},
  [1232] = {.lex_state = 162},
  [1233] = {.lex_state = 160},
  [1234] = {.lex_state = 160},
  [1235] = {.lex_state = 162},
  [1236] = {.lex_state = 115},
  [1237] = {.lex_state = 147},
  [1238] = {.lex_state = 160},
  [1239] = {.lex_state = 160},
  [1240] = {.lex_state = 115},
  [1241] = {.lex_state = 160},
  [1242] = {.lex_state = 179},
  [1243] = {.lex_state = 176},
  [1244] = {.lex_state = 176},
  [1245] = {.lex_state = 176},
  [1246] = {.lex_state = 158},
  [1247] = {.lex_state = 149},
  [1248] = {.lex_state = 158},
  [1249] = {.lex_state = 158},
  [1250] = {.lex_state = 147},
  [1251] = {.lex_state = 147},
  [1252] = {.lex_state = 158},
  [1253] = {.lex_state = 162},
  [1254] = {.lex_state = 176},
  [1255] = {.lex_state = 149},
  [1256] = {.lex_state = 149},
  [1257] = {.lex_state = 125},
  [1258] = {.lex_state = 147},
  [1259] = {.lex_state = 176},
  [1260] = {.lex_state = 125},
  [1261] = {.lex_state = 150},
  [1262] = {.lex_state = 150},
  [1263] = {.lex_state = 150},
  [1264] = {.lex_state = 115},
  [1265] = {.lex_state = 147},
  [1266] = {.lex_state = 157},
  [1267] = {.lex_state = 147},
  [1268] = {.lex_state = 147},
  [1269] = {.lex_state = 147},
  [1270] = {.lex_state = 147},
  [1271] = {.lex_state = 125},
  [1272] = {.lex_state = 147},
  [1273] = {.lex_state = 115},
  [1274] = {.lex_state = 115},
  [1275] = {.lex_state = 147},
  [1276] = {.lex_state = 125},
  [1277] = {.lex_state = 115},
  [1278] = {.lex_state = 149},
  [1279] = {.lex_state = 149},
  [1280] = {.lex_state = 125},
  [1281] = {.lex_state = 125},
  [1282] = {.lex_state = 125},
  [1283] = {.lex_state = 147},
  [1284] = {.lex_state = 160},
  [1285] = {.lex_state = 147},
  [1286] = {.lex_state = 147},
  [1287] = {.lex_state = 147},
  [1288] = {.lex_state = 147},
  [1289] = {.lex_state = 160},
  [1290] = {.lex_state = 147},
  [1291] = {.lex_state = 125},
  [1292] = {.lex_state = 149},
  [1293] = {.lex_state = 149},
  [1294] = {.lex_state = 147},
  [1295] = {.lex_state = 150},
  [1296] = {.lex_state = 183},
  [1297] = {.lex_state = 183},
  [1298] = {.lex_state = 183},
  [1299] = {.lex_state = 183},
  [1300] = {.lex_state = 183},
  [1301] = {.lex_state = 183},
  [1302] = {.lex_state = 183},
  [1303] = {.lex_state = 125},
  [1304] = {.lex_state = 183},
  [1305] = {.lex_state = 176},
  [1306] = {.lex_state = 169},
  [1307] = {.lex_state = 176},
  [1308] = {.lex_state = 176},
  [1309] = {.lex_state = 183},
  [1310] = {.lex_state = 183},
  [1311] = {.lex_state = 125},
  [1312] = {.lex_state = 125},
  [1313] = {.lex_state = 158},
  [1314] = {.lex_state = 147},
  [1315] = {.lex_state = 149},
  [1316] = {.lex_state = 125},
  [1317] = {.lex_state = 160},
  [1318] = {.lex_state = 160},
  [1319] = {.lex_state = 160},
  [1320] = {.lex_state = 177},
  [1321] = {.lex_state = 177},
  [1322] = {.lex_state = 177},
  [1323] = {.lex_state = 147},
  [1324] = {.lex_state = 147},
  [1325] = {.lex_state = 169},
  [1326] = {.lex_state = 169},
  [1327] = {.lex_state = 169},
  [1328] = {.lex_state = 176},
  [1329] = {.lex_state = 149},
  [1330] = {.lex_state = 162},
  [1331] = {.lex_state = 149},
  [1332] = {.lex_state = 160},
  [1333] = {.lex_state = 149},
  [1334] = {.lex_state = 149},
  [1335] = {.lex_state = 160},
  [1336] = {.lex_state = 147},
  [1337] = {.lex_state = 115},
  [1338] = {.lex_state = 125},
  [1339] = {.lex_state = 125},
  [1340] = {.lex_state = 160},
  [1341] = {.lex_state = 149},
  [1342] = {.lex_state = 149},
  [1343] = {.lex_state = 160},
  [1344] = {.lex_state = 147},
  [1345] = {.lex_state = 115},
  [1346] = {.lex_state = 125},
  [1347] = {.lex_state = 125},
  [1348] = {.lex_state = 115},
  [1349] = {.lex_state = 147},
  [1350] = {.lex_state = 160},
  [1351] = {.lex_state = 115},
  [1352] = {.lex_state = 160},
  [1353] = {.lex_state = 160},
  [1354] = {.lex_state = 115},
  [1355] = {.lex_state = 115},
  [1356] = {.lex_state = 160},
  [1357] = {.lex_state = 147},
  [1358] = {.lex_state = 115},
  [1359] = {.lex_state = 125},
  [1360] = {.lex_state = 125},
  [1361] = {.lex_state = 115},
  [1362] = {.lex_state = 147},
  [1363] = {.lex_state = 160},
  [1364] = {.lex_state = 115},
  [1365] = {.lex_state = 160},
  [1366] = {.lex_state = 147},
  [1367] = {.lex_state = 150},
  [1368] = {.lex_state = 160},
  [1369] = {.lex_state = 160},
  [1370] = {.lex_state = 160},
  [1371] = {.lex_state = 160},
  [1372] = {.lex_state = 160},
  [1373] = {.lex_state = 160},
  [1374] = {.lex_state = 160},
  [1375] = {.lex_state = 169},
  [1376] = {.lex_state = 160},
  [1377] = {.lex_state = 160},
  [1378] = {.lex_state = 150},
  [1379] = {.lex_state = 125},
  [1380] = {.lex_state = 115},
  [1381] = {.lex_state = 115},
  [1382] = {.lex_state = 115},
  [1383] = {.lex_state = 147},
  [1384] = {.lex_state = 160},
  [1385] = {.lex_state = 147},
  [1386] = {.lex_state = 158},
  [1387] = {.lex_state = 125},
  [1388] = {.lex_state = 162},
  [1389] = {.lex_state = 115},
  [1390] = {.lex_state = 147},
  [1391] = {.lex_state = 162},
  [1392] = {.lex_state = 115},
  [1393] = {.lex_state = 179},
  [1394] = {.lex_state = 147},
  [1395] = {.lex_state = 149},
  [1396] = {.lex_state = 147},
  [1397] = {.lex_state = 115},
  [1398] = {.lex_state = 147},
  [1399] = {.lex_state = 176},
  [1400] = {.lex_state = 149},
  [1401] = {.lex_state = 176},
  [1402] = {.lex_state = 149},
  [1403] = {.lex_state = 150},
  [1404] = {.lex_state = 150},
  [1405] = {.lex_state = 150},
  [1406] = {.lex_state = 115},
  [1407] = {.lex_state = 157},
  [1408] = {.lex_state = 147},
  [1409] = {.lex_state = 147},
  [1410] = {.lex_state = 147},
  [1411] = {.lex_state = 125},
  [1412] = {.lex_state = 147},
  [1413] = {.lex_state = 147},
  [1414] = {.lex_state = 115},
  [1415] = {.lex_state = 115},
  [1416] = {.lex_state = 147},
  [1417] = {.lex_state = 125},
  [1418] = {.lex_state = 115},
  [1419] = {.lex_state = 147},
  [1420] = {.lex_state = 149},
  [1421] = {.lex_state = 115},
  [1422] = {.lex_state = 147},
  [1423] = {.lex_state = 147},
  [1424] = {.lex_state = 115},
  [1425] = {.lex_state = 160},
  [1426] = {.lex_state = 160},
  [1427] = {.lex_state = 147},
  [1428] = {.lex_state = 147},
  [1429] = {.lex_state = 147},
  [1430] = {.lex_state = 147},
  [1431] = {.lex_state = 147},
  [1432] = {.lex_state = 160},
  [1433] = {.lex_state = 125},
  [1434] = {.lex_state = 147},
  [1435] = {.lex_state = 160},
  [1436] = {.lex_state = 147},
  [1437] = {.lex_state = 183},
  [1438] = {.lex_state = 183},
  [1439] = {.lex_state = 147},
  [1440] = {.lex_state = 125},
  [1441] = {.lex_state = 147},
  [1442] = {.lex_state = 147},
  [1443] = {.lex_state = 149},
  [1444] = {.lex_state = 115},
  [1445] = {.lex_state = 115},
  [1446] = {.lex_state = 158},
  [1447] = {.lex_state = 158},
  [1448] = {.lex_state = 125},
  [1449] = {.lex_state = 147},
  [1450] = {.lex_state = 176},
  [1451] = {.lex_state = 115},
  [1452] = {.lex_state = 149},
  [1453] = {.lex_state = 115},
  [1454] = {.lex_state = 147},
  [1455] = {.lex_state = 160},
  [1456] = {.lex_state = 147},
  [1457] = {.lex_state = 158},
  [1458] = {.lex_state = 125},
  [1459] = {.lex_state = 115},
  [1460] = {.lex_state = 149},
  [1461] = {.lex_state = 115},
  [1462] = {.lex_state = 147},
  [1463] = {.lex_state = 160},
  [1464] = {.lex_state = 147},
  [1465] = {.lex_state = 158},
  [1466] = {.lex_state = 125},
  [1467] = {.lex_state = 115},
  [1468] = {.lex_state = 147},
  [1469] = {.lex_state = 115},
  [1470] = {.lex_state = 115},
  [1471] = {.lex_state = 115},
  [1472] = {.lex_state = 115},
  [1473] = {.lex_state = 147},
  [1474] = {.lex_state = 160},
  [1475] = {.lex_state = 147},
  [1476] = {.lex_state = 158},
  [1477] = {.lex_state = 125},
  [1478] = {.lex_state = 115},
  [1479] = {.lex_state = 147},
  [1480] = {.lex_state = 115},
  [1481] = {.lex_state = 147},
  [1482] = {.lex_state = 160},
  [1483] = {.lex_state = 160},
  [1484] = {.lex_state = 147},
  [1485] = {.lex_state = 115},
  [1486] = {.lex_state = 115},
  [1487] = {.lex_state = 160},
  [1488] = {.lex_state = 147},
  [1489] = {.lex_state = 160},
  [1490] = {.lex_state = 147},
  [1491] = {.lex_state = 158},
  [1492] = {.lex_state = 162},
  [1493] = {.lex_state = 115},
  [1494] = {.lex_state = 162},
  [1495] = {.lex_state = 149},
  [1496] = {.lex_state = 158},
  [1497] = {.lex_state = 147},
  [1498] = {.lex_state = 176},
  [1499] = {.lex_state = 149},
  [1500] = {.lex_state = 115},
  [1501] = {.lex_state = 147},
  [1502] = {.lex_state = 147},
  [1503] = {.lex_state = 125},
  [1504] = {.lex_state = 147},
  [1505] = {.lex_state = 149},
  [1506] = {.lex_state = 115},
  [1507] = {.lex_state = 147},
  [1508] = {.lex_state = 115},
  [1509] = {.lex_state = 147},
  [1510] = {.lex_state = 160},
  [1511] = {.lex_state = 115},
  [1512] = {.lex_state = 160},
  [1513] = {.lex_state = 147},
  [1514] = {.lex_state = 147},
  [1515] = {.lex_state = 147},
  [1516] = {.lex_state = 160},
  [1517] = {.lex_state = 147},
  [1518] = {.lex_state = 183},
  [1519] = {.lex_state = 183},
  [1520] = {.lex_state = 183},
  [1521] = {.lex_state = 115},
  [1522] = {.lex_state = 149},
  [1523] = {.lex_state = 115},
  [1524] = {.lex_state = 158},
  [1525] = {.lex_state = 115},
  [1526] = {.lex_state = 125},
  [1527] = {.lex_state = 149},
  [1528] = {.lex_state = 115},
  [1529] = {.lex_state = 115},
  [1530] = {.lex_state = 115},
  [1531] = {.lex_state = 115},
  [1532] = {.lex_state = 158},
  [1533] = {.lex_state = 149},
  [1534] = {.lex_state = 115},
  [1535] = {.lex_state = 160},
  [1536] = {.lex_state = 147},
  [1537] = {.lex_state = 160},
  [1538] = {.lex_state = 147},
  [1539] = {.lex_state = 158},
  [1540] = {.lex_state = 149},
  [1541] = {.lex_state = 115},
  [1542] = {.lex_state = 160},
  [1543] = {.lex_state = 147},
  [1544] = {.lex_state = 160},
  [1545] = {.lex_state = 147},
  [1546] = {.lex_state = 158},
  [1547] = {.lex_state = 115},
  [1548] = {.lex_state = 115},
  [1549] = {.lex_state = 115},
  [1550] = {.lex_state = 160},
  [1551] = {.lex_state = 147},
  [1552] = {.lex_state = 160},
  [1553] = {.lex_state = 147},
  [1554] = {.lex_state = 158},
  [1555] = {.lex_state = 115},
  [1556] = {.lex_state = 160},
  [1557] = {.lex_state = 160},
  [1558] = {.lex_state = 160},
  [1559] = {.lex_state = 115},
  [1560] = {.lex_state = 158},
  [1561] = {.lex_state = 115},
  [1562] = {.lex_state = 147},
  [1563] = {.lex_state = 160},
  [1564] = {.lex_state = 147},
  [1565] = {.lex_state = 160},
  [1566] = {.lex_state = 147},
  [1567] = {.lex_state = 162},
  [1568] = {.lex_state = 115},
  [1569] = {.lex_state = 147},
  [1570] = {.lex_state = 147},
  [1571] = {.lex_state = 149},
  [1572] = {.lex_state = 115},
  [1573] = {.lex_state = 147},
  [1574] = {.lex_state = 147},
  [1575] = {.lex_state = 115},
  [1576] = {.lex_state = 160},
  [1577] = {.lex_state = 147},
  [1578] = {.lex_state = 147},
  [1579] = {.lex_state = 149},
  [1580] = {.lex_state = 115},
  [1581] = {.lex_state = 149},
  [1582] = {.lex_state = 147},
  [1583] = {.lex_state = 115},
  [1584] = {.lex_state = 115},
  [1585] = {.lex_state = 147},
  [1586] = {.lex_state = 147},
  [1587] = {.lex_state = 115},
  [1588] = {.lex_state = 115},
  [1589] = {.lex_state = 158},
  [1590] = {.lex_state = 115},
  [1591] = {.lex_state = 147},
  [1592] = {.lex_state = 160},
  [1593] = {.lex_state = 147},
  [1594] = {.lex_state = 160},
  [1595] = {.lex_state = 147},
  [1596] = {.lex_state = 115},
  [1597] = {.lex_state = 158},
  [1598] = {.lex_state = 115},
  [1599] = {.lex_state = 147},
  [1600] = {.lex_state = 160},
  [1601] = {.lex_state = 147},
  [1602] = {.lex_state = 160},
  [1603] = {.lex_state = 147},
  [1604] = {.lex_state = 115},
  [1605] = {.lex_state = 158},
  [1606] = {.lex_state = 115},
  [1607] = {.lex_state = 147},
  [1608] = {.lex_state = 160},
  [1609] = {.lex_state = 147},
  [1610] = {.lex_state = 160},
  [1611] = {.lex_state = 147},
  [1612] = {.lex_state = 115},
  [1613] = {.lex_state = 147},
  [1614] = {.lex_state = 160},
  [1615] = {.lex_state = 115},
  [1616] = {.lex_state = 160},
  [1617] = {.lex_state = 115},
  [1618] = {.lex_state = 147},
  [1619] = {.lex_state = 149},
  [1620] = {.lex_state = 115},
  [1621] = {.lex_state = 147},
  [1622] = {.lex_state = 115},
  [1623] = {.lex_state = 160},
  [1624] = {.lex_state = 147},
  [1625] = {.lex_state = 149},
  [1626] = {.lex_state = 160},
  [1627] = {.lex_state = 149},
  [1628] = {.lex_state = 149},
  [1629] = {.lex_state = 160},
  [1630] = {.lex_state = 147},
  [1631] = {.lex_state = 115},
  [1632] = {.lex_state = 125},
  [1633] = {.lex_state = 125},
  [1634] = {.lex_state = 115},
  [1635] = {.lex_state = 147},
  [1636] = {.lex_state = 160},
  [1637] = {.lex_state = 115},
  [1638] = {.lex_state = 160},
  [1639] = {.lex_state = 115},
  [1640] = {.lex_state = 147},
  [1641] = {.lex_state = 160},
  [1642] = {.lex_state = 115},
  [1643] = {.lex_state = 160},
  [1644] = {.lex_state = 115},
  [1645] = {.lex_state = 147},
  [1646] = {.lex_state = 160},
  [1647] = {.lex_state = 115},
  [1648] = {.lex_state = 160},
  [1649] = {.lex_state = 115},
  [1650] = {.lex_state = 147},
  [1651] = {.lex_state = 115},
  [1652] = {.lex_state = 115},
  [1653] = {.lex_state = 149},
  [1654] = {.lex_state = 115},
  [1655] = {.lex_state = 115},
  [1656] = {.lex_state = 160},
  [1657] = {.lex_state = 115},
  [1658] = {.lex_state = 149},
  [1659] = {.lex_state = 115},
  [1660] = {.lex_state = 147},
  [1661] = {.lex_state = 160},
  [1662] = {.lex_state = 147},
  [1663] = {.lex_state = 158},
  [1664] = {.lex_state = 125},
  [1665] = {.lex_state = 115},
  [1666] = {.lex_state = 147},
  [1667] = {.lex_state = 115},
  [1668] = {.lex_state = 115},
  [1669] = {.lex_state = 147},
  [1670] = {.lex_state = 115},
  [1671] = {.lex_state = 115},
  [1672] = {.lex_state = 147},
  [1673] = {.lex_state = 115},
  [1674] = {.lex_state = 115},
  [1675] = {.lex_state = 149},
  [1676] = {.lex_state = 115},
  [1677] = {.lex_state = 149},
  [1678] = {.lex_state = 115},
  [1679] = {.lex_state = 160},
  [1680] = {.lex_state = 147},
  [1681] = {.lex_state = 160},
  [1682] = {.lex_state = 147},
  [1683] = {.lex_state = 158},
  [1684] = {.lex_state = 115},
  [1685] = {.lex_state = 115},
  [1686] = {.lex_state = 115},
  [1687] = {.lex_state = 115},
  [1688] = {.lex_state = 158},
  [1689] = {.lex_state = 115},
  [1690] = {.lex_state = 147},
  [1691] = {.lex_state = 160},
  [1692] = {.lex_state = 147},
  [1693] = {.lex_state = 160},
  [1694] = {.lex_state = 147},
  [1695] = {.lex_state = 115},
  [1696] = {.lex_state = 147},
  [1697] = {.lex_state = 160},
  [1698] = {.lex_state = 115},
  [1699] = {.lex_state = 160},
  [1700] = {.lex_state = 115},
  [1701] = {.lex_state = 147},
  [1702] = {.lex_state = 115},
  [1703] = {.lex_state = 115},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(3),
    [sym_hex_integer_literal] = ACTIONS(3),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(3),
    [sym_long_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(3),
    [sym_true] = ACTIONS(3),
    [sym_false] = ACTIONS(3),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(3),
    [anon_sym_NUL] = ACTIONS(3),
    [anon_sym_SOH] = ACTIONS(3),
    [anon_sym_STX] = ACTIONS(3),
    [anon_sym_ETX] = ACTIONS(3),
    [anon_sym_EOT] = ACTIONS(3),
    [anon_sym_ENQ] = ACTIONS(3),
    [anon_sym_ACK] = ACTIONS(3),
    [anon_sym_BEL] = ACTIONS(3),
    [anon_sym_BS] = ACTIONS(3),
    [anon_sym_TAB] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_VT] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
    [anon_sym_CR] = ACTIONS(3),
    [anon_sym_SO] = ACTIONS(3),
    [anon_sym_SI] = ACTIONS(3),
    [anon_sym_DLE] = ACTIONS(3),
    [anon_sym_DC1] = ACTIONS(3),
    [anon_sym_DC2] = ACTIONS(3),
    [anon_sym_DC3] = ACTIONS(3),
    [anon_sym_DC4] = ACTIONS(3),
    [anon_sym_NAK] = ACTIONS(3),
    [anon_sym_SYN] = ACTIONS(3),
    [anon_sym_ETB] = ACTIONS(3),
    [anon_sym_CAN] = ACTIONS(3),
    [anon_sym_EM] = ACTIONS(3),
    [anon_sym_SUB] = ACTIONS(3),
    [anon_sym_ESC] = ACTIONS(3),
    [anon_sym_FS] = ACTIONS(3),
    [anon_sym_GS] = ACTIONS(3),
    [anon_sym_RS] = ACTIONS(3),
    [anon_sym_US] = ACTIONS(3),
    [sym_space] = ACTIONS(3),
    [sym_horizontal_tab] = ACTIONS(3),
    [aux_sym_SLASH_BSLASH_BSLASH_SLASH] = ACTIONS(3),
    [anon_sym_u] = ACTIONS(3),
    [aux_sym_SLASH_LBRACKA_DASHFa_DASHf0_DASH9_RBRACK_PLUS_SLASH] = ACTIONS(3),
    [anon_sym_b] = ACTIONS(3),
    [anon_sym_t] = ACTIONS(3),
    [anon_sym_n] = ACTIONS(3),
    [anon_sym_f] = ACTIONS(3),
    [anon_sym_r] = ACTIONS(3),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_SLASH_LBRACK0_DASH7_RBRACK_PLUS_SLASH] = ACTIONS(3),
    [aux_sym_SLASH_LBRACK0_DASH3_RBRACK_SLASH] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(3),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(3),
    [anon_sym_LT] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(3),
    [anon_sym_DASH] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(3),
    [anon_sym_SLASH] = ACTIONS(3),
    [anon_sym_PIPE] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(3),
    [anon_sym_PERCENT] = ACTIONS(3),
    [anon_sym_LT_LT] = ACTIONS(3),
    [anon_sym_GT_GT] = ACTIONS(3),
    [anon_sym_GT_GT_GT] = ACTIONS(3),
    [anon_sym_instanceof] = ACTIONS(3),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(3),
    [anon_sym_BANG] = ACTIONS(3),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(3),
    [anon_sym_switch] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(3),
    [anon_sym_do] = ACTIONS(3),
    [anon_sym_while] = ACTIONS(3),
    [anon_sym_break] = ACTIONS(3),
    [anon_sym_continue] = ACTIONS(3),
    [anon_sym_return] = ACTIONS(3),
    [anon_sym_synchronized] = ACTIONS(3),
    [anon_sym_throw] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(3),
    [anon_sym_catch] = ACTIONS(3),
    [anon_sym_finally] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(3),
    [anon_sym_else] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(3),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(3),
    [anon_sym_short] = ACTIONS(3),
    [anon_sym_int] = ACTIONS(3),
    [anon_sym_long] = ACTIONS(3),
    [anon_sym_char] = ACTIONS(3),
    [anon_sym_float] = ACTIONS(3),
    [anon_sym_double] = ACTIONS(3),
    [sym_boolean_type] = ACTIONS(3),
    [sym_void_type] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(3),
    [anon_sym_open] = ACTIONS(3),
    [anon_sym_module] = ACTIONS(3),
    [anon_sym_requires] = ACTIONS(3),
    [anon_sym_exports] = ACTIONS(3),
    [anon_sym_to] = ACTIONS(3),
    [anon_sym_opens] = ACTIONS(3),
    [anon_sym_uses] = ACTIONS(3),
    [anon_sym_provides] = ACTIONS(3),
    [anon_sym_with] = ACTIONS(3),
    [anon_sym_transitive] = ACTIONS(3),
    [anon_sym_static] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(3),
    [anon_sym_package] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(3),
    [anon_sym_enum] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(3),
    [anon_sym_public] = ACTIONS(3),
    [anon_sym_protected] = ACTIONS(3),
    [anon_sym_private] = ACTIONS(3),
    [anon_sym_abstract] = ACTIONS(3),
    [anon_sym_final] = ACTIONS(3),
    [anon_sym_strictfp] = ACTIONS(3),
    [anon_sym_native] = ACTIONS(3),
    [anon_sym_transient] = ACTIONS(3),
    [anon_sym_volatile] = ACTIONS(3),
    [anon_sym_implements] = ACTIONS(3),
    [anon_sym_new] = ACTIONS(3),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(3),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [sym_this] = ACTIONS(3),
    [sym_super] = ACTIONS(3),
    [anon_sym_throws] = ACTIONS(3),
    [sym_identifier] = ACTIONS(3),
    [sym_comment] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(39),
    [sym__statement] = STATE(59),
    [sym__method_statement] = STATE(59),
    [sym__expression_statement] = STATE(59),
    [sym__semicolon] = STATE(59),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(59),
    [sym_assert_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_synchronized_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(59),
    [sym_module_declaration] = STATE(59),
    [sym_package_declaration] = STATE(59),
    [sym_import_declaration] = STATE(59),
    [sym_enum_declaration] = STATE(59),
    [sym_class_declaration] = STATE(59),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(59),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(59),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_SEMI] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(93),
  },
  [2] = {
    [anon_sym_SEMI] = ACTIONS(95),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_AMP] = ACTIONS(97),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_EQ_EQ] = ACTIONS(95),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_AMP_AMP] = ACTIONS(95),
    [anon_sym_PIPE_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(97),
    [anon_sym_DASH] = ACTIONS(97),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_PIPE] = ACTIONS(97),
    [anon_sym_CARET] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(95),
    [anon_sym_LT_LT] = ACTIONS(95),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_GT_GT_GT] = ACTIONS(95),
    [anon_sym_instanceof] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_QMARK] = ACTIONS(95),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [sym_comment] = ACTIONS(93),
  },
  [3] = {
    [anon_sym_SEMI] = ACTIONS(99),
    [anon_sym_RPAREN] = ACTIONS(99),
    [anon_sym_AMP] = ACTIONS(101),
    [anon_sym_GT] = ACTIONS(101),
    [anon_sym_LT] = ACTIONS(101),
    [anon_sym_EQ_EQ] = ACTIONS(99),
    [anon_sym_GT_EQ] = ACTIONS(99),
    [anon_sym_LT_EQ] = ACTIONS(99),
    [anon_sym_BANG_EQ] = ACTIONS(99),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(99),
    [anon_sym_PLUS] = ACTIONS(101),
    [anon_sym_DASH] = ACTIONS(101),
    [anon_sym_STAR] = ACTIONS(99),
    [anon_sym_SLASH] = ACTIONS(101),
    [anon_sym_PIPE] = ACTIONS(101),
    [anon_sym_CARET] = ACTIONS(99),
    [anon_sym_PERCENT] = ACTIONS(99),
    [anon_sym_LT_LT] = ACTIONS(99),
    [anon_sym_GT_GT] = ACTIONS(101),
    [anon_sym_GT_GT_GT] = ACTIONS(99),
    [anon_sym_instanceof] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(99),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_RBRACE] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_RBRACK] = ACTIONS(99),
    [anon_sym_DOT] = ACTIONS(99),
    [anon_sym_COLON_COLON] = ACTIONS(99),
    [sym_comment] = ACTIONS(93),
  },
  [4] = {
    [anon_sym_SEMI] = ACTIONS(103),
    [anon_sym_RPAREN] = ACTIONS(103),
    [anon_sym_AMP] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(105),
    [anon_sym_LT] = ACTIONS(105),
    [anon_sym_EQ_EQ] = ACTIONS(103),
    [anon_sym_GT_EQ] = ACTIONS(103),
    [anon_sym_LT_EQ] = ACTIONS(103),
    [anon_sym_BANG_EQ] = ACTIONS(103),
    [anon_sym_AMP_AMP] = ACTIONS(103),
    [anon_sym_PIPE_PIPE] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(105),
    [anon_sym_DASH] = ACTIONS(105),
    [anon_sym_STAR] = ACTIONS(103),
    [anon_sym_SLASH] = ACTIONS(105),
    [anon_sym_PIPE] = ACTIONS(105),
    [anon_sym_CARET] = ACTIONS(103),
    [anon_sym_PERCENT] = ACTIONS(103),
    [anon_sym_LT_LT] = ACTIONS(103),
    [anon_sym_GT_GT] = ACTIONS(105),
    [anon_sym_GT_GT_GT] = ACTIONS(103),
    [anon_sym_instanceof] = ACTIONS(103),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(103),
    [anon_sym_COLON] = ACTIONS(105),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_RBRACK] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(103),
    [anon_sym_COLON_COLON] = ACTIONS(103),
    [sym_comment] = ACTIONS(93),
  },
  [5] = {
    [aux_sym_character_literal_repeat1] = STATE(63),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH] = ACTIONS(109),
    [aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH] = ACTIONS(109),
    [aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(111),
  },
  [6] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(78),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [7] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [8] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [9] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(93),
    [sym_cast_expression] = STATE(93),
    [sym_assignment_expression] = STATE(93),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(93),
    [sym_lambda_expression] = STATE(93),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(93),
    [sym_unary_expression] = STATE(93),
    [sym_update_expression] = STATE(93),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [10] = {
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_comment] = ACTIONS(93),
  },
  [11] = {
    [sym__statement] = STATE(107),
    [sym__method_statement] = STATE(107),
    [sym__expression_statement] = STATE(107),
    [sym__semicolon] = STATE(107),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(107),
    [sym_assert_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_synchronized_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(107),
    [sym_module_declaration] = STATE(107),
    [sym_package_declaration] = STATE(107),
    [sym_import_declaration] = STATE(107),
    [sym_enum_declaration] = STATE(107),
    [sym_class_declaration] = STATE(107),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(107),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(107),
    [sym_local_variable_declaration_statement] = STATE(107),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(107),
    [anon_sym_SEMI] = ACTIONS(149),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [12] = {
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(165),
    [anon_sym_short] = ACTIONS(165),
    [anon_sym_int] = ACTIONS(165),
    [anon_sym_long] = ACTIONS(165),
    [anon_sym_char] = ACTIONS(165),
    [anon_sym_float] = ACTIONS(165),
    [anon_sym_double] = ACTIONS(165),
    [sym_boolean_type] = ACTIONS(165),
    [sym_void_type] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(165),
    [sym_comment] = ACTIONS(93),
  },
  [13] = {
    [sym__statement] = STATE(113),
    [sym__method_statement] = STATE(113),
    [sym__expression_statement] = STATE(113),
    [sym__semicolon] = STATE(113),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(113),
    [sym_assert_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_synchronized_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(113),
    [sym_module_declaration] = STATE(113),
    [sym_package_declaration] = STATE(113),
    [sym_import_declaration] = STATE(113),
    [sym_enum_declaration] = STATE(113),
    [sym_class_declaration] = STATE(113),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(113),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(113),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(167),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(93),
  },
  [14] = {
    [anon_sym_LPAREN] = ACTIONS(179),
    [sym_comment] = ACTIONS(93),
  },
  [15] = {
    [sym__semicolon] = STATE(116),
    [anon_sym_SEMI] = ACTIONS(181),
    [sym_identifier] = ACTIONS(183),
    [sym_comment] = ACTIONS(93),
  },
  [16] = {
    [sym__semicolon] = STATE(118),
    [anon_sym_SEMI] = ACTIONS(185),
    [sym_identifier] = ACTIONS(187),
    [sym_comment] = ACTIONS(93),
  },
  [17] = {
    [sym__semicolon] = STATE(119),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(120),
    [sym_cast_expression] = STATE(120),
    [sym_assignment_expression] = STATE(120),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(120),
    [sym_lambda_expression] = STATE(120),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(120),
    [sym_unary_expression] = STATE(120),
    [sym_update_expression] = STATE(120),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(189),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [18] = {
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(165),
    [anon_sym_short] = ACTIONS(165),
    [anon_sym_int] = ACTIONS(165),
    [anon_sym_long] = ACTIONS(165),
    [anon_sym_char] = ACTIONS(165),
    [anon_sym_float] = ACTIONS(165),
    [anon_sym_double] = ACTIONS(165),
    [sym_boolean_type] = ACTIONS(165),
    [sym_void_type] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(165),
    [sym_comment] = ACTIONS(93),
  },
  [19] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(122),
    [sym_cast_expression] = STATE(122),
    [sym_assignment_expression] = STATE(122),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(122),
    [sym_lambda_expression] = STATE(122),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(122),
    [sym_unary_expression] = STATE(122),
    [sym_update_expression] = STATE(122),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [20] = {
    [sym_resource_specification] = STATE(124),
    [sym_block] = STATE(125),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [21] = {
    [anon_sym_LPAREN] = ACTIONS(195),
    [sym_comment] = ACTIONS(93),
  },
  [22] = {
    [anon_sym_LPAREN] = ACTIONS(197),
    [sym_comment] = ACTIONS(93),
  },
  [23] = {
    [anon_sym_SEMI] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_COMMA] = ACTIONS(199),
    [anon_sym_LBRACE] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(199),
    [anon_sym_AT] = ACTIONS(199),
    [anon_sym_open] = ACTIONS(201),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_DOT] = ACTIONS(201),
    [anon_sym_implements] = ACTIONS(201),
    [anon_sym_COLON_COLON] = ACTIONS(199),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(199),
    [sym_this] = ACTIONS(201),
    [sym_identifier] = ACTIONS(201),
    [sym_comment] = ACTIONS(93),
  },
  [24] = {
    [anon_sym_SEMI] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(203),
    [anon_sym_open] = ACTIONS(205),
    [anon_sym_module] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_implements] = ACTIONS(205),
    [anon_sym_COLON_COLON] = ACTIONS(203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(203),
    [sym_this] = ACTIONS(205),
    [sym_identifier] = ACTIONS(205),
    [sym_comment] = ACTIONS(93),
  },
  [25] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_open] = ACTIONS(212),
    [anon_sym_module] = ACTIONS(212),
    [anon_sym_DOT] = ACTIONS(214),
    [anon_sym_COLON_COLON] = ACTIONS(207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [sym_this] = ACTIONS(212),
    [sym_identifier] = ACTIONS(212),
    [sym_comment] = ACTIONS(93),
  },
  [26] = {
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_open] = ACTIONS(212),
    [anon_sym_module] = ACTIONS(212),
    [anon_sym_DOT] = ACTIONS(214),
    [anon_sym_COLON_COLON] = ACTIONS(207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [sym_this] = ACTIONS(212),
    [sym_identifier] = ACTIONS(212),
    [sym_comment] = ACTIONS(93),
  },
  [27] = {
    [sym_scoped_identifier] = STATE(131),
    [sym__reserved_identifier] = STATE(131),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(216),
    [sym_comment] = ACTIONS(93),
  },
  [28] = {
    [anon_sym_SEMI] = ACTIONS(218),
    [anon_sym_LPAREN] = ACTIONS(218),
    [anon_sym_AMP] = ACTIONS(220),
    [anon_sym_EQ] = ACTIONS(220),
    [anon_sym_PLUS_EQ] = ACTIONS(218),
    [anon_sym_DASH_EQ] = ACTIONS(218),
    [anon_sym_STAR_EQ] = ACTIONS(218),
    [anon_sym_SLASH_EQ] = ACTIONS(218),
    [anon_sym_AMP_EQ] = ACTIONS(218),
    [anon_sym_PIPE_EQ] = ACTIONS(218),
    [anon_sym_CARET_EQ] = ACTIONS(218),
    [anon_sym_PERCENT_EQ] = ACTIONS(218),
    [anon_sym_LT_LT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT] = ACTIONS(220),
    [anon_sym_LT] = ACTIONS(220),
    [anon_sym_EQ_EQ] = ACTIONS(218),
    [anon_sym_GT_EQ] = ACTIONS(218),
    [anon_sym_LT_EQ] = ACTIONS(218),
    [anon_sym_BANG_EQ] = ACTIONS(218),
    [anon_sym_AMP_AMP] = ACTIONS(218),
    [anon_sym_PIPE_PIPE] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(220),
    [anon_sym_DASH] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(220),
    [anon_sym_SLASH] = ACTIONS(220),
    [anon_sym_PIPE] = ACTIONS(220),
    [anon_sym_CARET] = ACTIONS(220),
    [anon_sym_PERCENT] = ACTIONS(220),
    [anon_sym_LT_LT] = ACTIONS(220),
    [anon_sym_GT_GT] = ACTIONS(220),
    [anon_sym_GT_GT_GT] = ACTIONS(220),
    [anon_sym_instanceof] = ACTIONS(218),
    [anon_sym_QMARK] = ACTIONS(218),
    [anon_sym_PLUS_PLUS] = ACTIONS(218),
    [anon_sym_DASH_DASH] = ACTIONS(218),
    [anon_sym_LBRACK] = ACTIONS(218),
    [anon_sym_module] = ACTIONS(222),
    [anon_sym_DOT] = ACTIONS(218),
    [sym_comment] = ACTIONS(93),
  },
  [29] = {
    [sym_scoped_identifier] = STATE(133),
    [sym__reserved_identifier] = STATE(133),
    [anon_sym_SEMI] = ACTIONS(218),
    [anon_sym_LPAREN] = ACTIONS(218),
    [anon_sym_AMP] = ACTIONS(220),
    [anon_sym_EQ] = ACTIONS(220),
    [anon_sym_PLUS_EQ] = ACTIONS(218),
    [anon_sym_DASH_EQ] = ACTIONS(218),
    [anon_sym_STAR_EQ] = ACTIONS(218),
    [anon_sym_SLASH_EQ] = ACTIONS(218),
    [anon_sym_AMP_EQ] = ACTIONS(218),
    [anon_sym_PIPE_EQ] = ACTIONS(218),
    [anon_sym_CARET_EQ] = ACTIONS(218),
    [anon_sym_PERCENT_EQ] = ACTIONS(218),
    [anon_sym_LT_LT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT] = ACTIONS(220),
    [anon_sym_LT] = ACTIONS(220),
    [anon_sym_EQ_EQ] = ACTIONS(218),
    [anon_sym_GT_EQ] = ACTIONS(218),
    [anon_sym_LT_EQ] = ACTIONS(218),
    [anon_sym_BANG_EQ] = ACTIONS(218),
    [anon_sym_AMP_AMP] = ACTIONS(218),
    [anon_sym_PIPE_PIPE] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(220),
    [anon_sym_DASH] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(220),
    [anon_sym_SLASH] = ACTIONS(220),
    [anon_sym_PIPE] = ACTIONS(220),
    [anon_sym_CARET] = ACTIONS(220),
    [anon_sym_PERCENT] = ACTIONS(220),
    [anon_sym_LT_LT] = ACTIONS(220),
    [anon_sym_GT_GT] = ACTIONS(220),
    [anon_sym_GT_GT_GT] = ACTIONS(220),
    [anon_sym_instanceof] = ACTIONS(220),
    [anon_sym_QMARK] = ACTIONS(218),
    [anon_sym_PLUS_PLUS] = ACTIONS(218),
    [anon_sym_DASH_DASH] = ACTIONS(218),
    [anon_sym_LBRACK] = ACTIONS(218),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(218),
    [sym_identifier] = ACTIONS(224),
    [sym_comment] = ACTIONS(93),
  },
  [30] = {
    [sym_scoped_identifier] = STATE(134),
    [sym__reserved_identifier] = STATE(134),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(226),
    [sym_comment] = ACTIONS(93),
  },
  [31] = {
    [anon_sym_static] = ACTIONS(228),
    [sym_identifier] = ACTIONS(230),
    [sym_comment] = ACTIONS(93),
  },
  [32] = {
    [sym_identifier] = ACTIONS(232),
    [sym_comment] = ACTIONS(93),
  },
  [33] = {
    [sym_identifier] = ACTIONS(234),
    [sym_comment] = ACTIONS(93),
  },
  [34] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(140),
    [sym_floating_point_type] = STATE(140),
    [sym_scoped_type_identifier] = STATE(143),
    [sym_generic_type] = STATE(144),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(238),
    [sym_void_type] = ACTIONS(238),
    [sym_identifier] = ACTIONS(240),
    [sym_comment] = ACTIONS(93),
  },
  [35] = {
    [sym_identifier] = ACTIONS(242),
    [sym_comment] = ACTIONS(93),
  },
  [36] = {
    [sym_identifier] = ACTIONS(244),
    [sym_comment] = ACTIONS(93),
  },
  [37] = {
    [anon_sym_DOT] = ACTIONS(246),
    [sym_comment] = ACTIONS(93),
  },
  [38] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(263),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [39] = {
    [ts_builtin_sym_end] = ACTIONS(274),
    [sym_comment] = ACTIONS(93),
  },
  [40] = {
    [sym__semicolon] = STATE(160),
    [anon_sym_SEMI] = ACTIONS(276),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [41] = {
    [anon_sym_EQ] = ACTIONS(300),
    [anon_sym_PLUS_EQ] = ACTIONS(300),
    [anon_sym_DASH_EQ] = ACTIONS(300),
    [anon_sym_STAR_EQ] = ACTIONS(300),
    [anon_sym_SLASH_EQ] = ACTIONS(300),
    [anon_sym_AMP_EQ] = ACTIONS(300),
    [anon_sym_PIPE_EQ] = ACTIONS(300),
    [anon_sym_CARET_EQ] = ACTIONS(300),
    [anon_sym_PERCENT_EQ] = ACTIONS(300),
    [anon_sym_LT_LT_EQ] = ACTIONS(300),
    [anon_sym_GT_GT_EQ] = ACTIONS(300),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(300),
    [sym_comment] = ACTIONS(93),
  },
  [42] = {
    [anon_sym_DASH_GT] = ACTIONS(302),
    [sym_comment] = ACTIONS(93),
  },
  [43] = {
    [ts_builtin_sym_end] = ACTIONS(304),
    [anon_sym_SEMI] = ACTIONS(304),
    [sym_decimal_integer_literal] = ACTIONS(306),
    [sym_hex_integer_literal] = ACTIONS(306),
    [sym_octal_integer_literal] = ACTIONS(304),
    [sym_binary_integer_literal] = ACTIONS(304),
    [sym_long_integer_literal] = ACTIONS(304),
    [sym_decimal_floating_point_literal] = ACTIONS(304),
    [sym_hex_floating_point_literal] = ACTIONS(306),
    [sym_true] = ACTIONS(306),
    [sym_false] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(304),
    [sym_string_literal] = ACTIONS(304),
    [sym_null_literal] = ACTIONS(306),
    [anon_sym_LPAREN] = ACTIONS(304),
    [anon_sym_PLUS] = ACTIONS(306),
    [anon_sym_DASH] = ACTIONS(306),
    [anon_sym_BANG] = ACTIONS(304),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_PLUS_PLUS] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(304),
    [anon_sym_assert] = ACTIONS(306),
    [anon_sym_switch] = ACTIONS(306),
    [anon_sym_LBRACE] = ACTIONS(304),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_case] = ACTIONS(306),
    [anon_sym_default] = ACTIONS(306),
    [anon_sym_do] = ACTIONS(306),
    [anon_sym_while] = ACTIONS(306),
    [anon_sym_break] = ACTIONS(306),
    [anon_sym_continue] = ACTIONS(306),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_synchronized] = ACTIONS(306),
    [anon_sym_throw] = ACTIONS(306),
    [anon_sym_try] = ACTIONS(306),
    [anon_sym_if] = ACTIONS(306),
    [anon_sym_else] = ACTIONS(306),
    [anon_sym_for] = ACTIONS(306),
    [anon_sym_byte] = ACTIONS(306),
    [anon_sym_short] = ACTIONS(306),
    [anon_sym_int] = ACTIONS(306),
    [anon_sym_long] = ACTIONS(306),
    [anon_sym_char] = ACTIONS(306),
    [anon_sym_float] = ACTIONS(306),
    [anon_sym_double] = ACTIONS(306),
    [sym_boolean_type] = ACTIONS(306),
    [sym_void_type] = ACTIONS(306),
    [anon_sym_AT] = ACTIONS(306),
    [anon_sym_open] = ACTIONS(306),
    [anon_sym_module] = ACTIONS(306),
    [anon_sym_static] = ACTIONS(306),
    [anon_sym_package] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(306),
    [anon_sym_enum] = ACTIONS(306),
    [anon_sym_class] = ACTIONS(306),
    [anon_sym_public] = ACTIONS(306),
    [anon_sym_protected] = ACTIONS(306),
    [anon_sym_private] = ACTIONS(306),
    [anon_sym_abstract] = ACTIONS(306),
    [anon_sym_final] = ACTIONS(306),
    [anon_sym_strictfp] = ACTIONS(306),
    [anon_sym_native] = ACTIONS(306),
    [anon_sym_transient] = ACTIONS(306),
    [anon_sym_volatile] = ACTIONS(306),
    [anon_sym_new] = ACTIONS(306),
    [anon_sym_ATinterface] = ACTIONS(304),
    [anon_sym_interface] = ACTIONS(306),
    [sym_this] = ACTIONS(306),
    [sym_super] = ACTIONS(306),
    [sym_identifier] = ACTIONS(306),
    [sym_comment] = ACTIONS(93),
  },
  [44] = {
    [ts_builtin_sym_end] = ACTIONS(308),
    [anon_sym_SEMI] = ACTIONS(308),
    [sym_decimal_integer_literal] = ACTIONS(310),
    [sym_hex_integer_literal] = ACTIONS(310),
    [sym_octal_integer_literal] = ACTIONS(308),
    [sym_binary_integer_literal] = ACTIONS(308),
    [sym_long_integer_literal] = ACTIONS(308),
    [sym_decimal_floating_point_literal] = ACTIONS(308),
    [sym_hex_floating_point_literal] = ACTIONS(310),
    [sym_true] = ACTIONS(310),
    [sym_false] = ACTIONS(310),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [sym_string_literal] = ACTIONS(308),
    [sym_null_literal] = ACTIONS(310),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_PLUS] = ACTIONS(310),
    [anon_sym_DASH] = ACTIONS(310),
    [anon_sym_BANG] = ACTIONS(308),
    [anon_sym_TILDE] = ACTIONS(308),
    [anon_sym_PLUS_PLUS] = ACTIONS(308),
    [anon_sym_DASH_DASH] = ACTIONS(308),
    [anon_sym_assert] = ACTIONS(310),
    [anon_sym_switch] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(308),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_case] = ACTIONS(310),
    [anon_sym_default] = ACTIONS(310),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_while] = ACTIONS(310),
    [anon_sym_break] = ACTIONS(310),
    [anon_sym_continue] = ACTIONS(310),
    [anon_sym_return] = ACTIONS(310),
    [anon_sym_synchronized] = ACTIONS(310),
    [anon_sym_throw] = ACTIONS(310),
    [anon_sym_try] = ACTIONS(310),
    [anon_sym_if] = ACTIONS(310),
    [anon_sym_else] = ACTIONS(310),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_byte] = ACTIONS(310),
    [anon_sym_short] = ACTIONS(310),
    [anon_sym_int] = ACTIONS(310),
    [anon_sym_long] = ACTIONS(310),
    [anon_sym_char] = ACTIONS(310),
    [anon_sym_float] = ACTIONS(310),
    [anon_sym_double] = ACTIONS(310),
    [sym_boolean_type] = ACTIONS(310),
    [sym_void_type] = ACTIONS(310),
    [anon_sym_AT] = ACTIONS(310),
    [anon_sym_open] = ACTIONS(310),
    [anon_sym_module] = ACTIONS(310),
    [anon_sym_static] = ACTIONS(310),
    [anon_sym_package] = ACTIONS(310),
    [anon_sym_import] = ACTIONS(310),
    [anon_sym_enum] = ACTIONS(310),
    [anon_sym_class] = ACTIONS(310),
    [anon_sym_public] = ACTIONS(310),
    [anon_sym_protected] = ACTIONS(310),
    [anon_sym_private] = ACTIONS(310),
    [anon_sym_abstract] = ACTIONS(310),
    [anon_sym_final] = ACTIONS(310),
    [anon_sym_strictfp] = ACTIONS(310),
    [anon_sym_native] = ACTIONS(310),
    [anon_sym_transient] = ACTIONS(310),
    [anon_sym_volatile] = ACTIONS(310),
    [anon_sym_new] = ACTIONS(310),
    [anon_sym_ATinterface] = ACTIONS(308),
    [anon_sym_interface] = ACTIONS(310),
    [sym_this] = ACTIONS(310),
    [sym_super] = ACTIONS(310),
    [sym_identifier] = ACTIONS(310),
    [sym_comment] = ACTIONS(93),
  },
  [45] = {
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(312),
    [anon_sym_short] = ACTIONS(312),
    [anon_sym_int] = ACTIONS(312),
    [anon_sym_long] = ACTIONS(312),
    [anon_sym_char] = ACTIONS(312),
    [anon_sym_float] = ACTIONS(312),
    [anon_sym_double] = ACTIONS(312),
    [sym_boolean_type] = ACTIONS(312),
    [sym_void_type] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(314),
    [anon_sym_open] = ACTIONS(312),
    [anon_sym_module] = ACTIONS(312),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_package] = ACTIONS(312),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(312),
    [sym_comment] = ACTIONS(93),
  },
  [46] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_COMMA] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_RBRACE] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(319),
    [sym_comment] = ACTIONS(93),
  },
  [47] = {
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(248),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(248),
    [anon_sym_PERCENT] = ACTIONS(248),
    [anon_sym_LT_LT] = ACTIONS(248),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(248),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_COMMA] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_RBRACE] = ACTIONS(248),
    [anon_sym_RBRACK] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [48] = {
    [anon_sym_SEMI] = ACTIONS(325),
    [anon_sym_RPAREN] = ACTIONS(325),
    [anon_sym_AMP] = ACTIONS(327),
    [anon_sym_GT] = ACTIONS(327),
    [anon_sym_LT] = ACTIONS(327),
    [anon_sym_EQ_EQ] = ACTIONS(325),
    [anon_sym_GT_EQ] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(325),
    [anon_sym_BANG_EQ] = ACTIONS(325),
    [anon_sym_AMP_AMP] = ACTIONS(325),
    [anon_sym_PIPE_PIPE] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(327),
    [anon_sym_DASH] = ACTIONS(327),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(327),
    [anon_sym_PIPE] = ACTIONS(327),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_GT_GT] = ACTIONS(327),
    [anon_sym_GT_GT_GT] = ACTIONS(325),
    [anon_sym_instanceof] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(325),
    [anon_sym_QMARK] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(327),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(329),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_DOT] = ACTIONS(325),
    [anon_sym_COLON_COLON] = ACTIONS(325),
    [sym_comment] = ACTIONS(93),
  },
  [49] = {
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_AMP] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(333),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_EQ_EQ] = ACTIONS(331),
    [anon_sym_GT_EQ] = ACTIONS(331),
    [anon_sym_LT_EQ] = ACTIONS(331),
    [anon_sym_BANG_EQ] = ACTIONS(331),
    [anon_sym_AMP_AMP] = ACTIONS(331),
    [anon_sym_PIPE_PIPE] = ACTIONS(331),
    [anon_sym_PLUS] = ACTIONS(333),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_SLASH] = ACTIONS(333),
    [anon_sym_PIPE] = ACTIONS(333),
    [anon_sym_CARET] = ACTIONS(331),
    [anon_sym_PERCENT] = ACTIONS(331),
    [anon_sym_LT_LT] = ACTIONS(331),
    [anon_sym_GT_GT] = ACTIONS(333),
    [anon_sym_GT_GT_GT] = ACTIONS(331),
    [anon_sym_instanceof] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(333),
    [anon_sym_PLUS_PLUS] = ACTIONS(331),
    [anon_sym_DASH_DASH] = ACTIONS(331),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_LBRACK] = ACTIONS(331),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_DOT] = ACTIONS(331),
    [anon_sym_COLON_COLON] = ACTIONS(331),
    [sym_comment] = ACTIONS(93),
  },
  [50] = {
    [anon_sym_SEMI] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(335),
    [anon_sym_GT_EQ] = ACTIONS(335),
    [anon_sym_LT_EQ] = ACTIONS(335),
    [anon_sym_BANG_EQ] = ACTIONS(335),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_PIPE_PIPE] = ACTIONS(335),
    [anon_sym_PLUS] = ACTIONS(337),
    [anon_sym_DASH] = ACTIONS(337),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(337),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(337),
    [anon_sym_LT_LT] = ACTIONS(337),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(337),
    [anon_sym_instanceof] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_COLON] = ACTIONS(337),
    [anon_sym_PLUS_PLUS] = ACTIONS(335),
    [anon_sym_DASH_DASH] = ACTIONS(335),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_DOT] = ACTIONS(335),
    [anon_sym_COLON_COLON] = ACTIONS(335),
    [sym_comment] = ACTIONS(93),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(339),
    [anon_sym_SEMI] = ACTIONS(339),
    [sym_decimal_integer_literal] = ACTIONS(341),
    [sym_hex_integer_literal] = ACTIONS(341),
    [sym_octal_integer_literal] = ACTIONS(339),
    [sym_binary_integer_literal] = ACTIONS(339),
    [sym_long_integer_literal] = ACTIONS(339),
    [sym_decimal_floating_point_literal] = ACTIONS(339),
    [sym_hex_floating_point_literal] = ACTIONS(341),
    [sym_true] = ACTIONS(341),
    [sym_false] = ACTIONS(341),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [sym_string_literal] = ACTIONS(339),
    [sym_null_literal] = ACTIONS(341),
    [anon_sym_LPAREN] = ACTIONS(339),
    [anon_sym_LT] = ACTIONS(339),
    [anon_sym_PLUS] = ACTIONS(341),
    [anon_sym_DASH] = ACTIONS(341),
    [anon_sym_BANG] = ACTIONS(339),
    [anon_sym_TILDE] = ACTIONS(339),
    [anon_sym_PLUS_PLUS] = ACTIONS(339),
    [anon_sym_DASH_DASH] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(341),
    [anon_sym_switch] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(339),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_default] = ACTIONS(341),
    [anon_sym_do] = ACTIONS(341),
    [anon_sym_while] = ACTIONS(341),
    [anon_sym_break] = ACTIONS(341),
    [anon_sym_continue] = ACTIONS(341),
    [anon_sym_return] = ACTIONS(341),
    [anon_sym_synchronized] = ACTIONS(341),
    [anon_sym_throw] = ACTIONS(341),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_else] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_byte] = ACTIONS(341),
    [anon_sym_short] = ACTIONS(341),
    [anon_sym_int] = ACTIONS(341),
    [anon_sym_long] = ACTIONS(341),
    [anon_sym_char] = ACTIONS(341),
    [anon_sym_float] = ACTIONS(341),
    [anon_sym_double] = ACTIONS(341),
    [sym_boolean_type] = ACTIONS(341),
    [sym_void_type] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(341),
    [anon_sym_open] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(341),
    [anon_sym_static] = ACTIONS(341),
    [anon_sym_package] = ACTIONS(341),
    [anon_sym_import] = ACTIONS(341),
    [anon_sym_enum] = ACTIONS(341),
    [anon_sym_class] = ACTIONS(341),
    [anon_sym_public] = ACTIONS(341),
    [anon_sym_protected] = ACTIONS(341),
    [anon_sym_private] = ACTIONS(341),
    [anon_sym_abstract] = ACTIONS(341),
    [anon_sym_final] = ACTIONS(341),
    [anon_sym_strictfp] = ACTIONS(341),
    [anon_sym_native] = ACTIONS(341),
    [anon_sym_transient] = ACTIONS(341),
    [anon_sym_volatile] = ACTIONS(341),
    [anon_sym_new] = ACTIONS(341),
    [anon_sym_ATinterface] = ACTIONS(339),
    [anon_sym_interface] = ACTIONS(341),
    [sym_this] = ACTIONS(341),
    [sym_super] = ACTIONS(341),
    [sym_identifier] = ACTIONS(341),
    [sym_comment] = ACTIONS(93),
  },
  [52] = {
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [53] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(170),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_comment] = ACTIONS(93),
  },
  [54] = {
    [anon_sym_SEMI] = ACTIONS(345),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_open] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(347),
    [anon_sym_implements] = ACTIONS(347),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(347),
    [sym_comment] = ACTIONS(93),
  },
  [55] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [anon_sym_SEMI] = ACTIONS(207),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_open] = ACTIONS(212),
    [anon_sym_module] = ACTIONS(212),
    [anon_sym_DOT] = ACTIONS(353),
    [anon_sym_implements] = ACTIONS(212),
    [anon_sym_COLON_COLON] = ACTIONS(207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [sym_this] = ACTIONS(212),
    [sym_identifier] = ACTIONS(212),
    [sym_comment] = ACTIONS(93),
  },
  [56] = {
    [anon_sym_SEMI] = ACTIONS(207),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_open] = ACTIONS(212),
    [anon_sym_module] = ACTIONS(212),
    [anon_sym_DOT] = ACTIONS(353),
    [anon_sym_implements] = ACTIONS(212),
    [anon_sym_COLON_COLON] = ACTIONS(207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [sym_this] = ACTIONS(212),
    [sym_identifier] = ACTIONS(212),
    [sym_comment] = ACTIONS(93),
  },
  [57] = {
    [anon_sym_SEMI] = ACTIONS(207),
    [anon_sym_RPAREN] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(207),
    [anon_sym_GT] = ACTIONS(207),
    [anon_sym_PIPE] = ACTIONS(207),
    [anon_sym_COMMA] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_AT] = ACTIONS(207),
    [anon_sym_open] = ACTIONS(212),
    [anon_sym_module] = ACTIONS(212),
    [anon_sym_implements] = ACTIONS(212),
    [anon_sym_COLON_COLON] = ACTIONS(207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [sym_this] = ACTIONS(212),
    [sym_identifier] = ACTIONS(212),
    [sym_comment] = ACTIONS(93),
  },
  [58] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_COMMA] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_RBRACE] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(319),
    [sym_comment] = ACTIONS(93),
  },
  [59] = {
    [sym__statement] = STATE(173),
    [sym__method_statement] = STATE(173),
    [sym__expression_statement] = STATE(173),
    [sym__semicolon] = STATE(173),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(173),
    [sym_assert_statement] = STATE(173),
    [sym_switch_statement] = STATE(173),
    [sym_do_statement] = STATE(173),
    [sym_break_statement] = STATE(173),
    [sym_continue_statement] = STATE(173),
    [sym_return_statement] = STATE(173),
    [sym_synchronized_statement] = STATE(173),
    [sym_throw_statement] = STATE(173),
    [sym_try_statement] = STATE(173),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(173),
    [sym_while_statement] = STATE(173),
    [sym_for_statement] = STATE(173),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(173),
    [sym_module_declaration] = STATE(173),
    [sym_package_declaration] = STATE(173),
    [sym_import_declaration] = STATE(173),
    [sym_enum_declaration] = STATE(173),
    [sym_class_declaration] = STATE(173),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(173),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(173),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_program_repeat1] = STATE(173),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [ts_builtin_sym_end] = ACTIONS(355),
    [anon_sym_SEMI] = ACTIONS(357),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(93),
  },
  [60] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(178),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(178),
    [anon_sym_default] = ACTIONS(359),
    [anon_sym_synchronized] = ACTIONS(359),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(359),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_public] = ACTIONS(359),
    [anon_sym_protected] = ACTIONS(359),
    [anon_sym_private] = ACTIONS(359),
    [anon_sym_abstract] = ACTIONS(359),
    [anon_sym_final] = ACTIONS(359),
    [anon_sym_strictfp] = ACTIONS(359),
    [anon_sym_native] = ACTIONS(359),
    [anon_sym_transient] = ACTIONS(359),
    [anon_sym_volatile] = ACTIONS(359),
    [anon_sym_ATinterface] = ACTIONS(365),
    [anon_sym_interface] = ACTIONS(367),
    [sym_comment] = ACTIONS(93),
  },
  [61] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(183),
    [sym_normal_annotation] = STATE(183),
    [sym_marker_annotation] = STATE(183),
    [sym_single_element_annotation] = STATE(183),
    [sym__unann_type] = STATE(182),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(183),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(371),
    [anon_sym_module] = ACTIONS(373),
    [anon_sym_package] = ACTIONS(375),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [62] = {
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(379),
    [anon_sym_AMP] = ACTIONS(381),
    [anon_sym_GT] = ACTIONS(381),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_EQ_EQ] = ACTIONS(379),
    [anon_sym_GT_EQ] = ACTIONS(379),
    [anon_sym_LT_EQ] = ACTIONS(379),
    [anon_sym_BANG_EQ] = ACTIONS(379),
    [anon_sym_AMP_AMP] = ACTIONS(379),
    [anon_sym_PIPE_PIPE] = ACTIONS(379),
    [anon_sym_PLUS] = ACTIONS(381),
    [anon_sym_DASH] = ACTIONS(381),
    [anon_sym_STAR] = ACTIONS(379),
    [anon_sym_SLASH] = ACTIONS(381),
    [anon_sym_PIPE] = ACTIONS(381),
    [anon_sym_CARET] = ACTIONS(379),
    [anon_sym_PERCENT] = ACTIONS(379),
    [anon_sym_LT_LT] = ACTIONS(379),
    [anon_sym_GT_GT] = ACTIONS(381),
    [anon_sym_GT_GT_GT] = ACTIONS(379),
    [anon_sym_instanceof] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(379),
    [anon_sym_QMARK] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(381),
    [anon_sym_PLUS_PLUS] = ACTIONS(379),
    [anon_sym_DASH_DASH] = ACTIONS(379),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_RBRACK] = ACTIONS(379),
    [anon_sym_DOT] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(379),
    [sym_comment] = ACTIONS(93),
  },
  [63] = {
    [aux_sym_character_literal_repeat1] = STATE(185),
    [anon_sym_SQUOTE] = ACTIONS(383),
    [aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH] = ACTIONS(385),
    [aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH] = ACTIONS(385),
    [aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH] = ACTIONS(385),
    [sym_comment] = ACTIONS(111),
  },
  [64] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(186),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [65] = {
    [anon_sym_DASH_GT] = ACTIONS(387),
    [sym_comment] = ACTIONS(93),
  },
  [66] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [67] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(189),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(390),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [68] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [69] = {
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(165),
    [anon_sym_short] = ACTIONS(165),
    [anon_sym_int] = ACTIONS(165),
    [anon_sym_long] = ACTIONS(165),
    [anon_sym_char] = ACTIONS(165),
    [anon_sym_float] = ACTIONS(165),
    [anon_sym_double] = ACTIONS(165),
    [sym_boolean_type] = ACTIONS(165),
    [sym_void_type] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(163),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [sym_identifier] = ACTIONS(165),
    [sym_comment] = ACTIONS(93),
  },
  [70] = {
    [sym_scoped_identifier] = STATE(192),
    [sym__reserved_identifier] = STATE(192),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(394),
    [sym_comment] = ACTIONS(93),
  },
  [71] = {
    [anon_sym_SEMI] = ACTIONS(218),
    [anon_sym_LPAREN] = ACTIONS(218),
    [anon_sym_RPAREN] = ACTIONS(218),
    [anon_sym_AMP] = ACTIONS(220),
    [anon_sym_EQ] = ACTIONS(220),
    [anon_sym_PLUS_EQ] = ACTIONS(218),
    [anon_sym_DASH_EQ] = ACTIONS(218),
    [anon_sym_STAR_EQ] = ACTIONS(218),
    [anon_sym_SLASH_EQ] = ACTIONS(218),
    [anon_sym_AMP_EQ] = ACTIONS(218),
    [anon_sym_PIPE_EQ] = ACTIONS(218),
    [anon_sym_CARET_EQ] = ACTIONS(218),
    [anon_sym_PERCENT_EQ] = ACTIONS(218),
    [anon_sym_LT_LT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(218),
    [anon_sym_GT] = ACTIONS(220),
    [anon_sym_LT] = ACTIONS(220),
    [anon_sym_EQ_EQ] = ACTIONS(218),
    [anon_sym_GT_EQ] = ACTIONS(218),
    [anon_sym_LT_EQ] = ACTIONS(218),
    [anon_sym_BANG_EQ] = ACTIONS(218),
    [anon_sym_AMP_AMP] = ACTIONS(218),
    [anon_sym_PIPE_PIPE] = ACTIONS(218),
    [anon_sym_PLUS] = ACTIONS(220),
    [anon_sym_DASH] = ACTIONS(220),
    [anon_sym_STAR] = ACTIONS(220),
    [anon_sym_SLASH] = ACTIONS(220),
    [anon_sym_PIPE] = ACTIONS(220),
    [anon_sym_CARET] = ACTIONS(220),
    [anon_sym_PERCENT] = ACTIONS(220),
    [anon_sym_LT_LT] = ACTIONS(220),
    [anon_sym_GT_GT] = ACTIONS(220),
    [anon_sym_GT_GT_GT] = ACTIONS(220),
    [anon_sym_instanceof] = ACTIONS(220),
    [anon_sym_COMMA] = ACTIONS(218),
    [anon_sym_QMARK] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(218),
    [anon_sym_PLUS_PLUS] = ACTIONS(218),
    [anon_sym_DASH_DASH] = ACTIONS(218),
    [anon_sym_LBRACE] = ACTIONS(218),
    [anon_sym_RBRACE] = ACTIONS(218),
    [anon_sym_default] = ACTIONS(220),
    [anon_sym_synchronized] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(218),
    [anon_sym_RBRACK] = ACTIONS(218),
    [anon_sym_byte] = ACTIONS(220),
    [anon_sym_short] = ACTIONS(220),
    [anon_sym_int] = ACTIONS(220),
    [anon_sym_long] = ACTIONS(220),
    [anon_sym_char] = ACTIONS(220),
    [anon_sym_float] = ACTIONS(220),
    [anon_sym_double] = ACTIONS(220),
    [sym_boolean_type] = ACTIONS(220),
    [sym_void_type] = ACTIONS(220),
    [anon_sym_AT] = ACTIONS(220),
    [anon_sym_open] = ACTIONS(220),
    [anon_sym_module] = ACTIONS(220),
    [anon_sym_to] = ACTIONS(220),
    [anon_sym_with] = ACTIONS(220),
    [anon_sym_static] = ACTIONS(220),
    [anon_sym_DOT] = ACTIONS(218),
    [anon_sym_package] = ACTIONS(220),
    [anon_sym_enum] = ACTIONS(220),
    [anon_sym_class] = ACTIONS(220),
    [anon_sym_public] = ACTIONS(220),
    [anon_sym_protected] = ACTIONS(220),
    [anon_sym_private] = ACTIONS(220),
    [anon_sym_abstract] = ACTIONS(220),
    [anon_sym_final] = ACTIONS(220),
    [anon_sym_strictfp] = ACTIONS(220),
    [anon_sym_native] = ACTIONS(220),
    [anon_sym_transient] = ACTIONS(220),
    [anon_sym_volatile] = ACTIONS(220),
    [anon_sym_ATinterface] = ACTIONS(218),
    [anon_sym_interface] = ACTIONS(220),
    [sym_identifier] = ACTIONS(220),
    [sym_comment] = ACTIONS(93),
  },
  [72] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(193),
    [sym_floating_point_type] = STATE(193),
    [sym_scoped_type_identifier] = STATE(195),
    [sym_generic_type] = STATE(196),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(396),
    [sym_void_type] = ACTIONS(396),
    [sym_identifier] = ACTIONS(398),
    [sym_comment] = ACTIONS(93),
  },
  [73] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_inferred_parameters_repeat1] = STATE(200),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(400),
    [anon_sym_AMP] = ACTIONS(403),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(252),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(270),
    [sym_this] = ACTIONS(408),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [74] = {
    [anon_sym_RPAREN] = ACTIONS(412),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [75] = {
    [anon_sym_EQ] = ACTIONS(434),
    [anon_sym_PLUS_EQ] = ACTIONS(434),
    [anon_sym_DASH_EQ] = ACTIONS(434),
    [anon_sym_STAR_EQ] = ACTIONS(434),
    [anon_sym_SLASH_EQ] = ACTIONS(434),
    [anon_sym_AMP_EQ] = ACTIONS(434),
    [anon_sym_PIPE_EQ] = ACTIONS(434),
    [anon_sym_CARET_EQ] = ACTIONS(434),
    [anon_sym_PERCENT_EQ] = ACTIONS(434),
    [anon_sym_LT_LT_EQ] = ACTIONS(434),
    [anon_sym_GT_GT_EQ] = ACTIONS(434),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(434),
    [sym_comment] = ACTIONS(93),
  },
  [76] = {
    [anon_sym_DASH_GT] = ACTIONS(436),
    [sym_comment] = ACTIONS(93),
  },
  [77] = {
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_int] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_char] = ACTIONS(314),
    [anon_sym_float] = ACTIONS(314),
    [anon_sym_double] = ACTIONS(314),
    [sym_boolean_type] = ACTIONS(314),
    [sym_void_type] = ACTIONS(314),
    [anon_sym_AT] = ACTIONS(438),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [sym_identifier] = ACTIONS(314),
    [sym_comment] = ACTIONS(93),
  },
  [78] = {
    [sym_additional_bound] = STATE(212),
    [aux_sym_cast_expression_repeat1] = STATE(212),
    [anon_sym_RPAREN] = ACTIONS(441),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [79] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(216),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(218),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(445),
    [sym_this] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [sym_comment] = ACTIONS(93),
  },
  [80] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(189),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(220),
    [anon_sym_RPAREN] = ACTIONS(390),
    [anon_sym_COMMA] = ACTIONS(451),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [81] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(223),
    [sym_spread_parameter] = STATE(189),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(390),
    [anon_sym_COMMA] = ACTIONS(453),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [82] = {
    [anon_sym_RPAREN] = ACTIONS(390),
    [sym_comment] = ACTIONS(93),
  },
  [83] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(224),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [84] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(226),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [85] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(252),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_RBRACE] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [86] = {
    [anon_sym_SEMI] = ACTIONS(455),
    [anon_sym_RPAREN] = ACTIONS(455),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_GT] = ACTIONS(457),
    [anon_sym_LT] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(455),
    [anon_sym_LT_EQ] = ACTIONS(455),
    [anon_sym_BANG_EQ] = ACTIONS(455),
    [anon_sym_AMP_AMP] = ACTIONS(455),
    [anon_sym_PIPE_PIPE] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_STAR] = ACTIONS(455),
    [anon_sym_SLASH] = ACTIONS(457),
    [anon_sym_PIPE] = ACTIONS(457),
    [anon_sym_CARET] = ACTIONS(455),
    [anon_sym_PERCENT] = ACTIONS(455),
    [anon_sym_LT_LT] = ACTIONS(455),
    [anon_sym_GT_GT] = ACTIONS(457),
    [anon_sym_GT_GT_GT] = ACTIONS(455),
    [anon_sym_instanceof] = ACTIONS(455),
    [anon_sym_COMMA] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_RBRACK] = ACTIONS(455),
    [sym_comment] = ACTIONS(93),
  },
  [87] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(182),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [88] = {
    [anon_sym_SEMI] = ACTIONS(459),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_AMP] = ACTIONS(461),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_EQ_EQ] = ACTIONS(459),
    [anon_sym_GT_EQ] = ACTIONS(459),
    [anon_sym_LT_EQ] = ACTIONS(459),
    [anon_sym_BANG_EQ] = ACTIONS(459),
    [anon_sym_AMP_AMP] = ACTIONS(459),
    [anon_sym_PIPE_PIPE] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(459),
    [anon_sym_SLASH] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(461),
    [anon_sym_CARET] = ACTIONS(459),
    [anon_sym_PERCENT] = ACTIONS(459),
    [anon_sym_LT_LT] = ACTIONS(459),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_GT_GT_GT] = ACTIONS(459),
    [anon_sym_instanceof] = ACTIONS(459),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(459),
    [anon_sym_COLON] = ACTIONS(459),
    [anon_sym_PLUS_PLUS] = ACTIONS(459),
    [anon_sym_DASH_DASH] = ACTIONS(459),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_RBRACK] = ACTIONS(459),
    [sym_comment] = ACTIONS(93),
  },
  [89] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(228),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [90] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [91] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [92] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(229),
    [sym_floating_point_type] = STATE(229),
    [sym_scoped_type_identifier] = STATE(231),
    [sym_generic_type] = STATE(232),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(463),
    [sym_void_type] = ACTIONS(463),
    [sym_identifier] = ACTIONS(465),
    [sym_comment] = ACTIONS(93),
  },
  [93] = {
    [sym__semicolon] = STATE(240),
    [anon_sym_SEMI] = ACTIONS(467),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(489),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [94] = {
    [anon_sym_EQ] = ACTIONS(491),
    [anon_sym_PLUS_EQ] = ACTIONS(491),
    [anon_sym_DASH_EQ] = ACTIONS(491),
    [anon_sym_STAR_EQ] = ACTIONS(491),
    [anon_sym_SLASH_EQ] = ACTIONS(491),
    [anon_sym_AMP_EQ] = ACTIONS(491),
    [anon_sym_PIPE_EQ] = ACTIONS(491),
    [anon_sym_CARET_EQ] = ACTIONS(491),
    [anon_sym_PERCENT_EQ] = ACTIONS(491),
    [anon_sym_LT_LT_EQ] = ACTIONS(491),
    [anon_sym_GT_GT_EQ] = ACTIONS(491),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(491),
    [sym_comment] = ACTIONS(93),
  },
  [95] = {
    [anon_sym_DASH_GT] = ACTIONS(493),
    [sym_comment] = ACTIONS(93),
  },
  [96] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(243),
    [sym_cast_expression] = STATE(243),
    [sym_assignment_expression] = STATE(243),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(243),
    [sym_lambda_expression] = STATE(243),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(243),
    [sym_unary_expression] = STATE(243),
    [sym_update_expression] = STATE(243),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [97] = {
    [ts_builtin_sym_end] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(495),
    [sym_decimal_integer_literal] = ACTIONS(497),
    [sym_hex_integer_literal] = ACTIONS(497),
    [sym_octal_integer_literal] = ACTIONS(495),
    [sym_binary_integer_literal] = ACTIONS(495),
    [sym_long_integer_literal] = ACTIONS(495),
    [sym_decimal_floating_point_literal] = ACTIONS(495),
    [sym_hex_floating_point_literal] = ACTIONS(497),
    [sym_true] = ACTIONS(497),
    [sym_false] = ACTIONS(497),
    [anon_sym_SQUOTE] = ACTIONS(495),
    [sym_string_literal] = ACTIONS(495),
    [sym_null_literal] = ACTIONS(497),
    [anon_sym_LPAREN] = ACTIONS(495),
    [anon_sym_RPAREN] = ACTIONS(495),
    [anon_sym_AMP] = ACTIONS(497),
    [anon_sym_GT] = ACTIONS(497),
    [anon_sym_LT] = ACTIONS(497),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_AMP_AMP] = ACTIONS(495),
    [anon_sym_PIPE_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(497),
    [anon_sym_PIPE] = ACTIONS(497),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_PERCENT] = ACTIONS(495),
    [anon_sym_LT_LT] = ACTIONS(495),
    [anon_sym_GT_GT] = ACTIONS(497),
    [anon_sym_GT_GT_GT] = ACTIONS(495),
    [anon_sym_instanceof] = ACTIONS(497),
    [anon_sym_COMMA] = ACTIONS(495),
    [anon_sym_QMARK] = ACTIONS(495),
    [anon_sym_COLON] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_PLUS_PLUS] = ACTIONS(495),
    [anon_sym_DASH_DASH] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(497),
    [anon_sym_switch] = ACTIONS(497),
    [anon_sym_LBRACE] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_case] = ACTIONS(497),
    [anon_sym_default] = ACTIONS(497),
    [anon_sym_do] = ACTIONS(497),
    [anon_sym_while] = ACTIONS(497),
    [anon_sym_break] = ACTIONS(497),
    [anon_sym_continue] = ACTIONS(497),
    [anon_sym_return] = ACTIONS(497),
    [anon_sym_synchronized] = ACTIONS(497),
    [anon_sym_throw] = ACTIONS(497),
    [anon_sym_try] = ACTIONS(497),
    [anon_sym_catch] = ACTIONS(497),
    [anon_sym_finally] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(497),
    [anon_sym_else] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(497),
    [anon_sym_RBRACK] = ACTIONS(495),
    [anon_sym_byte] = ACTIONS(497),
    [anon_sym_short] = ACTIONS(497),
    [anon_sym_int] = ACTIONS(497),
    [anon_sym_long] = ACTIONS(497),
    [anon_sym_char] = ACTIONS(497),
    [anon_sym_float] = ACTIONS(497),
    [anon_sym_double] = ACTIONS(497),
    [sym_boolean_type] = ACTIONS(497),
    [sym_void_type] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(497),
    [anon_sym_open] = ACTIONS(497),
    [anon_sym_module] = ACTIONS(497),
    [anon_sym_static] = ACTIONS(497),
    [anon_sym_package] = ACTIONS(497),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_enum] = ACTIONS(497),
    [anon_sym_class] = ACTIONS(497),
    [anon_sym_public] = ACTIONS(497),
    [anon_sym_protected] = ACTIONS(497),
    [anon_sym_private] = ACTIONS(497),
    [anon_sym_abstract] = ACTIONS(497),
    [anon_sym_final] = ACTIONS(497),
    [anon_sym_strictfp] = ACTIONS(497),
    [anon_sym_native] = ACTIONS(497),
    [anon_sym_transient] = ACTIONS(497),
    [anon_sym_volatile] = ACTIONS(497),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_ATinterface] = ACTIONS(495),
    [anon_sym_interface] = ACTIONS(497),
    [sym_this] = ACTIONS(497),
    [sym_super] = ACTIONS(497),
    [sym_identifier] = ACTIONS(497),
    [sym_comment] = ACTIONS(93),
  },
  [98] = {
    [anon_sym_LPAREN] = ACTIONS(499),
    [sym_comment] = ACTIONS(93),
  },
  [99] = {
    [sym_resource_specification] = STATE(245),
    [sym_block] = STATE(246),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [100] = {
    [anon_sym_LPAREN] = ACTIONS(501),
    [sym_comment] = ACTIONS(93),
  },
  [101] = {
    [anon_sym_LPAREN] = ACTIONS(503),
    [sym_comment] = ACTIONS(93),
  },
  [102] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(252),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [103] = {
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_int] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_char] = ACTIONS(314),
    [anon_sym_float] = ACTIONS(314),
    [anon_sym_double] = ACTIONS(314),
    [sym_boolean_type] = ACTIONS(314),
    [sym_void_type] = ACTIONS(314),
    [anon_sym_AT] = ACTIONS(314),
    [anon_sym_open] = ACTIONS(312),
    [anon_sym_module] = ACTIONS(312),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_package] = ACTIONS(312),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(314),
    [sym_comment] = ACTIONS(93),
  },
  [104] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym__reserved_identifier] = STATE(250),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(507),
    [sym_comment] = ACTIONS(93),
  },
  [105] = {
    [sym__semicolon] = STATE(255),
    [anon_sym_SEMI] = ACTIONS(509),
    [sym_comment] = ACTIONS(93),
  },
  [106] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(257),
    [sym__unann_type] = STATE(256),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(257),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(513),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(365),
    [anon_sym_interface] = ACTIONS(515),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [107] = {
    [sym__statement] = STATE(259),
    [sym__method_statement] = STATE(259),
    [sym__expression_statement] = STATE(259),
    [sym__semicolon] = STATE(259),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(259),
    [sym_assert_statement] = STATE(259),
    [sym_switch_statement] = STATE(259),
    [sym_do_statement] = STATE(259),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(259),
    [sym_return_statement] = STATE(259),
    [sym_synchronized_statement] = STATE(259),
    [sym_throw_statement] = STATE(259),
    [sym_try_statement] = STATE(259),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(259),
    [sym_while_statement] = STATE(259),
    [sym_for_statement] = STATE(259),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(259),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(259),
    [sym_local_variable_declaration_statement] = STATE(259),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(259),
    [anon_sym_SEMI] = ACTIONS(517),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [108] = {
    [anon_sym_LPAREN] = ACTIONS(521),
    [sym_comment] = ACTIONS(93),
  },
  [109] = {
    [sym_resource_specification] = STATE(261),
    [sym_block] = STATE(262),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [110] = {
    [anon_sym_LPAREN] = ACTIONS(523),
    [sym_comment] = ACTIONS(93),
  },
  [111] = {
    [anon_sym_LPAREN] = ACTIONS(525),
    [sym_comment] = ACTIONS(93),
  },
  [112] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(527),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [113] = {
    [anon_sym_while] = ACTIONS(529),
    [sym_comment] = ACTIONS(93),
  },
  [114] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(267),
    [sym_cast_expression] = STATE(267),
    [sym_assignment_expression] = STATE(267),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(267),
    [sym_lambda_expression] = STATE(267),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(267),
    [sym_unary_expression] = STATE(267),
    [sym_update_expression] = STATE(267),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [115] = {
    [sym__semicolon] = STATE(268),
    [anon_sym_SEMI] = ACTIONS(531),
    [sym_comment] = ACTIONS(93),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(533),
    [anon_sym_SEMI] = ACTIONS(533),
    [sym_decimal_integer_literal] = ACTIONS(535),
    [sym_hex_integer_literal] = ACTIONS(535),
    [sym_octal_integer_literal] = ACTIONS(533),
    [sym_binary_integer_literal] = ACTIONS(533),
    [sym_long_integer_literal] = ACTIONS(533),
    [sym_decimal_floating_point_literal] = ACTIONS(533),
    [sym_hex_floating_point_literal] = ACTIONS(535),
    [sym_true] = ACTIONS(535),
    [sym_false] = ACTIONS(535),
    [anon_sym_SQUOTE] = ACTIONS(533),
    [sym_string_literal] = ACTIONS(533),
    [sym_null_literal] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(533),
    [anon_sym_TILDE] = ACTIONS(533),
    [anon_sym_PLUS_PLUS] = ACTIONS(533),
    [anon_sym_DASH_DASH] = ACTIONS(533),
    [anon_sym_assert] = ACTIONS(535),
    [anon_sym_switch] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(533),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_case] = ACTIONS(535),
    [anon_sym_default] = ACTIONS(535),
    [anon_sym_do] = ACTIONS(535),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(535),
    [anon_sym_continue] = ACTIONS(535),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_synchronized] = ACTIONS(535),
    [anon_sym_throw] = ACTIONS(535),
    [anon_sym_try] = ACTIONS(535),
    [anon_sym_if] = ACTIONS(535),
    [anon_sym_else] = ACTIONS(535),
    [anon_sym_for] = ACTIONS(535),
    [anon_sym_byte] = ACTIONS(535),
    [anon_sym_short] = ACTIONS(535),
    [anon_sym_int] = ACTIONS(535),
    [anon_sym_long] = ACTIONS(535),
    [anon_sym_char] = ACTIONS(535),
    [anon_sym_float] = ACTIONS(535),
    [anon_sym_double] = ACTIONS(535),
    [sym_boolean_type] = ACTIONS(535),
    [sym_void_type] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_static] = ACTIONS(535),
    [anon_sym_package] = ACTIONS(535),
    [anon_sym_import] = ACTIONS(535),
    [anon_sym_enum] = ACTIONS(535),
    [anon_sym_class] = ACTIONS(535),
    [anon_sym_public] = ACTIONS(535),
    [anon_sym_protected] = ACTIONS(535),
    [anon_sym_private] = ACTIONS(535),
    [anon_sym_abstract] = ACTIONS(535),
    [anon_sym_final] = ACTIONS(535),
    [anon_sym_strictfp] = ACTIONS(535),
    [anon_sym_native] = ACTIONS(535),
    [anon_sym_transient] = ACTIONS(535),
    [anon_sym_volatile] = ACTIONS(535),
    [anon_sym_new] = ACTIONS(535),
    [anon_sym_ATinterface] = ACTIONS(533),
    [anon_sym_interface] = ACTIONS(535),
    [sym_this] = ACTIONS(535),
    [sym_super] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [sym_comment] = ACTIONS(93),
  },
  [117] = {
    [sym__semicolon] = STATE(269),
    [anon_sym_SEMI] = ACTIONS(537),
    [sym_comment] = ACTIONS(93),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(539),
    [sym_decimal_integer_literal] = ACTIONS(541),
    [sym_hex_integer_literal] = ACTIONS(541),
    [sym_octal_integer_literal] = ACTIONS(539),
    [sym_binary_integer_literal] = ACTIONS(539),
    [sym_long_integer_literal] = ACTIONS(539),
    [sym_decimal_floating_point_literal] = ACTIONS(539),
    [sym_hex_floating_point_literal] = ACTIONS(541),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_SQUOTE] = ACTIONS(539),
    [sym_string_literal] = ACTIONS(539),
    [sym_null_literal] = ACTIONS(541),
    [anon_sym_LPAREN] = ACTIONS(539),
    [anon_sym_PLUS] = ACTIONS(541),
    [anon_sym_DASH] = ACTIONS(541),
    [anon_sym_BANG] = ACTIONS(539),
    [anon_sym_TILDE] = ACTIONS(539),
    [anon_sym_PLUS_PLUS] = ACTIONS(539),
    [anon_sym_DASH_DASH] = ACTIONS(539),
    [anon_sym_assert] = ACTIONS(541),
    [anon_sym_switch] = ACTIONS(541),
    [anon_sym_LBRACE] = ACTIONS(539),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_case] = ACTIONS(541),
    [anon_sym_default] = ACTIONS(541),
    [anon_sym_do] = ACTIONS(541),
    [anon_sym_while] = ACTIONS(541),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [anon_sym_return] = ACTIONS(541),
    [anon_sym_synchronized] = ACTIONS(541),
    [anon_sym_throw] = ACTIONS(541),
    [anon_sym_try] = ACTIONS(541),
    [anon_sym_if] = ACTIONS(541),
    [anon_sym_else] = ACTIONS(541),
    [anon_sym_for] = ACTIONS(541),
    [anon_sym_byte] = ACTIONS(541),
    [anon_sym_short] = ACTIONS(541),
    [anon_sym_int] = ACTIONS(541),
    [anon_sym_long] = ACTIONS(541),
    [anon_sym_char] = ACTIONS(541),
    [anon_sym_float] = ACTIONS(541),
    [anon_sym_double] = ACTIONS(541),
    [sym_boolean_type] = ACTIONS(541),
    [sym_void_type] = ACTIONS(541),
    [anon_sym_AT] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(541),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_static] = ACTIONS(541),
    [anon_sym_package] = ACTIONS(541),
    [anon_sym_import] = ACTIONS(541),
    [anon_sym_enum] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(541),
    [anon_sym_public] = ACTIONS(541),
    [anon_sym_protected] = ACTIONS(541),
    [anon_sym_private] = ACTIONS(541),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_final] = ACTIONS(541),
    [anon_sym_strictfp] = ACTIONS(541),
    [anon_sym_native] = ACTIONS(541),
    [anon_sym_transient] = ACTIONS(541),
    [anon_sym_volatile] = ACTIONS(541),
    [anon_sym_new] = ACTIONS(541),
    [anon_sym_ATinterface] = ACTIONS(539),
    [anon_sym_interface] = ACTIONS(541),
    [sym_this] = ACTIONS(541),
    [sym_super] = ACTIONS(541),
    [sym_identifier] = ACTIONS(541),
    [sym_comment] = ACTIONS(93),
  },
  [119] = {
    [ts_builtin_sym_end] = ACTIONS(543),
    [anon_sym_SEMI] = ACTIONS(543),
    [sym_decimal_integer_literal] = ACTIONS(545),
    [sym_hex_integer_literal] = ACTIONS(545),
    [sym_octal_integer_literal] = ACTIONS(543),
    [sym_binary_integer_literal] = ACTIONS(543),
    [sym_long_integer_literal] = ACTIONS(543),
    [sym_decimal_floating_point_literal] = ACTIONS(543),
    [sym_hex_floating_point_literal] = ACTIONS(545),
    [sym_true] = ACTIONS(545),
    [sym_false] = ACTIONS(545),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [sym_string_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(543),
    [anon_sym_TILDE] = ACTIONS(543),
    [anon_sym_PLUS_PLUS] = ACTIONS(543),
    [anon_sym_DASH_DASH] = ACTIONS(543),
    [anon_sym_assert] = ACTIONS(545),
    [anon_sym_switch] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(543),
    [anon_sym_RBRACE] = ACTIONS(543),
    [anon_sym_case] = ACTIONS(545),
    [anon_sym_default] = ACTIONS(545),
    [anon_sym_do] = ACTIONS(545),
    [anon_sym_while] = ACTIONS(545),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_continue] = ACTIONS(545),
    [anon_sym_return] = ACTIONS(545),
    [anon_sym_synchronized] = ACTIONS(545),
    [anon_sym_throw] = ACTIONS(545),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(545),
    [anon_sym_else] = ACTIONS(545),
    [anon_sym_for] = ACTIONS(545),
    [anon_sym_byte] = ACTIONS(545),
    [anon_sym_short] = ACTIONS(545),
    [anon_sym_int] = ACTIONS(545),
    [anon_sym_long] = ACTIONS(545),
    [anon_sym_char] = ACTIONS(545),
    [anon_sym_float] = ACTIONS(545),
    [anon_sym_double] = ACTIONS(545),
    [sym_boolean_type] = ACTIONS(545),
    [sym_void_type] = ACTIONS(545),
    [anon_sym_AT] = ACTIONS(545),
    [anon_sym_open] = ACTIONS(545),
    [anon_sym_module] = ACTIONS(545),
    [anon_sym_static] = ACTIONS(545),
    [anon_sym_package] = ACTIONS(545),
    [anon_sym_import] = ACTIONS(545),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_class] = ACTIONS(545),
    [anon_sym_public] = ACTIONS(545),
    [anon_sym_protected] = ACTIONS(545),
    [anon_sym_private] = ACTIONS(545),
    [anon_sym_abstract] = ACTIONS(545),
    [anon_sym_final] = ACTIONS(545),
    [anon_sym_strictfp] = ACTIONS(545),
    [anon_sym_native] = ACTIONS(545),
    [anon_sym_transient] = ACTIONS(545),
    [anon_sym_volatile] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(545),
    [anon_sym_ATinterface] = ACTIONS(543),
    [anon_sym_interface] = ACTIONS(545),
    [sym_this] = ACTIONS(545),
    [sym_super] = ACTIONS(545),
    [sym_identifier] = ACTIONS(545),
    [sym_comment] = ACTIONS(93),
  },
  [120] = {
    [sym__semicolon] = STATE(270),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [121] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(271),
    [sym_cast_expression] = STATE(271),
    [sym_assignment_expression] = STATE(271),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(271),
    [sym_lambda_expression] = STATE(271),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(271),
    [sym_unary_expression] = STATE(271),
    [sym_update_expression] = STATE(271),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [122] = {
    [sym__semicolon] = STATE(272),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [123] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym_resource] = STATE(276),
    [sym_variable_access] = STATE(277),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(283),
    [sym_scoped_identifier] = STATE(278),
    [sym__primary] = STATE(279),
    [sym_array_creation_expression] = STATE(279),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(280),
    [sym_array_access] = STATE(48),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(281),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(282),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(283),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(553),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(555),
    [sym_comment] = ACTIONS(93),
  },
  [124] = {
    [sym_block] = STATE(284),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [125] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(289),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(289),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [126] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(290),
    [sym_cast_expression] = STATE(290),
    [sym_assignment_expression] = STATE(290),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(290),
    [sym_lambda_expression] = STATE(290),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(290),
    [sym_unary_expression] = STATE(290),
    [sym_update_expression] = STATE(290),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [127] = {
    [sym__semicolon] = STATE(295),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(299),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(302),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(300),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(302),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(561),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [128] = {
    [anon_sym_RBRACK] = ACTIONS(573),
    [sym_comment] = ACTIONS(93),
  },
  [129] = {
    [anon_sym_class] = ACTIONS(575),
    [sym_comment] = ACTIONS(93),
  },
  [130] = {
    [aux_sym_class_literal_repeat1] = STATE(306),
    [anon_sym_LBRACK] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(579),
    [sym_comment] = ACTIONS(93),
  },
  [131] = {
    [anon_sym_SEMI] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(583),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_default] = ACTIONS(585),
    [anon_sym_synchronized] = ACTIONS(585),
    [anon_sym_byte] = ACTIONS(585),
    [anon_sym_short] = ACTIONS(585),
    [anon_sym_int] = ACTIONS(585),
    [anon_sym_long] = ACTIONS(585),
    [anon_sym_char] = ACTIONS(585),
    [anon_sym_float] = ACTIONS(585),
    [anon_sym_double] = ACTIONS(585),
    [sym_boolean_type] = ACTIONS(585),
    [sym_void_type] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(585),
    [anon_sym_open] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(585),
    [anon_sym_static] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(587),
    [anon_sym_package] = ACTIONS(585),
    [anon_sym_enum] = ACTIONS(585),
    [anon_sym_class] = ACTIONS(585),
    [anon_sym_public] = ACTIONS(585),
    [anon_sym_protected] = ACTIONS(585),
    [anon_sym_private] = ACTIONS(585),
    [anon_sym_abstract] = ACTIONS(585),
    [anon_sym_final] = ACTIONS(585),
    [anon_sym_strictfp] = ACTIONS(585),
    [anon_sym_native] = ACTIONS(585),
    [anon_sym_transient] = ACTIONS(585),
    [anon_sym_volatile] = ACTIONS(585),
    [anon_sym_ATinterface] = ACTIONS(581),
    [anon_sym_interface] = ACTIONS(585),
    [sym_identifier] = ACTIONS(585),
    [sym_comment] = ACTIONS(93),
  },
  [132] = {
    [sym_scoped_identifier] = STATE(309),
    [sym__reserved_identifier] = STATE(309),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(589),
    [sym_comment] = ACTIONS(93),
  },
  [133] = {
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [134] = {
    [sym__semicolon] = STATE(311),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [135] = {
    [sym_identifier] = ACTIONS(595),
    [sym_comment] = ACTIONS(93),
  },
  [136] = {
    [sym__semicolon] = STATE(314),
    [aux_sym_import_declaration_repeat1] = STATE(315),
    [anon_sym_SEMI] = ACTIONS(597),
    [anon_sym_DOT] = ACTIONS(599),
    [sym_comment] = ACTIONS(93),
  },
  [137] = {
    [sym_super_interfaces] = STATE(318),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [138] = {
    [sym_type_parameters] = STATE(322),
    [sym_superclass] = STATE(323),
    [sym_super_interfaces] = STATE(324),
    [sym_class_body] = STATE(325),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_extends] = ACTIONS(609),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [139] = {
    [sym_type_argument] = STATE(327),
    [sym_wildcard] = STATE(328),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(330),
    [sym_normal_annotation] = STATE(330),
    [sym_marker_annotation] = STATE(330),
    [sym_single_element_annotation] = STATE(330),
    [sym__type] = STATE(328),
    [sym__unann_type] = STATE(329),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(330),
    [anon_sym_QMARK] = ACTIONS(611),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [140] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(334),
    [sym_dims_expr] = STATE(335),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [141] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(341),
    [sym_dims_expr] = STATE(335),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [142] = {
    [sym_integral_type] = STATE(342),
    [sym_floating_point_type] = STATE(342),
    [sym_scoped_type_identifier] = STATE(344),
    [sym_generic_type] = STATE(345),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(621),
    [sym_void_type] = ACTIONS(621),
    [sym_identifier] = ACTIONS(623),
    [sym_comment] = ACTIONS(93),
  },
  [143] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(334),
    [sym_dims_expr] = STATE(335),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [144] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(334),
    [sym_dims_expr] = STATE(335),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [145] = {
    [sym_annotation_type_body] = STATE(347),
    [anon_sym_LBRACE] = ACTIONS(627),
    [sym_comment] = ACTIONS(93),
  },
  [146] = {
    [sym_type_parameters] = STATE(350),
    [sym_extends_interfaces] = STATE(351),
    [sym_interface_body] = STATE(352),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_extends] = ACTIONS(631),
    [sym_comment] = ACTIONS(93),
  },
  [147] = {
    [sym__type_arguments] = STATE(354),
    [anon_sym_LT] = ACTIONS(236),
    [sym_identifier] = ACTIONS(633),
    [sym_comment] = ACTIONS(93),
  },
  [148] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(363),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [149] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(93),
  },
  [150] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(369),
    [sym_cast_expression] = STATE(369),
    [sym_assignment_expression] = STATE(369),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(369),
    [sym_lambda_expression] = STATE(369),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(369),
    [sym_unary_expression] = STATE(369),
    [sym_update_expression] = STATE(369),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(573),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [151] = {
    [sym__type_arguments] = STATE(354),
    [sym__annotation] = STATE(376),
    [sym_normal_annotation] = STATE(376),
    [sym_marker_annotation] = STATE(376),
    [sym_single_element_annotation] = STATE(376),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [aux_sym_wildcard_repeat1] = STATE(376),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(665),
    [sym_identifier] = ACTIONS(667),
    [sym_comment] = ACTIONS(93),
  },
  [152] = {
    [anon_sym_SEMI] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_RPAREN] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(671),
    [anon_sym_module] = ACTIONS(671),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_implements] = ACTIONS(671),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [sym_this] = ACTIONS(671),
    [sym_identifier] = ACTIONS(671),
    [sym_comment] = ACTIONS(93),
  },
  [153] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(377),
    [sym_cast_expression] = STATE(377),
    [sym_assignment_expression] = STATE(377),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(377),
    [sym_lambda_expression] = STATE(377),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(377),
    [sym_unary_expression] = STATE(377),
    [sym_update_expression] = STATE(377),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [154] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(378),
    [sym_cast_expression] = STATE(378),
    [sym_assignment_expression] = STATE(378),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(378),
    [sym_lambda_expression] = STATE(378),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(378),
    [sym_unary_expression] = STATE(378),
    [sym_update_expression] = STATE(378),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [155] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(379),
    [sym_cast_expression] = STATE(379),
    [sym_assignment_expression] = STATE(379),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(379),
    [sym_lambda_expression] = STATE(379),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(379),
    [sym_unary_expression] = STATE(379),
    [sym_update_expression] = STATE(379),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [156] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(380),
    [sym_cast_expression] = STATE(380),
    [sym_assignment_expression] = STATE(380),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(380),
    [sym_lambda_expression] = STATE(380),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(380),
    [sym_unary_expression] = STATE(380),
    [sym_update_expression] = STATE(380),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [157] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [158] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(386),
    [sym_cast_expression] = STATE(386),
    [sym_assignment_expression] = STATE(386),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(386),
    [sym_lambda_expression] = STATE(386),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(386),
    [sym_unary_expression] = STATE(386),
    [sym_update_expression] = STATE(386),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [159] = {
    [anon_sym_SEMI] = ACTIONS(459),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_AMP] = ACTIONS(461),
    [anon_sym_GT] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_EQ_EQ] = ACTIONS(459),
    [anon_sym_GT_EQ] = ACTIONS(459),
    [anon_sym_LT_EQ] = ACTIONS(459),
    [anon_sym_BANG_EQ] = ACTIONS(459),
    [anon_sym_AMP_AMP] = ACTIONS(459),
    [anon_sym_PIPE_PIPE] = ACTIONS(459),
    [anon_sym_PLUS] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(461),
    [anon_sym_STAR] = ACTIONS(459),
    [anon_sym_SLASH] = ACTIONS(461),
    [anon_sym_PIPE] = ACTIONS(461),
    [anon_sym_CARET] = ACTIONS(459),
    [anon_sym_PERCENT] = ACTIONS(459),
    [anon_sym_LT_LT] = ACTIONS(459),
    [anon_sym_GT_GT] = ACTIONS(461),
    [anon_sym_GT_GT_GT] = ACTIONS(459),
    [anon_sym_instanceof] = ACTIONS(459),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_QMARK] = ACTIONS(459),
    [anon_sym_COLON] = ACTIONS(459),
    [anon_sym_PLUS_PLUS] = ACTIONS(459),
    [anon_sym_DASH_DASH] = ACTIONS(459),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_RBRACK] = ACTIONS(459),
    [sym_comment] = ACTIONS(93),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [anon_sym_SEMI] = ACTIONS(683),
    [sym_decimal_integer_literal] = ACTIONS(685),
    [sym_hex_integer_literal] = ACTIONS(685),
    [sym_octal_integer_literal] = ACTIONS(683),
    [sym_binary_integer_literal] = ACTIONS(683),
    [sym_long_integer_literal] = ACTIONS(683),
    [sym_decimal_floating_point_literal] = ACTIONS(683),
    [sym_hex_floating_point_literal] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [anon_sym_SQUOTE] = ACTIONS(683),
    [sym_string_literal] = ACTIONS(683),
    [sym_null_literal] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_assert] = ACTIONS(685),
    [anon_sym_switch] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(683),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_case] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_do] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_synchronized] = ACTIONS(685),
    [anon_sym_throw] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_else] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_byte] = ACTIONS(685),
    [anon_sym_short] = ACTIONS(685),
    [anon_sym_int] = ACTIONS(685),
    [anon_sym_long] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_float] = ACTIONS(685),
    [anon_sym_double] = ACTIONS(685),
    [sym_boolean_type] = ACTIONS(685),
    [sym_void_type] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(685),
    [anon_sym_open] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_package] = ACTIONS(685),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_class] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_abstract] = ACTIONS(685),
    [anon_sym_final] = ACTIONS(685),
    [anon_sym_strictfp] = ACTIONS(685),
    [anon_sym_native] = ACTIONS(685),
    [anon_sym_transient] = ACTIONS(685),
    [anon_sym_volatile] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(685),
    [anon_sym_ATinterface] = ACTIONS(683),
    [anon_sym_interface] = ACTIONS(685),
    [sym_this] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_identifier] = ACTIONS(685),
    [sym_comment] = ACTIONS(93),
  },
  [161] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(389),
    [sym_cast_expression] = STATE(389),
    [sym_assignment_expression] = STATE(389),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(389),
    [sym_lambda_expression] = STATE(389),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_update_expression] = STATE(389),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [162] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(390),
    [sym_cast_expression] = STATE(390),
    [sym_assignment_expression] = STATE(390),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(390),
    [sym_lambda_expression] = STATE(390),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(390),
    [sym_unary_expression] = STATE(390),
    [sym_update_expression] = STATE(390),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [163] = {
    [sym__type_arguments] = STATE(354),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(665),
    [sym_identifier] = ACTIONS(687),
    [sym_comment] = ACTIONS(93),
  },
  [164] = {
    [sym__type_arguments] = STATE(354),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_new] = ACTIONS(661),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(93),
  },
  [165] = {
    [sym__type_arguments] = STATE(395),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_new] = ACTIONS(691),
    [sym_identifier] = ACTIONS(691),
    [sym_comment] = ACTIONS(93),
  },
  [166] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(369),
    [sym_cast_expression] = STATE(369),
    [sym_assignment_expression] = STATE(369),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(369),
    [sym_lambda_expression] = STATE(369),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(369),
    [sym_unary_expression] = STATE(369),
    [sym_update_expression] = STATE(369),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [167] = {
    [anon_sym_RBRACK] = ACTIONS(693),
    [sym_comment] = ACTIONS(93),
  },
  [168] = {
    [anon_sym_SEMI] = ACTIONS(695),
    [anon_sym_RPAREN] = ACTIONS(695),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_PIPE] = ACTIONS(695),
    [anon_sym_COMMA] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(697),
    [anon_sym_module] = ACTIONS(697),
    [anon_sym_implements] = ACTIONS(697),
    [anon_sym_COLON_COLON] = ACTIONS(695),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(695),
    [sym_this] = ACTIONS(697),
    [sym_identifier] = ACTIONS(697),
    [sym_comment] = ACTIONS(93),
  },
  [169] = {
    [sym__annotation] = STATE(398),
    [sym_normal_annotation] = STATE(398),
    [sym_marker_annotation] = STATE(398),
    [sym_single_element_annotation] = STATE(398),
    [aux_sym_wildcard_repeat1] = STATE(398),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [170] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(399),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [171] = {
    [sym__annotation] = STATE(401),
    [sym_normal_annotation] = STATE(401),
    [sym_marker_annotation] = STATE(401),
    [sym_single_element_annotation] = STATE(401),
    [aux_sym_wildcard_repeat1] = STATE(401),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(703),
    [sym_comment] = ACTIONS(93),
  },
  [172] = {
    [anon_sym_SEMI] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_AMP] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [anon_sym_open] = ACTIONS(707),
    [anon_sym_module] = ACTIONS(707),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_implements] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(705),
    [sym_this] = ACTIONS(707),
    [sym_identifier] = ACTIONS(707),
    [sym_comment] = ACTIONS(93),
  },
  [173] = {
    [sym__statement] = STATE(173),
    [sym__method_statement] = STATE(173),
    [sym__expression_statement] = STATE(173),
    [sym__semicolon] = STATE(173),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(173),
    [sym_assert_statement] = STATE(173),
    [sym_switch_statement] = STATE(173),
    [sym_do_statement] = STATE(173),
    [sym_break_statement] = STATE(173),
    [sym_continue_statement] = STATE(173),
    [sym_return_statement] = STATE(173),
    [sym_synchronized_statement] = STATE(173),
    [sym_throw_statement] = STATE(173),
    [sym_try_statement] = STATE(173),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(173),
    [sym_while_statement] = STATE(173),
    [sym_for_statement] = STATE(173),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(173),
    [sym_module_declaration] = STATE(173),
    [sym_package_declaration] = STATE(173),
    [sym_import_declaration] = STATE(173),
    [sym_enum_declaration] = STATE(173),
    [sym_class_declaration] = STATE(173),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(173),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(173),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_program_repeat1] = STATE(173),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [ts_builtin_sym_end] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(711),
    [sym_decimal_integer_literal] = ACTIONS(714),
    [sym_hex_integer_literal] = ACTIONS(714),
    [sym_octal_integer_literal] = ACTIONS(717),
    [sym_binary_integer_literal] = ACTIONS(717),
    [sym_long_integer_literal] = ACTIONS(717),
    [sym_decimal_floating_point_literal] = ACTIONS(720),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [sym_string_literal] = ACTIONS(732),
    [sym_null_literal] = ACTIONS(735),
    [anon_sym_LPAREN] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(741),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(747),
    [anon_sym_assert] = ACTIONS(750),
    [anon_sym_switch] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(756),
    [anon_sym_default] = ACTIONS(759),
    [anon_sym_do] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_break] = ACTIONS(768),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(774),
    [anon_sym_synchronized] = ACTIONS(777),
    [anon_sym_throw] = ACTIONS(780),
    [anon_sym_try] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_byte] = ACTIONS(792),
    [anon_sym_short] = ACTIONS(792),
    [anon_sym_int] = ACTIONS(792),
    [anon_sym_long] = ACTIONS(792),
    [anon_sym_char] = ACTIONS(792),
    [anon_sym_float] = ACTIONS(795),
    [anon_sym_double] = ACTIONS(795),
    [sym_boolean_type] = ACTIONS(798),
    [sym_void_type] = ACTIONS(801),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_open] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(810),
    [anon_sym_static] = ACTIONS(759),
    [anon_sym_package] = ACTIONS(813),
    [anon_sym_import] = ACTIONS(816),
    [anon_sym_enum] = ACTIONS(819),
    [anon_sym_class] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(759),
    [anon_sym_protected] = ACTIONS(759),
    [anon_sym_private] = ACTIONS(759),
    [anon_sym_abstract] = ACTIONS(759),
    [anon_sym_final] = ACTIONS(759),
    [anon_sym_strictfp] = ACTIONS(759),
    [anon_sym_native] = ACTIONS(759),
    [anon_sym_transient] = ACTIONS(759),
    [anon_sym_volatile] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_ATinterface] = ACTIONS(828),
    [anon_sym_interface] = ACTIONS(831),
    [sym_this] = ACTIONS(735),
    [sym_super] = ACTIONS(834),
    [sym_identifier] = ACTIONS(837),
    [sym_comment] = ACTIONS(93),
  },
  [174] = {
    [sym_identifier] = ACTIONS(840),
    [sym_comment] = ACTIONS(93),
  },
  [175] = {
    [sym_identifier] = ACTIONS(842),
    [sym_comment] = ACTIONS(93),
  },
  [176] = {
    [sym_identifier] = ACTIONS(844),
    [sym_comment] = ACTIONS(93),
  },
  [177] = {
    [sym_identifier] = ACTIONS(846),
    [sym_comment] = ACTIONS(93),
  },
  [178] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(178),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(178),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_synchronized] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_enum] = ACTIONS(854),
    [anon_sym_class] = ACTIONS(854),
    [anon_sym_public] = ACTIONS(848),
    [anon_sym_protected] = ACTIONS(848),
    [anon_sym_private] = ACTIONS(848),
    [anon_sym_abstract] = ACTIONS(848),
    [anon_sym_final] = ACTIONS(848),
    [anon_sym_strictfp] = ACTIONS(848),
    [anon_sym_native] = ACTIONS(848),
    [anon_sym_transient] = ACTIONS(848),
    [anon_sym_volatile] = ACTIONS(848),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(854),
    [sym_comment] = ACTIONS(93),
  },
  [179] = {
    [anon_sym_module] = ACTIONS(856),
    [sym_comment] = ACTIONS(93),
  },
  [180] = {
    [sym_scoped_identifier] = STATE(407),
    [sym__reserved_identifier] = STATE(407),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(858),
    [sym_comment] = ACTIONS(93),
  },
  [181] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [anon_sym_SEMI] = ACTIONS(270),
    [anon_sym_RPAREN] = ACTIONS(270),
    [anon_sym_AMP] = ACTIONS(270),
    [anon_sym_GT] = ACTIONS(270),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(270),
    [anon_sym_COMMA] = ACTIONS(270),
    [anon_sym_LBRACE] = ACTIONS(270),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(860),
    [anon_sym_implements] = ACTIONS(408),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(270),
    [sym_this] = ACTIONS(408),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [182] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(170),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_COLON_COLON] = ACTIONS(862),
    [sym_comment] = ACTIONS(93),
  },
  [183] = {
    [sym__annotation] = STATE(183),
    [sym_normal_annotation] = STATE(183),
    [sym_marker_annotation] = STATE(183),
    [sym_single_element_annotation] = STATE(183),
    [aux_sym_wildcard_repeat1] = STATE(183),
    [anon_sym_byte] = ACTIONS(864),
    [anon_sym_short] = ACTIONS(864),
    [anon_sym_int] = ACTIONS(864),
    [anon_sym_long] = ACTIONS(864),
    [anon_sym_char] = ACTIONS(864),
    [anon_sym_float] = ACTIONS(864),
    [anon_sym_double] = ACTIONS(864),
    [sym_boolean_type] = ACTIONS(864),
    [sym_void_type] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(866),
    [anon_sym_open] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(864),
    [anon_sym_package] = ACTIONS(864),
    [sym_identifier] = ACTIONS(864),
    [sym_comment] = ACTIONS(93),
  },
  [184] = {
    [anon_sym_SEMI] = ACTIONS(869),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_AMP_AMP] = ACTIONS(869),
    [anon_sym_PIPE_PIPE] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_GT_GT_GT] = ACTIONS(869),
    [anon_sym_instanceof] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_QMARK] = ACTIONS(869),
    [anon_sym_COLON] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(869),
    [anon_sym_DASH_DASH] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [sym_comment] = ACTIONS(93),
  },
  [185] = {
    [aux_sym_character_literal_repeat1] = STATE(185),
    [anon_sym_SQUOTE] = ACTIONS(873),
    [aux_sym_SLASH_LBRACK_CARET_BSLASH_SQUOTE_BSLASHn_RBRACK_SLASH] = ACTIONS(875),
    [aux_sym_SLASH_BSLASH_BSLASH_DOT_SLASH] = ACTIONS(875),
    [aux_sym_SLASH_BSLASH_BSLASH_BSLASHn_SLASH] = ACTIONS(875),
    [sym_comment] = ACTIONS(111),
  },
  [186] = {
    [sym_additional_bound] = STATE(409),
    [aux_sym_cast_expression_repeat1] = STATE(409),
    [anon_sym_RPAREN] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [187] = {
    [anon_sym_DASH_GT] = ACTIONS(880),
    [sym_comment] = ACTIONS(93),
  },
  [188] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(410),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(445),
    [sym_comment] = ACTIONS(93),
  },
  [189] = {
    [anon_sym_RPAREN] = ACTIONS(882),
    [sym_comment] = ACTIONS(93),
  },
  [190] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(412),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [191] = {
    [anon_sym_SEMI] = ACTIONS(218),
    [anon_sym_LPAREN] = ACTIONS(218),
    [anon_sym_RPAREN] = ACTIONS(218),
    [anon_sym_EQ] = ACTIONS(218),
    [anon_sym_COMMA] = ACTIONS(218),
    [anon_sym_QMARK] = ACTIONS(218),
    [anon_sym_COLON] = ACTIONS(218),
    [anon_sym_default] = ACTIONS(220),
    [anon_sym_synchronized] = ACTIONS(220),
    [anon_sym_LBRACK] = ACTIONS(218),
    [anon_sym_byte] = ACTIONS(220),
    [anon_sym_short] = ACTIONS(220),
    [anon_sym_int] = ACTIONS(220),
    [anon_sym_long] = ACTIONS(220),
    [anon_sym_char] = ACTIONS(220),
    [anon_sym_float] = ACTIONS(220),
    [anon_sym_double] = ACTIONS(220),
    [sym_boolean_type] = ACTIONS(220),
    [sym_void_type] = ACTIONS(220),
    [anon_sym_AT] = ACTIONS(218),
    [anon_sym_open] = ACTIONS(220),
    [anon_sym_module] = ACTIONS(220),
    [anon_sym_static] = ACTIONS(220),
    [anon_sym_DOT] = ACTIONS(218),
    [anon_sym_package] = ACTIONS(220),
    [anon_sym_public] = ACTIONS(220),
    [anon_sym_protected] = ACTIONS(220),
    [anon_sym_private] = ACTIONS(220),
    [anon_sym_abstract] = ACTIONS(220),
    [anon_sym_final] = ACTIONS(220),
    [anon_sym_strictfp] = ACTIONS(220),
    [anon_sym_native] = ACTIONS(220),
    [anon_sym_transient] = ACTIONS(220),
    [anon_sym_volatile] = ACTIONS(220),
    [sym_identifier] = ACTIONS(220),
    [sym_comment] = ACTIONS(93),
  },
  [192] = {
    [anon_sym_LPAREN] = ACTIONS(884),
    [anon_sym_QMARK] = ACTIONS(581),
    [anon_sym_default] = ACTIONS(585),
    [anon_sym_synchronized] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_byte] = ACTIONS(585),
    [anon_sym_short] = ACTIONS(585),
    [anon_sym_int] = ACTIONS(585),
    [anon_sym_long] = ACTIONS(585),
    [anon_sym_char] = ACTIONS(585),
    [anon_sym_float] = ACTIONS(585),
    [anon_sym_double] = ACTIONS(585),
    [sym_boolean_type] = ACTIONS(585),
    [sym_void_type] = ACTIONS(585),
    [anon_sym_AT] = ACTIONS(581),
    [anon_sym_open] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(585),
    [anon_sym_static] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_package] = ACTIONS(585),
    [anon_sym_public] = ACTIONS(585),
    [anon_sym_protected] = ACTIONS(585),
    [anon_sym_private] = ACTIONS(585),
    [anon_sym_abstract] = ACTIONS(585),
    [anon_sym_final] = ACTIONS(585),
    [anon_sym_strictfp] = ACTIONS(585),
    [anon_sym_native] = ACTIONS(585),
    [anon_sym_transient] = ACTIONS(585),
    [anon_sym_volatile] = ACTIONS(585),
    [sym_identifier] = ACTIONS(585),
    [sym_comment] = ACTIONS(93),
  },
  [193] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(415),
    [sym_dims_expr] = STATE(416),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [194] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(417),
    [sym_dims_expr] = STATE(416),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [195] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(415),
    [sym_dims_expr] = STATE(416),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [196] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(415),
    [sym_dims_expr] = STATE(416),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [197] = {
    [anon_sym_DASH_GT] = ACTIONS(888),
    [sym_comment] = ACTIONS(93),
  },
  [198] = {
    [sym_identifier] = ACTIONS(890),
    [sym_comment] = ACTIONS(93),
  },
  [199] = {
    [sym__type_arguments] = STATE(354),
    [sym__annotation] = STATE(376),
    [sym_normal_annotation] = STATE(376),
    [sym_marker_annotation] = STATE(376),
    [sym_single_element_annotation] = STATE(376),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [aux_sym_wildcard_repeat1] = STATE(376),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(665),
    [sym_identifier] = ACTIONS(892),
    [sym_comment] = ACTIONS(93),
  },
  [200] = {
    [aux_sym_inferred_parameters_repeat1] = STATE(421),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(406),
    [sym_comment] = ACTIONS(93),
  },
  [201] = {
    [anon_sym_SEMI] = ACTIONS(896),
    [anon_sym_RPAREN] = ACTIONS(896),
    [anon_sym_AMP] = ACTIONS(898),
    [anon_sym_GT] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(896),
    [anon_sym_GT_EQ] = ACTIONS(896),
    [anon_sym_LT_EQ] = ACTIONS(896),
    [anon_sym_BANG_EQ] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(896),
    [anon_sym_PIPE_PIPE] = ACTIONS(896),
    [anon_sym_PLUS] = ACTIONS(898),
    [anon_sym_DASH] = ACTIONS(898),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(898),
    [anon_sym_PIPE] = ACTIONS(898),
    [anon_sym_CARET] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(896),
    [anon_sym_LT_LT] = ACTIONS(896),
    [anon_sym_GT_GT] = ACTIONS(898),
    [anon_sym_GT_GT_GT] = ACTIONS(896),
    [anon_sym_instanceof] = ACTIONS(896),
    [anon_sym_COMMA] = ACTIONS(896),
    [anon_sym_QMARK] = ACTIONS(896),
    [anon_sym_COLON] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_RBRACE] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(896),
    [anon_sym_RBRACK] = ACTIONS(896),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_COLON_COLON] = ACTIONS(896),
    [sym_comment] = ACTIONS(93),
  },
  [202] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(422),
    [sym_cast_expression] = STATE(422),
    [sym_assignment_expression] = STATE(422),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(422),
    [sym_lambda_expression] = STATE(422),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(422),
    [sym_unary_expression] = STATE(422),
    [sym_update_expression] = STATE(422),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [203] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(423),
    [sym_cast_expression] = STATE(423),
    [sym_assignment_expression] = STATE(423),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(423),
    [sym_lambda_expression] = STATE(423),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(423),
    [sym_unary_expression] = STATE(423),
    [sym_update_expression] = STATE(423),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [204] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(424),
    [sym_cast_expression] = STATE(424),
    [sym_assignment_expression] = STATE(424),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(424),
    [sym_lambda_expression] = STATE(424),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(424),
    [sym_unary_expression] = STATE(424),
    [sym_update_expression] = STATE(424),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [205] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(425),
    [sym_cast_expression] = STATE(425),
    [sym_assignment_expression] = STATE(425),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(425),
    [sym_lambda_expression] = STATE(425),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(425),
    [sym_unary_expression] = STATE(425),
    [sym_update_expression] = STATE(425),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [206] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [207] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(426),
    [sym_cast_expression] = STATE(426),
    [sym_assignment_expression] = STATE(426),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(426),
    [sym_lambda_expression] = STATE(426),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(426),
    [sym_unary_expression] = STATE(426),
    [sym_update_expression] = STATE(426),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [208] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(427),
    [sym_cast_expression] = STATE(427),
    [sym_assignment_expression] = STATE(427),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(427),
    [sym_lambda_expression] = STATE(427),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(427),
    [sym_unary_expression] = STATE(427),
    [sym_update_expression] = STATE(427),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [209] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(428),
    [sym_cast_expression] = STATE(428),
    [sym_assignment_expression] = STATE(428),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(428),
    [sym_lambda_expression] = STATE(428),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(428),
    [sym_unary_expression] = STATE(428),
    [sym_update_expression] = STATE(428),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [210] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [211] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(432),
    [sym_normal_annotation] = STATE(432),
    [sym_marker_annotation] = STATE(432),
    [sym_single_element_annotation] = STATE(432),
    [sym__type] = STATE(430),
    [sym__unann_type] = STATE(431),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(432),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [212] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(900),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [213] = {
    [sym_variable_declarator] = STATE(436),
    [sym_variable_declarator_id] = STATE(437),
    [sym__reserved_identifier] = STATE(435),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(902),
    [sym_comment] = ACTIONS(93),
  },
  [214] = {
    [anon_sym_RPAREN] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(904),
    [anon_sym_default] = ACTIONS(906),
    [anon_sym_synchronized] = ACTIONS(906),
    [anon_sym_byte] = ACTIONS(906),
    [anon_sym_short] = ACTIONS(906),
    [anon_sym_int] = ACTIONS(906),
    [anon_sym_long] = ACTIONS(906),
    [anon_sym_char] = ACTIONS(906),
    [anon_sym_float] = ACTIONS(906),
    [anon_sym_double] = ACTIONS(906),
    [sym_boolean_type] = ACTIONS(906),
    [sym_void_type] = ACTIONS(906),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(906),
    [anon_sym_public] = ACTIONS(906),
    [anon_sym_protected] = ACTIONS(906),
    [anon_sym_private] = ACTIONS(906),
    [anon_sym_abstract] = ACTIONS(906),
    [anon_sym_final] = ACTIONS(906),
    [anon_sym_strictfp] = ACTIONS(906),
    [anon_sym_native] = ACTIONS(906),
    [anon_sym_transient] = ACTIONS(906),
    [anon_sym_volatile] = ACTIONS(906),
    [sym_identifier] = ACTIONS(906),
    [sym_comment] = ACTIONS(93),
  },
  [215] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(440),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_default] = ACTIONS(910),
    [anon_sym_synchronized] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_byte] = ACTIONS(910),
    [anon_sym_short] = ACTIONS(910),
    [anon_sym_int] = ACTIONS(910),
    [anon_sym_long] = ACTIONS(910),
    [anon_sym_char] = ACTIONS(910),
    [anon_sym_float] = ACTIONS(910),
    [anon_sym_double] = ACTIONS(910),
    [sym_boolean_type] = ACTIONS(910),
    [sym_void_type] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_DOT] = ACTIONS(915),
    [anon_sym_public] = ACTIONS(910),
    [anon_sym_protected] = ACTIONS(910),
    [anon_sym_private] = ACTIONS(910),
    [anon_sym_abstract] = ACTIONS(910),
    [anon_sym_final] = ACTIONS(910),
    [anon_sym_strictfp] = ACTIONS(910),
    [anon_sym_native] = ACTIONS(910),
    [anon_sym_transient] = ACTIONS(910),
    [anon_sym_volatile] = ACTIONS(910),
    [sym_identifier] = ACTIONS(910),
    [sym_comment] = ACTIONS(93),
  },
  [216] = {
    [anon_sym_RPAREN] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_synchronized] = ACTIONS(919),
    [anon_sym_byte] = ACTIONS(919),
    [anon_sym_short] = ACTIONS(919),
    [anon_sym_int] = ACTIONS(919),
    [anon_sym_long] = ACTIONS(919),
    [anon_sym_char] = ACTIONS(919),
    [anon_sym_float] = ACTIONS(919),
    [anon_sym_double] = ACTIONS(919),
    [sym_boolean_type] = ACTIONS(919),
    [sym_void_type] = ACTIONS(919),
    [anon_sym_AT] = ACTIONS(917),
    [anon_sym_static] = ACTIONS(919),
    [anon_sym_public] = ACTIONS(919),
    [anon_sym_protected] = ACTIONS(919),
    [anon_sym_private] = ACTIONS(919),
    [anon_sym_abstract] = ACTIONS(919),
    [anon_sym_final] = ACTIONS(919),
    [anon_sym_strictfp] = ACTIONS(919),
    [anon_sym_native] = ACTIONS(919),
    [anon_sym_transient] = ACTIONS(919),
    [anon_sym_volatile] = ACTIONS(919),
    [sym_identifier] = ACTIONS(919),
    [sym_comment] = ACTIONS(93),
  },
  [217] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(440),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_default] = ACTIONS(910),
    [anon_sym_synchronized] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_byte] = ACTIONS(910),
    [anon_sym_short] = ACTIONS(910),
    [anon_sym_int] = ACTIONS(910),
    [anon_sym_long] = ACTIONS(910),
    [anon_sym_char] = ACTIONS(910),
    [anon_sym_float] = ACTIONS(910),
    [anon_sym_double] = ACTIONS(910),
    [sym_boolean_type] = ACTIONS(910),
    [sym_void_type] = ACTIONS(910),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_public] = ACTIONS(910),
    [anon_sym_protected] = ACTIONS(910),
    [anon_sym_private] = ACTIONS(910),
    [anon_sym_abstract] = ACTIONS(910),
    [anon_sym_final] = ACTIONS(910),
    [anon_sym_strictfp] = ACTIONS(910),
    [anon_sym_native] = ACTIONS(910),
    [anon_sym_transient] = ACTIONS(910),
    [anon_sym_volatile] = ACTIONS(910),
    [sym_identifier] = ACTIONS(910),
    [sym_comment] = ACTIONS(93),
  },
  [218] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(441),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(701),
    [sym_this] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [219] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(443),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(882),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [220] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(443),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [221] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(443),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(882),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [222] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(216),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(446),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(445),
    [sym_identifier] = ACTIONS(925),
    [sym_comment] = ACTIONS(93),
  },
  [223] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(443),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(447),
    [anon_sym_RPAREN] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [224] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(449),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(446),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [sym_identifier] = ACTIONS(925),
    [sym_comment] = ACTIONS(93),
  },
  [225] = {
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_synchronized] = ACTIONS(929),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(934),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_public] = ACTIONS(929),
    [anon_sym_protected] = ACTIONS(929),
    [anon_sym_private] = ACTIONS(929),
    [anon_sym_abstract] = ACTIONS(929),
    [anon_sym_final] = ACTIONS(929),
    [anon_sym_strictfp] = ACTIONS(929),
    [anon_sym_native] = ACTIONS(929),
    [anon_sym_transient] = ACTIONS(929),
    [anon_sym_volatile] = ACTIONS(929),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [226] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(452),
    [anon_sym_RPAREN] = ACTIONS(862),
    [anon_sym_AMP] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_COLON_COLON] = ACTIONS(862),
    [sym_this] = ACTIONS(937),
    [sym_identifier] = ACTIONS(939),
    [sym_comment] = ACTIONS(93),
  },
  [227] = {
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(864),
    [anon_sym_short] = ACTIONS(864),
    [anon_sym_int] = ACTIONS(864),
    [anon_sym_long] = ACTIONS(864),
    [anon_sym_char] = ACTIONS(864),
    [anon_sym_float] = ACTIONS(864),
    [anon_sym_double] = ACTIONS(864),
    [sym_boolean_type] = ACTIONS(864),
    [sym_void_type] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(866),
    [sym_identifier] = ACTIONS(864),
    [sym_comment] = ACTIONS(93),
  },
  [228] = {
    [sym_additional_bound] = STATE(454),
    [aux_sym_cast_expression_repeat1] = STATE(454),
    [anon_sym_RPAREN] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [229] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(455),
    [sym_dims_expr] = STATE(456),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [230] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(457),
    [sym_dims_expr] = STATE(456),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [231] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(455),
    [sym_dims_expr] = STATE(456),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [232] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(455),
    [sym_dims_expr] = STATE(456),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [233] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(458),
    [sym_cast_expression] = STATE(458),
    [sym_assignment_expression] = STATE(458),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(458),
    [sym_lambda_expression] = STATE(458),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(458),
    [sym_unary_expression] = STATE(458),
    [sym_update_expression] = STATE(458),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [234] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(459),
    [sym_cast_expression] = STATE(459),
    [sym_assignment_expression] = STATE(459),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(459),
    [sym_lambda_expression] = STATE(459),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(459),
    [sym_unary_expression] = STATE(459),
    [sym_update_expression] = STATE(459),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [235] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(460),
    [sym_cast_expression] = STATE(460),
    [sym_assignment_expression] = STATE(460),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(460),
    [sym_lambda_expression] = STATE(460),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(460),
    [sym_unary_expression] = STATE(460),
    [sym_update_expression] = STATE(460),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [236] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(461),
    [sym_cast_expression] = STATE(461),
    [sym_assignment_expression] = STATE(461),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(461),
    [sym_lambda_expression] = STATE(461),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(461),
    [sym_unary_expression] = STATE(461),
    [sym_update_expression] = STATE(461),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [237] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [238] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(462),
    [sym_cast_expression] = STATE(462),
    [sym_assignment_expression] = STATE(462),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(462),
    [sym_lambda_expression] = STATE(462),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_update_expression] = STATE(462),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [239] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(463),
    [sym_cast_expression] = STATE(463),
    [sym_assignment_expression] = STATE(463),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(463),
    [sym_lambda_expression] = STATE(463),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(463),
    [sym_unary_expression] = STATE(463),
    [sym_update_expression] = STATE(463),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(943),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hex_integer_literal] = ACTIONS(945),
    [sym_octal_integer_literal] = ACTIONS(943),
    [sym_binary_integer_literal] = ACTIONS(943),
    [sym_long_integer_literal] = ACTIONS(943),
    [sym_decimal_floating_point_literal] = ACTIONS(943),
    [sym_hex_floating_point_literal] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [sym_string_literal] = ACTIONS(943),
    [sym_null_literal] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_assert] = ACTIONS(945),
    [anon_sym_switch] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(945),
    [anon_sym_do] = ACTIONS(945),
    [anon_sym_while] = ACTIONS(945),
    [anon_sym_break] = ACTIONS(945),
    [anon_sym_continue] = ACTIONS(945),
    [anon_sym_return] = ACTIONS(945),
    [anon_sym_synchronized] = ACTIONS(945),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_else] = ACTIONS(945),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_byte] = ACTIONS(945),
    [anon_sym_short] = ACTIONS(945),
    [anon_sym_int] = ACTIONS(945),
    [anon_sym_long] = ACTIONS(945),
    [anon_sym_char] = ACTIONS(945),
    [anon_sym_float] = ACTIONS(945),
    [anon_sym_double] = ACTIONS(945),
    [sym_boolean_type] = ACTIONS(945),
    [sym_void_type] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_open] = ACTIONS(945),
    [anon_sym_module] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(945),
    [anon_sym_package] = ACTIONS(945),
    [anon_sym_import] = ACTIONS(945),
    [anon_sym_enum] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(945),
    [anon_sym_public] = ACTIONS(945),
    [anon_sym_protected] = ACTIONS(945),
    [anon_sym_private] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(945),
    [anon_sym_final] = ACTIONS(945),
    [anon_sym_strictfp] = ACTIONS(945),
    [anon_sym_native] = ACTIONS(945),
    [anon_sym_transient] = ACTIONS(945),
    [anon_sym_volatile] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(945),
    [anon_sym_ATinterface] = ACTIONS(943),
    [anon_sym_interface] = ACTIONS(945),
    [sym_this] = ACTIONS(945),
    [sym_super] = ACTIONS(945),
    [sym_identifier] = ACTIONS(945),
    [sym_comment] = ACTIONS(93),
  },
  [241] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(464),
    [sym_cast_expression] = STATE(464),
    [sym_assignment_expression] = STATE(464),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(464),
    [sym_lambda_expression] = STATE(464),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(464),
    [sym_unary_expression] = STATE(464),
    [sym_update_expression] = STATE(464),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [242] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(465),
    [sym_cast_expression] = STATE(465),
    [sym_assignment_expression] = STATE(465),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(465),
    [sym_lambda_expression] = STATE(465),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(465),
    [sym_unary_expression] = STATE(465),
    [sym_update_expression] = STATE(465),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [243] = {
    [anon_sym_RPAREN] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [244] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(467),
    [sym_cast_expression] = STATE(467),
    [sym_assignment_expression] = STATE(467),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(467),
    [sym_lambda_expression] = STATE(467),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(467),
    [sym_unary_expression] = STATE(467),
    [sym_update_expression] = STATE(467),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [245] = {
    [sym_block] = STATE(468),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [246] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(469),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(469),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [247] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(470),
    [sym_cast_expression] = STATE(470),
    [sym_assignment_expression] = STATE(470),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(470),
    [sym_lambda_expression] = STATE(470),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(470),
    [sym_unary_expression] = STATE(470),
    [sym_update_expression] = STATE(470),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [248] = {
    [sym__semicolon] = STATE(471),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(472),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(474),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(473),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(474),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(949),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [249] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [250] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(475),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [251] = {
    [anon_sym_SEMI] = ACTIONS(951),
    [sym_comment] = ACTIONS(93),
  },
  [252] = {
    [aux_sym_variable_declarator_list_repeat1] = STATE(477),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(955),
    [sym_comment] = ACTIONS(93),
  },
  [253] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [sym_comment] = ACTIONS(93),
  },
  [254] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(479),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [255] = {
    [anon_sym_SEMI] = ACTIONS(961),
    [sym_decimal_integer_literal] = ACTIONS(963),
    [sym_hex_integer_literal] = ACTIONS(963),
    [sym_octal_integer_literal] = ACTIONS(961),
    [sym_binary_integer_literal] = ACTIONS(961),
    [sym_long_integer_literal] = ACTIONS(961),
    [sym_decimal_floating_point_literal] = ACTIONS(961),
    [sym_hex_floating_point_literal] = ACTIONS(963),
    [sym_true] = ACTIONS(963),
    [sym_false] = ACTIONS(963),
    [anon_sym_SQUOTE] = ACTIONS(961),
    [sym_string_literal] = ACTIONS(961),
    [sym_null_literal] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(961),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(961),
    [anon_sym_DASH_DASH] = ACTIONS(961),
    [anon_sym_assert] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_synchronized] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_byte] = ACTIONS(963),
    [anon_sym_short] = ACTIONS(963),
    [anon_sym_int] = ACTIONS(963),
    [anon_sym_long] = ACTIONS(963),
    [anon_sym_char] = ACTIONS(963),
    [anon_sym_float] = ACTIONS(963),
    [anon_sym_double] = ACTIONS(963),
    [sym_boolean_type] = ACTIONS(963),
    [sym_void_type] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_open] = ACTIONS(963),
    [anon_sym_module] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_package] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(963),
    [anon_sym_enum] = ACTIONS(963),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_public] = ACTIONS(963),
    [anon_sym_protected] = ACTIONS(963),
    [anon_sym_private] = ACTIONS(963),
    [anon_sym_abstract] = ACTIONS(963),
    [anon_sym_final] = ACTIONS(963),
    [anon_sym_strictfp] = ACTIONS(963),
    [anon_sym_native] = ACTIONS(963),
    [anon_sym_transient] = ACTIONS(963),
    [anon_sym_volatile] = ACTIONS(963),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_ATinterface] = ACTIONS(961),
    [anon_sym_interface] = ACTIONS(963),
    [sym_this] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_identifier] = ACTIONS(963),
    [sym_comment] = ACTIONS(93),
  },
  [256] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym__reserved_identifier] = STATE(250),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(507),
    [sym_comment] = ACTIONS(93),
  },
  [257] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(257),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(257),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(932),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(968),
    [sym_decimal_integer_literal] = ACTIONS(970),
    [sym_hex_integer_literal] = ACTIONS(970),
    [sym_octal_integer_literal] = ACTIONS(968),
    [sym_binary_integer_literal] = ACTIONS(968),
    [sym_long_integer_literal] = ACTIONS(968),
    [sym_decimal_floating_point_literal] = ACTIONS(968),
    [sym_hex_floating_point_literal] = ACTIONS(970),
    [sym_true] = ACTIONS(970),
    [sym_false] = ACTIONS(970),
    [anon_sym_SQUOTE] = ACTIONS(968),
    [sym_string_literal] = ACTIONS(968),
    [sym_null_literal] = ACTIONS(970),
    [anon_sym_LPAREN] = ACTIONS(968),
    [anon_sym_RPAREN] = ACTIONS(968),
    [anon_sym_AMP] = ACTIONS(970),
    [anon_sym_GT] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(970),
    [anon_sym_EQ_EQ] = ACTIONS(968),
    [anon_sym_GT_EQ] = ACTIONS(968),
    [anon_sym_LT_EQ] = ACTIONS(968),
    [anon_sym_BANG_EQ] = ACTIONS(968),
    [anon_sym_AMP_AMP] = ACTIONS(968),
    [anon_sym_PIPE_PIPE] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(970),
    [anon_sym_DASH] = ACTIONS(970),
    [anon_sym_STAR] = ACTIONS(968),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_PIPE] = ACTIONS(970),
    [anon_sym_CARET] = ACTIONS(968),
    [anon_sym_PERCENT] = ACTIONS(968),
    [anon_sym_LT_LT] = ACTIONS(968),
    [anon_sym_GT_GT] = ACTIONS(970),
    [anon_sym_GT_GT_GT] = ACTIONS(968),
    [anon_sym_instanceof] = ACTIONS(970),
    [anon_sym_COMMA] = ACTIONS(968),
    [anon_sym_QMARK] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(970),
    [anon_sym_TILDE] = ACTIONS(968),
    [anon_sym_PLUS_PLUS] = ACTIONS(968),
    [anon_sym_DASH_DASH] = ACTIONS(968),
    [anon_sym_assert] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(968),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_case] = ACTIONS(970),
    [anon_sym_default] = ACTIONS(970),
    [anon_sym_do] = ACTIONS(970),
    [anon_sym_while] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(970),
    [anon_sym_continue] = ACTIONS(970),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_synchronized] = ACTIONS(970),
    [anon_sym_throw] = ACTIONS(970),
    [anon_sym_try] = ACTIONS(970),
    [anon_sym_catch] = ACTIONS(970),
    [anon_sym_finally] = ACTIONS(970),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_else] = ACTIONS(970),
    [anon_sym_for] = ACTIONS(970),
    [anon_sym_RBRACK] = ACTIONS(968),
    [anon_sym_byte] = ACTIONS(970),
    [anon_sym_short] = ACTIONS(970),
    [anon_sym_int] = ACTIONS(970),
    [anon_sym_long] = ACTIONS(970),
    [anon_sym_char] = ACTIONS(970),
    [anon_sym_float] = ACTIONS(970),
    [anon_sym_double] = ACTIONS(970),
    [sym_boolean_type] = ACTIONS(970),
    [sym_void_type] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(970),
    [anon_sym_open] = ACTIONS(970),
    [anon_sym_module] = ACTIONS(970),
    [anon_sym_static] = ACTIONS(970),
    [anon_sym_package] = ACTIONS(970),
    [anon_sym_import] = ACTIONS(970),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_class] = ACTIONS(970),
    [anon_sym_public] = ACTIONS(970),
    [anon_sym_protected] = ACTIONS(970),
    [anon_sym_private] = ACTIONS(970),
    [anon_sym_abstract] = ACTIONS(970),
    [anon_sym_final] = ACTIONS(970),
    [anon_sym_strictfp] = ACTIONS(970),
    [anon_sym_native] = ACTIONS(970),
    [anon_sym_transient] = ACTIONS(970),
    [anon_sym_volatile] = ACTIONS(970),
    [anon_sym_new] = ACTIONS(970),
    [anon_sym_ATinterface] = ACTIONS(968),
    [anon_sym_interface] = ACTIONS(970),
    [sym_this] = ACTIONS(970),
    [sym_super] = ACTIONS(970),
    [sym_identifier] = ACTIONS(970),
    [sym_comment] = ACTIONS(93),
  },
  [259] = {
    [sym__statement] = STATE(259),
    [sym__method_statement] = STATE(259),
    [sym__expression_statement] = STATE(259),
    [sym__semicolon] = STATE(259),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(259),
    [sym_assert_statement] = STATE(259),
    [sym_switch_statement] = STATE(259),
    [sym_do_statement] = STATE(259),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(259),
    [sym_return_statement] = STATE(259),
    [sym_synchronized_statement] = STATE(259),
    [sym_throw_statement] = STATE(259),
    [sym_try_statement] = STATE(259),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(259),
    [sym_while_statement] = STATE(259),
    [sym_for_statement] = STATE(259),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(259),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(259),
    [sym_local_variable_declaration_statement] = STATE(259),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(259),
    [anon_sym_SEMI] = ACTIONS(972),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_octal_integer_literal] = ACTIONS(978),
    [sym_binary_integer_literal] = ACTIONS(978),
    [sym_long_integer_literal] = ACTIONS(978),
    [sym_decimal_floating_point_literal] = ACTIONS(981),
    [sym_hex_floating_point_literal] = ACTIONS(984),
    [sym_true] = ACTIONS(987),
    [sym_false] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(990),
    [sym_string_literal] = ACTIONS(993),
    [sym_null_literal] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1002),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1008),
    [anon_sym_DASH_DASH] = ACTIONS(1008),
    [anon_sym_assert] = ACTIONS(1011),
    [anon_sym_switch] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_default] = ACTIONS(1022),
    [anon_sym_do] = ACTIONS(1025),
    [anon_sym_while] = ACTIONS(1028),
    [anon_sym_break] = ACTIONS(1031),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_synchronized] = ACTIONS(1040),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1049),
    [anon_sym_for] = ACTIONS(1052),
    [anon_sym_byte] = ACTIONS(1055),
    [anon_sym_short] = ACTIONS(1055),
    [anon_sym_int] = ACTIONS(1055),
    [anon_sym_long] = ACTIONS(1055),
    [anon_sym_char] = ACTIONS(1055),
    [anon_sym_float] = ACTIONS(1058),
    [anon_sym_double] = ACTIONS(1058),
    [sym_boolean_type] = ACTIONS(1061),
    [sym_void_type] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1067),
    [anon_sym_open] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1073),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_package] = ACTIONS(1076),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_enum] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_abstract] = ACTIONS(1022),
    [anon_sym_final] = ACTIONS(1022),
    [anon_sym_strictfp] = ACTIONS(1022),
    [anon_sym_native] = ACTIONS(1022),
    [anon_sym_transient] = ACTIONS(1022),
    [anon_sym_volatile] = ACTIONS(1022),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_ATinterface] = ACTIONS(1091),
    [anon_sym_interface] = ACTIONS(1094),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(1097),
    [sym_identifier] = ACTIONS(1100),
    [sym_comment] = ACTIONS(93),
  },
  [260] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(482),
    [sym_cast_expression] = STATE(482),
    [sym_assignment_expression] = STATE(482),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(482),
    [sym_lambda_expression] = STATE(482),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_update_expression] = STATE(482),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [261] = {
    [sym_block] = STATE(483),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [262] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(484),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(484),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [263] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(485),
    [sym_cast_expression] = STATE(485),
    [sym_assignment_expression] = STATE(485),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(485),
    [sym_lambda_expression] = STATE(485),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(485),
    [sym_unary_expression] = STATE(485),
    [sym_update_expression] = STATE(485),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [264] = {
    [sym__semicolon] = STATE(486),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(487),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(489),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(488),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(489),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1103),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [265] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(93),
  },
  [266] = {
    [anon_sym_LPAREN] = ACTIONS(1105),
    [sym_comment] = ACTIONS(93),
  },
  [267] = {
    [anon_sym_RPAREN] = ACTIONS(1107),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1109),
    [sym_decimal_integer_literal] = ACTIONS(1111),
    [sym_hex_integer_literal] = ACTIONS(1111),
    [sym_octal_integer_literal] = ACTIONS(1109),
    [sym_binary_integer_literal] = ACTIONS(1109),
    [sym_long_integer_literal] = ACTIONS(1109),
    [sym_decimal_floating_point_literal] = ACTIONS(1109),
    [sym_hex_floating_point_literal] = ACTIONS(1111),
    [sym_true] = ACTIONS(1111),
    [sym_false] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1109),
    [sym_string_literal] = ACTIONS(1109),
    [sym_null_literal] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(1109),
    [anon_sym_TILDE] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_assert] = ACTIONS(1111),
    [anon_sym_switch] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1109),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [anon_sym_case] = ACTIONS(1111),
    [anon_sym_default] = ACTIONS(1111),
    [anon_sym_do] = ACTIONS(1111),
    [anon_sym_while] = ACTIONS(1111),
    [anon_sym_break] = ACTIONS(1111),
    [anon_sym_continue] = ACTIONS(1111),
    [anon_sym_return] = ACTIONS(1111),
    [anon_sym_synchronized] = ACTIONS(1111),
    [anon_sym_throw] = ACTIONS(1111),
    [anon_sym_try] = ACTIONS(1111),
    [anon_sym_if] = ACTIONS(1111),
    [anon_sym_else] = ACTIONS(1111),
    [anon_sym_for] = ACTIONS(1111),
    [anon_sym_byte] = ACTIONS(1111),
    [anon_sym_short] = ACTIONS(1111),
    [anon_sym_int] = ACTIONS(1111),
    [anon_sym_long] = ACTIONS(1111),
    [anon_sym_char] = ACTIONS(1111),
    [anon_sym_float] = ACTIONS(1111),
    [anon_sym_double] = ACTIONS(1111),
    [sym_boolean_type] = ACTIONS(1111),
    [sym_void_type] = ACTIONS(1111),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_open] = ACTIONS(1111),
    [anon_sym_module] = ACTIONS(1111),
    [anon_sym_static] = ACTIONS(1111),
    [anon_sym_package] = ACTIONS(1111),
    [anon_sym_import] = ACTIONS(1111),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_class] = ACTIONS(1111),
    [anon_sym_public] = ACTIONS(1111),
    [anon_sym_protected] = ACTIONS(1111),
    [anon_sym_private] = ACTIONS(1111),
    [anon_sym_abstract] = ACTIONS(1111),
    [anon_sym_final] = ACTIONS(1111),
    [anon_sym_strictfp] = ACTIONS(1111),
    [anon_sym_native] = ACTIONS(1111),
    [anon_sym_transient] = ACTIONS(1111),
    [anon_sym_volatile] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1111),
    [anon_sym_ATinterface] = ACTIONS(1109),
    [anon_sym_interface] = ACTIONS(1111),
    [sym_this] = ACTIONS(1111),
    [sym_super] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1111),
    [sym_comment] = ACTIONS(93),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1113),
    [sym_decimal_integer_literal] = ACTIONS(1115),
    [sym_hex_integer_literal] = ACTIONS(1115),
    [sym_octal_integer_literal] = ACTIONS(1113),
    [sym_binary_integer_literal] = ACTIONS(1113),
    [sym_long_integer_literal] = ACTIONS(1113),
    [sym_decimal_floating_point_literal] = ACTIONS(1113),
    [sym_hex_floating_point_literal] = ACTIONS(1115),
    [sym_true] = ACTIONS(1115),
    [sym_false] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1113),
    [sym_string_literal] = ACTIONS(1113),
    [sym_null_literal] = ACTIONS(1115),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_PLUS] = ACTIONS(1115),
    [anon_sym_DASH] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1113),
    [anon_sym_DASH_DASH] = ACTIONS(1113),
    [anon_sym_assert] = ACTIONS(1115),
    [anon_sym_switch] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1113),
    [anon_sym_RBRACE] = ACTIONS(1113),
    [anon_sym_case] = ACTIONS(1115),
    [anon_sym_default] = ACTIONS(1115),
    [anon_sym_do] = ACTIONS(1115),
    [anon_sym_while] = ACTIONS(1115),
    [anon_sym_break] = ACTIONS(1115),
    [anon_sym_continue] = ACTIONS(1115),
    [anon_sym_return] = ACTIONS(1115),
    [anon_sym_synchronized] = ACTIONS(1115),
    [anon_sym_throw] = ACTIONS(1115),
    [anon_sym_try] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1115),
    [anon_sym_else] = ACTIONS(1115),
    [anon_sym_for] = ACTIONS(1115),
    [anon_sym_byte] = ACTIONS(1115),
    [anon_sym_short] = ACTIONS(1115),
    [anon_sym_int] = ACTIONS(1115),
    [anon_sym_long] = ACTIONS(1115),
    [anon_sym_char] = ACTIONS(1115),
    [anon_sym_float] = ACTIONS(1115),
    [anon_sym_double] = ACTIONS(1115),
    [sym_boolean_type] = ACTIONS(1115),
    [sym_void_type] = ACTIONS(1115),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_open] = ACTIONS(1115),
    [anon_sym_module] = ACTIONS(1115),
    [anon_sym_static] = ACTIONS(1115),
    [anon_sym_package] = ACTIONS(1115),
    [anon_sym_import] = ACTIONS(1115),
    [anon_sym_enum] = ACTIONS(1115),
    [anon_sym_class] = ACTIONS(1115),
    [anon_sym_public] = ACTIONS(1115),
    [anon_sym_protected] = ACTIONS(1115),
    [anon_sym_private] = ACTIONS(1115),
    [anon_sym_abstract] = ACTIONS(1115),
    [anon_sym_final] = ACTIONS(1115),
    [anon_sym_strictfp] = ACTIONS(1115),
    [anon_sym_native] = ACTIONS(1115),
    [anon_sym_transient] = ACTIONS(1115),
    [anon_sym_volatile] = ACTIONS(1115),
    [anon_sym_new] = ACTIONS(1115),
    [anon_sym_ATinterface] = ACTIONS(1113),
    [anon_sym_interface] = ACTIONS(1115),
    [sym_this] = ACTIONS(1115),
    [sym_super] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1115),
    [sym_comment] = ACTIONS(93),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1117),
    [sym_decimal_integer_literal] = ACTIONS(1119),
    [sym_hex_integer_literal] = ACTIONS(1119),
    [sym_octal_integer_literal] = ACTIONS(1117),
    [sym_binary_integer_literal] = ACTIONS(1117),
    [sym_long_integer_literal] = ACTIONS(1117),
    [sym_decimal_floating_point_literal] = ACTIONS(1117),
    [sym_hex_floating_point_literal] = ACTIONS(1119),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [sym_string_literal] = ACTIONS(1117),
    [sym_null_literal] = ACTIONS(1119),
    [anon_sym_LPAREN] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1117),
    [anon_sym_assert] = ACTIONS(1119),
    [anon_sym_switch] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1119),
    [anon_sym_default] = ACTIONS(1119),
    [anon_sym_do] = ACTIONS(1119),
    [anon_sym_while] = ACTIONS(1119),
    [anon_sym_break] = ACTIONS(1119),
    [anon_sym_continue] = ACTIONS(1119),
    [anon_sym_return] = ACTIONS(1119),
    [anon_sym_synchronized] = ACTIONS(1119),
    [anon_sym_throw] = ACTIONS(1119),
    [anon_sym_try] = ACTIONS(1119),
    [anon_sym_if] = ACTIONS(1119),
    [anon_sym_else] = ACTIONS(1119),
    [anon_sym_for] = ACTIONS(1119),
    [anon_sym_byte] = ACTIONS(1119),
    [anon_sym_short] = ACTIONS(1119),
    [anon_sym_int] = ACTIONS(1119),
    [anon_sym_long] = ACTIONS(1119),
    [anon_sym_char] = ACTIONS(1119),
    [anon_sym_float] = ACTIONS(1119),
    [anon_sym_double] = ACTIONS(1119),
    [sym_boolean_type] = ACTIONS(1119),
    [sym_void_type] = ACTIONS(1119),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_open] = ACTIONS(1119),
    [anon_sym_module] = ACTIONS(1119),
    [anon_sym_static] = ACTIONS(1119),
    [anon_sym_package] = ACTIONS(1119),
    [anon_sym_import] = ACTIONS(1119),
    [anon_sym_enum] = ACTIONS(1119),
    [anon_sym_class] = ACTIONS(1119),
    [anon_sym_public] = ACTIONS(1119),
    [anon_sym_protected] = ACTIONS(1119),
    [anon_sym_private] = ACTIONS(1119),
    [anon_sym_abstract] = ACTIONS(1119),
    [anon_sym_final] = ACTIONS(1119),
    [anon_sym_strictfp] = ACTIONS(1119),
    [anon_sym_native] = ACTIONS(1119),
    [anon_sym_transient] = ACTIONS(1119),
    [anon_sym_volatile] = ACTIONS(1119),
    [anon_sym_new] = ACTIONS(1119),
    [anon_sym_ATinterface] = ACTIONS(1117),
    [anon_sym_interface] = ACTIONS(1119),
    [sym_this] = ACTIONS(1119),
    [sym_super] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1119),
    [sym_comment] = ACTIONS(93),
  },
  [271] = {
    [anon_sym_RPAREN] = ACTIONS(1121),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(1123),
    [sym_decimal_integer_literal] = ACTIONS(1125),
    [sym_hex_integer_literal] = ACTIONS(1125),
    [sym_octal_integer_literal] = ACTIONS(1123),
    [sym_binary_integer_literal] = ACTIONS(1123),
    [sym_long_integer_literal] = ACTIONS(1123),
    [sym_decimal_floating_point_literal] = ACTIONS(1123),
    [sym_hex_floating_point_literal] = ACTIONS(1125),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1123),
    [sym_string_literal] = ACTIONS(1123),
    [sym_null_literal] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_assert] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_synchronized] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_byte] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_int] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_char] = ACTIONS(1125),
    [anon_sym_float] = ACTIONS(1125),
    [anon_sym_double] = ACTIONS(1125),
    [sym_boolean_type] = ACTIONS(1125),
    [sym_void_type] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1125),
    [anon_sym_open] = ACTIONS(1125),
    [anon_sym_module] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_package] = ACTIONS(1125),
    [anon_sym_import] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_public] = ACTIONS(1125),
    [anon_sym_protected] = ACTIONS(1125),
    [anon_sym_private] = ACTIONS(1125),
    [anon_sym_abstract] = ACTIONS(1125),
    [anon_sym_final] = ACTIONS(1125),
    [anon_sym_strictfp] = ACTIONS(1125),
    [anon_sym_native] = ACTIONS(1125),
    [anon_sym_transient] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_new] = ACTIONS(1125),
    [anon_sym_ATinterface] = ACTIONS(1123),
    [anon_sym_interface] = ACTIONS(1125),
    [sym_this] = ACTIONS(1125),
    [sym_super] = ACTIONS(1125),
    [sym_identifier] = ACTIONS(1125),
    [sym_comment] = ACTIONS(93),
  },
  [273] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [274] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(493),
    [sym_floating_point_type] = STATE(493),
    [sym_scoped_type_identifier] = STATE(495),
    [sym_generic_type] = STATE(496),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1127),
    [sym_void_type] = ACTIONS(1127),
    [sym_identifier] = ACTIONS(1129),
    [sym_comment] = ACTIONS(93),
  },
  [275] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [276] = {
    [aux_sym_resource_specification_repeat1] = STATE(500),
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_RPAREN] = ACTIONS(1137),
    [sym_comment] = ACTIONS(93),
  },
  [277] = {
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_RPAREN] = ACTIONS(1139),
    [sym_comment] = ACTIONS(93),
  },
  [278] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(319),
    [sym_comment] = ACTIONS(93),
  },
  [279] = {
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [280] = {
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_DOT] = ACTIONS(335),
    [anon_sym_COLON_COLON] = ACTIONS(335),
    [sym_comment] = ACTIONS(93),
  },
  [281] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(502),
    [sym__reserved_identifier] = STATE(501),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1141),
    [sym_comment] = ACTIONS(93),
  },
  [282] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(319),
    [sym_comment] = ACTIONS(93),
  },
  [283] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(503),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [284] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(289),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(289),
    [ts_builtin_sym_end] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [285] = {
    [anon_sym_LPAREN] = ACTIONS(1151),
    [sym_comment] = ACTIONS(93),
  },
  [286] = {
    [sym_block] = STATE(507),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [287] = {
    [sym_finally] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [sym_decimal_integer_literal] = ACTIONS(1155),
    [sym_hex_integer_literal] = ACTIONS(1155),
    [sym_octal_integer_literal] = ACTIONS(1153),
    [sym_binary_integer_literal] = ACTIONS(1153),
    [sym_long_integer_literal] = ACTIONS(1153),
    [sym_decimal_floating_point_literal] = ACTIONS(1153),
    [sym_hex_floating_point_literal] = ACTIONS(1155),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [sym_string_literal] = ACTIONS(1153),
    [sym_null_literal] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_synchronized] = ACTIONS(1155),
    [anon_sym_throw] = ACTIONS(1155),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_int] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_char] = ACTIONS(1155),
    [anon_sym_float] = ACTIONS(1155),
    [anon_sym_double] = ACTIONS(1155),
    [sym_boolean_type] = ACTIONS(1155),
    [sym_void_type] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1155),
    [anon_sym_open] = ACTIONS(1155),
    [anon_sym_module] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_class] = ACTIONS(1155),
    [anon_sym_public] = ACTIONS(1155),
    [anon_sym_protected] = ACTIONS(1155),
    [anon_sym_private] = ACTIONS(1155),
    [anon_sym_abstract] = ACTIONS(1155),
    [anon_sym_final] = ACTIONS(1155),
    [anon_sym_strictfp] = ACTIONS(1155),
    [anon_sym_native] = ACTIONS(1155),
    [anon_sym_transient] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_ATinterface] = ACTIONS(1153),
    [anon_sym_interface] = ACTIONS(1155),
    [sym_this] = ACTIONS(1155),
    [sym_super] = ACTIONS(1155),
    [sym_identifier] = ACTIONS(1155),
    [sym_comment] = ACTIONS(93),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [sym_decimal_integer_literal] = ACTIONS(1155),
    [sym_hex_integer_literal] = ACTIONS(1155),
    [sym_octal_integer_literal] = ACTIONS(1153),
    [sym_binary_integer_literal] = ACTIONS(1153),
    [sym_long_integer_literal] = ACTIONS(1153),
    [sym_decimal_floating_point_literal] = ACTIONS(1153),
    [sym_hex_floating_point_literal] = ACTIONS(1155),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [sym_string_literal] = ACTIONS(1153),
    [sym_null_literal] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_synchronized] = ACTIONS(1155),
    [anon_sym_throw] = ACTIONS(1155),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_int] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_char] = ACTIONS(1155),
    [anon_sym_float] = ACTIONS(1155),
    [anon_sym_double] = ACTIONS(1155),
    [sym_boolean_type] = ACTIONS(1155),
    [sym_void_type] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1155),
    [anon_sym_open] = ACTIONS(1155),
    [anon_sym_module] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_class] = ACTIONS(1155),
    [anon_sym_public] = ACTIONS(1155),
    [anon_sym_protected] = ACTIONS(1155),
    [anon_sym_private] = ACTIONS(1155),
    [anon_sym_abstract] = ACTIONS(1155),
    [anon_sym_final] = ACTIONS(1155),
    [anon_sym_strictfp] = ACTIONS(1155),
    [anon_sym_native] = ACTIONS(1155),
    [anon_sym_transient] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_ATinterface] = ACTIONS(1153),
    [anon_sym_interface] = ACTIONS(1155),
    [sym_this] = ACTIONS(1155),
    [sym_super] = ACTIONS(1155),
    [sym_identifier] = ACTIONS(1155),
    [sym_comment] = ACTIONS(93),
  },
  [289] = {
    [sym_catch_clause] = STATE(509),
    [aux_sym_catches_repeat1] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [290] = {
    [anon_sym_RPAREN] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [291] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(511),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [292] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [293] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [294] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(512),
    [sym_floating_point_type] = STATE(512),
    [sym_scoped_type_identifier] = STATE(514),
    [sym_generic_type] = STATE(515),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1163),
    [sym_void_type] = ACTIONS(1163),
    [sym_identifier] = ACTIONS(1165),
    [sym_comment] = ACTIONS(93),
  },
  [295] = {
    [sym__semicolon] = STATE(516),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(517),
    [sym_cast_expression] = STATE(517),
    [sym_assignment_expression] = STATE(517),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(517),
    [sym_lambda_expression] = STATE(517),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(517),
    [sym_unary_expression] = STATE(517),
    [sym_update_expression] = STATE(517),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1167),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [296] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(525),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [297] = {
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_PLUS_EQ] = ACTIONS(1193),
    [anon_sym_DASH_EQ] = ACTIONS(1193),
    [anon_sym_STAR_EQ] = ACTIONS(1193),
    [anon_sym_SLASH_EQ] = ACTIONS(1193),
    [anon_sym_AMP_EQ] = ACTIONS(1193),
    [anon_sym_PIPE_EQ] = ACTIONS(1193),
    [anon_sym_CARET_EQ] = ACTIONS(1193),
    [anon_sym_PERCENT_EQ] = ACTIONS(1193),
    [anon_sym_LT_LT_EQ] = ACTIONS(1193),
    [anon_sym_GT_GT_EQ] = ACTIONS(1193),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1193),
    [sym_comment] = ACTIONS(93),
  },
  [298] = {
    [anon_sym_DASH_GT] = ACTIONS(1195),
    [sym_comment] = ACTIONS(93),
  },
  [299] = {
    [sym__semicolon] = STATE(528),
    [anon_sym_SEMI] = ACTIONS(1197),
    [sym_comment] = ACTIONS(93),
  },
  [300] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(530),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [301] = {
    [anon_sym_SEMI] = ACTIONS(1169),
    [sym_comment] = ACTIONS(93),
  },
  [302] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(531),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [303] = {
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [sym_comment] = ACTIONS(93),
  },
  [304] = {
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_GT_GT_GT] = ACTIONS(1203),
    [anon_sym_instanceof] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_QMARK] = ACTIONS(1203),
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(1203),
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_COLON_COLON] = ACTIONS(1203),
    [sym_comment] = ACTIONS(93),
  },
  [305] = {
    [anon_sym_class] = ACTIONS(1207),
    [sym_comment] = ACTIONS(93),
  },
  [306] = {
    [aux_sym_class_literal_repeat1] = STATE(306),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1201),
    [sym_comment] = ACTIONS(93),
  },
  [307] = {
    [sym__literal] = STATE(536),
    [sym_integer_literal] = STATE(536),
    [sym_floating_point_literal] = STATE(536),
    [sym_boolean_literal] = STATE(536),
    [sym_character_literal] = STATE(536),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value_pair_list] = STATE(538),
    [sym_element_value_pair] = STATE(539),
    [sym_element_value] = STATE(540),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(541),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1212),
    [sym_null_literal] = ACTIONS(1214),
    [anon_sym_RPAREN] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1222),
    [sym_comment] = ACTIONS(93),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1224),
    [sym_comment] = ACTIONS(93),
  },
  [309] = {
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [310] = {
    [sym_module_directive] = STATE(550),
    [aux_sym_module_declaration_repeat1] = STATE(550),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [sym_decimal_integer_literal] = ACTIONS(1240),
    [sym_hex_integer_literal] = ACTIONS(1240),
    [sym_octal_integer_literal] = ACTIONS(1238),
    [sym_binary_integer_literal] = ACTIONS(1238),
    [sym_long_integer_literal] = ACTIONS(1238),
    [sym_decimal_floating_point_literal] = ACTIONS(1238),
    [sym_hex_floating_point_literal] = ACTIONS(1240),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [sym_string_literal] = ACTIONS(1238),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1240),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_synchronized] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_else] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_byte] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_int] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_char] = ACTIONS(1240),
    [anon_sym_float] = ACTIONS(1240),
    [anon_sym_double] = ACTIONS(1240),
    [sym_boolean_type] = ACTIONS(1240),
    [sym_void_type] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_open] = ACTIONS(1240),
    [anon_sym_module] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_package] = ACTIONS(1240),
    [anon_sym_import] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_class] = ACTIONS(1240),
    [anon_sym_public] = ACTIONS(1240),
    [anon_sym_protected] = ACTIONS(1240),
    [anon_sym_private] = ACTIONS(1240),
    [anon_sym_abstract] = ACTIONS(1240),
    [anon_sym_final] = ACTIONS(1240),
    [anon_sym_strictfp] = ACTIONS(1240),
    [anon_sym_native] = ACTIONS(1240),
    [anon_sym_transient] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_ATinterface] = ACTIONS(1238),
    [anon_sym_interface] = ACTIONS(1240),
    [sym_this] = ACTIONS(1240),
    [sym_super] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1240),
    [sym_comment] = ACTIONS(93),
  },
  [312] = {
    [sym__semicolon] = STATE(552),
    [aux_sym_import_declaration_repeat1] = STATE(553),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [sym_comment] = ACTIONS(93),
  },
  [313] = {
    [sym_asterisk] = STATE(556),
    [anon_sym_STAR] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1248),
    [sym_comment] = ACTIONS(93),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [sym_decimal_integer_literal] = ACTIONS(1252),
    [sym_hex_integer_literal] = ACTIONS(1252),
    [sym_octal_integer_literal] = ACTIONS(1250),
    [sym_binary_integer_literal] = ACTIONS(1250),
    [sym_long_integer_literal] = ACTIONS(1250),
    [sym_decimal_floating_point_literal] = ACTIONS(1250),
    [sym_hex_floating_point_literal] = ACTIONS(1252),
    [sym_true] = ACTIONS(1252),
    [sym_false] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [sym_string_literal] = ACTIONS(1250),
    [sym_null_literal] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_assert] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(1252),
    [anon_sym_default] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_break] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_synchronized] = ACTIONS(1252),
    [anon_sym_throw] = ACTIONS(1252),
    [anon_sym_try] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_else] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_byte] = ACTIONS(1252),
    [anon_sym_short] = ACTIONS(1252),
    [anon_sym_int] = ACTIONS(1252),
    [anon_sym_long] = ACTIONS(1252),
    [anon_sym_char] = ACTIONS(1252),
    [anon_sym_float] = ACTIONS(1252),
    [anon_sym_double] = ACTIONS(1252),
    [sym_boolean_type] = ACTIONS(1252),
    [sym_void_type] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_open] = ACTIONS(1252),
    [anon_sym_module] = ACTIONS(1252),
    [anon_sym_static] = ACTIONS(1252),
    [anon_sym_package] = ACTIONS(1252),
    [anon_sym_import] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_class] = ACTIONS(1252),
    [anon_sym_public] = ACTIONS(1252),
    [anon_sym_protected] = ACTIONS(1252),
    [anon_sym_private] = ACTIONS(1252),
    [anon_sym_abstract] = ACTIONS(1252),
    [anon_sym_final] = ACTIONS(1252),
    [anon_sym_strictfp] = ACTIONS(1252),
    [anon_sym_native] = ACTIONS(1252),
    [anon_sym_transient] = ACTIONS(1252),
    [anon_sym_volatile] = ACTIONS(1252),
    [anon_sym_new] = ACTIONS(1252),
    [anon_sym_ATinterface] = ACTIONS(1250),
    [anon_sym_interface] = ACTIONS(1252),
    [sym_this] = ACTIONS(1252),
    [sym_super] = ACTIONS(1252),
    [sym_identifier] = ACTIONS(1252),
    [sym_comment] = ACTIONS(93),
  },
  [315] = {
    [sym__semicolon] = STATE(552),
    [aux_sym_import_declaration_repeat1] = STATE(557),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1244),
    [sym_comment] = ACTIONS(93),
  },
  [316] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(562),
    [sym_enum_constant] = STATE(563),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [317] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(568),
    [sym_normal_annotation] = STATE(568),
    [sym_marker_annotation] = STATE(568),
    [sym_single_element_annotation] = STATE(568),
    [sym_interface_type_list] = STATE(565),
    [sym__type] = STATE(566),
    [sym__unann_type] = STATE(567),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(568),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [318] = {
    [anon_sym_LBRACE] = ACTIONS(1262),
    [sym_comment] = ACTIONS(93),
  },
  [319] = {
    [sym__annotation] = STATE(572),
    [sym_normal_annotation] = STATE(572),
    [sym_marker_annotation] = STATE(572),
    [sym_single_element_annotation] = STATE(572),
    [sym_type_parameter] = STATE(571),
    [aux_sym_wildcard_repeat1] = STATE(572),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1264),
    [sym_comment] = ACTIONS(93),
  },
  [320] = {
    [sym__semicolon] = STATE(581),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_enum_declaration] = STATE(581),
    [sym_class_declaration] = STATE(581),
    [sym_modifier] = STATE(580),
    [sym_type_parameters] = STATE(576),
    [sym_static_initializer] = STATE(581),
    [sym_constructor_declaration] = STATE(581),
    [sym_constructor_declarator] = STATE(577),
    [sym_field_declaration] = STATE(581),
    [sym_interface_declaration] = STATE(581),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__unann_type] = STATE(578),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_block] = STATE(581),
    [sym_method_declaration] = STATE(581),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(580),
    [aux_sym_enum_body_declarations_repeat1] = STATE(581),
    [anon_sym_SEMI] = ACTIONS(1266),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(1272),
    [sym_comment] = ACTIONS(93),
  },
  [321] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(584),
    [sym_normal_annotation] = STATE(584),
    [sym_marker_annotation] = STATE(584),
    [sym_single_element_annotation] = STATE(584),
    [sym__type] = STATE(582),
    [sym__unann_type] = STATE(583),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(584),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [322] = {
    [sym_superclass] = STATE(585),
    [sym_super_interfaces] = STATE(586),
    [sym_class_body] = STATE(587),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_extends] = ACTIONS(609),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [323] = {
    [sym_super_interfaces] = STATE(586),
    [sym_class_body] = STATE(587),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [324] = {
    [sym_class_body] = STATE(587),
    [anon_sym_LBRACE] = ACTIONS(607),
    [sym_comment] = ACTIONS(93),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [sym_decimal_integer_literal] = ACTIONS(1276),
    [sym_hex_integer_literal] = ACTIONS(1276),
    [sym_octal_integer_literal] = ACTIONS(1274),
    [sym_binary_integer_literal] = ACTIONS(1274),
    [sym_long_integer_literal] = ACTIONS(1274),
    [sym_decimal_floating_point_literal] = ACTIONS(1274),
    [sym_hex_floating_point_literal] = ACTIONS(1276),
    [sym_true] = ACTIONS(1276),
    [sym_false] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [sym_string_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_assert] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [anon_sym_case] = ACTIONS(1276),
    [anon_sym_default] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_break] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_synchronized] = ACTIONS(1276),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_try] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_else] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_byte] = ACTIONS(1276),
    [anon_sym_short] = ACTIONS(1276),
    [anon_sym_int] = ACTIONS(1276),
    [anon_sym_long] = ACTIONS(1276),
    [anon_sym_char] = ACTIONS(1276),
    [anon_sym_float] = ACTIONS(1276),
    [anon_sym_double] = ACTIONS(1276),
    [sym_boolean_type] = ACTIONS(1276),
    [sym_void_type] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [anon_sym_open] = ACTIONS(1276),
    [anon_sym_module] = ACTIONS(1276),
    [anon_sym_static] = ACTIONS(1276),
    [anon_sym_package] = ACTIONS(1276),
    [anon_sym_import] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_class] = ACTIONS(1276),
    [anon_sym_public] = ACTIONS(1276),
    [anon_sym_protected] = ACTIONS(1276),
    [anon_sym_private] = ACTIONS(1276),
    [anon_sym_abstract] = ACTIONS(1276),
    [anon_sym_final] = ACTIONS(1276),
    [anon_sym_strictfp] = ACTIONS(1276),
    [anon_sym_native] = ACTIONS(1276),
    [anon_sym_transient] = ACTIONS(1276),
    [anon_sym_volatile] = ACTIONS(1276),
    [anon_sym_new] = ACTIONS(1276),
    [anon_sym_ATinterface] = ACTIONS(1274),
    [anon_sym_interface] = ACTIONS(1276),
    [sym_this] = ACTIONS(1276),
    [sym_super] = ACTIONS(1276),
    [sym_identifier] = ACTIONS(1276),
    [sym_comment] = ACTIONS(93),
  },
  [326] = {
    [sym__wildcard_bounds] = STATE(589),
    [anon_sym_GT] = ACTIONS(1278),
    [anon_sym_COMMA] = ACTIONS(1278),
    [anon_sym_extends] = ACTIONS(1280),
    [sym_super] = ACTIONS(1280),
    [sym_comment] = ACTIONS(93),
  },
  [327] = {
    [aux_sym__type_arguments_repeat1] = STATE(592),
    [anon_sym_GT] = ACTIONS(1282),
    [anon_sym_COMMA] = ACTIONS(1284),
    [sym_comment] = ACTIONS(93),
  },
  [328] = {
    [anon_sym_GT] = ACTIONS(1286),
    [anon_sym_COMMA] = ACTIONS(1286),
    [sym_comment] = ACTIONS(93),
  },
  [329] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(593),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [330] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(596),
    [sym_normal_annotation] = STATE(596),
    [sym_marker_annotation] = STATE(596),
    [sym_single_element_annotation] = STATE(596),
    [sym__unann_type] = STATE(595),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(596),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [331] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(598),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [332] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(599),
    [sym_cast_expression] = STATE(599),
    [sym_assignment_expression] = STATE(599),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(599),
    [sym_lambda_expression] = STATE(599),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(599),
    [sym_unary_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [333] = {
    [sym_array_initializer] = STATE(601),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [sym_comment] = ACTIONS(93),
  },
  [334] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(604),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [335] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(607),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(607),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [336] = {
    [sym__annotation] = STATE(398),
    [sym_normal_annotation] = STATE(398),
    [sym_marker_annotation] = STATE(398),
    [sym_single_element_annotation] = STATE(398),
    [aux_sym_wildcard_repeat1] = STATE(398),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [337] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(609),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [338] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(611),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [339] = {
    [sym__annotation] = STATE(376),
    [sym_normal_annotation] = STATE(376),
    [sym_marker_annotation] = STATE(376),
    [sym_single_element_annotation] = STATE(376),
    [aux_sym_wildcard_repeat1] = STATE(376),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1310),
    [sym_comment] = ACTIONS(93),
  },
  [340] = {
    [sym_array_initializer] = STATE(613),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [sym_comment] = ACTIONS(93),
  },
  [341] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(604),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [342] = {
    [anon_sym_LPAREN] = ACTIONS(1316),
    [sym_comment] = ACTIONS(93),
  },
  [343] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [344] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [345] = {
    [anon_sym_LPAREN] = ACTIONS(1316),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [346] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(617),
    [sym_modifier] = STATE(619),
    [sym_interface_declaration] = STATE(617),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_annotation_type_member_declaration] = STATE(620),
    [sym_annotation_type_element_declaration] = STATE(617),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_constant_declaration] = STATE(617),
    [sym__unann_type] = STATE(618),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(619),
    [aux_sym_annotation_type_body_repeat1] = STATE(620),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [sym_decimal_integer_literal] = ACTIONS(1324),
    [sym_hex_integer_literal] = ACTIONS(1324),
    [sym_octal_integer_literal] = ACTIONS(1322),
    [sym_binary_integer_literal] = ACTIONS(1322),
    [sym_long_integer_literal] = ACTIONS(1322),
    [sym_decimal_floating_point_literal] = ACTIONS(1322),
    [sym_hex_floating_point_literal] = ACTIONS(1324),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [sym_string_literal] = ACTIONS(1322),
    [sym_null_literal] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_assert] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_synchronized] = ACTIONS(1324),
    [anon_sym_throw] = ACTIONS(1324),
    [anon_sym_try] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_else] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_byte] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_int] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_char] = ACTIONS(1324),
    [anon_sym_float] = ACTIONS(1324),
    [anon_sym_double] = ACTIONS(1324),
    [sym_boolean_type] = ACTIONS(1324),
    [sym_void_type] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_open] = ACTIONS(1324),
    [anon_sym_module] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_package] = ACTIONS(1324),
    [anon_sym_import] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_class] = ACTIONS(1324),
    [anon_sym_public] = ACTIONS(1324),
    [anon_sym_protected] = ACTIONS(1324),
    [anon_sym_private] = ACTIONS(1324),
    [anon_sym_abstract] = ACTIONS(1324),
    [anon_sym_final] = ACTIONS(1324),
    [anon_sym_strictfp] = ACTIONS(1324),
    [anon_sym_native] = ACTIONS(1324),
    [anon_sym_transient] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_new] = ACTIONS(1324),
    [anon_sym_ATinterface] = ACTIONS(1322),
    [anon_sym_interface] = ACTIONS(1324),
    [sym_this] = ACTIONS(1324),
    [sym_super] = ACTIONS(1324),
    [sym_identifier] = ACTIONS(1324),
    [sym_comment] = ACTIONS(93),
  },
  [348] = {
    [sym__semicolon] = STATE(622),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(622),
    [sym_modifier] = STATE(625),
    [sym_type_parameters] = STATE(623),
    [sym_interface_declaration] = STATE(622),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_interface_member_declaration] = STATE(626),
    [sym_constant_declaration] = STATE(622),
    [sym__unann_type] = STATE(624),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_method_declaration] = STATE(622),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(625),
    [aux_sym_interface_body_repeat1] = STATE(626),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [349] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(568),
    [sym_normal_annotation] = STATE(568),
    [sym_marker_annotation] = STATE(568),
    [sym_single_element_annotation] = STATE(568),
    [sym_interface_type_list] = STATE(627),
    [sym__type] = STATE(566),
    [sym__unann_type] = STATE(567),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(568),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [350] = {
    [sym_extends_interfaces] = STATE(628),
    [sym_interface_body] = STATE(629),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_extends] = ACTIONS(631),
    [sym_comment] = ACTIONS(93),
  },
  [351] = {
    [sym_interface_body] = STATE(629),
    [anon_sym_LBRACE] = ACTIONS(629),
    [sym_comment] = ACTIONS(93),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [sym_decimal_integer_literal] = ACTIONS(1332),
    [sym_hex_integer_literal] = ACTIONS(1332),
    [sym_octal_integer_literal] = ACTIONS(1330),
    [sym_binary_integer_literal] = ACTIONS(1330),
    [sym_long_integer_literal] = ACTIONS(1330),
    [sym_decimal_floating_point_literal] = ACTIONS(1330),
    [sym_hex_floating_point_literal] = ACTIONS(1332),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [sym_string_literal] = ACTIONS(1330),
    [sym_null_literal] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_assert] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_synchronized] = ACTIONS(1332),
    [anon_sym_throw] = ACTIONS(1332),
    [anon_sym_try] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_else] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_byte] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_int] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_char] = ACTIONS(1332),
    [anon_sym_float] = ACTIONS(1332),
    [anon_sym_double] = ACTIONS(1332),
    [sym_boolean_type] = ACTIONS(1332),
    [sym_void_type] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [anon_sym_open] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_package] = ACTIONS(1332),
    [anon_sym_import] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_class] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_final] = ACTIONS(1332),
    [anon_sym_strictfp] = ACTIONS(1332),
    [anon_sym_native] = ACTIONS(1332),
    [anon_sym_transient] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_new] = ACTIONS(1332),
    [anon_sym_ATinterface] = ACTIONS(1330),
    [anon_sym_interface] = ACTIONS(1332),
    [sym_this] = ACTIONS(1332),
    [sym_super] = ACTIONS(1332),
    [sym_identifier] = ACTIONS(1332),
    [sym_comment] = ACTIONS(93),
  },
  [353] = {
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_EQ] = ACTIONS(1338),
    [anon_sym_PLUS_EQ] = ACTIONS(1334),
    [anon_sym_DASH_EQ] = ACTIONS(1334),
    [anon_sym_STAR_EQ] = ACTIONS(1334),
    [anon_sym_SLASH_EQ] = ACTIONS(1334),
    [anon_sym_AMP_EQ] = ACTIONS(1334),
    [anon_sym_PIPE_EQ] = ACTIONS(1334),
    [anon_sym_CARET_EQ] = ACTIONS(1334),
    [anon_sym_PERCENT_EQ] = ACTIONS(1334),
    [anon_sym_LT_LT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1334),
    [anon_sym_GT] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [anon_sym_EQ_EQ] = ACTIONS(1334),
    [anon_sym_GT_EQ] = ACTIONS(1334),
    [anon_sym_LT_EQ] = ACTIONS(1334),
    [anon_sym_BANG_EQ] = ACTIONS(1334),
    [anon_sym_AMP_AMP] = ACTIONS(1334),
    [anon_sym_PIPE_PIPE] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_SLASH] = ACTIONS(1338),
    [anon_sym_PIPE] = ACTIONS(1338),
    [anon_sym_CARET] = ACTIONS(1338),
    [anon_sym_PERCENT] = ACTIONS(1338),
    [anon_sym_LT_LT] = ACTIONS(1338),
    [anon_sym_GT_GT] = ACTIONS(1338),
    [anon_sym_GT_GT_GT] = ACTIONS(1338),
    [anon_sym_instanceof] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_QMARK] = ACTIONS(1334),
    [anon_sym_COLON] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_RBRACK] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_COLON_COLON] = ACTIONS(1334),
    [sym_comment] = ACTIONS(93),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1340),
    [sym_comment] = ACTIONS(93),
  },
  [355] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(632),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [356] = {
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_RPAREN] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_GT] = ACTIONS(1344),
    [anon_sym_LT] = ACTIONS(1344),
    [anon_sym_EQ_EQ] = ACTIONS(1342),
    [anon_sym_GT_EQ] = ACTIONS(1342),
    [anon_sym_LT_EQ] = ACTIONS(1342),
    [anon_sym_BANG_EQ] = ACTIONS(1342),
    [anon_sym_AMP_AMP] = ACTIONS(1342),
    [anon_sym_PIPE_PIPE] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_SLASH] = ACTIONS(1344),
    [anon_sym_PIPE] = ACTIONS(1344),
    [anon_sym_CARET] = ACTIONS(1342),
    [anon_sym_PERCENT] = ACTIONS(1342),
    [anon_sym_LT_LT] = ACTIONS(1342),
    [anon_sym_GT_GT] = ACTIONS(1344),
    [anon_sym_GT_GT_GT] = ACTIONS(1342),
    [anon_sym_instanceof] = ACTIONS(1342),
    [anon_sym_COMMA] = ACTIONS(1342),
    [anon_sym_QMARK] = ACTIONS(1342),
    [anon_sym_COLON] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_RBRACK] = ACTIONS(1342),
    [anon_sym_DOT] = ACTIONS(1342),
    [anon_sym_COLON_COLON] = ACTIONS(1342),
    [sym_comment] = ACTIONS(93),
  },
  [357] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [358] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [359] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(633),
    [sym_floating_point_type] = STATE(633),
    [sym_scoped_type_identifier] = STATE(635),
    [sym_generic_type] = STATE(636),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1346),
    [sym_void_type] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1348),
    [sym_comment] = ACTIONS(93),
  },
  [360] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(644),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [361] = {
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_PLUS_EQ] = ACTIONS(1374),
    [anon_sym_DASH_EQ] = ACTIONS(1374),
    [anon_sym_STAR_EQ] = ACTIONS(1374),
    [anon_sym_SLASH_EQ] = ACTIONS(1374),
    [anon_sym_AMP_EQ] = ACTIONS(1374),
    [anon_sym_PIPE_EQ] = ACTIONS(1374),
    [anon_sym_CARET_EQ] = ACTIONS(1374),
    [anon_sym_PERCENT_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_GT_EQ] = ACTIONS(1374),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1374),
    [sym_comment] = ACTIONS(93),
  },
  [362] = {
    [anon_sym_DASH_GT] = ACTIONS(1376),
    [sym_comment] = ACTIONS(93),
  },
  [363] = {
    [anon_sym_RPAREN] = ACTIONS(1378),
    [sym_comment] = ACTIONS(93),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [sym_decimal_integer_literal] = ACTIONS(1382),
    [sym_hex_integer_literal] = ACTIONS(1382),
    [sym_octal_integer_literal] = ACTIONS(1380),
    [sym_binary_integer_literal] = ACTIONS(1380),
    [sym_long_integer_literal] = ACTIONS(1380),
    [sym_decimal_floating_point_literal] = ACTIONS(1380),
    [sym_hex_floating_point_literal] = ACTIONS(1382),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [sym_string_literal] = ACTIONS(1380),
    [sym_null_literal] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_assert] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_synchronized] = ACTIONS(1382),
    [anon_sym_throw] = ACTIONS(1382),
    [anon_sym_try] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_byte] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_int] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_char] = ACTIONS(1382),
    [anon_sym_float] = ACTIONS(1382),
    [anon_sym_double] = ACTIONS(1382),
    [sym_boolean_type] = ACTIONS(1382),
    [sym_void_type] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [anon_sym_open] = ACTIONS(1382),
    [anon_sym_module] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_package] = ACTIONS(1382),
    [anon_sym_import] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_class] = ACTIONS(1382),
    [anon_sym_public] = ACTIONS(1382),
    [anon_sym_protected] = ACTIONS(1382),
    [anon_sym_private] = ACTIONS(1382),
    [anon_sym_abstract] = ACTIONS(1382),
    [anon_sym_final] = ACTIONS(1382),
    [anon_sym_strictfp] = ACTIONS(1382),
    [anon_sym_native] = ACTIONS(1382),
    [anon_sym_transient] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_ATinterface] = ACTIONS(1380),
    [anon_sym_interface] = ACTIONS(1382),
    [sym_this] = ACTIONS(1382),
    [sym_super] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1382),
    [sym_comment] = ACTIONS(93),
  },
  [365] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(648),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [366] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [367] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [368] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(649),
    [sym_floating_point_type] = STATE(649),
    [sym_scoped_type_identifier] = STATE(651),
    [sym_generic_type] = STATE(652),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1384),
    [sym_void_type] = ACTIONS(1384),
    [sym_identifier] = ACTIONS(1386),
    [sym_comment] = ACTIONS(93),
  },
  [369] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [sym_comment] = ACTIONS(93),
  },
  [370] = {
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_PLUS_EQ] = ACTIONS(1410),
    [anon_sym_DASH_EQ] = ACTIONS(1410),
    [anon_sym_STAR_EQ] = ACTIONS(1410),
    [anon_sym_SLASH_EQ] = ACTIONS(1410),
    [anon_sym_AMP_EQ] = ACTIONS(1410),
    [anon_sym_PIPE_EQ] = ACTIONS(1410),
    [anon_sym_CARET_EQ] = ACTIONS(1410),
    [anon_sym_PERCENT_EQ] = ACTIONS(1410),
    [anon_sym_LT_LT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_EQ] = ACTIONS(1410),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1410),
    [sym_comment] = ACTIONS(93),
  },
  [371] = {
    [anon_sym_DASH_GT] = ACTIONS(1412),
    [sym_comment] = ACTIONS(93),
  },
  [372] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(662),
    [sym_floating_point_type] = STATE(662),
    [sym_scoped_type_identifier] = STATE(664),
    [sym_generic_type] = STATE(665),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1414),
    [sym_void_type] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1416),
    [sym_comment] = ACTIONS(93),
  },
  [373] = {
    [anon_sym_DOT] = ACTIONS(1418),
    [sym_comment] = ACTIONS(93),
  },
  [374] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_instanceof] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_COLON] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_LT_GT] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_RBRACK] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1432),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_COLON_COLON] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1432),
    [sym_comment] = ACTIONS(93),
  },
  [375] = {
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_GT] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1436),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1436),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_COLON_COLON] = ACTIONS(1434),
    [sym_comment] = ACTIONS(93),
  },
  [376] = {
    [sym__annotation] = STATE(668),
    [sym_normal_annotation] = STATE(668),
    [sym_marker_annotation] = STATE(668),
    [sym_single_element_annotation] = STATE(668),
    [aux_sym_wildcard_repeat1] = STATE(668),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1438),
    [sym_comment] = ACTIONS(93),
  },
  [377] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [378] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [379] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [380] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [381] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_SLASH] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1440),
    [anon_sym_LT_LT] = ACTIONS(1440),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1440),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [382] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(669),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [383] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [384] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [385] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(670),
    [sym_floating_point_type] = STATE(670),
    [sym_scoped_type_identifier] = STATE(672),
    [sym_generic_type] = STATE(673),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(1444),
    [sym_void_type] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1446),
    [sym_comment] = ACTIONS(93),
  },
  [386] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [387] = {
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_PLUS_EQ] = ACTIONS(1470),
    [anon_sym_DASH_EQ] = ACTIONS(1470),
    [anon_sym_STAR_EQ] = ACTIONS(1470),
    [anon_sym_SLASH_EQ] = ACTIONS(1470),
    [anon_sym_AMP_EQ] = ACTIONS(1470),
    [anon_sym_PIPE_EQ] = ACTIONS(1470),
    [anon_sym_CARET_EQ] = ACTIONS(1470),
    [anon_sym_PERCENT_EQ] = ACTIONS(1470),
    [anon_sym_LT_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT_GT_EQ] = ACTIONS(1470),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1470),
    [sym_comment] = ACTIONS(93),
  },
  [388] = {
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [sym_comment] = ACTIONS(93),
  },
  [389] = {
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [390] = {
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [391] = {
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym_RPAREN] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_GT] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [anon_sym_EQ_EQ] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1478),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_AMP_AMP] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1480),
    [anon_sym_PIPE] = ACTIONS(1480),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_GT_GT] = ACTIONS(1480),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_instanceof] = ACTIONS(1478),
    [anon_sym_COMMA] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_RBRACK] = ACTIONS(1478),
    [sym_comment] = ACTIONS(93),
  },
  [392] = {
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_LT] = ACTIONS(1482),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_CARET] = ACTIONS(1476),
    [anon_sym_PERCENT] = ACTIONS(1476),
    [anon_sym_LT_LT] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1482),
    [anon_sym_GT_GT_GT] = ACTIONS(1476),
    [anon_sym_instanceof] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [sym_comment] = ACTIONS(93),
  },
  [393] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_instanceof] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_RBRACK] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1420),
    [sym_comment] = ACTIONS(93),
  },
  [394] = {
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_GT] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [anon_sym_EQ_EQ] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1484),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_AMP_AMP] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1486),
    [anon_sym_PIPE] = ACTIONS(1486),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_GT_GT] = ACTIONS(1486),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_instanceof] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_RBRACK] = ACTIONS(1484),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_COLON_COLON] = ACTIONS(1484),
    [sym_comment] = ACTIONS(93),
  },
  [395] = {
    [anon_sym_new] = ACTIONS(1488),
    [sym_identifier] = ACTIONS(1488),
    [sym_comment] = ACTIONS(93),
  },
  [396] = {
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_synchronized] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_byte] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_int] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_char] = ACTIONS(1492),
    [anon_sym_float] = ACTIONS(1492),
    [anon_sym_double] = ACTIONS(1492),
    [sym_boolean_type] = ACTIONS(1492),
    [sym_void_type] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1492),
    [anon_sym_public] = ACTIONS(1492),
    [anon_sym_protected] = ACTIONS(1492),
    [anon_sym_private] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_final] = ACTIONS(1492),
    [anon_sym_strictfp] = ACTIONS(1492),
    [anon_sym_native] = ACTIONS(1492),
    [anon_sym_transient] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_implements] = ACTIONS(1492),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [anon_sym_throws] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [397] = {
    [anon_sym_RBRACK] = ACTIONS(1494),
    [sym_comment] = ACTIONS(93),
  },
  [398] = {
    [sym__annotation] = STATE(398),
    [sym_normal_annotation] = STATE(398),
    [sym_marker_annotation] = STATE(398),
    [sym_single_element_annotation] = STATE(398),
    [aux_sym_wildcard_repeat1] = STATE(398),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(866),
    [sym_comment] = ACTIONS(93),
  },
  [399] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(399),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [400] = {
    [anon_sym_SEMI] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_RPAREN] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1504),
    [anon_sym_GT] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1506),
    [anon_sym_PIPE] = ACTIONS(1504),
    [anon_sym_COMMA] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_LT_GT] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_open] = ACTIONS(1506),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_DOT] = ACTIONS(1506),
    [anon_sym_implements] = ACTIONS(1506),
    [anon_sym_COLON_COLON] = ACTIONS(1504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1504),
    [sym_this] = ACTIONS(1506),
    [sym_identifier] = ACTIONS(1506),
    [sym_comment] = ACTIONS(93),
  },
  [401] = {
    [sym__annotation] = STATE(668),
    [sym_normal_annotation] = STATE(668),
    [sym_marker_annotation] = STATE(668),
    [sym_single_element_annotation] = STATE(668),
    [aux_sym_wildcard_repeat1] = STATE(668),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1508),
    [sym_comment] = ACTIONS(93),
  },
  [402] = {
    [sym_super_interfaces] = STATE(686),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [403] = {
    [sym_type_parameters] = STATE(687),
    [sym_superclass] = STATE(585),
    [sym_super_interfaces] = STATE(586),
    [sym_class_body] = STATE(587),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_extends] = ACTIONS(609),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [404] = {
    [sym_annotation_type_body] = STATE(688),
    [anon_sym_LBRACE] = ACTIONS(627),
    [sym_comment] = ACTIONS(93),
  },
  [405] = {
    [sym_type_parameters] = STATE(689),
    [sym_extends_interfaces] = STATE(628),
    [sym_interface_body] = STATE(629),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_extends] = ACTIONS(631),
    [sym_comment] = ACTIONS(93),
  },
  [406] = {
    [sym_scoped_identifier] = STATE(690),
    [sym__reserved_identifier] = STATE(690),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1510),
    [sym_comment] = ACTIONS(93),
  },
  [407] = {
    [sym__semicolon] = STATE(691),
    [anon_sym_SEMI] = ACTIONS(1512),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [408] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [409] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [410] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(693),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [411] = {
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_comment] = ACTIONS(93),
  },
  [412] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(410),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(927),
    [sym_comment] = ACTIONS(93),
  },
  [413] = {
    [sym__literal] = STATE(536),
    [sym_integer_literal] = STATE(536),
    [sym_floating_point_literal] = STATE(536),
    [sym_boolean_literal] = STATE(536),
    [sym_character_literal] = STATE(536),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value_pair_list] = STATE(695),
    [sym_element_value_pair] = STATE(539),
    [sym_element_value] = STATE(696),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(541),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1212),
    [sym_null_literal] = ACTIONS(1214),
    [anon_sym_RPAREN] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1222),
    [sym_comment] = ACTIONS(93),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1520),
    [sym_comment] = ACTIONS(93),
  },
  [415] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(698),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [416] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(699),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(699),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [417] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(698),
    [anon_sym_RPAREN] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [418] = {
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_COMMA] = ACTIONS(1522),
    [sym_comment] = ACTIONS(93),
  },
  [419] = {
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1424),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_GT_GT_GT] = ACTIONS(1422),
    [anon_sym_instanceof] = ACTIONS(1422),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_LT_GT] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1432),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_COLON_COLON] = ACTIONS(1427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1427),
    [sym_this] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1432),
    [sym_comment] = ACTIONS(93),
  },
  [420] = {
    [anon_sym_DASH_GT] = ACTIONS(1524),
    [sym_comment] = ACTIONS(93),
  },
  [421] = {
    [aux_sym_inferred_parameters_repeat1] = STATE(421),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_COMMA] = ACTIONS(1526),
    [sym_comment] = ACTIONS(93),
  },
  [422] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [423] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [424] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [425] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [426] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1529),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [427] = {
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [428] = {
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [429] = {
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_RPAREN] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1531),
    [anon_sym_GT_EQ] = ACTIONS(1531),
    [anon_sym_LT_EQ] = ACTIONS(1531),
    [anon_sym_BANG_EQ] = ACTIONS(1531),
    [anon_sym_AMP_AMP] = ACTIONS(1531),
    [anon_sym_PIPE_PIPE] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1531),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_GT_GT_GT] = ACTIONS(1531),
    [anon_sym_instanceof] = ACTIONS(1531),
    [anon_sym_COMMA] = ACTIONS(1531),
    [anon_sym_QMARK] = ACTIONS(1531),
    [anon_sym_COLON] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_RBRACK] = ACTIONS(1531),
    [sym_comment] = ACTIONS(93),
  },
  [430] = {
    [anon_sym_RPAREN] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [sym_comment] = ACTIONS(93),
  },
  [431] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(701),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [432] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(702),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [433] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [434] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_AMP] = ACTIONS(1539),
    [sym_comment] = ACTIONS(93),
  },
  [435] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(704),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [436] = {
    [anon_sym_RPAREN] = ACTIONS(1542),
    [sym_comment] = ACTIONS(93),
  },
  [437] = {
    [anon_sym_RPAREN] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(1544),
    [sym_comment] = ACTIONS(93),
  },
  [438] = {
    [sym_this] = ACTIONS(1546),
    [sym_comment] = ACTIONS(93),
  },
  [439] = {
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1548),
    [anon_sym_default] = ACTIONS(1550),
    [anon_sym_synchronized] = ACTIONS(1550),
    [anon_sym_byte] = ACTIONS(1550),
    [anon_sym_short] = ACTIONS(1550),
    [anon_sym_int] = ACTIONS(1550),
    [anon_sym_long] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_float] = ACTIONS(1550),
    [anon_sym_double] = ACTIONS(1550),
    [sym_boolean_type] = ACTIONS(1550),
    [sym_void_type] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1548),
    [anon_sym_static] = ACTIONS(1550),
    [anon_sym_public] = ACTIONS(1550),
    [anon_sym_protected] = ACTIONS(1550),
    [anon_sym_private] = ACTIONS(1550),
    [anon_sym_abstract] = ACTIONS(1550),
    [anon_sym_final] = ACTIONS(1550),
    [anon_sym_strictfp] = ACTIONS(1550),
    [anon_sym_native] = ACTIONS(1550),
    [anon_sym_transient] = ACTIONS(1550),
    [anon_sym_volatile] = ACTIONS(1550),
    [sym_identifier] = ACTIONS(1550),
    [sym_comment] = ACTIONS(93),
  },
  [440] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(707),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_synchronized] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_byte] = ACTIONS(921),
    [anon_sym_short] = ACTIONS(921),
    [anon_sym_int] = ACTIONS(921),
    [anon_sym_long] = ACTIONS(921),
    [anon_sym_char] = ACTIONS(921),
    [anon_sym_float] = ACTIONS(921),
    [anon_sym_double] = ACTIONS(921),
    [sym_boolean_type] = ACTIONS(921),
    [sym_void_type] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(921),
    [anon_sym_public] = ACTIONS(921),
    [anon_sym_protected] = ACTIONS(921),
    [anon_sym_private] = ACTIONS(921),
    [anon_sym_abstract] = ACTIONS(921),
    [anon_sym_final] = ACTIONS(921),
    [anon_sym_strictfp] = ACTIONS(921),
    [anon_sym_native] = ACTIONS(921),
    [anon_sym_transient] = ACTIONS(921),
    [anon_sym_volatile] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [441] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(441),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [442] = {
    [anon_sym_RPAREN] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_synchronized] = ACTIONS(1554),
    [anon_sym_byte] = ACTIONS(1554),
    [anon_sym_short] = ACTIONS(1554),
    [anon_sym_int] = ACTIONS(1554),
    [anon_sym_long] = ACTIONS(1554),
    [anon_sym_char] = ACTIONS(1554),
    [anon_sym_float] = ACTIONS(1554),
    [anon_sym_double] = ACTIONS(1554),
    [sym_boolean_type] = ACTIONS(1554),
    [sym_void_type] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1552),
    [anon_sym_static] = ACTIONS(1554),
    [anon_sym_public] = ACTIONS(1554),
    [anon_sym_protected] = ACTIONS(1554),
    [anon_sym_private] = ACTIONS(1554),
    [anon_sym_abstract] = ACTIONS(1554),
    [anon_sym_final] = ACTIONS(1554),
    [anon_sym_strictfp] = ACTIONS(1554),
    [anon_sym_native] = ACTIONS(1554),
    [anon_sym_transient] = ACTIONS(1554),
    [anon_sym_volatile] = ACTIONS(1554),
    [sym_identifier] = ACTIONS(1554),
    [sym_comment] = ACTIONS(93),
  },
  [443] = {
    [anon_sym_RPAREN] = ACTIONS(1556),
    [sym_comment] = ACTIONS(93),
  },
  [444] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(709),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(1556),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [445] = {
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_synchronized] = ACTIONS(1554),
    [anon_sym_byte] = ACTIONS(1554),
    [anon_sym_short] = ACTIONS(1554),
    [anon_sym_int] = ACTIONS(1554),
    [anon_sym_long] = ACTIONS(1554),
    [anon_sym_char] = ACTIONS(1554),
    [anon_sym_float] = ACTIONS(1554),
    [anon_sym_double] = ACTIONS(1554),
    [sym_boolean_type] = ACTIONS(1554),
    [sym_void_type] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1552),
    [anon_sym_static] = ACTIONS(1554),
    [anon_sym_public] = ACTIONS(1554),
    [anon_sym_protected] = ACTIONS(1554),
    [anon_sym_private] = ACTIONS(1554),
    [anon_sym_abstract] = ACTIONS(1554),
    [anon_sym_final] = ACTIONS(1554),
    [anon_sym_strictfp] = ACTIONS(1554),
    [anon_sym_native] = ACTIONS(1554),
    [anon_sym_transient] = ACTIONS(1554),
    [anon_sym_volatile] = ACTIONS(1554),
    [sym_identifier] = ACTIONS(1554),
    [sym_comment] = ACTIONS(93),
  },
  [446] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(711),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(701),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [447] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(709),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(1556),
    [anon_sym_COMMA] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [448] = {
    [sym_variable_declarator] = STATE(713),
    [sym_variable_declarator_id] = STATE(437),
    [sym__reserved_identifier] = STATE(435),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(902),
    [sym_comment] = ACTIONS(93),
  },
  [449] = {
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1563),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [sym_identifier] = ACTIONS(1565),
    [sym_comment] = ACTIONS(93),
  },
  [450] = {
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_synchronized] = ACTIONS(1569),
    [anon_sym_byte] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_int] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_char] = ACTIONS(1569),
    [anon_sym_float] = ACTIONS(1569),
    [anon_sym_double] = ACTIONS(1569),
    [sym_boolean_type] = ACTIONS(1569),
    [sym_void_type] = ACTIONS(1569),
    [anon_sym_AT] = ACTIONS(1567),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_abstract] = ACTIONS(1569),
    [anon_sym_final] = ACTIONS(1569),
    [anon_sym_strictfp] = ACTIONS(1569),
    [anon_sym_native] = ACTIONS(1569),
    [anon_sym_transient] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [sym_identifier] = ACTIONS(1569),
    [sym_comment] = ACTIONS(93),
  },
  [451] = {
    [anon_sym_DOT] = ACTIONS(1571),
    [sym_comment] = ACTIONS(93),
  },
  [452] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(715),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_this] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [453] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [454] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(1573),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [455] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(717),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [456] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(718),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(718),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [457] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(717),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [458] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [459] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [460] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [461] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [462] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [463] = {
    [sym__semicolon] = STATE(720),
    [anon_sym_SEMI] = ACTIONS(1577),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [464] = {
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [465] = {
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [466] = {
    [sym_switch_block] = STATE(722),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [sym_comment] = ACTIONS(93),
  },
  [467] = {
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [468] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(469),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(469),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [469] = {
    [sym_catch_clause] = STATE(724),
    [aux_sym_catches_repeat1] = STATE(724),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [470] = {
    [anon_sym_RPAREN] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [471] = {
    [sym__semicolon] = STATE(726),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(727),
    [sym_cast_expression] = STATE(727),
    [sym_assignment_expression] = STATE(727),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(727),
    [sym_lambda_expression] = STATE(727),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(727),
    [sym_unary_expression] = STATE(727),
    [sym_update_expression] = STATE(727),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1585),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [472] = {
    [sym__semicolon] = STATE(728),
    [anon_sym_SEMI] = ACTIONS(1587),
    [sym_comment] = ACTIONS(93),
  },
  [473] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(729),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [474] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(730),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [475] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(731),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [476] = {
    [sym_variable_declarator] = STATE(732),
    [sym_variable_declarator_id] = STATE(253),
    [sym__reserved_identifier] = STATE(250),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(507),
    [sym_comment] = ACTIONS(93),
  },
  [477] = {
    [aux_sym_variable_declarator_list_repeat1] = STATE(733),
    [anon_sym_SEMI] = ACTIONS(1589),
    [anon_sym_COMMA] = ACTIONS(955),
    [sym_comment] = ACTIONS(93),
  },
  [478] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(734),
    [sym_cast_expression] = STATE(734),
    [sym_assignment_expression] = STATE(734),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(734),
    [sym_lambda_expression] = STATE(734),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(734),
    [sym_unary_expression] = STATE(734),
    [sym_update_expression] = STATE(734),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(735),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [479] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(479),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [480] = {
    [anon_sym_SEMI] = ACTIONS(1591),
    [sym_comment] = ACTIONS(93),
  },
  [481] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(736),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [482] = {
    [anon_sym_RPAREN] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [483] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(484),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(484),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [484] = {
    [sym_catch_clause] = STATE(738),
    [aux_sym_catches_repeat1] = STATE(738),
    [anon_sym_while] = ACTIONS(1157),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(1157),
    [sym_comment] = ACTIONS(93),
  },
  [485] = {
    [anon_sym_RPAREN] = ACTIONS(1595),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [486] = {
    [sym__semicolon] = STATE(740),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(741),
    [sym_cast_expression] = STATE(741),
    [sym_assignment_expression] = STATE(741),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(741),
    [sym_lambda_expression] = STATE(741),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(741),
    [sym_unary_expression] = STATE(741),
    [sym_update_expression] = STATE(741),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1597),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [487] = {
    [sym__semicolon] = STATE(742),
    [anon_sym_SEMI] = ACTIONS(1599),
    [sym_comment] = ACTIONS(93),
  },
  [488] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(743),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [489] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(744),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [490] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(745),
    [sym_cast_expression] = STATE(745),
    [sym_assignment_expression] = STATE(745),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(745),
    [sym_lambda_expression] = STATE(745),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(745),
    [sym_unary_expression] = STATE(745),
    [sym_update_expression] = STATE(745),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [491] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(93),
  },
  [492] = {
    [sym_block] = STATE(747),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [493] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(748),
    [sym_dims_expr] = STATE(749),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [494] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(750),
    [sym_dims_expr] = STATE(749),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [495] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(748),
    [sym_dims_expr] = STATE(749),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [496] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(748),
    [sym_dims_expr] = STATE(749),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [497] = {
    [sym__type_arguments] = STATE(354),
    [sym__annotation] = STATE(376),
    [sym_normal_annotation] = STATE(376),
    [sym_marker_annotation] = STATE(376),
    [sym_single_element_annotation] = STATE(376),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [aux_sym_wildcard_repeat1] = STATE(376),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(665),
    [sym_identifier] = ACTIONS(1603),
    [sym_comment] = ACTIONS(93),
  },
  [498] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym_resource] = STATE(753),
    [sym_variable_access] = STATE(277),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(283),
    [sym_scoped_identifier] = STATE(278),
    [sym__primary] = STATE(279),
    [sym_array_creation_expression] = STATE(279),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(280),
    [sym_array_access] = STATE(48),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(281),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(282),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(283),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(553),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(555),
    [sym_comment] = ACTIONS(93),
  },
  [499] = {
    [anon_sym_LBRACE] = ACTIONS(1607),
    [sym_comment] = ACTIONS(93),
  },
  [500] = {
    [aux_sym_resource_specification_repeat1] = STATE(755),
    [anon_sym_SEMI] = ACTIONS(1609),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [sym_comment] = ACTIONS(93),
  },
  [501] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(756),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [502] = {
    [anon_sym_EQ] = ACTIONS(1611),
    [sym_comment] = ACTIONS(93),
  },
  [503] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(758),
    [sym__reserved_identifier] = STATE(501),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1141),
    [sym_comment] = ACTIONS(93),
  },
  [504] = {
    [sym_finally] = STATE(759),
    [ts_builtin_sym_end] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [sym_decimal_integer_literal] = ACTIONS(1615),
    [sym_hex_integer_literal] = ACTIONS(1615),
    [sym_octal_integer_literal] = ACTIONS(1613),
    [sym_binary_integer_literal] = ACTIONS(1613),
    [sym_long_integer_literal] = ACTIONS(1613),
    [sym_decimal_floating_point_literal] = ACTIONS(1613),
    [sym_hex_floating_point_literal] = ACTIONS(1615),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [sym_string_literal] = ACTIONS(1613),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_assert] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_synchronized] = ACTIONS(1615),
    [anon_sym_throw] = ACTIONS(1615),
    [anon_sym_try] = ACTIONS(1615),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_byte] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_int] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_char] = ACTIONS(1615),
    [anon_sym_float] = ACTIONS(1615),
    [anon_sym_double] = ACTIONS(1615),
    [sym_boolean_type] = ACTIONS(1615),
    [sym_void_type] = ACTIONS(1615),
    [anon_sym_AT] = ACTIONS(1615),
    [anon_sym_open] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_package] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_class] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_abstract] = ACTIONS(1615),
    [anon_sym_final] = ACTIONS(1615),
    [anon_sym_strictfp] = ACTIONS(1615),
    [anon_sym_native] = ACTIONS(1615),
    [anon_sym_transient] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_new] = ACTIONS(1615),
    [anon_sym_ATinterface] = ACTIONS(1613),
    [anon_sym_interface] = ACTIONS(1615),
    [sym_this] = ACTIONS(1615),
    [sym_super] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_comment] = ACTIONS(93),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [anon_sym_SEMI] = ACTIONS(1613),
    [sym_decimal_integer_literal] = ACTIONS(1615),
    [sym_hex_integer_literal] = ACTIONS(1615),
    [sym_octal_integer_literal] = ACTIONS(1613),
    [sym_binary_integer_literal] = ACTIONS(1613),
    [sym_long_integer_literal] = ACTIONS(1613),
    [sym_decimal_floating_point_literal] = ACTIONS(1613),
    [sym_hex_floating_point_literal] = ACTIONS(1615),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [sym_string_literal] = ACTIONS(1613),
    [sym_null_literal] = ACTIONS(1615),
    [anon_sym_LPAREN] = ACTIONS(1613),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_assert] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_synchronized] = ACTIONS(1615),
    [anon_sym_throw] = ACTIONS(1615),
    [anon_sym_try] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_byte] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_int] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_char] = ACTIONS(1615),
    [anon_sym_float] = ACTIONS(1615),
    [anon_sym_double] = ACTIONS(1615),
    [sym_boolean_type] = ACTIONS(1615),
    [sym_void_type] = ACTIONS(1615),
    [anon_sym_AT] = ACTIONS(1615),
    [anon_sym_open] = ACTIONS(1615),
    [anon_sym_module] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_package] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_class] = ACTIONS(1615),
    [anon_sym_public] = ACTIONS(1615),
    [anon_sym_protected] = ACTIONS(1615),
    [anon_sym_private] = ACTIONS(1615),
    [anon_sym_abstract] = ACTIONS(1615),
    [anon_sym_final] = ACTIONS(1615),
    [anon_sym_strictfp] = ACTIONS(1615),
    [anon_sym_native] = ACTIONS(1615),
    [anon_sym_transient] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_new] = ACTIONS(1615),
    [anon_sym_ATinterface] = ACTIONS(1613),
    [anon_sym_interface] = ACTIONS(1615),
    [sym_this] = ACTIONS(1615),
    [sym_super] = ACTIONS(1615),
    [sym_identifier] = ACTIONS(1615),
    [sym_comment] = ACTIONS(93),
  },
  [506] = {
    [sym_catch_formal_parameter] = STATE(760),
    [sym_catch_type] = STATE(761),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(763),
    [sym__unann_type] = STATE(762),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(763),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [anon_sym_SEMI] = ACTIONS(1617),
    [sym_decimal_integer_literal] = ACTIONS(1619),
    [sym_hex_integer_literal] = ACTIONS(1619),
    [sym_octal_integer_literal] = ACTIONS(1617),
    [sym_binary_integer_literal] = ACTIONS(1617),
    [sym_long_integer_literal] = ACTIONS(1617),
    [sym_decimal_floating_point_literal] = ACTIONS(1617),
    [sym_hex_floating_point_literal] = ACTIONS(1619),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [sym_string_literal] = ACTIONS(1617),
    [sym_null_literal] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_assert] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_synchronized] = ACTIONS(1619),
    [anon_sym_throw] = ACTIONS(1619),
    [anon_sym_try] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_else] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_byte] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_int] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_char] = ACTIONS(1619),
    [anon_sym_float] = ACTIONS(1619),
    [anon_sym_double] = ACTIONS(1619),
    [sym_boolean_type] = ACTIONS(1619),
    [sym_void_type] = ACTIONS(1619),
    [anon_sym_AT] = ACTIONS(1619),
    [anon_sym_open] = ACTIONS(1619),
    [anon_sym_module] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_package] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_class] = ACTIONS(1619),
    [anon_sym_public] = ACTIONS(1619),
    [anon_sym_protected] = ACTIONS(1619),
    [anon_sym_private] = ACTIONS(1619),
    [anon_sym_abstract] = ACTIONS(1619),
    [anon_sym_final] = ACTIONS(1619),
    [anon_sym_strictfp] = ACTIONS(1619),
    [anon_sym_native] = ACTIONS(1619),
    [anon_sym_transient] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_new] = ACTIONS(1619),
    [anon_sym_ATinterface] = ACTIONS(1617),
    [anon_sym_interface] = ACTIONS(1619),
    [sym_this] = ACTIONS(1619),
    [sym_super] = ACTIONS(1619),
    [sym_identifier] = ACTIONS(1619),
    [sym_comment] = ACTIONS(93),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [anon_sym_SEMI] = ACTIONS(1621),
    [sym_decimal_integer_literal] = ACTIONS(1623),
    [sym_hex_integer_literal] = ACTIONS(1623),
    [sym_octal_integer_literal] = ACTIONS(1621),
    [sym_binary_integer_literal] = ACTIONS(1621),
    [sym_long_integer_literal] = ACTIONS(1621),
    [sym_decimal_floating_point_literal] = ACTIONS(1621),
    [sym_hex_floating_point_literal] = ACTIONS(1623),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [sym_string_literal] = ACTIONS(1621),
    [sym_null_literal] = ACTIONS(1623),
    [anon_sym_LPAREN] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_assert] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_synchronized] = ACTIONS(1623),
    [anon_sym_throw] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_else] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_byte] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_int] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_char] = ACTIONS(1623),
    [anon_sym_float] = ACTIONS(1623),
    [anon_sym_double] = ACTIONS(1623),
    [sym_boolean_type] = ACTIONS(1623),
    [sym_void_type] = ACTIONS(1623),
    [anon_sym_AT] = ACTIONS(1623),
    [anon_sym_open] = ACTIONS(1623),
    [anon_sym_module] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_package] = ACTIONS(1623),
    [anon_sym_import] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_class] = ACTIONS(1623),
    [anon_sym_public] = ACTIONS(1623),
    [anon_sym_protected] = ACTIONS(1623),
    [anon_sym_private] = ACTIONS(1623),
    [anon_sym_abstract] = ACTIONS(1623),
    [anon_sym_final] = ACTIONS(1623),
    [anon_sym_strictfp] = ACTIONS(1623),
    [anon_sym_native] = ACTIONS(1623),
    [anon_sym_transient] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_new] = ACTIONS(1623),
    [anon_sym_ATinterface] = ACTIONS(1621),
    [anon_sym_interface] = ACTIONS(1623),
    [sym_this] = ACTIONS(1623),
    [sym_super] = ACTIONS(1623),
    [sym_identifier] = ACTIONS(1623),
    [sym_comment] = ACTIONS(93),
  },
  [509] = {
    [sym_catch_clause] = STATE(509),
    [aux_sym_catches_repeat1] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [510] = {
    [sym__statement] = STATE(769),
    [sym__method_statement] = STATE(769),
    [sym__expression_statement] = STATE(769),
    [sym__semicolon] = STATE(769),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(769),
    [sym_assert_statement] = STATE(769),
    [sym_switch_statement] = STATE(769),
    [sym_do_statement] = STATE(769),
    [sym_break_statement] = STATE(769),
    [sym_continue_statement] = STATE(769),
    [sym_return_statement] = STATE(769),
    [sym_synchronized_statement] = STATE(769),
    [sym_throw_statement] = STATE(769),
    [sym_try_statement] = STATE(769),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(769),
    [sym_while_statement] = STATE(769),
    [sym_for_statement] = STATE(769),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(769),
    [sym_module_declaration] = STATE(769),
    [sym_package_declaration] = STATE(769),
    [sym_import_declaration] = STATE(769),
    [sym_enum_declaration] = STATE(769),
    [sym_class_declaration] = STATE(769),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(769),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(769),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1632),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1642),
    [sym_comment] = ACTIONS(93),
  },
  [511] = {
    [sym_additional_bound] = STATE(771),
    [aux_sym_cast_expression_repeat1] = STATE(771),
    [anon_sym_RPAREN] = ACTIONS(1644),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [512] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(772),
    [sym_dims_expr] = STATE(773),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [513] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(774),
    [sym_dims_expr] = STATE(773),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [514] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(772),
    [sym_dims_expr] = STATE(773),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [515] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(772),
    [sym_dims_expr] = STATE(773),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [516] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(776),
    [sym_cast_expression] = STATE(776),
    [sym_assignment_expression] = STATE(776),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(776),
    [sym_lambda_expression] = STATE(776),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(776),
    [sym_unary_expression] = STATE(776),
    [sym_update_expression] = STATE(776),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [517] = {
    [sym__semicolon] = STATE(777),
    [anon_sym_SEMI] = ACTIONS(1648),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [518] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(778),
    [sym_cast_expression] = STATE(778),
    [sym_assignment_expression] = STATE(778),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(778),
    [sym_lambda_expression] = STATE(778),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(778),
    [sym_unary_expression] = STATE(778),
    [sym_update_expression] = STATE(778),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [519] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(779),
    [sym_cast_expression] = STATE(779),
    [sym_assignment_expression] = STATE(779),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(779),
    [sym_lambda_expression] = STATE(779),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(779),
    [sym_unary_expression] = STATE(779),
    [sym_update_expression] = STATE(779),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [520] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(780),
    [sym_cast_expression] = STATE(780),
    [sym_assignment_expression] = STATE(780),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(780),
    [sym_lambda_expression] = STATE(780),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(780),
    [sym_unary_expression] = STATE(780),
    [sym_update_expression] = STATE(780),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [521] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(781),
    [sym_cast_expression] = STATE(781),
    [sym_assignment_expression] = STATE(781),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(781),
    [sym_lambda_expression] = STATE(781),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(781),
    [sym_unary_expression] = STATE(781),
    [sym_update_expression] = STATE(781),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [522] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [523] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(782),
    [sym_cast_expression] = STATE(782),
    [sym_assignment_expression] = STATE(782),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(782),
    [sym_lambda_expression] = STATE(782),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(782),
    [sym_unary_expression] = STATE(782),
    [sym_update_expression] = STATE(782),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [524] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(783),
    [sym_cast_expression] = STATE(783),
    [sym_assignment_expression] = STATE(783),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(783),
    [sym_lambda_expression] = STATE(783),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(783),
    [sym_unary_expression] = STATE(783),
    [sym_update_expression] = STATE(783),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [525] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(784),
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_COMMA] = ACTIONS(1189),
    [sym_comment] = ACTIONS(93),
  },
  [526] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(785),
    [sym_cast_expression] = STATE(785),
    [sym_assignment_expression] = STATE(785),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(785),
    [sym_lambda_expression] = STATE(785),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(785),
    [sym_unary_expression] = STATE(785),
    [sym_update_expression] = STATE(785),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [527] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(786),
    [sym_cast_expression] = STATE(786),
    [sym_assignment_expression] = STATE(786),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(786),
    [sym_lambda_expression] = STATE(786),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(786),
    [sym_unary_expression] = STATE(786),
    [sym_update_expression] = STATE(786),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [528] = {
    [sym__semicolon] = STATE(777),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(787),
    [sym_cast_expression] = STATE(787),
    [sym_assignment_expression] = STATE(787),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(787),
    [sym_lambda_expression] = STATE(787),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(787),
    [sym_unary_expression] = STATE(787),
    [sym_update_expression] = STATE(787),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1648),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [529] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(788),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [530] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(1652),
    [sym_comment] = ACTIONS(93),
  },
  [531] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(790),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [532] = {
    [anon_sym_SEMI] = ACTIONS(1654),
    [anon_sym_RPAREN] = ACTIONS(1654),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_GT] = ACTIONS(1656),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_EQ_EQ] = ACTIONS(1654),
    [anon_sym_GT_EQ] = ACTIONS(1654),
    [anon_sym_LT_EQ] = ACTIONS(1654),
    [anon_sym_BANG_EQ] = ACTIONS(1654),
    [anon_sym_AMP_AMP] = ACTIONS(1654),
    [anon_sym_PIPE_PIPE] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_STAR] = ACTIONS(1654),
    [anon_sym_SLASH] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_CARET] = ACTIONS(1654),
    [anon_sym_PERCENT] = ACTIONS(1654),
    [anon_sym_LT_LT] = ACTIONS(1654),
    [anon_sym_GT_GT] = ACTIONS(1656),
    [anon_sym_GT_GT_GT] = ACTIONS(1654),
    [anon_sym_instanceof] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_QMARK] = ACTIONS(1654),
    [anon_sym_COLON] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_RBRACK] = ACTIONS(1654),
    [anon_sym_DOT] = ACTIONS(1654),
    [anon_sym_COLON_COLON] = ACTIONS(1654),
    [sym_comment] = ACTIONS(93),
  },
  [533] = {
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_RPAREN] = ACTIONS(1658),
    [anon_sym_LT] = ACTIONS(1658),
    [anon_sym_COMMA] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1660),
    [anon_sym_synchronized] = ACTIONS(1660),
    [anon_sym_byte] = ACTIONS(1660),
    [anon_sym_short] = ACTIONS(1660),
    [anon_sym_int] = ACTIONS(1660),
    [anon_sym_long] = ACTIONS(1660),
    [anon_sym_char] = ACTIONS(1660),
    [anon_sym_float] = ACTIONS(1660),
    [anon_sym_double] = ACTIONS(1660),
    [sym_boolean_type] = ACTIONS(1660),
    [sym_void_type] = ACTIONS(1660),
    [anon_sym_AT] = ACTIONS(1660),
    [anon_sym_open] = ACTIONS(1660),
    [anon_sym_module] = ACTIONS(1660),
    [anon_sym_static] = ACTIONS(1660),
    [anon_sym_package] = ACTIONS(1660),
    [anon_sym_enum] = ACTIONS(1660),
    [anon_sym_class] = ACTIONS(1660),
    [anon_sym_public] = ACTIONS(1660),
    [anon_sym_protected] = ACTIONS(1660),
    [anon_sym_private] = ACTIONS(1660),
    [anon_sym_abstract] = ACTIONS(1660),
    [anon_sym_final] = ACTIONS(1660),
    [anon_sym_strictfp] = ACTIONS(1660),
    [anon_sym_native] = ACTIONS(1660),
    [anon_sym_transient] = ACTIONS(1660),
    [anon_sym_volatile] = ACTIONS(1660),
    [anon_sym_ATinterface] = ACTIONS(1658),
    [anon_sym_interface] = ACTIONS(1660),
    [sym_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(93),
  },
  [534] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(793),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_COMMA] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [535] = {
    [anon_sym_RPAREN] = ACTIONS(1672),
    [anon_sym_EQ] = ACTIONS(1674),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [536] = {
    [anon_sym_RPAREN] = ACTIONS(1672),
    [sym_comment] = ACTIONS(93),
  },
  [537] = {
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_RPAREN] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [sym_comment] = ACTIONS(93),
  },
  [538] = {
    [anon_sym_RPAREN] = ACTIONS(1676),
    [sym_comment] = ACTIONS(93),
  },
  [539] = {
    [aux_sym_element_value_pair_list_repeat1] = STATE(798),
    [anon_sym_RPAREN] = ACTIONS(1678),
    [anon_sym_COMMA] = ACTIONS(1680),
    [sym_comment] = ACTIONS(93),
  },
  [540] = {
    [anon_sym_RPAREN] = ACTIONS(1682),
    [sym_comment] = ACTIONS(93),
  },
  [541] = {
    [anon_sym_RPAREN] = ACTIONS(1672),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [542] = {
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_RPAREN] = ACTIONS(1672),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [543] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_synchronized] = ACTIONS(1422),
    [anon_sym_byte] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_int] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_char] = ACTIONS(1422),
    [anon_sym_float] = ACTIONS(1422),
    [anon_sym_double] = ACTIONS(1422),
    [sym_boolean_type] = ACTIONS(1422),
    [sym_void_type] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [anon_sym_open] = ACTIONS(1422),
    [anon_sym_module] = ACTIONS(1422),
    [anon_sym_to] = ACTIONS(1422),
    [anon_sym_with] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_package] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_class] = ACTIONS(1422),
    [anon_sym_public] = ACTIONS(1422),
    [anon_sym_protected] = ACTIONS(1422),
    [anon_sym_private] = ACTIONS(1422),
    [anon_sym_abstract] = ACTIONS(1422),
    [anon_sym_final] = ACTIONS(1422),
    [anon_sym_strictfp] = ACTIONS(1422),
    [anon_sym_native] = ACTIONS(1422),
    [anon_sym_transient] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_ATinterface] = ACTIONS(1420),
    [anon_sym_interface] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(93),
  },
  [544] = {
    [sym_module_directive] = STATE(800),
    [aux_sym_module_declaration_repeat1] = STATE(800),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1686),
    [anon_sym_SEMI] = ACTIONS(1686),
    [sym_decimal_integer_literal] = ACTIONS(1688),
    [sym_hex_integer_literal] = ACTIONS(1688),
    [sym_octal_integer_literal] = ACTIONS(1686),
    [sym_binary_integer_literal] = ACTIONS(1686),
    [sym_long_integer_literal] = ACTIONS(1686),
    [sym_decimal_floating_point_literal] = ACTIONS(1686),
    [sym_hex_floating_point_literal] = ACTIONS(1688),
    [sym_true] = ACTIONS(1688),
    [sym_false] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1686),
    [sym_string_literal] = ACTIONS(1686),
    [sym_null_literal] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1686),
    [anon_sym_PLUS_PLUS] = ACTIONS(1686),
    [anon_sym_DASH_DASH] = ACTIONS(1686),
    [anon_sym_assert] = ACTIONS(1688),
    [anon_sym_switch] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1686),
    [anon_sym_case] = ACTIONS(1688),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_do] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1688),
    [anon_sym_continue] = ACTIONS(1688),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_synchronized] = ACTIONS(1688),
    [anon_sym_throw] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_else] = ACTIONS(1688),
    [anon_sym_for] = ACTIONS(1688),
    [anon_sym_byte] = ACTIONS(1688),
    [anon_sym_short] = ACTIONS(1688),
    [anon_sym_int] = ACTIONS(1688),
    [anon_sym_long] = ACTIONS(1688),
    [anon_sym_char] = ACTIONS(1688),
    [anon_sym_float] = ACTIONS(1688),
    [anon_sym_double] = ACTIONS(1688),
    [sym_boolean_type] = ACTIONS(1688),
    [sym_void_type] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1688),
    [anon_sym_open] = ACTIONS(1688),
    [anon_sym_module] = ACTIONS(1688),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_package] = ACTIONS(1688),
    [anon_sym_import] = ACTIONS(1688),
    [anon_sym_enum] = ACTIONS(1688),
    [anon_sym_class] = ACTIONS(1688),
    [anon_sym_public] = ACTIONS(1688),
    [anon_sym_protected] = ACTIONS(1688),
    [anon_sym_private] = ACTIONS(1688),
    [anon_sym_abstract] = ACTIONS(1688),
    [anon_sym_final] = ACTIONS(1688),
    [anon_sym_strictfp] = ACTIONS(1688),
    [anon_sym_native] = ACTIONS(1688),
    [anon_sym_transient] = ACTIONS(1688),
    [anon_sym_volatile] = ACTIONS(1688),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_ATinterface] = ACTIONS(1686),
    [anon_sym_interface] = ACTIONS(1688),
    [sym_this] = ACTIONS(1688),
    [sym_super] = ACTIONS(1688),
    [sym_identifier] = ACTIONS(1688),
    [sym_comment] = ACTIONS(93),
  },
  [546] = {
    [sym_requires_modifier] = STATE(804),
    [sym_module_name] = STATE(803),
    [aux_sym_module_directive_repeat1] = STATE(804),
    [anon_sym_transitive] = ACTIONS(1690),
    [anon_sym_static] = ACTIONS(1690),
    [sym_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(93),
  },
  [547] = {
    [sym_scoped_identifier] = STATE(805),
    [sym__reserved_identifier] = STATE(805),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1694),
    [sym_comment] = ACTIONS(93),
  },
  [548] = {
    [sym_scoped_identifier] = STATE(806),
    [sym__reserved_identifier] = STATE(806),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1696),
    [sym_comment] = ACTIONS(93),
  },
  [549] = {
    [sym_scoped_identifier] = STATE(807),
    [sym__reserved_identifier] = STATE(807),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1698),
    [sym_comment] = ACTIONS(93),
  },
  [550] = {
    [sym_module_directive] = STATE(808),
    [aux_sym_module_declaration_repeat1] = STATE(808),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [551] = {
    [sym_asterisk] = STATE(809),
    [anon_sym_STAR] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1248),
    [sym_comment] = ACTIONS(93),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [sym_decimal_integer_literal] = ACTIONS(1702),
    [sym_hex_integer_literal] = ACTIONS(1702),
    [sym_octal_integer_literal] = ACTIONS(1700),
    [sym_binary_integer_literal] = ACTIONS(1700),
    [sym_long_integer_literal] = ACTIONS(1700),
    [sym_decimal_floating_point_literal] = ACTIONS(1700),
    [sym_hex_floating_point_literal] = ACTIONS(1702),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [sym_string_literal] = ACTIONS(1700),
    [sym_null_literal] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_assert] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_synchronized] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1702),
    [anon_sym_try] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_byte] = ACTIONS(1702),
    [anon_sym_short] = ACTIONS(1702),
    [anon_sym_int] = ACTIONS(1702),
    [anon_sym_long] = ACTIONS(1702),
    [anon_sym_char] = ACTIONS(1702),
    [anon_sym_float] = ACTIONS(1702),
    [anon_sym_double] = ACTIONS(1702),
    [sym_boolean_type] = ACTIONS(1702),
    [sym_void_type] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_open] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_package] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [anon_sym_class] = ACTIONS(1702),
    [anon_sym_public] = ACTIONS(1702),
    [anon_sym_protected] = ACTIONS(1702),
    [anon_sym_private] = ACTIONS(1702),
    [anon_sym_abstract] = ACTIONS(1702),
    [anon_sym_final] = ACTIONS(1702),
    [anon_sym_strictfp] = ACTIONS(1702),
    [anon_sym_native] = ACTIONS(1702),
    [anon_sym_transient] = ACTIONS(1702),
    [anon_sym_volatile] = ACTIONS(1702),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_ATinterface] = ACTIONS(1700),
    [anon_sym_interface] = ACTIONS(1702),
    [sym_this] = ACTIONS(1702),
    [sym_super] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1702),
    [sym_comment] = ACTIONS(93),
  },
  [553] = {
    [sym__semicolon] = STATE(811),
    [aux_sym_import_declaration_repeat1] = STATE(557),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1706),
    [sym_comment] = ACTIONS(93),
  },
  [554] = {
    [anon_sym_SEMI] = ACTIONS(1708),
    [sym_comment] = ACTIONS(93),
  },
  [555] = {
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_DOT] = ACTIONS(1710),
    [sym_comment] = ACTIONS(93),
  },
  [556] = {
    [sym__semicolon] = STATE(811),
    [anon_sym_SEMI] = ACTIONS(1704),
    [sym_comment] = ACTIONS(93),
  },
  [557] = {
    [aux_sym_import_declaration_repeat1] = STATE(557),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_DOT] = ACTIONS(1712),
    [sym_comment] = ACTIONS(93),
  },
  [558] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(814),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [sym_comment] = ACTIONS(93),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [sym_decimal_integer_literal] = ACTIONS(1719),
    [sym_hex_integer_literal] = ACTIONS(1719),
    [sym_octal_integer_literal] = ACTIONS(1717),
    [sym_binary_integer_literal] = ACTIONS(1717),
    [sym_long_integer_literal] = ACTIONS(1717),
    [sym_decimal_floating_point_literal] = ACTIONS(1717),
    [sym_hex_floating_point_literal] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [sym_string_literal] = ACTIONS(1717),
    [sym_null_literal] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_LT] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_assert] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_synchronized] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_byte] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_int] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_char] = ACTIONS(1719),
    [anon_sym_float] = ACTIONS(1719),
    [anon_sym_double] = ACTIONS(1719),
    [sym_boolean_type] = ACTIONS(1719),
    [sym_void_type] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1719),
    [anon_sym_open] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_package] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_final] = ACTIONS(1719),
    [anon_sym_strictfp] = ACTIONS(1719),
    [anon_sym_native] = ACTIONS(1719),
    [anon_sym_transient] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_ATinterface] = ACTIONS(1717),
    [anon_sym_interface] = ACTIONS(1719),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_identifier] = ACTIONS(1719),
    [sym_comment] = ACTIONS(93),
  },
  [560] = {
    [sym_class_body] = STATE(816),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_COMMA] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [sym_comment] = ACTIONS(93),
  },
  [561] = {
    [sym__semicolon] = STATE(817),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_enum_declaration] = STATE(817),
    [sym_class_declaration] = STATE(817),
    [sym_modifier] = STATE(580),
    [sym_type_parameters] = STATE(576),
    [sym_static_initializer] = STATE(817),
    [sym_constructor_declaration] = STATE(817),
    [sym_constructor_declarator] = STATE(577),
    [sym_field_declaration] = STATE(817),
    [sym_interface_declaration] = STATE(817),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__unann_type] = STATE(578),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_block] = STATE(817),
    [sym_method_declaration] = STATE(817),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(580),
    [aux_sym_enum_body_declarations_repeat1] = STATE(817),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(1272),
    [sym_comment] = ACTIONS(93),
  },
  [562] = {
    [anon_sym_RBRACE] = ACTIONS(1715),
    [sym_comment] = ACTIONS(93),
  },
  [563] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(814),
    [aux_sym_enum_declaration_repeat1] = STATE(819),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1729),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [sym_comment] = ACTIONS(93),
  },
  [564] = {
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(821),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(821),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1731),
    [sym_comment] = ACTIONS(93),
  },
  [565] = {
    [anon_sym_LBRACE] = ACTIONS(1733),
    [sym_comment] = ACTIONS(93),
  },
  [566] = {
    [aux_sym_interface_type_list_repeat1] = STATE(823),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1737),
    [sym_comment] = ACTIONS(93),
  },
  [567] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(824),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [568] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(825),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [569] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(814),
    [sym_enum_constant] = STATE(827),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [570] = {
    [sym_type_bound] = STATE(829),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_extends] = ACTIONS(1743),
    [sym_comment] = ACTIONS(93),
  },
  [571] = {
    [aux_sym_type_parameters_repeat1] = STATE(832),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1747),
    [sym_comment] = ACTIONS(93),
  },
  [572] = {
    [sym__annotation] = STATE(668),
    [sym_normal_annotation] = STATE(668),
    [sym_marker_annotation] = STATE(668),
    [sym_single_element_annotation] = STATE(668),
    [aux_sym_wildcard_repeat1] = STATE(668),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1749),
    [sym_comment] = ACTIONS(93),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [anon_sym_SEMI] = ACTIONS(1751),
    [sym_decimal_integer_literal] = ACTIONS(1753),
    [sym_hex_integer_literal] = ACTIONS(1753),
    [sym_octal_integer_literal] = ACTIONS(1751),
    [sym_binary_integer_literal] = ACTIONS(1751),
    [sym_long_integer_literal] = ACTIONS(1751),
    [sym_decimal_floating_point_literal] = ACTIONS(1751),
    [sym_hex_floating_point_literal] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [sym_string_literal] = ACTIONS(1751),
    [sym_null_literal] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_GT_EQ] = ACTIONS(1751),
    [anon_sym_LT_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_AMP_AMP] = ACTIONS(1751),
    [anon_sym_PIPE_PIPE] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_PIPE] = ACTIONS(1753),
    [anon_sym_CARET] = ACTIONS(1751),
    [anon_sym_PERCENT] = ACTIONS(1751),
    [anon_sym_LT_LT] = ACTIONS(1751),
    [anon_sym_GT_GT] = ACTIONS(1753),
    [anon_sym_GT_GT_GT] = ACTIONS(1751),
    [anon_sym_instanceof] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_QMARK] = ACTIONS(1751),
    [anon_sym_COLON] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1753),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [anon_sym_assert] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_synchronized] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [anon_sym_RBRACK] = ACTIONS(1751),
    [anon_sym_byte] = ACTIONS(1753),
    [anon_sym_short] = ACTIONS(1753),
    [anon_sym_int] = ACTIONS(1753),
    [anon_sym_long] = ACTIONS(1753),
    [anon_sym_char] = ACTIONS(1753),
    [anon_sym_float] = ACTIONS(1753),
    [anon_sym_double] = ACTIONS(1753),
    [sym_boolean_type] = ACTIONS(1753),
    [sym_void_type] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1753),
    [anon_sym_open] = ACTIONS(1753),
    [anon_sym_module] = ACTIONS(1753),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_DOT] = ACTIONS(1753),
    [anon_sym_package] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_public] = ACTIONS(1753),
    [anon_sym_protected] = ACTIONS(1753),
    [anon_sym_private] = ACTIONS(1753),
    [anon_sym_abstract] = ACTIONS(1753),
    [anon_sym_final] = ACTIONS(1753),
    [anon_sym_strictfp] = ACTIONS(1753),
    [anon_sym_native] = ACTIONS(1753),
    [anon_sym_transient] = ACTIONS(1753),
    [anon_sym_volatile] = ACTIONS(1753),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_COLON_COLON] = ACTIONS(1751),
    [anon_sym_ATinterface] = ACTIONS(1751),
    [anon_sym_interface] = ACTIONS(1753),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1753),
    [sym_comment] = ACTIONS(93),
  },
  [574] = {
    [sym_block] = STATE(834),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(165),
    [anon_sym_short] = ACTIONS(165),
    [anon_sym_int] = ACTIONS(165),
    [anon_sym_long] = ACTIONS(165),
    [anon_sym_char] = ACTIONS(165),
    [anon_sym_float] = ACTIONS(165),
    [anon_sym_double] = ACTIONS(165),
    [sym_boolean_type] = ACTIONS(165),
    [sym_void_type] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(165),
    [sym_comment] = ACTIONS(93),
  },
  [575] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [576] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(838),
    [sym_normal_annotation] = STATE(838),
    [sym_marker_annotation] = STATE(838),
    [sym_single_element_annotation] = STATE(838),
    [sym__unann_type] = STATE(837),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(838),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1757),
    [sym_comment] = ACTIONS(93),
  },
  [577] = {
    [sym_constructor_body] = STATE(841),
    [sym_throws] = STATE(842),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_throws] = ACTIONS(1761),
    [sym_comment] = ACTIONS(93),
  },
  [578] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(844),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym_method_declarator] = STATE(845),
    [sym__reserved_identifier] = STATE(843),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(93),
  },
  [579] = {
    [sym__semicolon] = STATE(846),
    [sym_method_body] = STATE(847),
    [sym_block] = STATE(846),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [580] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(851),
    [sym_type_parameters] = STATE(576),
    [sym_constructor_declarator] = STATE(848),
    [sym__unann_type] = STATE(849),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(850),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(851),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_enum] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(513),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(365),
    [anon_sym_interface] = ACTIONS(515),
    [sym_identifier] = ACTIONS(1272),
    [sym_comment] = ACTIONS(93),
  },
  [581] = {
    [sym__semicolon] = STATE(853),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_enum_declaration] = STATE(853),
    [sym_class_declaration] = STATE(853),
    [sym_modifier] = STATE(580),
    [sym_type_parameters] = STATE(576),
    [sym_static_initializer] = STATE(853),
    [sym_constructor_declaration] = STATE(853),
    [sym_constructor_declarator] = STATE(577),
    [sym_field_declaration] = STATE(853),
    [sym_interface_declaration] = STATE(853),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__unann_type] = STATE(578),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_block] = STATE(853),
    [sym_method_declaration] = STATE(853),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(580),
    [aux_sym_enum_body_declarations_repeat1] = STATE(853),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(1272),
    [sym_comment] = ACTIONS(93),
  },
  [582] = {
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_implements] = ACTIONS(1771),
    [sym_comment] = ACTIONS(93),
  },
  [583] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(854),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_implements] = ACTIONS(345),
    [sym_comment] = ACTIONS(93),
  },
  [584] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(855),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [585] = {
    [sym_super_interfaces] = STATE(856),
    [sym_class_body] = STATE(857),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [586] = {
    [sym_class_body] = STATE(857),
    [anon_sym_LBRACE] = ACTIONS(607),
    [sym_comment] = ACTIONS(93),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1773),
    [sym_decimal_integer_literal] = ACTIONS(1775),
    [sym_hex_integer_literal] = ACTIONS(1775),
    [sym_octal_integer_literal] = ACTIONS(1773),
    [sym_binary_integer_literal] = ACTIONS(1773),
    [sym_long_integer_literal] = ACTIONS(1773),
    [sym_decimal_floating_point_literal] = ACTIONS(1773),
    [sym_hex_floating_point_literal] = ACTIONS(1775),
    [sym_true] = ACTIONS(1775),
    [sym_false] = ACTIONS(1775),
    [anon_sym_SQUOTE] = ACTIONS(1773),
    [sym_string_literal] = ACTIONS(1773),
    [sym_null_literal] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_assert] = ACTIONS(1775),
    [anon_sym_switch] = ACTIONS(1775),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1773),
    [anon_sym_case] = ACTIONS(1775),
    [anon_sym_default] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1775),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_break] = ACTIONS(1775),
    [anon_sym_continue] = ACTIONS(1775),
    [anon_sym_return] = ACTIONS(1775),
    [anon_sym_synchronized] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1775),
    [anon_sym_try] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1775),
    [anon_sym_byte] = ACTIONS(1775),
    [anon_sym_short] = ACTIONS(1775),
    [anon_sym_int] = ACTIONS(1775),
    [anon_sym_long] = ACTIONS(1775),
    [anon_sym_char] = ACTIONS(1775),
    [anon_sym_float] = ACTIONS(1775),
    [anon_sym_double] = ACTIONS(1775),
    [sym_boolean_type] = ACTIONS(1775),
    [sym_void_type] = ACTIONS(1775),
    [anon_sym_AT] = ACTIONS(1775),
    [anon_sym_open] = ACTIONS(1775),
    [anon_sym_module] = ACTIONS(1775),
    [anon_sym_static] = ACTIONS(1775),
    [anon_sym_package] = ACTIONS(1775),
    [anon_sym_import] = ACTIONS(1775),
    [anon_sym_enum] = ACTIONS(1775),
    [anon_sym_class] = ACTIONS(1775),
    [anon_sym_public] = ACTIONS(1775),
    [anon_sym_protected] = ACTIONS(1775),
    [anon_sym_private] = ACTIONS(1775),
    [anon_sym_abstract] = ACTIONS(1775),
    [anon_sym_final] = ACTIONS(1775),
    [anon_sym_strictfp] = ACTIONS(1775),
    [anon_sym_native] = ACTIONS(1775),
    [anon_sym_transient] = ACTIONS(1775),
    [anon_sym_volatile] = ACTIONS(1775),
    [anon_sym_new] = ACTIONS(1775),
    [anon_sym_ATinterface] = ACTIONS(1773),
    [anon_sym_interface] = ACTIONS(1775),
    [sym_this] = ACTIONS(1775),
    [sym_super] = ACTIONS(1775),
    [sym_identifier] = ACTIONS(1775),
    [sym_comment] = ACTIONS(93),
  },
  [588] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(859),
    [sym_normal_annotation] = STATE(859),
    [sym_marker_annotation] = STATE(859),
    [sym_single_element_annotation] = STATE(859),
    [sym__type] = STATE(858),
    [sym__unann_type] = STATE(329),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(859),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [589] = {
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [sym_comment] = ACTIONS(93),
  },
  [590] = {
    [anon_sym_SEMI] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_AMP] = ACTIONS(1779),
    [anon_sym_GT] = ACTIONS(1779),
    [anon_sym_PIPE] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_byte] = ACTIONS(1781),
    [anon_sym_short] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_long] = ACTIONS(1781),
    [anon_sym_char] = ACTIONS(1781),
    [anon_sym_float] = ACTIONS(1781),
    [anon_sym_double] = ACTIONS(1781),
    [sym_boolean_type] = ACTIONS(1781),
    [sym_void_type] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1779),
    [anon_sym_open] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_implements] = ACTIONS(1781),
    [anon_sym_new] = ACTIONS(1781),
    [anon_sym_COLON_COLON] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [sym_this] = ACTIONS(1781),
    [sym_super] = ACTIONS(1781),
    [sym_identifier] = ACTIONS(1781),
    [sym_comment] = ACTIONS(93),
  },
  [591] = {
    [sym_type_argument] = STATE(860),
    [sym_wildcard] = STATE(328),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(330),
    [sym_normal_annotation] = STATE(330),
    [sym_marker_annotation] = STATE(330),
    [sym_single_element_annotation] = STATE(330),
    [sym__type] = STATE(328),
    [sym__unann_type] = STATE(329),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(330),
    [anon_sym_QMARK] = ACTIONS(611),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [592] = {
    [aux_sym__type_arguments_repeat1] = STATE(862),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1284),
    [sym_comment] = ACTIONS(93),
  },
  [593] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(863),
    [anon_sym_GT] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [594] = {
    [sym__wildcard_bounds] = STATE(864),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_extends] = ACTIONS(1280),
    [sym_super] = ACTIONS(1280),
    [sym_comment] = ACTIONS(93),
  },
  [595] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(593),
    [anon_sym_GT] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [596] = {
    [sym__annotation] = STATE(596),
    [sym_normal_annotation] = STATE(596),
    [sym_marker_annotation] = STATE(596),
    [sym_single_element_annotation] = STATE(596),
    [aux_sym_wildcard_repeat1] = STATE(596),
    [anon_sym_QMARK] = ACTIONS(1496),
    [anon_sym_byte] = ACTIONS(864),
    [anon_sym_short] = ACTIONS(864),
    [anon_sym_int] = ACTIONS(864),
    [anon_sym_long] = ACTIONS(864),
    [anon_sym_char] = ACTIONS(864),
    [anon_sym_float] = ACTIONS(864),
    [anon_sym_double] = ACTIONS(864),
    [sym_boolean_type] = ACTIONS(864),
    [sym_void_type] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(866),
    [sym_identifier] = ACTIONS(864),
    [sym_comment] = ACTIONS(93),
  },
  [597] = {
    [sym_class_body] = STATE(865),
    [anon_sym_SEMI] = ACTIONS(1785),
    [anon_sym_RPAREN] = ACTIONS(1785),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1785),
    [anon_sym_GT_EQ] = ACTIONS(1785),
    [anon_sym_LT_EQ] = ACTIONS(1785),
    [anon_sym_BANG_EQ] = ACTIONS(1785),
    [anon_sym_AMP_AMP] = ACTIONS(1785),
    [anon_sym_PIPE_PIPE] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1785),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1785),
    [anon_sym_PERCENT] = ACTIONS(1785),
    [anon_sym_LT_LT] = ACTIONS(1785),
    [anon_sym_GT_GT] = ACTIONS(1787),
    [anon_sym_GT_GT_GT] = ACTIONS(1785),
    [anon_sym_instanceof] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1785),
    [anon_sym_QMARK] = ACTIONS(1785),
    [anon_sym_COLON] = ACTIONS(1787),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_RBRACK] = ACTIONS(1785),
    [anon_sym_DOT] = ACTIONS(1785),
    [anon_sym_COLON_COLON] = ACTIONS(1785),
    [sym_comment] = ACTIONS(93),
  },
  [598] = {
    [anon_sym_RPAREN] = ACTIONS(1789),
    [sym_comment] = ACTIONS(93),
  },
  [599] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1791),
    [sym_comment] = ACTIONS(93),
  },
  [600] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(874),
    [sym_cast_expression] = STATE(874),
    [sym_assignment_expression] = STATE(874),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(874),
    [sym_lambda_expression] = STATE(874),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(874),
    [sym_unary_expression] = STATE(874),
    [sym_update_expression] = STATE(874),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(877),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1797),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1803),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [601] = {
    [anon_sym_SEMI] = ACTIONS(1807),
    [anon_sym_RPAREN] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_GT] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_EQ_EQ] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(1807),
    [anon_sym_LT_EQ] = ACTIONS(1807),
    [anon_sym_BANG_EQ] = ACTIONS(1807),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1807),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_PERCENT] = ACTIONS(1807),
    [anon_sym_LT_LT] = ACTIONS(1807),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_GT_GT_GT] = ACTIONS(1807),
    [anon_sym_instanceof] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1807),
    [anon_sym_QMARK] = ACTIONS(1807),
    [anon_sym_COLON] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_RBRACE] = ACTIONS(1807),
    [anon_sym_RBRACK] = ACTIONS(1807),
    [anon_sym_DOT] = ACTIONS(1807),
    [anon_sym_COLON_COLON] = ACTIONS(1807),
    [sym_comment] = ACTIONS(93),
  },
  [602] = {
    [anon_sym_RBRACK] = ACTIONS(1811),
    [sym_comment] = ACTIONS(93),
  },
  [603] = {
    [sym__annotation] = STATE(398),
    [sym_normal_annotation] = STATE(398),
    [sym_marker_annotation] = STATE(398),
    [sym_single_element_annotation] = STATE(398),
    [aux_sym_wildcard_repeat1] = STATE(398),
    [anon_sym_LBRACK] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [604] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(880),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [605] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(599),
    [sym_cast_expression] = STATE(599),
    [sym_assignment_expression] = STATE(599),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(599),
    [sym_lambda_expression] = STATE(599),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(599),
    [sym_unary_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [606] = {
    [sym__annotation] = STATE(398),
    [sym_normal_annotation] = STATE(398),
    [sym_marker_annotation] = STATE(398),
    [sym_single_element_annotation] = STATE(398),
    [aux_sym_wildcard_repeat1] = STATE(398),
    [anon_sym_LBRACK] = ACTIONS(1815),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [607] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(882),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(882),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [608] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(883),
    [sym_cast_expression] = STATE(883),
    [sym_assignment_expression] = STATE(883),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(883),
    [sym_lambda_expression] = STATE(883),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(883),
    [sym_unary_expression] = STATE(883),
    [sym_update_expression] = STATE(883),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [609] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(609),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [610] = {
    [sym_class_body] = STATE(884),
    [anon_sym_SEMI] = ACTIONS(1821),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1823),
    [anon_sym_LT] = ACTIONS(1823),
    [anon_sym_EQ_EQ] = ACTIONS(1821),
    [anon_sym_GT_EQ] = ACTIONS(1821),
    [anon_sym_LT_EQ] = ACTIONS(1821),
    [anon_sym_BANG_EQ] = ACTIONS(1821),
    [anon_sym_AMP_AMP] = ACTIONS(1821),
    [anon_sym_PIPE_PIPE] = ACTIONS(1821),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_SLASH] = ACTIONS(1823),
    [anon_sym_PIPE] = ACTIONS(1823),
    [anon_sym_CARET] = ACTIONS(1821),
    [anon_sym_PERCENT] = ACTIONS(1821),
    [anon_sym_LT_LT] = ACTIONS(1821),
    [anon_sym_GT_GT] = ACTIONS(1823),
    [anon_sym_GT_GT_GT] = ACTIONS(1821),
    [anon_sym_instanceof] = ACTIONS(1821),
    [anon_sym_COMMA] = ACTIONS(1821),
    [anon_sym_QMARK] = ACTIONS(1821),
    [anon_sym_COLON] = ACTIONS(1823),
    [anon_sym_PLUS_PLUS] = ACTIONS(1821),
    [anon_sym_DASH_DASH] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(1821),
    [anon_sym_LBRACK] = ACTIONS(1821),
    [anon_sym_RBRACK] = ACTIONS(1821),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [sym_comment] = ACTIONS(93),
  },
  [611] = {
    [anon_sym_RPAREN] = ACTIONS(1825),
    [sym_comment] = ACTIONS(93),
  },
  [612] = {
    [anon_sym_SEMI] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1427),
    [anon_sym_COMMA] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_LT_GT] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1432),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_implements] = ACTIONS(1432),
    [anon_sym_COLON_COLON] = ACTIONS(1427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1427),
    [sym_this] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1432),
    [sym_comment] = ACTIONS(93),
  },
  [613] = {
    [anon_sym_SEMI] = ACTIONS(1827),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_AMP] = ACTIONS(1829),
    [anon_sym_GT] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [anon_sym_GT_EQ] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_AMP_AMP] = ACTIONS(1827),
    [anon_sym_PIPE_PIPE] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1827),
    [anon_sym_LT_LT] = ACTIONS(1827),
    [anon_sym_GT_GT] = ACTIONS(1829),
    [anon_sym_GT_GT_GT] = ACTIONS(1827),
    [anon_sym_instanceof] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1827),
    [anon_sym_QMARK] = ACTIONS(1827),
    [anon_sym_COLON] = ACTIONS(1829),
    [anon_sym_PLUS_PLUS] = ACTIONS(1827),
    [anon_sym_DASH_DASH] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(1827),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_COLON_COLON] = ACTIONS(1827),
    [sym_comment] = ACTIONS(93),
  },
  [614] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(886),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [615] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(888),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [sym_decimal_integer_literal] = ACTIONS(1835),
    [sym_hex_integer_literal] = ACTIONS(1835),
    [sym_octal_integer_literal] = ACTIONS(1833),
    [sym_binary_integer_literal] = ACTIONS(1833),
    [sym_long_integer_literal] = ACTIONS(1833),
    [sym_decimal_floating_point_literal] = ACTIONS(1833),
    [sym_hex_floating_point_literal] = ACTIONS(1835),
    [sym_true] = ACTIONS(1835),
    [sym_false] = ACTIONS(1835),
    [anon_sym_SQUOTE] = ACTIONS(1833),
    [sym_string_literal] = ACTIONS(1833),
    [sym_null_literal] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1833),
    [anon_sym_DASH_DASH] = ACTIONS(1833),
    [anon_sym_assert] = ACTIONS(1835),
    [anon_sym_switch] = ACTIONS(1835),
    [anon_sym_LBRACE] = ACTIONS(1833),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [anon_sym_case] = ACTIONS(1835),
    [anon_sym_default] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1835),
    [anon_sym_while] = ACTIONS(1835),
    [anon_sym_break] = ACTIONS(1835),
    [anon_sym_continue] = ACTIONS(1835),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_synchronized] = ACTIONS(1835),
    [anon_sym_throw] = ACTIONS(1835),
    [anon_sym_try] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1835),
    [anon_sym_for] = ACTIONS(1835),
    [anon_sym_byte] = ACTIONS(1835),
    [anon_sym_short] = ACTIONS(1835),
    [anon_sym_int] = ACTIONS(1835),
    [anon_sym_long] = ACTIONS(1835),
    [anon_sym_char] = ACTIONS(1835),
    [anon_sym_float] = ACTIONS(1835),
    [anon_sym_double] = ACTIONS(1835),
    [sym_boolean_type] = ACTIONS(1835),
    [sym_void_type] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(1835),
    [anon_sym_open] = ACTIONS(1835),
    [anon_sym_module] = ACTIONS(1835),
    [anon_sym_static] = ACTIONS(1835),
    [anon_sym_package] = ACTIONS(1835),
    [anon_sym_import] = ACTIONS(1835),
    [anon_sym_enum] = ACTIONS(1835),
    [anon_sym_class] = ACTIONS(1835),
    [anon_sym_public] = ACTIONS(1835),
    [anon_sym_protected] = ACTIONS(1835),
    [anon_sym_private] = ACTIONS(1835),
    [anon_sym_abstract] = ACTIONS(1835),
    [anon_sym_final] = ACTIONS(1835),
    [anon_sym_strictfp] = ACTIONS(1835),
    [anon_sym_native] = ACTIONS(1835),
    [anon_sym_transient] = ACTIONS(1835),
    [anon_sym_volatile] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1835),
    [anon_sym_ATinterface] = ACTIONS(1833),
    [anon_sym_interface] = ACTIONS(1835),
    [sym_this] = ACTIONS(1835),
    [sym_super] = ACTIONS(1835),
    [sym_identifier] = ACTIONS(1835),
    [sym_comment] = ACTIONS(93),
  },
  [617] = {
    [anon_sym_RBRACE] = ACTIONS(1837),
    [anon_sym_default] = ACTIONS(1839),
    [anon_sym_synchronized] = ACTIONS(1839),
    [anon_sym_byte] = ACTIONS(1839),
    [anon_sym_short] = ACTIONS(1839),
    [anon_sym_int] = ACTIONS(1839),
    [anon_sym_long] = ACTIONS(1839),
    [anon_sym_char] = ACTIONS(1839),
    [anon_sym_float] = ACTIONS(1839),
    [anon_sym_double] = ACTIONS(1839),
    [sym_boolean_type] = ACTIONS(1839),
    [sym_void_type] = ACTIONS(1839),
    [anon_sym_AT] = ACTIONS(1839),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_class] = ACTIONS(1839),
    [anon_sym_public] = ACTIONS(1839),
    [anon_sym_protected] = ACTIONS(1839),
    [anon_sym_private] = ACTIONS(1839),
    [anon_sym_abstract] = ACTIONS(1839),
    [anon_sym_final] = ACTIONS(1839),
    [anon_sym_strictfp] = ACTIONS(1839),
    [anon_sym_native] = ACTIONS(1839),
    [anon_sym_transient] = ACTIONS(1839),
    [anon_sym_volatile] = ACTIONS(1839),
    [anon_sym_ATinterface] = ACTIONS(1837),
    [anon_sym_interface] = ACTIONS(1839),
    [sym_identifier] = ACTIONS(1839),
    [sym_comment] = ACTIONS(93),
  },
  [618] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(890),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym__reserved_identifier] = STATE(250),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1841),
    [sym_comment] = ACTIONS(93),
  },
  [619] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(892),
    [sym__unann_type] = STATE(891),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(892),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(513),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(365),
    [anon_sym_interface] = ACTIONS(515),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [620] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(617),
    [sym_modifier] = STATE(619),
    [sym_interface_declaration] = STATE(617),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_annotation_type_member_declaration] = STATE(894),
    [sym_annotation_type_element_declaration] = STATE(617),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_constant_declaration] = STATE(617),
    [sym__unann_type] = STATE(618),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(619),
    [aux_sym_annotation_type_body_repeat1] = STATE(894),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [sym_decimal_integer_literal] = ACTIONS(1847),
    [sym_hex_integer_literal] = ACTIONS(1847),
    [sym_octal_integer_literal] = ACTIONS(1845),
    [sym_binary_integer_literal] = ACTIONS(1845),
    [sym_long_integer_literal] = ACTIONS(1845),
    [sym_decimal_floating_point_literal] = ACTIONS(1845),
    [sym_hex_floating_point_literal] = ACTIONS(1847),
    [sym_true] = ACTIONS(1847),
    [sym_false] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1845),
    [sym_string_literal] = ACTIONS(1845),
    [sym_null_literal] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_assert] = ACTIONS(1847),
    [anon_sym_switch] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1847),
    [anon_sym_default] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1847),
    [anon_sym_break] = ACTIONS(1847),
    [anon_sym_continue] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1847),
    [anon_sym_synchronized] = ACTIONS(1847),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_try] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1847),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_byte] = ACTIONS(1847),
    [anon_sym_short] = ACTIONS(1847),
    [anon_sym_int] = ACTIONS(1847),
    [anon_sym_long] = ACTIONS(1847),
    [anon_sym_char] = ACTIONS(1847),
    [anon_sym_float] = ACTIONS(1847),
    [anon_sym_double] = ACTIONS(1847),
    [sym_boolean_type] = ACTIONS(1847),
    [sym_void_type] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_open] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_package] = ACTIONS(1847),
    [anon_sym_import] = ACTIONS(1847),
    [anon_sym_enum] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_abstract] = ACTIONS(1847),
    [anon_sym_final] = ACTIONS(1847),
    [anon_sym_strictfp] = ACTIONS(1847),
    [anon_sym_native] = ACTIONS(1847),
    [anon_sym_transient] = ACTIONS(1847),
    [anon_sym_volatile] = ACTIONS(1847),
    [anon_sym_new] = ACTIONS(1847),
    [anon_sym_ATinterface] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1847),
    [sym_this] = ACTIONS(1847),
    [sym_super] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1847),
    [sym_comment] = ACTIONS(93),
  },
  [622] = {
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1851),
    [anon_sym_synchronized] = ACTIONS(1851),
    [anon_sym_byte] = ACTIONS(1851),
    [anon_sym_short] = ACTIONS(1851),
    [anon_sym_int] = ACTIONS(1851),
    [anon_sym_long] = ACTIONS(1851),
    [anon_sym_char] = ACTIONS(1851),
    [anon_sym_float] = ACTIONS(1851),
    [anon_sym_double] = ACTIONS(1851),
    [sym_boolean_type] = ACTIONS(1851),
    [sym_void_type] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_static] = ACTIONS(1851),
    [anon_sym_class] = ACTIONS(1851),
    [anon_sym_public] = ACTIONS(1851),
    [anon_sym_protected] = ACTIONS(1851),
    [anon_sym_private] = ACTIONS(1851),
    [anon_sym_abstract] = ACTIONS(1851),
    [anon_sym_final] = ACTIONS(1851),
    [anon_sym_strictfp] = ACTIONS(1851),
    [anon_sym_native] = ACTIONS(1851),
    [anon_sym_transient] = ACTIONS(1851),
    [anon_sym_volatile] = ACTIONS(1851),
    [anon_sym_ATinterface] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1851),
    [sym_identifier] = ACTIONS(1851),
    [sym_comment] = ACTIONS(93),
  },
  [623] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(838),
    [sym_normal_annotation] = STATE(838),
    [sym_marker_annotation] = STATE(838),
    [sym_single_element_annotation] = STATE(838),
    [sym__unann_type] = STATE(837),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(838),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [624] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(890),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym_method_declarator] = STATE(845),
    [sym__reserved_identifier] = STATE(843),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(93),
  },
  [625] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(896),
    [sym_type_parameters] = STATE(623),
    [sym__unann_type] = STATE(895),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(850),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(896),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(513),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(365),
    [anon_sym_interface] = ACTIONS(515),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [626] = {
    [sym__semicolon] = STATE(622),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(622),
    [sym_modifier] = STATE(625),
    [sym_type_parameters] = STATE(623),
    [sym_interface_declaration] = STATE(622),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_interface_member_declaration] = STATE(898),
    [sym_constant_declaration] = STATE(622),
    [sym__unann_type] = STATE(624),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_method_declaration] = STATE(622),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(625),
    [aux_sym_interface_body_repeat1] = STATE(898),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [627] = {
    [anon_sym_LBRACE] = ACTIONS(1855),
    [sym_comment] = ACTIONS(93),
  },
  [628] = {
    [sym_interface_body] = STATE(899),
    [anon_sym_LBRACE] = ACTIONS(629),
    [sym_comment] = ACTIONS(93),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [sym_decimal_integer_literal] = ACTIONS(1859),
    [sym_hex_integer_literal] = ACTIONS(1859),
    [sym_octal_integer_literal] = ACTIONS(1857),
    [sym_binary_integer_literal] = ACTIONS(1857),
    [sym_long_integer_literal] = ACTIONS(1857),
    [sym_decimal_floating_point_literal] = ACTIONS(1857),
    [sym_hex_floating_point_literal] = ACTIONS(1859),
    [sym_true] = ACTIONS(1859),
    [sym_false] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1857),
    [sym_string_literal] = ACTIONS(1857),
    [sym_null_literal] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_assert] = ACTIONS(1859),
    [anon_sym_switch] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_case] = ACTIONS(1859),
    [anon_sym_default] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_synchronized] = ACTIONS(1859),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_byte] = ACTIONS(1859),
    [anon_sym_short] = ACTIONS(1859),
    [anon_sym_int] = ACTIONS(1859),
    [anon_sym_long] = ACTIONS(1859),
    [anon_sym_char] = ACTIONS(1859),
    [anon_sym_float] = ACTIONS(1859),
    [anon_sym_double] = ACTIONS(1859),
    [sym_boolean_type] = ACTIONS(1859),
    [sym_void_type] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_open] = ACTIONS(1859),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1859),
    [anon_sym_package] = ACTIONS(1859),
    [anon_sym_import] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1859),
    [anon_sym_class] = ACTIONS(1859),
    [anon_sym_public] = ACTIONS(1859),
    [anon_sym_protected] = ACTIONS(1859),
    [anon_sym_private] = ACTIONS(1859),
    [anon_sym_abstract] = ACTIONS(1859),
    [anon_sym_final] = ACTIONS(1859),
    [anon_sym_strictfp] = ACTIONS(1859),
    [anon_sym_native] = ACTIONS(1859),
    [anon_sym_transient] = ACTIONS(1859),
    [anon_sym_volatile] = ACTIONS(1859),
    [anon_sym_new] = ACTIONS(1859),
    [anon_sym_ATinterface] = ACTIONS(1857),
    [anon_sym_interface] = ACTIONS(1859),
    [sym_this] = ACTIONS(1859),
    [sym_super] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1859),
    [sym_comment] = ACTIONS(93),
  },
  [630] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(901),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [631] = {
    [anon_sym_LPAREN] = ACTIONS(1863),
    [sym_comment] = ACTIONS(93),
  },
  [632] = {
    [sym_additional_bound] = STATE(904),
    [aux_sym_cast_expression_repeat1] = STATE(904),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [633] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(905),
    [sym_dims_expr] = STATE(906),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [634] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(907),
    [sym_dims_expr] = STATE(906),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [635] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(905),
    [sym_dims_expr] = STATE(906),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [636] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(905),
    [sym_dims_expr] = STATE(906),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [637] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(908),
    [sym_cast_expression] = STATE(908),
    [sym_assignment_expression] = STATE(908),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(908),
    [sym_lambda_expression] = STATE(908),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(908),
    [sym_unary_expression] = STATE(908),
    [sym_update_expression] = STATE(908),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [638] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(909),
    [sym_cast_expression] = STATE(909),
    [sym_assignment_expression] = STATE(909),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(909),
    [sym_lambda_expression] = STATE(909),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(909),
    [sym_unary_expression] = STATE(909),
    [sym_update_expression] = STATE(909),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [639] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(910),
    [sym_cast_expression] = STATE(910),
    [sym_assignment_expression] = STATE(910),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(910),
    [sym_lambda_expression] = STATE(910),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(910),
    [sym_unary_expression] = STATE(910),
    [sym_update_expression] = STATE(910),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [640] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(911),
    [sym_cast_expression] = STATE(911),
    [sym_assignment_expression] = STATE(911),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(911),
    [sym_lambda_expression] = STATE(911),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(911),
    [sym_unary_expression] = STATE(911),
    [sym_update_expression] = STATE(911),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [641] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [642] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(912),
    [sym_cast_expression] = STATE(912),
    [sym_assignment_expression] = STATE(912),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(912),
    [sym_lambda_expression] = STATE(912),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(912),
    [sym_unary_expression] = STATE(912),
    [sym_update_expression] = STATE(912),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [643] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(913),
    [sym_cast_expression] = STATE(913),
    [sym_assignment_expression] = STATE(913),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(913),
    [sym_lambda_expression] = STATE(913),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(913),
    [sym_unary_expression] = STATE(913),
    [sym_update_expression] = STATE(913),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [644] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [645] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(915),
    [sym_cast_expression] = STATE(915),
    [sym_assignment_expression] = STATE(915),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(915),
    [sym_lambda_expression] = STATE(915),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(915),
    [sym_unary_expression] = STATE(915),
    [sym_update_expression] = STATE(915),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [646] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(916),
    [sym_cast_expression] = STATE(916),
    [sym_assignment_expression] = STATE(916),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(916),
    [sym_lambda_expression] = STATE(916),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(916),
    [sym_unary_expression] = STATE(916),
    [sym_update_expression] = STATE(916),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [647] = {
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_GT_GT] = ACTIONS(1871),
    [anon_sym_GT_GT_GT] = ACTIONS(1869),
    [anon_sym_instanceof] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_COLON_COLON] = ACTIONS(1869),
    [sym_comment] = ACTIONS(93),
  },
  [648] = {
    [sym_additional_bound] = STATE(918),
    [aux_sym_cast_expression_repeat1] = STATE(918),
    [anon_sym_RPAREN] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [649] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(919),
    [sym_dims_expr] = STATE(920),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [650] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(921),
    [sym_dims_expr] = STATE(920),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [651] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(919),
    [sym_dims_expr] = STATE(920),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [652] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(919),
    [sym_dims_expr] = STATE(920),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [653] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(922),
    [sym_cast_expression] = STATE(922),
    [sym_assignment_expression] = STATE(922),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(922),
    [sym_lambda_expression] = STATE(922),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(922),
    [sym_unary_expression] = STATE(922),
    [sym_update_expression] = STATE(922),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [654] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(923),
    [sym_cast_expression] = STATE(923),
    [sym_assignment_expression] = STATE(923),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(923),
    [sym_lambda_expression] = STATE(923),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(923),
    [sym_unary_expression] = STATE(923),
    [sym_update_expression] = STATE(923),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [655] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(924),
    [sym_cast_expression] = STATE(924),
    [sym_assignment_expression] = STATE(924),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(924),
    [sym_lambda_expression] = STATE(924),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(924),
    [sym_unary_expression] = STATE(924),
    [sym_update_expression] = STATE(924),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [656] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(925),
    [sym_cast_expression] = STATE(925),
    [sym_assignment_expression] = STATE(925),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(925),
    [sym_lambda_expression] = STATE(925),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(925),
    [sym_unary_expression] = STATE(925),
    [sym_update_expression] = STATE(925),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [657] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [658] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(926),
    [sym_cast_expression] = STATE(926),
    [sym_assignment_expression] = STATE(926),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(926),
    [sym_lambda_expression] = STATE(926),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(926),
    [sym_unary_expression] = STATE(926),
    [sym_update_expression] = STATE(926),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [659] = {
    [anon_sym_SEMI] = ACTIONS(1875),
    [anon_sym_RPAREN] = ACTIONS(1875),
    [anon_sym_AMP] = ACTIONS(1877),
    [anon_sym_EQ] = ACTIONS(1877),
    [anon_sym_PLUS_EQ] = ACTIONS(1875),
    [anon_sym_DASH_EQ] = ACTIONS(1875),
    [anon_sym_STAR_EQ] = ACTIONS(1875),
    [anon_sym_SLASH_EQ] = ACTIONS(1875),
    [anon_sym_AMP_EQ] = ACTIONS(1875),
    [anon_sym_PIPE_EQ] = ACTIONS(1875),
    [anon_sym_CARET_EQ] = ACTIONS(1875),
    [anon_sym_PERCENT_EQ] = ACTIONS(1875),
    [anon_sym_LT_LT_EQ] = ACTIONS(1875),
    [anon_sym_GT_GT_EQ] = ACTIONS(1875),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1875),
    [anon_sym_GT] = ACTIONS(1877),
    [anon_sym_LT] = ACTIONS(1877),
    [anon_sym_EQ_EQ] = ACTIONS(1875),
    [anon_sym_GT_EQ] = ACTIONS(1875),
    [anon_sym_LT_EQ] = ACTIONS(1875),
    [anon_sym_BANG_EQ] = ACTIONS(1875),
    [anon_sym_AMP_AMP] = ACTIONS(1875),
    [anon_sym_PIPE_PIPE] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1877),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PIPE] = ACTIONS(1877),
    [anon_sym_CARET] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1877),
    [anon_sym_LT_LT] = ACTIONS(1877),
    [anon_sym_GT_GT] = ACTIONS(1877),
    [anon_sym_GT_GT_GT] = ACTIONS(1877),
    [anon_sym_instanceof] = ACTIONS(1875),
    [anon_sym_COMMA] = ACTIONS(1875),
    [anon_sym_QMARK] = ACTIONS(1875),
    [anon_sym_COLON] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1875),
    [anon_sym_RBRACK] = ACTIONS(1875),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_COLON_COLON] = ACTIONS(1875),
    [sym_comment] = ACTIONS(93),
  },
  [660] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(927),
    [sym_cast_expression] = STATE(927),
    [sym_assignment_expression] = STATE(927),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(927),
    [sym_lambda_expression] = STATE(927),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(927),
    [sym_unary_expression] = STATE(927),
    [sym_update_expression] = STATE(927),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [661] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(928),
    [sym_cast_expression] = STATE(928),
    [sym_assignment_expression] = STATE(928),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(928),
    [sym_lambda_expression] = STATE(928),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(928),
    [sym_unary_expression] = STATE(928),
    [sym_update_expression] = STATE(928),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [662] = {
    [anon_sym_LPAREN] = ACTIONS(613),
    [sym_comment] = ACTIONS(93),
  },
  [663] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [664] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [665] = {
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [666] = {
    [sym__type_arguments] = STATE(930),
    [anon_sym_LT] = ACTIONS(236),
    [sym_identifier] = ACTIONS(1879),
    [sym_comment] = ACTIONS(93),
  },
  [667] = {
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_AMP] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_LT] = ACTIONS(1883),
    [anon_sym_PIPE] = ACTIONS(1881),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_LT_GT] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [anon_sym_AT] = ACTIONS(1881),
    [anon_sym_open] = ACTIONS(1883),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_DOT] = ACTIONS(1883),
    [anon_sym_implements] = ACTIONS(1883),
    [anon_sym_COLON_COLON] = ACTIONS(1881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1881),
    [sym_this] = ACTIONS(1883),
    [sym_identifier] = ACTIONS(1883),
    [sym_comment] = ACTIONS(93),
  },
  [668] = {
    [sym__annotation] = STATE(668),
    [sym_normal_annotation] = STATE(668),
    [sym_marker_annotation] = STATE(668),
    [sym_single_element_annotation] = STATE(668),
    [aux_sym_wildcard_repeat1] = STATE(668),
    [anon_sym_AT] = ACTIONS(866),
    [sym_identifier] = ACTIONS(1496),
    [sym_comment] = ACTIONS(93),
  },
  [669] = {
    [sym_additional_bound] = STATE(932),
    [aux_sym_cast_expression_repeat1] = STATE(932),
    [anon_sym_RPAREN] = ACTIONS(1885),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [670] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(933),
    [sym_dims_expr] = STATE(934),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [671] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(935),
    [sym_dims_expr] = STATE(934),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [672] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(933),
    [sym_dims_expr] = STATE(934),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [673] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(933),
    [sym_dims_expr] = STATE(934),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [674] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(936),
    [sym_cast_expression] = STATE(936),
    [sym_assignment_expression] = STATE(936),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(936),
    [sym_lambda_expression] = STATE(936),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(936),
    [sym_unary_expression] = STATE(936),
    [sym_update_expression] = STATE(936),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [675] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(937),
    [sym_cast_expression] = STATE(937),
    [sym_assignment_expression] = STATE(937),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(937),
    [sym_lambda_expression] = STATE(937),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(937),
    [sym_unary_expression] = STATE(937),
    [sym_update_expression] = STATE(937),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [676] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(938),
    [sym_cast_expression] = STATE(938),
    [sym_assignment_expression] = STATE(938),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(938),
    [sym_lambda_expression] = STATE(938),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(938),
    [sym_unary_expression] = STATE(938),
    [sym_update_expression] = STATE(938),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [677] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(939),
    [sym_cast_expression] = STATE(939),
    [sym_assignment_expression] = STATE(939),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(939),
    [sym_lambda_expression] = STATE(939),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(939),
    [sym_unary_expression] = STATE(939),
    [sym_update_expression] = STATE(939),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [678] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [679] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(940),
    [sym_cast_expression] = STATE(940),
    [sym_assignment_expression] = STATE(940),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(940),
    [sym_lambda_expression] = STATE(940),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(940),
    [sym_unary_expression] = STATE(940),
    [sym_update_expression] = STATE(940),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [680] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(941),
    [sym_cast_expression] = STATE(941),
    [sym_assignment_expression] = STATE(941),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(941),
    [sym_lambda_expression] = STATE(941),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(941),
    [sym_unary_expression] = STATE(941),
    [sym_update_expression] = STATE(941),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [681] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(942),
    [sym_cast_expression] = STATE(942),
    [sym_assignment_expression] = STATE(942),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(942),
    [sym_lambda_expression] = STATE(942),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(942),
    [sym_unary_expression] = STATE(942),
    [sym_update_expression] = STATE(942),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [682] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(943),
    [sym_cast_expression] = STATE(943),
    [sym_assignment_expression] = STATE(943),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(943),
    [sym_lambda_expression] = STATE(943),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(943),
    [sym_unary_expression] = STATE(943),
    [sym_update_expression] = STATE(943),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [683] = {
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_AMP] = ACTIONS(1889),
    [anon_sym_GT] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_EQ_EQ] = ACTIONS(1887),
    [anon_sym_GT_EQ] = ACTIONS(1887),
    [anon_sym_LT_EQ] = ACTIONS(1887),
    [anon_sym_BANG_EQ] = ACTIONS(1887),
    [anon_sym_AMP_AMP] = ACTIONS(1887),
    [anon_sym_PIPE_PIPE] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1887),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_PIPE] = ACTIONS(1889),
    [anon_sym_CARET] = ACTIONS(1887),
    [anon_sym_PERCENT] = ACTIONS(1887),
    [anon_sym_LT_LT] = ACTIONS(1887),
    [anon_sym_GT_GT] = ACTIONS(1889),
    [anon_sym_GT_GT_GT] = ACTIONS(1887),
    [anon_sym_instanceof] = ACTIONS(1887),
    [anon_sym_COMMA] = ACTIONS(1887),
    [anon_sym_QMARK] = ACTIONS(1887),
    [anon_sym_COLON] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [anon_sym_RBRACK] = ACTIONS(1887),
    [anon_sym_DOT] = ACTIONS(1887),
    [anon_sym_COLON_COLON] = ACTIONS(1887),
    [sym_comment] = ACTIONS(93),
  },
  [684] = {
    [anon_sym_SEMI] = ACTIONS(1891),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_AMP] = ACTIONS(1891),
    [anon_sym_EQ] = ACTIONS(1891),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_PIPE] = ACTIONS(1891),
    [anon_sym_COMMA] = ACTIONS(1891),
    [anon_sym_COLON] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_default] = ACTIONS(1893),
    [anon_sym_synchronized] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [anon_sym_byte] = ACTIONS(1893),
    [anon_sym_short] = ACTIONS(1893),
    [anon_sym_int] = ACTIONS(1893),
    [anon_sym_long] = ACTIONS(1893),
    [anon_sym_char] = ACTIONS(1893),
    [anon_sym_float] = ACTIONS(1893),
    [anon_sym_double] = ACTIONS(1893),
    [sym_boolean_type] = ACTIONS(1893),
    [sym_void_type] = ACTIONS(1893),
    [anon_sym_AT] = ACTIONS(1891),
    [anon_sym_open] = ACTIONS(1893),
    [anon_sym_module] = ACTIONS(1893),
    [anon_sym_static] = ACTIONS(1893),
    [anon_sym_DOT] = ACTIONS(1893),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_protected] = ACTIONS(1893),
    [anon_sym_private] = ACTIONS(1893),
    [anon_sym_abstract] = ACTIONS(1893),
    [anon_sym_final] = ACTIONS(1893),
    [anon_sym_strictfp] = ACTIONS(1893),
    [anon_sym_native] = ACTIONS(1893),
    [anon_sym_transient] = ACTIONS(1893),
    [anon_sym_volatile] = ACTIONS(1893),
    [anon_sym_implements] = ACTIONS(1893),
    [anon_sym_COLON_COLON] = ACTIONS(1891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1891),
    [sym_this] = ACTIONS(1893),
    [anon_sym_throws] = ACTIONS(1893),
    [sym_identifier] = ACTIONS(1893),
    [sym_comment] = ACTIONS(93),
  },
  [685] = {
    [anon_sym_SEMI] = ACTIONS(1895),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_RPAREN] = ACTIONS(1895),
    [anon_sym_AMP] = ACTIONS(1895),
    [anon_sym_GT] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1895),
    [anon_sym_COMMA] = ACTIONS(1895),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_LT_GT] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_AT] = ACTIONS(1895),
    [anon_sym_open] = ACTIONS(1897),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_DOT] = ACTIONS(1897),
    [anon_sym_implements] = ACTIONS(1897),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1895),
    [sym_this] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1897),
    [sym_comment] = ACTIONS(93),
  },
  [686] = {
    [anon_sym_LBRACE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(93),
  },
  [687] = {
    [sym_superclass] = STATE(945),
    [sym_super_interfaces] = STATE(856),
    [sym_class_body] = STATE(857),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_extends] = ACTIONS(609),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1901),
    [sym_decimal_integer_literal] = ACTIONS(1903),
    [sym_hex_integer_literal] = ACTIONS(1903),
    [sym_octal_integer_literal] = ACTIONS(1901),
    [sym_binary_integer_literal] = ACTIONS(1901),
    [sym_long_integer_literal] = ACTIONS(1901),
    [sym_decimal_floating_point_literal] = ACTIONS(1901),
    [sym_hex_floating_point_literal] = ACTIONS(1903),
    [sym_true] = ACTIONS(1903),
    [sym_false] = ACTIONS(1903),
    [anon_sym_SQUOTE] = ACTIONS(1901),
    [sym_string_literal] = ACTIONS(1901),
    [sym_null_literal] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [anon_sym_assert] = ACTIONS(1903),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1901),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_case] = ACTIONS(1903),
    [anon_sym_default] = ACTIONS(1903),
    [anon_sym_do] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1903),
    [anon_sym_break] = ACTIONS(1903),
    [anon_sym_continue] = ACTIONS(1903),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_synchronized] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1903),
    [anon_sym_try] = ACTIONS(1903),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1903),
    [anon_sym_for] = ACTIONS(1903),
    [anon_sym_byte] = ACTIONS(1903),
    [anon_sym_short] = ACTIONS(1903),
    [anon_sym_int] = ACTIONS(1903),
    [anon_sym_long] = ACTIONS(1903),
    [anon_sym_char] = ACTIONS(1903),
    [anon_sym_float] = ACTIONS(1903),
    [anon_sym_double] = ACTIONS(1903),
    [sym_boolean_type] = ACTIONS(1903),
    [sym_void_type] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_open] = ACTIONS(1903),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1903),
    [anon_sym_package] = ACTIONS(1903),
    [anon_sym_import] = ACTIONS(1903),
    [anon_sym_enum] = ACTIONS(1903),
    [anon_sym_class] = ACTIONS(1903),
    [anon_sym_public] = ACTIONS(1903),
    [anon_sym_protected] = ACTIONS(1903),
    [anon_sym_private] = ACTIONS(1903),
    [anon_sym_abstract] = ACTIONS(1903),
    [anon_sym_final] = ACTIONS(1903),
    [anon_sym_strictfp] = ACTIONS(1903),
    [anon_sym_native] = ACTIONS(1903),
    [anon_sym_transient] = ACTIONS(1903),
    [anon_sym_volatile] = ACTIONS(1903),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_ATinterface] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1903),
    [sym_this] = ACTIONS(1903),
    [sym_super] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1903),
    [sym_comment] = ACTIONS(93),
  },
  [689] = {
    [sym_extends_interfaces] = STATE(946),
    [sym_interface_body] = STATE(899),
    [anon_sym_LBRACE] = ACTIONS(629),
    [anon_sym_extends] = ACTIONS(631),
    [sym_comment] = ACTIONS(93),
  },
  [690] = {
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [anon_sym_SEMI] = ACTIONS(1907),
    [sym_decimal_integer_literal] = ACTIONS(1909),
    [sym_hex_integer_literal] = ACTIONS(1909),
    [sym_octal_integer_literal] = ACTIONS(1907),
    [sym_binary_integer_literal] = ACTIONS(1907),
    [sym_long_integer_literal] = ACTIONS(1907),
    [sym_decimal_floating_point_literal] = ACTIONS(1907),
    [sym_hex_floating_point_literal] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [sym_string_literal] = ACTIONS(1907),
    [sym_null_literal] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_assert] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_synchronized] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_byte] = ACTIONS(1909),
    [anon_sym_short] = ACTIONS(1909),
    [anon_sym_int] = ACTIONS(1909),
    [anon_sym_long] = ACTIONS(1909),
    [anon_sym_char] = ACTIONS(1909),
    [anon_sym_float] = ACTIONS(1909),
    [anon_sym_double] = ACTIONS(1909),
    [sym_boolean_type] = ACTIONS(1909),
    [sym_void_type] = ACTIONS(1909),
    [anon_sym_AT] = ACTIONS(1909),
    [anon_sym_open] = ACTIONS(1909),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_package] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_abstract] = ACTIONS(1909),
    [anon_sym_final] = ACTIONS(1909),
    [anon_sym_strictfp] = ACTIONS(1909),
    [anon_sym_native] = ACTIONS(1909),
    [anon_sym_transient] = ACTIONS(1909),
    [anon_sym_volatile] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_ATinterface] = ACTIONS(1907),
    [anon_sym_interface] = ACTIONS(1909),
    [sym_this] = ACTIONS(1909),
    [sym_super] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1909),
    [sym_comment] = ACTIONS(93),
  },
  [692] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [693] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(693),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [694] = {
    [anon_sym_QMARK] = ACTIONS(1658),
    [anon_sym_default] = ACTIONS(1660),
    [anon_sym_synchronized] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_byte] = ACTIONS(1660),
    [anon_sym_short] = ACTIONS(1660),
    [anon_sym_int] = ACTIONS(1660),
    [anon_sym_long] = ACTIONS(1660),
    [anon_sym_char] = ACTIONS(1660),
    [anon_sym_float] = ACTIONS(1660),
    [anon_sym_double] = ACTIONS(1660),
    [sym_boolean_type] = ACTIONS(1660),
    [sym_void_type] = ACTIONS(1660),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_open] = ACTIONS(1660),
    [anon_sym_module] = ACTIONS(1660),
    [anon_sym_static] = ACTIONS(1660),
    [anon_sym_package] = ACTIONS(1660),
    [anon_sym_public] = ACTIONS(1660),
    [anon_sym_protected] = ACTIONS(1660),
    [anon_sym_private] = ACTIONS(1660),
    [anon_sym_abstract] = ACTIONS(1660),
    [anon_sym_final] = ACTIONS(1660),
    [anon_sym_strictfp] = ACTIONS(1660),
    [anon_sym_native] = ACTIONS(1660),
    [anon_sym_transient] = ACTIONS(1660),
    [anon_sym_volatile] = ACTIONS(1660),
    [sym_identifier] = ACTIONS(1660),
    [sym_comment] = ACTIONS(93),
  },
  [695] = {
    [anon_sym_RPAREN] = ACTIONS(1911),
    [sym_comment] = ACTIONS(93),
  },
  [696] = {
    [anon_sym_RPAREN] = ACTIONS(1913),
    [sym_comment] = ACTIONS(93),
  },
  [697] = {
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_synchronized] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_byte] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_int] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_char] = ACTIONS(1422),
    [anon_sym_float] = ACTIONS(1422),
    [anon_sym_double] = ACTIONS(1422),
    [sym_boolean_type] = ACTIONS(1422),
    [sym_void_type] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1420),
    [anon_sym_open] = ACTIONS(1422),
    [anon_sym_module] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_package] = ACTIONS(1422),
    [anon_sym_public] = ACTIONS(1422),
    [anon_sym_protected] = ACTIONS(1422),
    [anon_sym_private] = ACTIONS(1422),
    [anon_sym_abstract] = ACTIONS(1422),
    [anon_sym_final] = ACTIONS(1422),
    [anon_sym_strictfp] = ACTIONS(1422),
    [anon_sym_native] = ACTIONS(1422),
    [anon_sym_transient] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1422),
    [sym_comment] = ACTIONS(93),
  },
  [698] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(950),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [699] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(951),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(951),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [700] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(952),
    [sym_cast_expression] = STATE(952),
    [sym_assignment_expression] = STATE(952),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(952),
    [sym_lambda_expression] = STATE(952),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(952),
    [sym_unary_expression] = STATE(952),
    [sym_update_expression] = STATE(952),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [701] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(953),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [702] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(701),
    [anon_sym_RPAREN] = ACTIONS(862),
    [anon_sym_AMP] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [703] = {
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_EQ_EQ] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1915),
    [anon_sym_PIPE_PIPE] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_LT_LT] = ACTIONS(1915),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_GT_GT_GT] = ACTIONS(1915),
    [anon_sym_instanceof] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [anon_sym_QMARK] = ACTIONS(1915),
    [anon_sym_COLON] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [sym_comment] = ACTIONS(93),
  },
  [704] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(954),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [705] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(955),
    [sym_cast_expression] = STATE(955),
    [sym_assignment_expression] = STATE(955),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(955),
    [sym_lambda_expression] = STATE(955),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(955),
    [sym_unary_expression] = STATE(955),
    [sym_update_expression] = STATE(955),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(735),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [706] = {
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_synchronized] = ACTIONS(1921),
    [anon_sym_byte] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_int] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_char] = ACTIONS(1921),
    [anon_sym_float] = ACTIONS(1921),
    [anon_sym_double] = ACTIONS(1921),
    [sym_boolean_type] = ACTIONS(1921),
    [sym_void_type] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_public] = ACTIONS(1921),
    [anon_sym_protected] = ACTIONS(1921),
    [anon_sym_private] = ACTIONS(1921),
    [anon_sym_abstract] = ACTIONS(1921),
    [anon_sym_final] = ACTIONS(1921),
    [anon_sym_strictfp] = ACTIONS(1921),
    [anon_sym_native] = ACTIONS(1921),
    [anon_sym_transient] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [sym_identifier] = ACTIONS(1921),
    [sym_comment] = ACTIONS(93),
  },
  [707] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(707),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_synchronized] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_byte] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_int] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_char] = ACTIONS(1492),
    [anon_sym_float] = ACTIONS(1492),
    [anon_sym_double] = ACTIONS(1492),
    [sym_boolean_type] = ACTIONS(1492),
    [sym_void_type] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_public] = ACTIONS(1492),
    [anon_sym_protected] = ACTIONS(1492),
    [anon_sym_private] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_final] = ACTIONS(1492),
    [anon_sym_strictfp] = ACTIONS(1492),
    [anon_sym_native] = ACTIONS(1492),
    [anon_sym_transient] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [708] = {
    [anon_sym_DASH_GT] = ACTIONS(1923),
    [sym_comment] = ACTIONS(93),
  },
  [709] = {
    [anon_sym_RPAREN] = ACTIONS(1925),
    [sym_comment] = ACTIONS(93),
  },
  [710] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(958),
    [sym__unann_type] = STATE(957),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(958),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [711] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(711),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [712] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(959),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [713] = {
    [anon_sym_RPAREN] = ACTIONS(1927),
    [sym_comment] = ACTIONS(93),
  },
  [714] = {
    [sym_this] = ACTIONS(1929),
    [sym_comment] = ACTIONS(93),
  },
  [715] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(715),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [716] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [717] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(961),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [718] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(962),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(962),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_COLON] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [719] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(963),
    [sym_cast_expression] = STATE(963),
    [sym_assignment_expression] = STATE(963),
    [sym_lhs] = STATE(94),
    [sym_binary_expression] = STATE(963),
    [sym_lambda_expression] = STATE(963),
    [sym__lambda_parameters] = STATE(95),
    [sym_inferred_parameters] = STATE(95),
    [sym_ternary_expression] = STATE(963),
    [sym_unary_expression] = STATE(963),
    [sym_update_expression] = STATE(963),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(141),
    [anon_sym_PLUS_PLUS] = ACTIONS(143),
    [anon_sym_DASH_DASH] = ACTIONS(143),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(145),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [anon_sym_SEMI] = ACTIONS(1931),
    [sym_decimal_integer_literal] = ACTIONS(1933),
    [sym_hex_integer_literal] = ACTIONS(1933),
    [sym_octal_integer_literal] = ACTIONS(1931),
    [sym_binary_integer_literal] = ACTIONS(1931),
    [sym_long_integer_literal] = ACTIONS(1931),
    [sym_decimal_floating_point_literal] = ACTIONS(1931),
    [sym_hex_floating_point_literal] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [sym_string_literal] = ACTIONS(1931),
    [sym_null_literal] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [anon_sym_assert] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_synchronized] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_byte] = ACTIONS(1933),
    [anon_sym_short] = ACTIONS(1933),
    [anon_sym_int] = ACTIONS(1933),
    [anon_sym_long] = ACTIONS(1933),
    [anon_sym_char] = ACTIONS(1933),
    [anon_sym_float] = ACTIONS(1933),
    [anon_sym_double] = ACTIONS(1933),
    [sym_boolean_type] = ACTIONS(1933),
    [sym_void_type] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1933),
    [anon_sym_open] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_package] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_final] = ACTIONS(1933),
    [anon_sym_strictfp] = ACTIONS(1933),
    [anon_sym_native] = ACTIONS(1933),
    [anon_sym_transient] = ACTIONS(1933),
    [anon_sym_volatile] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_ATinterface] = ACTIONS(1931),
    [anon_sym_interface] = ACTIONS(1933),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_identifier] = ACTIONS(1933),
    [sym_comment] = ACTIONS(93),
  },
  [721] = {
    [sym__statement] = STATE(972),
    [sym__method_statement] = STATE(972),
    [sym__expression_statement] = STATE(972),
    [sym__semicolon] = STATE(972),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(972),
    [sym_assert_statement] = STATE(972),
    [sym_switch_statement] = STATE(972),
    [sym_switch_label] = STATE(972),
    [sym_do_statement] = STATE(972),
    [sym_break_statement] = STATE(972),
    [sym_continue_statement] = STATE(972),
    [sym_return_statement] = STATE(972),
    [sym_synchronized_statement] = STATE(972),
    [sym_throw_statement] = STATE(972),
    [sym_try_statement] = STATE(972),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(972),
    [sym_while_statement] = STATE(972),
    [sym_for_statement] = STATE(972),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(972),
    [sym_module_declaration] = STATE(972),
    [sym_package_declaration] = STATE(972),
    [sym_import_declaration] = STATE(972),
    [sym_enum_declaration] = STATE(972),
    [sym_class_declaration] = STATE(972),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(972),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(972),
    [sym_local_variable_declaration_statement] = STATE(972),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_switch_block_repeat1] = STATE(972),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1935),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(93),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1953),
    [anon_sym_SEMI] = ACTIONS(1953),
    [sym_decimal_integer_literal] = ACTIONS(1955),
    [sym_hex_integer_literal] = ACTIONS(1955),
    [sym_octal_integer_literal] = ACTIONS(1953),
    [sym_binary_integer_literal] = ACTIONS(1953),
    [sym_long_integer_literal] = ACTIONS(1953),
    [sym_decimal_floating_point_literal] = ACTIONS(1953),
    [sym_hex_floating_point_literal] = ACTIONS(1955),
    [sym_true] = ACTIONS(1955),
    [sym_false] = ACTIONS(1955),
    [anon_sym_SQUOTE] = ACTIONS(1953),
    [sym_string_literal] = ACTIONS(1953),
    [sym_null_literal] = ACTIONS(1955),
    [anon_sym_LPAREN] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_BANG] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1953),
    [anon_sym_DASH_DASH] = ACTIONS(1953),
    [anon_sym_assert] = ACTIONS(1955),
    [anon_sym_switch] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1953),
    [anon_sym_RBRACE] = ACTIONS(1953),
    [anon_sym_case] = ACTIONS(1955),
    [anon_sym_default] = ACTIONS(1955),
    [anon_sym_do] = ACTIONS(1955),
    [anon_sym_while] = ACTIONS(1955),
    [anon_sym_break] = ACTIONS(1955),
    [anon_sym_continue] = ACTIONS(1955),
    [anon_sym_return] = ACTIONS(1955),
    [anon_sym_synchronized] = ACTIONS(1955),
    [anon_sym_throw] = ACTIONS(1955),
    [anon_sym_try] = ACTIONS(1955),
    [anon_sym_if] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1955),
    [anon_sym_for] = ACTIONS(1955),
    [anon_sym_byte] = ACTIONS(1955),
    [anon_sym_short] = ACTIONS(1955),
    [anon_sym_int] = ACTIONS(1955),
    [anon_sym_long] = ACTIONS(1955),
    [anon_sym_char] = ACTIONS(1955),
    [anon_sym_float] = ACTIONS(1955),
    [anon_sym_double] = ACTIONS(1955),
    [sym_boolean_type] = ACTIONS(1955),
    [sym_void_type] = ACTIONS(1955),
    [anon_sym_AT] = ACTIONS(1955),
    [anon_sym_open] = ACTIONS(1955),
    [anon_sym_module] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_package] = ACTIONS(1955),
    [anon_sym_import] = ACTIONS(1955),
    [anon_sym_enum] = ACTIONS(1955),
    [anon_sym_class] = ACTIONS(1955),
    [anon_sym_public] = ACTIONS(1955),
    [anon_sym_protected] = ACTIONS(1955),
    [anon_sym_private] = ACTIONS(1955),
    [anon_sym_abstract] = ACTIONS(1955),
    [anon_sym_final] = ACTIONS(1955),
    [anon_sym_strictfp] = ACTIONS(1955),
    [anon_sym_native] = ACTIONS(1955),
    [anon_sym_transient] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1955),
    [anon_sym_ATinterface] = ACTIONS(1953),
    [anon_sym_interface] = ACTIONS(1955),
    [sym_this] = ACTIONS(1955),
    [sym_super] = ACTIONS(1955),
    [sym_identifier] = ACTIONS(1955),
    [sym_comment] = ACTIONS(93),
  },
  [723] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [724] = {
    [sym_catch_clause] = STATE(724),
    [aux_sym_catches_repeat1] = STATE(724),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [725] = {
    [sym__statement] = STATE(978),
    [sym__method_statement] = STATE(978),
    [sym__expression_statement] = STATE(978),
    [sym__semicolon] = STATE(978),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(978),
    [sym_assert_statement] = STATE(978),
    [sym_switch_statement] = STATE(978),
    [sym_do_statement] = STATE(978),
    [sym_break_statement] = STATE(978),
    [sym_continue_statement] = STATE(978),
    [sym_return_statement] = STATE(978),
    [sym_synchronized_statement] = STATE(978),
    [sym_throw_statement] = STATE(978),
    [sym_try_statement] = STATE(978),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(978),
    [sym_while_statement] = STATE(978),
    [sym_for_statement] = STATE(978),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(978),
    [sym_module_declaration] = STATE(978),
    [sym_package_declaration] = STATE(978),
    [sym_import_declaration] = STATE(978),
    [sym_enum_declaration] = STATE(978),
    [sym_class_declaration] = STATE(978),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(978),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(978),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1957),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1967),
    [sym_comment] = ACTIONS(93),
  },
  [726] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(980),
    [sym_cast_expression] = STATE(980),
    [sym_assignment_expression] = STATE(980),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(980),
    [sym_lambda_expression] = STATE(980),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(980),
    [sym_unary_expression] = STATE(980),
    [sym_update_expression] = STATE(980),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [727] = {
    [sym__semicolon] = STATE(981),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [728] = {
    [sym__semicolon] = STATE(981),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(982),
    [sym_cast_expression] = STATE(982),
    [sym_assignment_expression] = STATE(982),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(982),
    [sym_lambda_expression] = STATE(982),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(982),
    [sym_unary_expression] = STATE(982),
    [sym_update_expression] = STATE(982),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1971),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [729] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(1973),
    [sym_comment] = ACTIONS(93),
  },
  [730] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(984),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [731] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(731),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [732] = {
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(1975),
    [sym_comment] = ACTIONS(93),
  },
  [733] = {
    [aux_sym_variable_declarator_list_repeat1] = STATE(733),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(1977),
    [sym_comment] = ACTIONS(93),
  },
  [734] = {
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1980),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [735] = {
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1980),
    [anon_sym_COMMA] = ACTIONS(1980),
    [sym_comment] = ACTIONS(93),
  },
  [736] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(736),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [737] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(93),
  },
  [738] = {
    [sym_catch_clause] = STATE(738),
    [aux_sym_catches_repeat1] = STATE(738),
    [anon_sym_while] = ACTIONS(1625),
    [anon_sym_catch] = ACTIONS(1982),
    [anon_sym_finally] = ACTIONS(1625),
    [sym_comment] = ACTIONS(93),
  },
  [739] = {
    [sym__statement] = STATE(990),
    [sym__method_statement] = STATE(990),
    [sym__expression_statement] = STATE(990),
    [sym__semicolon] = STATE(990),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(990),
    [sym_assert_statement] = STATE(990),
    [sym_switch_statement] = STATE(990),
    [sym_do_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_synchronized_statement] = STATE(990),
    [sym_throw_statement] = STATE(990),
    [sym_try_statement] = STATE(990),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(990),
    [sym_while_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(990),
    [sym_module_declaration] = STATE(990),
    [sym_package_declaration] = STATE(990),
    [sym_import_declaration] = STATE(990),
    [sym_enum_declaration] = STATE(990),
    [sym_class_declaration] = STATE(990),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(990),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(990),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1985),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1995),
    [sym_comment] = ACTIONS(93),
  },
  [740] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(992),
    [sym_cast_expression] = STATE(992),
    [sym_assignment_expression] = STATE(992),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(992),
    [sym_lambda_expression] = STATE(992),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(992),
    [sym_unary_expression] = STATE(992),
    [sym_update_expression] = STATE(992),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [741] = {
    [sym__semicolon] = STATE(993),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [742] = {
    [sym__semicolon] = STATE(993),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(994),
    [sym_cast_expression] = STATE(994),
    [sym_assignment_expression] = STATE(994),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(994),
    [sym_lambda_expression] = STATE(994),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(994),
    [sym_unary_expression] = STATE(994),
    [sym_update_expression] = STATE(994),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(1999),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [743] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(2001),
    [sym_comment] = ACTIONS(93),
  },
  [744] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(996),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [745] = {
    [anon_sym_RPAREN] = ACTIONS(2003),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2005),
    [sym_decimal_integer_literal] = ACTIONS(2007),
    [sym_hex_integer_literal] = ACTIONS(2007),
    [sym_octal_integer_literal] = ACTIONS(2005),
    [sym_binary_integer_literal] = ACTIONS(2005),
    [sym_long_integer_literal] = ACTIONS(2005),
    [sym_decimal_floating_point_literal] = ACTIONS(2005),
    [sym_hex_floating_point_literal] = ACTIONS(2007),
    [sym_true] = ACTIONS(2007),
    [sym_false] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2005),
    [sym_string_literal] = ACTIONS(2005),
    [sym_null_literal] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_assert] = ACTIONS(2007),
    [anon_sym_switch] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_RBRACE] = ACTIONS(2005),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_synchronized] = ACTIONS(2007),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_byte] = ACTIONS(2007),
    [anon_sym_short] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_long] = ACTIONS(2007),
    [anon_sym_char] = ACTIONS(2007),
    [anon_sym_float] = ACTIONS(2007),
    [anon_sym_double] = ACTIONS(2007),
    [sym_boolean_type] = ACTIONS(2007),
    [sym_void_type] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_open] = ACTIONS(2007),
    [anon_sym_module] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_import] = ACTIONS(2007),
    [anon_sym_enum] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_public] = ACTIONS(2007),
    [anon_sym_protected] = ACTIONS(2007),
    [anon_sym_private] = ACTIONS(2007),
    [anon_sym_abstract] = ACTIONS(2007),
    [anon_sym_final] = ACTIONS(2007),
    [anon_sym_strictfp] = ACTIONS(2007),
    [anon_sym_native] = ACTIONS(2007),
    [anon_sym_transient] = ACTIONS(2007),
    [anon_sym_volatile] = ACTIONS(2007),
    [anon_sym_new] = ACTIONS(2007),
    [anon_sym_ATinterface] = ACTIONS(2005),
    [anon_sym_interface] = ACTIONS(2007),
    [sym_this] = ACTIONS(2007),
    [sym_super] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2007),
    [sym_comment] = ACTIONS(93),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2009),
    [anon_sym_SEMI] = ACTIONS(2009),
    [sym_decimal_integer_literal] = ACTIONS(2011),
    [sym_hex_integer_literal] = ACTIONS(2011),
    [sym_octal_integer_literal] = ACTIONS(2009),
    [sym_binary_integer_literal] = ACTIONS(2009),
    [sym_long_integer_literal] = ACTIONS(2009),
    [sym_decimal_floating_point_literal] = ACTIONS(2009),
    [sym_hex_floating_point_literal] = ACTIONS(2011),
    [sym_true] = ACTIONS(2011),
    [sym_false] = ACTIONS(2011),
    [anon_sym_SQUOTE] = ACTIONS(2009),
    [sym_string_literal] = ACTIONS(2009),
    [sym_null_literal] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2009),
    [anon_sym_PLUS] = ACTIONS(2011),
    [anon_sym_DASH] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_assert] = ACTIONS(2011),
    [anon_sym_switch] = ACTIONS(2011),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_RBRACE] = ACTIONS(2009),
    [anon_sym_case] = ACTIONS(2011),
    [anon_sym_default] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2011),
    [anon_sym_while] = ACTIONS(2011),
    [anon_sym_break] = ACTIONS(2011),
    [anon_sym_continue] = ACTIONS(2011),
    [anon_sym_return] = ACTIONS(2011),
    [anon_sym_synchronized] = ACTIONS(2011),
    [anon_sym_throw] = ACTIONS(2011),
    [anon_sym_try] = ACTIONS(2011),
    [anon_sym_if] = ACTIONS(2011),
    [anon_sym_else] = ACTIONS(2011),
    [anon_sym_for] = ACTIONS(2011),
    [anon_sym_byte] = ACTIONS(2011),
    [anon_sym_short] = ACTIONS(2011),
    [anon_sym_int] = ACTIONS(2011),
    [anon_sym_long] = ACTIONS(2011),
    [anon_sym_char] = ACTIONS(2011),
    [anon_sym_float] = ACTIONS(2011),
    [anon_sym_double] = ACTIONS(2011),
    [sym_boolean_type] = ACTIONS(2011),
    [sym_void_type] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(2011),
    [anon_sym_open] = ACTIONS(2011),
    [anon_sym_module] = ACTIONS(2011),
    [anon_sym_static] = ACTIONS(2011),
    [anon_sym_package] = ACTIONS(2011),
    [anon_sym_import] = ACTIONS(2011),
    [anon_sym_enum] = ACTIONS(2011),
    [anon_sym_class] = ACTIONS(2011),
    [anon_sym_public] = ACTIONS(2011),
    [anon_sym_protected] = ACTIONS(2011),
    [anon_sym_private] = ACTIONS(2011),
    [anon_sym_abstract] = ACTIONS(2011),
    [anon_sym_final] = ACTIONS(2011),
    [anon_sym_strictfp] = ACTIONS(2011),
    [anon_sym_native] = ACTIONS(2011),
    [anon_sym_transient] = ACTIONS(2011),
    [anon_sym_volatile] = ACTIONS(2011),
    [anon_sym_new] = ACTIONS(2011),
    [anon_sym_ATinterface] = ACTIONS(2009),
    [anon_sym_interface] = ACTIONS(2011),
    [sym_this] = ACTIONS(2011),
    [sym_super] = ACTIONS(2011),
    [sym_identifier] = ACTIONS(2011),
    [sym_comment] = ACTIONS(93),
  },
  [748] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(998),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [749] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(999),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(999),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [750] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(998),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [751] = {
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_LT_GT] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1432),
    [anon_sym_module] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1429),
    [anon_sym_COLON_COLON] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1432),
    [sym_comment] = ACTIONS(93),
  },
  [752] = {
    [anon_sym_LBRACE] = ACTIONS(2013),
    [sym_comment] = ACTIONS(93),
  },
  [753] = {
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [sym_comment] = ACTIONS(93),
  },
  [754] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym_resource] = STATE(753),
    [sym_variable_access] = STATE(277),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(283),
    [sym_scoped_identifier] = STATE(278),
    [sym__primary] = STATE(279),
    [sym_array_creation_expression] = STATE(279),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(280),
    [sym_array_access] = STATE(48),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(281),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(282),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(283),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(553),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(555),
    [sym_comment] = ACTIONS(93),
  },
  [755] = {
    [aux_sym_resource_specification_repeat1] = STATE(755),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [sym_comment] = ACTIONS(93),
  },
  [756] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1002),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [757] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1007),
    [sym_cast_expression] = STATE(1007),
    [sym_assignment_expression] = STATE(1007),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1007),
    [sym_lambda_expression] = STATE(1007),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1007),
    [sym_unary_expression] = STATE(1007),
    [sym_update_expression] = STATE(1007),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [758] = {
    [anon_sym_EQ] = ACTIONS(2032),
    [sym_comment] = ACTIONS(93),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2034),
    [sym_decimal_integer_literal] = ACTIONS(2036),
    [sym_hex_integer_literal] = ACTIONS(2036),
    [sym_octal_integer_literal] = ACTIONS(2034),
    [sym_binary_integer_literal] = ACTIONS(2034),
    [sym_long_integer_literal] = ACTIONS(2034),
    [sym_decimal_floating_point_literal] = ACTIONS(2034),
    [sym_hex_floating_point_literal] = ACTIONS(2036),
    [sym_true] = ACTIONS(2036),
    [sym_false] = ACTIONS(2036),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [sym_string_literal] = ACTIONS(2034),
    [sym_null_literal] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2034),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(2034),
    [anon_sym_TILDE] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_assert] = ACTIONS(2036),
    [anon_sym_switch] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_case] = ACTIONS(2036),
    [anon_sym_default] = ACTIONS(2036),
    [anon_sym_do] = ACTIONS(2036),
    [anon_sym_while] = ACTIONS(2036),
    [anon_sym_break] = ACTIONS(2036),
    [anon_sym_continue] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2036),
    [anon_sym_synchronized] = ACTIONS(2036),
    [anon_sym_throw] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_if] = ACTIONS(2036),
    [anon_sym_else] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2036),
    [anon_sym_byte] = ACTIONS(2036),
    [anon_sym_short] = ACTIONS(2036),
    [anon_sym_int] = ACTIONS(2036),
    [anon_sym_long] = ACTIONS(2036),
    [anon_sym_char] = ACTIONS(2036),
    [anon_sym_float] = ACTIONS(2036),
    [anon_sym_double] = ACTIONS(2036),
    [sym_boolean_type] = ACTIONS(2036),
    [sym_void_type] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2036),
    [anon_sym_open] = ACTIONS(2036),
    [anon_sym_module] = ACTIONS(2036),
    [anon_sym_static] = ACTIONS(2036),
    [anon_sym_package] = ACTIONS(2036),
    [anon_sym_import] = ACTIONS(2036),
    [anon_sym_enum] = ACTIONS(2036),
    [anon_sym_class] = ACTIONS(2036),
    [anon_sym_public] = ACTIONS(2036),
    [anon_sym_protected] = ACTIONS(2036),
    [anon_sym_private] = ACTIONS(2036),
    [anon_sym_abstract] = ACTIONS(2036),
    [anon_sym_final] = ACTIONS(2036),
    [anon_sym_strictfp] = ACTIONS(2036),
    [anon_sym_native] = ACTIONS(2036),
    [anon_sym_transient] = ACTIONS(2036),
    [anon_sym_volatile] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(2036),
    [anon_sym_ATinterface] = ACTIONS(2034),
    [anon_sym_interface] = ACTIONS(2036),
    [sym_this] = ACTIONS(2036),
    [sym_super] = ACTIONS(2036),
    [sym_identifier] = ACTIONS(2036),
    [sym_comment] = ACTIONS(93),
  },
  [760] = {
    [anon_sym_RPAREN] = ACTIONS(2038),
    [sym_comment] = ACTIONS(93),
  },
  [761] = {
    [sym_variable_declarator_id] = STATE(1013),
    [sym__reserved_identifier] = STATE(1012),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(2040),
    [sym_comment] = ACTIONS(93),
  },
  [762] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_catch_type_repeat1] = STATE(1015),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1016),
    [anon_sym_PIPE] = ACTIONS(2042),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(2044),
    [anon_sym_module] = ACTIONS(2044),
    [sym_identifier] = ACTIONS(2044),
    [sym_comment] = ACTIONS(93),
  },
  [763] = {
    [sym_catch_type] = STATE(1017),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(762),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [764] = {
    [anon_sym_LPAREN] = ACTIONS(2046),
    [sym_comment] = ACTIONS(93),
  },
  [765] = {
    [sym_resource_specification] = STATE(1019),
    [sym_block] = STATE(1020),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [766] = {
    [anon_sym_LPAREN] = ACTIONS(2048),
    [sym_comment] = ACTIONS(93),
  },
  [767] = {
    [anon_sym_LPAREN] = ACTIONS(2050),
    [sym_comment] = ACTIONS(93),
  },
  [768] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(2052),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(2058),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [770] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [771] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(2060),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [772] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1026),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [773] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1027),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1027),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [774] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1026),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [775] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [776] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1032),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [777] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1033),
    [sym_cast_expression] = STATE(1033),
    [sym_assignment_expression] = STATE(1033),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1033),
    [sym_lambda_expression] = STATE(1033),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1033),
    [sym_unary_expression] = STATE(1033),
    [sym_update_expression] = STATE(1033),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [778] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [779] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [780] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [781] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [782] = {
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [783] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [784] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(784),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2074),
    [sym_comment] = ACTIONS(93),
  },
  [785] = {
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [786] = {
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [787] = {
    [sym__semicolon] = STATE(1035),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [788] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1036),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [789] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1037),
    [sym_cast_expression] = STATE(1037),
    [sym_assignment_expression] = STATE(1037),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1037),
    [sym_lambda_expression] = STATE(1037),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1037),
    [sym_unary_expression] = STATE(1037),
    [sym_update_expression] = STATE(1037),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [790] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(2079),
    [sym_comment] = ACTIONS(93),
  },
  [791] = {
    [anon_sym_RBRACE] = ACTIONS(2081),
    [sym_comment] = ACTIONS(93),
  },
  [792] = {
    [anon_sym_SEMI] = ACTIONS(2083),
    [anon_sym_RPAREN] = ACTIONS(2083),
    [anon_sym_COMMA] = ACTIONS(2083),
    [anon_sym_RBRACE] = ACTIONS(2083),
    [sym_comment] = ACTIONS(93),
  },
  [793] = {
    [aux_sym_element_value_array_initializer_repeat1] = STATE(1041),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [sym_comment] = ACTIONS(93),
  },
  [794] = {
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_COMMA] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_synchronized] = ACTIONS(2089),
    [anon_sym_byte] = ACTIONS(2089),
    [anon_sym_short] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_long] = ACTIONS(2089),
    [anon_sym_char] = ACTIONS(2089),
    [anon_sym_float] = ACTIONS(2089),
    [anon_sym_double] = ACTIONS(2089),
    [sym_boolean_type] = ACTIONS(2089),
    [sym_void_type] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_open] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_final] = ACTIONS(2089),
    [anon_sym_strictfp] = ACTIONS(2089),
    [anon_sym_native] = ACTIONS(2089),
    [anon_sym_transient] = ACTIONS(2089),
    [anon_sym_volatile] = ACTIONS(2089),
    [anon_sym_ATinterface] = ACTIONS(2087),
    [anon_sym_interface] = ACTIONS(2089),
    [sym_identifier] = ACTIONS(2089),
    [sym_comment] = ACTIONS(93),
  },
  [795] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(1042),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [796] = {
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_RPAREN] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_synchronized] = ACTIONS(2093),
    [anon_sym_byte] = ACTIONS(2093),
    [anon_sym_short] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_long] = ACTIONS(2093),
    [anon_sym_char] = ACTIONS(2093),
    [anon_sym_float] = ACTIONS(2093),
    [anon_sym_double] = ACTIONS(2093),
    [sym_boolean_type] = ACTIONS(2093),
    [sym_void_type] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_open] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_final] = ACTIONS(2093),
    [anon_sym_strictfp] = ACTIONS(2093),
    [anon_sym_native] = ACTIONS(2093),
    [anon_sym_transient] = ACTIONS(2093),
    [anon_sym_volatile] = ACTIONS(2093),
    [anon_sym_ATinterface] = ACTIONS(2091),
    [anon_sym_interface] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2093),
    [sym_comment] = ACTIONS(93),
  },
  [797] = {
    [sym_element_value_pair] = STATE(1044),
    [sym_identifier] = ACTIONS(2095),
    [sym_comment] = ACTIONS(93),
  },
  [798] = {
    [aux_sym_element_value_pair_list_repeat1] = STATE(1045),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_COMMA] = ACTIONS(1680),
    [sym_comment] = ACTIONS(93),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2099),
    [anon_sym_SEMI] = ACTIONS(2099),
    [sym_decimal_integer_literal] = ACTIONS(2101),
    [sym_hex_integer_literal] = ACTIONS(2101),
    [sym_octal_integer_literal] = ACTIONS(2099),
    [sym_binary_integer_literal] = ACTIONS(2099),
    [sym_long_integer_literal] = ACTIONS(2099),
    [sym_decimal_floating_point_literal] = ACTIONS(2099),
    [sym_hex_floating_point_literal] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [anon_sym_SQUOTE] = ACTIONS(2099),
    [sym_string_literal] = ACTIONS(2099),
    [sym_null_literal] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2099),
    [anon_sym_TILDE] = ACTIONS(2099),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_assert] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_synchronized] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_byte] = ACTIONS(2101),
    [anon_sym_short] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_long] = ACTIONS(2101),
    [anon_sym_char] = ACTIONS(2101),
    [anon_sym_float] = ACTIONS(2101),
    [anon_sym_double] = ACTIONS(2101),
    [sym_boolean_type] = ACTIONS(2101),
    [sym_void_type] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_open] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_package] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_final] = ACTIONS(2101),
    [anon_sym_strictfp] = ACTIONS(2101),
    [anon_sym_native] = ACTIONS(2101),
    [anon_sym_transient] = ACTIONS(2101),
    [anon_sym_volatile] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_ATinterface] = ACTIONS(2099),
    [anon_sym_interface] = ACTIONS(2101),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_identifier] = ACTIONS(2101),
    [sym_comment] = ACTIONS(93),
  },
  [800] = {
    [sym_module_directive] = STATE(808),
    [aux_sym_module_declaration_repeat1] = STATE(808),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [801] = {
    [anon_sym_transitive] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(2105),
    [sym_identifier] = ACTIONS(2105),
    [sym_comment] = ACTIONS(93),
  },
  [802] = {
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_COMMA] = ACTIONS(2107),
    [anon_sym_DOT] = ACTIONS(2107),
    [sym_comment] = ACTIONS(93),
  },
  [803] = {
    [sym__semicolon] = STATE(1048),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(2111),
    [sym_comment] = ACTIONS(93),
  },
  [804] = {
    [sym_requires_modifier] = STATE(1050),
    [sym_module_name] = STATE(1049),
    [aux_sym_module_directive_repeat1] = STATE(1050),
    [anon_sym_transitive] = ACTIONS(1690),
    [anon_sym_static] = ACTIONS(1690),
    [sym_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(93),
  },
  [805] = {
    [sym__semicolon] = STATE(1048),
    [sym_module_name] = STATE(1053),
    [aux_sym_module_directive_repeat2] = STATE(1054),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_to] = ACTIONS(2115),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_identifier] = ACTIONS(1692),
    [sym_comment] = ACTIONS(93),
  },
  [806] = {
    [sym__semicolon] = STATE(1048),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [807] = {
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [808] = {
    [sym_module_directive] = STATE(808),
    [aux_sym_module_declaration_repeat1] = STATE(808),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_requires] = ACTIONS(2121),
    [anon_sym_exports] = ACTIONS(2124),
    [anon_sym_opens] = ACTIONS(2124),
    [anon_sym_uses] = ACTIONS(2127),
    [anon_sym_provides] = ACTIONS(2130),
    [sym_comment] = ACTIONS(93),
  },
  [809] = {
    [sym__semicolon] = STATE(1056),
    [anon_sym_SEMI] = ACTIONS(2133),
    [sym_comment] = ACTIONS(93),
  },
  [810] = {
    [sym_asterisk] = STATE(1057),
    [anon_sym_STAR] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1248),
    [sym_comment] = ACTIONS(93),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2135),
    [sym_decimal_integer_literal] = ACTIONS(2137),
    [sym_hex_integer_literal] = ACTIONS(2137),
    [sym_octal_integer_literal] = ACTIONS(2135),
    [sym_binary_integer_literal] = ACTIONS(2135),
    [sym_long_integer_literal] = ACTIONS(2135),
    [sym_decimal_floating_point_literal] = ACTIONS(2135),
    [sym_hex_floating_point_literal] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_string_literal] = ACTIONS(2135),
    [sym_null_literal] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_assert] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_synchronized] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_byte] = ACTIONS(2137),
    [anon_sym_short] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_long] = ACTIONS(2137),
    [anon_sym_char] = ACTIONS(2137),
    [anon_sym_float] = ACTIONS(2137),
    [anon_sym_double] = ACTIONS(2137),
    [sym_boolean_type] = ACTIONS(2137),
    [sym_void_type] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_open] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_final] = ACTIONS(2137),
    [anon_sym_strictfp] = ACTIONS(2137),
    [anon_sym_native] = ACTIONS(2137),
    [anon_sym_transient] = ACTIONS(2137),
    [anon_sym_volatile] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_ATinterface] = ACTIONS(2135),
    [anon_sym_interface] = ACTIONS(2137),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_identifier] = ACTIONS(2137),
    [sym_comment] = ACTIONS(93),
  },
  [812] = {
    [sym_identifier] = ACTIONS(1248),
    [sym_comment] = ACTIONS(93),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2139),
    [sym_decimal_integer_literal] = ACTIONS(2141),
    [sym_hex_integer_literal] = ACTIONS(2141),
    [sym_octal_integer_literal] = ACTIONS(2139),
    [sym_binary_integer_literal] = ACTIONS(2139),
    [sym_long_integer_literal] = ACTIONS(2139),
    [sym_decimal_floating_point_literal] = ACTIONS(2139),
    [sym_hex_floating_point_literal] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_string_literal] = ACTIONS(2139),
    [sym_null_literal] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_assert] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_synchronized] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_byte] = ACTIONS(2141),
    [anon_sym_short] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_long] = ACTIONS(2141),
    [anon_sym_char] = ACTIONS(2141),
    [anon_sym_float] = ACTIONS(2141),
    [anon_sym_double] = ACTIONS(2141),
    [sym_boolean_type] = ACTIONS(2141),
    [sym_void_type] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_open] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_final] = ACTIONS(2141),
    [anon_sym_strictfp] = ACTIONS(2141),
    [anon_sym_native] = ACTIONS(2141),
    [anon_sym_transient] = ACTIONS(2141),
    [anon_sym_volatile] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_ATinterface] = ACTIONS(2139),
    [anon_sym_interface] = ACTIONS(2141),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_identifier] = ACTIONS(2141),
    [sym_comment] = ACTIONS(93),
  },
  [814] = {
    [anon_sym_RBRACE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(93),
  },
  [815] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1059),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [816] = {
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [sym_comment] = ACTIONS(93),
  },
  [817] = {
    [sym__semicolon] = STATE(853),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_enum_declaration] = STATE(853),
    [sym_class_declaration] = STATE(853),
    [sym_modifier] = STATE(580),
    [sym_type_parameters] = STATE(576),
    [sym_static_initializer] = STATE(853),
    [sym_constructor_declaration] = STATE(853),
    [sym_constructor_declarator] = STATE(577),
    [sym_field_declaration] = STATE(853),
    [sym_interface_declaration] = STATE(853),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__unann_type] = STATE(578),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_block] = STATE(853),
    [sym_method_declaration] = STATE(853),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(580),
    [aux_sym_enum_body_declarations_repeat1] = STATE(853),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_synchronized] = ACTIONS(39),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_identifier] = ACTIONS(1272),
    [sym_comment] = ACTIONS(93),
  },
  [818] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(1060),
    [sym_enum_constant] = STATE(1061),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [819] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1060),
    [aux_sym_enum_declaration_repeat1] = STATE(1063),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(93),
  },
  [820] = {
    [sym_class_body] = STATE(1065),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2151),
    [anon_sym_COMMA] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [sym_comment] = ACTIONS(93),
  },
  [821] = {
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(821),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(821),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_synchronized] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(934),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_public] = ACTIONS(929),
    [anon_sym_protected] = ACTIONS(929),
    [anon_sym_private] = ACTIONS(929),
    [anon_sym_abstract] = ACTIONS(929),
    [anon_sym_final] = ACTIONS(929),
    [anon_sym_strictfp] = ACTIONS(929),
    [anon_sym_native] = ACTIONS(929),
    [anon_sym_transient] = ACTIONS(929),
    [anon_sym_volatile] = ACTIONS(929),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [822] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(568),
    [sym_normal_annotation] = STATE(568),
    [sym_marker_annotation] = STATE(568),
    [sym_single_element_annotation] = STATE(568),
    [sym__type] = STATE(1066),
    [sym__unann_type] = STATE(567),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(568),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [823] = {
    [aux_sym_interface_type_list_repeat1] = STATE(1067),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [sym_comment] = ACTIONS(93),
  },
  [824] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1068),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [825] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(824),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [826] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1060),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(93),
  },
  [827] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1060),
    [aux_sym_enum_declaration_repeat1] = STATE(1069),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(93),
  },
  [828] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(1072),
    [sym_normal_annotation] = STATE(1072),
    [sym_marker_annotation] = STATE(1072),
    [sym_single_element_annotation] = STATE(1072),
    [sym__type] = STATE(1070),
    [sym__unann_type] = STATE(1071),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(1072),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [829] = {
    [anon_sym_GT] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2155),
    [sym_comment] = ACTIONS(93),
  },
  [830] = {
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_extends] = ACTIONS(2159),
    [anon_sym_byte] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_int] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_char] = ACTIONS(2159),
    [anon_sym_float] = ACTIONS(2159),
    [anon_sym_double] = ACTIONS(2159),
    [sym_boolean_type] = ACTIONS(2159),
    [sym_void_type] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_implements] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2159),
    [sym_comment] = ACTIONS(93),
  },
  [831] = {
    [sym__annotation] = STATE(572),
    [sym_normal_annotation] = STATE(572),
    [sym_marker_annotation] = STATE(572),
    [sym_single_element_annotation] = STATE(572),
    [sym_type_parameter] = STATE(1073),
    [aux_sym_wildcard_repeat1] = STATE(572),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(1264),
    [sym_comment] = ACTIONS(93),
  },
  [832] = {
    [aux_sym_type_parameters_repeat1] = STATE(1075),
    [anon_sym_GT] = ACTIONS(2161),
    [anon_sym_COMMA] = ACTIONS(1747),
    [sym_comment] = ACTIONS(93),
  },
  [833] = {
    [sym_type_bound] = STATE(1076),
    [anon_sym_GT] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(2155),
    [anon_sym_extends] = ACTIONS(1743),
    [sym_comment] = ACTIONS(93),
  },
  [834] = {
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_synchronized] = ACTIONS(2165),
    [anon_sym_byte] = ACTIONS(2165),
    [anon_sym_short] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_long] = ACTIONS(2165),
    [anon_sym_char] = ACTIONS(2165),
    [anon_sym_float] = ACTIONS(2165),
    [anon_sym_double] = ACTIONS(2165),
    [sym_boolean_type] = ACTIONS(2165),
    [sym_void_type] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_final] = ACTIONS(2165),
    [anon_sym_strictfp] = ACTIONS(2165),
    [anon_sym_native] = ACTIONS(2165),
    [anon_sym_transient] = ACTIONS(2165),
    [anon_sym_volatile] = ACTIONS(2165),
    [anon_sym_ATinterface] = ACTIONS(2163),
    [anon_sym_interface] = ACTIONS(2165),
    [sym_identifier] = ACTIONS(2165),
    [sym_comment] = ACTIONS(93),
  },
  [835] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(1079),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1080),
    [sym_receiver_parameter] = STATE(1081),
    [sym_spread_parameter] = STATE(1082),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(1083),
    [anon_sym_RPAREN] = ACTIONS(2167),
    [anon_sym_COMMA] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [836] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [837] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_method_declarator] = STATE(1086),
    [sym__reserved_identifier] = STATE(1085),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(2173),
    [sym_comment] = ACTIONS(93),
  },
  [838] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(1087),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [839] = {
    [sym__statement] = STATE(1097),
    [sym__method_statement] = STATE(1097),
    [sym__expression_statement] = STATE(1097),
    [sym__semicolon] = STATE(1097),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1097),
    [sym_assert_statement] = STATE(1097),
    [sym_switch_statement] = STATE(1097),
    [sym_do_statement] = STATE(1097),
    [sym_break_statement] = STATE(1097),
    [sym_continue_statement] = STATE(1097),
    [sym_return_statement] = STATE(1097),
    [sym_synchronized_statement] = STATE(1097),
    [sym_throw_statement] = STATE(1097),
    [sym_try_statement] = STATE(1097),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1097),
    [sym_while_statement] = STATE(1097),
    [sym_for_statement] = STATE(1097),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym__type_arguments] = STATE(1092),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(1097),
    [sym_module_declaration] = STATE(1097),
    [sym_package_declaration] = STATE(1097),
    [sym_import_declaration] = STATE(1097),
    [sym_enum_declaration] = STATE(1097),
    [sym_class_declaration] = STATE(1097),
    [sym_modifier] = STATE(106),
    [sym_explicit_constructor_invocation] = STATE(1093),
    [sym_scoped_identifier] = STATE(1094),
    [sym__primary] = STATE(1095),
    [sym_array_creation_expression] = STATE(1095),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1097),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1097),
    [sym_local_variable_declaration_statement] = STATE(1097),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(1096),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(1097),
    [anon_sym_SEMI] = ACTIONS(2175),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(2179),
    [sym_super] = ACTIONS(2181),
    [sym_identifier] = ACTIONS(2183),
    [sym_comment] = ACTIONS(93),
  },
  [840] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(568),
    [sym_normal_annotation] = STATE(568),
    [sym_marker_annotation] = STATE(568),
    [sym_single_element_annotation] = STATE(568),
    [sym__type] = STATE(1098),
    [sym__unann_type] = STATE(567),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_exception_type_list] = STATE(1099),
    [sym_exception_type] = STATE(1100),
    [aux_sym_wildcard_repeat1] = STATE(568),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [841] = {
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_LT] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2187),
    [anon_sym_synchronized] = ACTIONS(2187),
    [anon_sym_byte] = ACTIONS(2187),
    [anon_sym_short] = ACTIONS(2187),
    [anon_sym_int] = ACTIONS(2187),
    [anon_sym_long] = ACTIONS(2187),
    [anon_sym_char] = ACTIONS(2187),
    [anon_sym_float] = ACTIONS(2187),
    [anon_sym_double] = ACTIONS(2187),
    [sym_boolean_type] = ACTIONS(2187),
    [sym_void_type] = ACTIONS(2187),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_static] = ACTIONS(2187),
    [anon_sym_enum] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2187),
    [anon_sym_public] = ACTIONS(2187),
    [anon_sym_protected] = ACTIONS(2187),
    [anon_sym_private] = ACTIONS(2187),
    [anon_sym_abstract] = ACTIONS(2187),
    [anon_sym_final] = ACTIONS(2187),
    [anon_sym_strictfp] = ACTIONS(2187),
    [anon_sym_native] = ACTIONS(2187),
    [anon_sym_transient] = ACTIONS(2187),
    [anon_sym_volatile] = ACTIONS(2187),
    [anon_sym_ATinterface] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2187),
    [sym_comment] = ACTIONS(93),
  },
  [842] = {
    [sym_constructor_body] = STATE(1101),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [sym_comment] = ACTIONS(93),
  },
  [843] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(475),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [844] = {
    [sym__semicolon] = STATE(1103),
    [anon_sym_SEMI] = ACTIONS(2191),
    [sym_comment] = ACTIONS(93),
  },
  [845] = {
    [sym_throws] = STATE(1105),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_throws] = ACTIONS(2195),
    [sym_comment] = ACTIONS(93),
  },
  [846] = {
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_LT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2199),
    [anon_sym_synchronized] = ACTIONS(2199),
    [anon_sym_byte] = ACTIONS(2199),
    [anon_sym_short] = ACTIONS(2199),
    [anon_sym_int] = ACTIONS(2199),
    [anon_sym_long] = ACTIONS(2199),
    [anon_sym_char] = ACTIONS(2199),
    [anon_sym_float] = ACTIONS(2199),
    [anon_sym_double] = ACTIONS(2199),
    [sym_boolean_type] = ACTIONS(2199),
    [sym_void_type] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_enum] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_abstract] = ACTIONS(2199),
    [anon_sym_final] = ACTIONS(2199),
    [anon_sym_strictfp] = ACTIONS(2199),
    [anon_sym_native] = ACTIONS(2199),
    [anon_sym_transient] = ACTIONS(2199),
    [anon_sym_volatile] = ACTIONS(2199),
    [anon_sym_ATinterface] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2199),
    [sym_identifier] = ACTIONS(2199),
    [sym_comment] = ACTIONS(93),
  },
  [847] = {
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_LT] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2203),
    [anon_sym_synchronized] = ACTIONS(2203),
    [anon_sym_byte] = ACTIONS(2203),
    [anon_sym_short] = ACTIONS(2203),
    [anon_sym_int] = ACTIONS(2203),
    [anon_sym_long] = ACTIONS(2203),
    [anon_sym_char] = ACTIONS(2203),
    [anon_sym_float] = ACTIONS(2203),
    [anon_sym_double] = ACTIONS(2203),
    [sym_boolean_type] = ACTIONS(2203),
    [sym_void_type] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2203),
    [anon_sym_enum] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_public] = ACTIONS(2203),
    [anon_sym_protected] = ACTIONS(2203),
    [anon_sym_private] = ACTIONS(2203),
    [anon_sym_abstract] = ACTIONS(2203),
    [anon_sym_final] = ACTIONS(2203),
    [anon_sym_strictfp] = ACTIONS(2203),
    [anon_sym_native] = ACTIONS(2203),
    [anon_sym_transient] = ACTIONS(2203),
    [anon_sym_volatile] = ACTIONS(2203),
    [anon_sym_ATinterface] = ACTIONS(2201),
    [anon_sym_interface] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2203),
    [sym_comment] = ACTIONS(93),
  },
  [848] = {
    [sym_constructor_body] = STATE(1101),
    [sym_throws] = STATE(1106),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_throws] = ACTIONS(1761),
    [sym_comment] = ACTIONS(93),
  },
  [849] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(1107),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym_method_declarator] = STATE(845),
    [sym__reserved_identifier] = STATE(843),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(93),
  },
  [850] = {
    [sym__semicolon] = STATE(846),
    [sym_method_body] = STATE(1108),
    [sym_block] = STATE(846),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [851] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(851),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(851),
    [anon_sym_LT] = ACTIONS(854),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(932),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [sym_decimal_integer_literal] = ACTIONS(2207),
    [sym_hex_integer_literal] = ACTIONS(2207),
    [sym_octal_integer_literal] = ACTIONS(2205),
    [sym_binary_integer_literal] = ACTIONS(2205),
    [sym_long_integer_literal] = ACTIONS(2205),
    [sym_decimal_floating_point_literal] = ACTIONS(2205),
    [sym_hex_floating_point_literal] = ACTIONS(2207),
    [sym_true] = ACTIONS(2207),
    [sym_false] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2205),
    [sym_string_literal] = ACTIONS(2205),
    [sym_null_literal] = ACTIONS(2207),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_AMP] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_EQ_EQ] = ACTIONS(2205),
    [anon_sym_GT_EQ] = ACTIONS(2205),
    [anon_sym_LT_EQ] = ACTIONS(2205),
    [anon_sym_BANG_EQ] = ACTIONS(2205),
    [anon_sym_AMP_AMP] = ACTIONS(2205),
    [anon_sym_PIPE_PIPE] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2205),
    [anon_sym_SLASH] = ACTIONS(2207),
    [anon_sym_PIPE] = ACTIONS(2207),
    [anon_sym_CARET] = ACTIONS(2205),
    [anon_sym_PERCENT] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_GT_GT] = ACTIONS(2207),
    [anon_sym_GT_GT_GT] = ACTIONS(2205),
    [anon_sym_instanceof] = ACTIONS(2207),
    [anon_sym_COMMA] = ACTIONS(2205),
    [anon_sym_QMARK] = ACTIONS(2205),
    [anon_sym_COLON] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_assert] = ACTIONS(2207),
    [anon_sym_switch] = ACTIONS(2207),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2207),
    [anon_sym_default] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2207),
    [anon_sym_break] = ACTIONS(2207),
    [anon_sym_continue] = ACTIONS(2207),
    [anon_sym_return] = ACTIONS(2207),
    [anon_sym_synchronized] = ACTIONS(2207),
    [anon_sym_throw] = ACTIONS(2207),
    [anon_sym_try] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_else] = ACTIONS(2207),
    [anon_sym_for] = ACTIONS(2207),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_byte] = ACTIONS(2207),
    [anon_sym_short] = ACTIONS(2207),
    [anon_sym_int] = ACTIONS(2207),
    [anon_sym_long] = ACTIONS(2207),
    [anon_sym_char] = ACTIONS(2207),
    [anon_sym_float] = ACTIONS(2207),
    [anon_sym_double] = ACTIONS(2207),
    [sym_boolean_type] = ACTIONS(2207),
    [sym_void_type] = ACTIONS(2207),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_open] = ACTIONS(2207),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_static] = ACTIONS(2207),
    [anon_sym_DOT] = ACTIONS(2207),
    [anon_sym_package] = ACTIONS(2207),
    [anon_sym_import] = ACTIONS(2207),
    [anon_sym_enum] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2207),
    [anon_sym_public] = ACTIONS(2207),
    [anon_sym_protected] = ACTIONS(2207),
    [anon_sym_private] = ACTIONS(2207),
    [anon_sym_abstract] = ACTIONS(2207),
    [anon_sym_final] = ACTIONS(2207),
    [anon_sym_strictfp] = ACTIONS(2207),
    [anon_sym_native] = ACTIONS(2207),
    [anon_sym_transient] = ACTIONS(2207),
    [anon_sym_volatile] = ACTIONS(2207),
    [anon_sym_new] = ACTIONS(2207),
    [anon_sym_COLON_COLON] = ACTIONS(2205),
    [anon_sym_ATinterface] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2207),
    [sym_this] = ACTIONS(2207),
    [sym_super] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2207),
    [sym_comment] = ACTIONS(93),
  },
  [853] = {
    [sym__semicolon] = STATE(853),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_enum_declaration] = STATE(853),
    [sym_class_declaration] = STATE(853),
    [sym_modifier] = STATE(580),
    [sym_type_parameters] = STATE(576),
    [sym_static_initializer] = STATE(853),
    [sym_constructor_declaration] = STATE(853),
    [sym_constructor_declarator] = STATE(577),
    [sym_field_declaration] = STATE(853),
    [sym_interface_declaration] = STATE(853),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__unann_type] = STATE(578),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_block] = STATE(853),
    [sym_method_declaration] = STATE(853),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(580),
    [aux_sym_enum_body_declarations_repeat1] = STATE(853),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_synchronized] = ACTIONS(2220),
    [anon_sym_byte] = ACTIONS(2223),
    [anon_sym_short] = ACTIONS(2223),
    [anon_sym_int] = ACTIONS(2223),
    [anon_sym_long] = ACTIONS(2223),
    [anon_sym_char] = ACTIONS(2223),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2229),
    [sym_void_type] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_public] = ACTIONS(2220),
    [anon_sym_protected] = ACTIONS(2220),
    [anon_sym_private] = ACTIONS(2220),
    [anon_sym_abstract] = ACTIONS(2220),
    [anon_sym_final] = ACTIONS(2220),
    [anon_sym_strictfp] = ACTIONS(2220),
    [anon_sym_native] = ACTIONS(2220),
    [anon_sym_transient] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_ATinterface] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2247),
    [sym_identifier] = ACTIONS(2250),
    [sym_comment] = ACTIONS(93),
  },
  [854] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1109),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_implements] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [855] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(854),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_implements] = ACTIONS(862),
    [sym_comment] = ACTIONS(93),
  },
  [856] = {
    [sym_class_body] = STATE(1110),
    [anon_sym_LBRACE] = ACTIONS(607),
    [sym_comment] = ACTIONS(93),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [sym_decimal_integer_literal] = ACTIONS(2255),
    [sym_hex_integer_literal] = ACTIONS(2255),
    [sym_octal_integer_literal] = ACTIONS(2253),
    [sym_binary_integer_literal] = ACTIONS(2253),
    [sym_long_integer_literal] = ACTIONS(2253),
    [sym_decimal_floating_point_literal] = ACTIONS(2253),
    [sym_hex_floating_point_literal] = ACTIONS(2255),
    [sym_true] = ACTIONS(2255),
    [sym_false] = ACTIONS(2255),
    [anon_sym_SQUOTE] = ACTIONS(2253),
    [sym_string_literal] = ACTIONS(2253),
    [sym_null_literal] = ACTIONS(2255),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_assert] = ACTIONS(2255),
    [anon_sym_switch] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_case] = ACTIONS(2255),
    [anon_sym_default] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2255),
    [anon_sym_while] = ACTIONS(2255),
    [anon_sym_break] = ACTIONS(2255),
    [anon_sym_continue] = ACTIONS(2255),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_synchronized] = ACTIONS(2255),
    [anon_sym_throw] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2255),
    [anon_sym_if] = ACTIONS(2255),
    [anon_sym_else] = ACTIONS(2255),
    [anon_sym_for] = ACTIONS(2255),
    [anon_sym_byte] = ACTIONS(2255),
    [anon_sym_short] = ACTIONS(2255),
    [anon_sym_int] = ACTIONS(2255),
    [anon_sym_long] = ACTIONS(2255),
    [anon_sym_char] = ACTIONS(2255),
    [anon_sym_float] = ACTIONS(2255),
    [anon_sym_double] = ACTIONS(2255),
    [sym_boolean_type] = ACTIONS(2255),
    [sym_void_type] = ACTIONS(2255),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_open] = ACTIONS(2255),
    [anon_sym_module] = ACTIONS(2255),
    [anon_sym_static] = ACTIONS(2255),
    [anon_sym_package] = ACTIONS(2255),
    [anon_sym_import] = ACTIONS(2255),
    [anon_sym_enum] = ACTIONS(2255),
    [anon_sym_class] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2255),
    [anon_sym_protected] = ACTIONS(2255),
    [anon_sym_private] = ACTIONS(2255),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_final] = ACTIONS(2255),
    [anon_sym_strictfp] = ACTIONS(2255),
    [anon_sym_native] = ACTIONS(2255),
    [anon_sym_transient] = ACTIONS(2255),
    [anon_sym_volatile] = ACTIONS(2255),
    [anon_sym_new] = ACTIONS(2255),
    [anon_sym_ATinterface] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2255),
    [sym_this] = ACTIONS(2255),
    [sym_super] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2255),
    [sym_comment] = ACTIONS(93),
  },
  [858] = {
    [anon_sym_GT] = ACTIONS(2257),
    [anon_sym_COMMA] = ACTIONS(2257),
    [sym_comment] = ACTIONS(93),
  },
  [859] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(595),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [860] = {
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2259),
    [sym_comment] = ACTIONS(93),
  },
  [861] = {
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_RPAREN] = ACTIONS(2261),
    [anon_sym_AMP] = ACTIONS(2261),
    [anon_sym_GT] = ACTIONS(2261),
    [anon_sym_PIPE] = ACTIONS(2261),
    [anon_sym_COMMA] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_byte] = ACTIONS(2263),
    [anon_sym_short] = ACTIONS(2263),
    [anon_sym_int] = ACTIONS(2263),
    [anon_sym_long] = ACTIONS(2263),
    [anon_sym_char] = ACTIONS(2263),
    [anon_sym_float] = ACTIONS(2263),
    [anon_sym_double] = ACTIONS(2263),
    [sym_boolean_type] = ACTIONS(2263),
    [sym_void_type] = ACTIONS(2263),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_open] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_DOT] = ACTIONS(2263),
    [anon_sym_implements] = ACTIONS(2263),
    [anon_sym_new] = ACTIONS(2263),
    [anon_sym_COLON_COLON] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2261),
    [sym_this] = ACTIONS(2263),
    [sym_super] = ACTIONS(2263),
    [sym_identifier] = ACTIONS(2263),
    [sym_comment] = ACTIONS(93),
  },
  [862] = {
    [aux_sym__type_arguments_repeat1] = STATE(862),
    [anon_sym_GT] = ACTIONS(2259),
    [anon_sym_COMMA] = ACTIONS(2265),
    [sym_comment] = ACTIONS(93),
  },
  [863] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(863),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [864] = {
    [anon_sym_GT] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [sym_comment] = ACTIONS(93),
  },
  [865] = {
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym_RPAREN] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_EQ_EQ] = ACTIONS(2270),
    [anon_sym_GT_EQ] = ACTIONS(2270),
    [anon_sym_LT_EQ] = ACTIONS(2270),
    [anon_sym_BANG_EQ] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_PIPE_PIPE] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PIPE] = ACTIONS(2272),
    [anon_sym_CARET] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2270),
    [anon_sym_LT_LT] = ACTIONS(2270),
    [anon_sym_GT_GT] = ACTIONS(2272),
    [anon_sym_GT_GT_GT] = ACTIONS(2270),
    [anon_sym_instanceof] = ACTIONS(2270),
    [anon_sym_COMMA] = ACTIONS(2270),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_COLON] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2270),
    [anon_sym_RBRACK] = ACTIONS(2270),
    [anon_sym_DOT] = ACTIONS(2270),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [sym_comment] = ACTIONS(93),
  },
  [866] = {
    [sym_class_body] = STATE(1111),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym_RPAREN] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_EQ_EQ] = ACTIONS(2270),
    [anon_sym_GT_EQ] = ACTIONS(2270),
    [anon_sym_LT_EQ] = ACTIONS(2270),
    [anon_sym_BANG_EQ] = ACTIONS(2270),
    [anon_sym_AMP_AMP] = ACTIONS(2270),
    [anon_sym_PIPE_PIPE] = ACTIONS(2270),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2272),
    [anon_sym_PIPE] = ACTIONS(2272),
    [anon_sym_CARET] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2270),
    [anon_sym_LT_LT] = ACTIONS(2270),
    [anon_sym_GT_GT] = ACTIONS(2272),
    [anon_sym_GT_GT_GT] = ACTIONS(2270),
    [anon_sym_instanceof] = ACTIONS(2270),
    [anon_sym_COMMA] = ACTIONS(2270),
    [anon_sym_QMARK] = ACTIONS(2270),
    [anon_sym_COLON] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2270),
    [anon_sym_DASH_DASH] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2270),
    [anon_sym_RBRACK] = ACTIONS(2270),
    [anon_sym_DOT] = ACTIONS(2270),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [sym_comment] = ACTIONS(93),
  },
  [867] = {
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_RPAREN] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2276),
    [anon_sym_GT] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_EQ_EQ] = ACTIONS(2274),
    [anon_sym_GT_EQ] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2274),
    [anon_sym_AMP_AMP] = ACTIONS(2274),
    [anon_sym_PIPE_PIPE] = ACTIONS(2274),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_DASH] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2276),
    [anon_sym_PIPE] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2274),
    [anon_sym_LT_LT] = ACTIONS(2274),
    [anon_sym_GT_GT] = ACTIONS(2276),
    [anon_sym_GT_GT_GT] = ACTIONS(2274),
    [anon_sym_instanceof] = ACTIONS(2274),
    [anon_sym_COMMA] = ACTIONS(2274),
    [anon_sym_QMARK] = ACTIONS(2274),
    [anon_sym_COLON] = ACTIONS(2276),
    [anon_sym_PLUS_PLUS] = ACTIONS(2274),
    [anon_sym_DASH_DASH] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_RBRACK] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_DOT] = ACTIONS(2274),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [sym_comment] = ACTIONS(93),
  },
  [868] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(1112),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [869] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [870] = {
    [anon_sym_RBRACE] = ACTIONS(2278),
    [sym_comment] = ACTIONS(93),
  },
  [871] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [872] = {
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2282),
    [anon_sym_EQ_EQ] = ACTIONS(2280),
    [anon_sym_GT_EQ] = ACTIONS(2280),
    [anon_sym_LT_EQ] = ACTIONS(2280),
    [anon_sym_BANG_EQ] = ACTIONS(2280),
    [anon_sym_AMP_AMP] = ACTIONS(2280),
    [anon_sym_PIPE_PIPE] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_SLASH] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_CARET] = ACTIONS(2280),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_LT_LT] = ACTIONS(2280),
    [anon_sym_GT_GT] = ACTIONS(2282),
    [anon_sym_GT_GT_GT] = ACTIONS(2280),
    [anon_sym_instanceof] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_QMARK] = ACTIONS(2280),
    [anon_sym_COLON] = ACTIONS(2282),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_DOT] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2280),
    [sym_comment] = ACTIONS(93),
  },
  [873] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(1114),
    [sym_floating_point_type] = STATE(1114),
    [sym_scoped_type_identifier] = STATE(1116),
    [sym_generic_type] = STATE(1117),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(2284),
    [sym_void_type] = ACTIONS(2284),
    [sym_identifier] = ACTIONS(2286),
    [sym_comment] = ACTIONS(93),
  },
  [874] = {
    [aux_sym_array_initializer_repeat1] = STATE(1125),
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_QMARK] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [sym_comment] = ACTIONS(93),
  },
  [875] = {
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_PLUS_EQ] = ACTIONS(2310),
    [anon_sym_DASH_EQ] = ACTIONS(2310),
    [anon_sym_STAR_EQ] = ACTIONS(2310),
    [anon_sym_SLASH_EQ] = ACTIONS(2310),
    [anon_sym_AMP_EQ] = ACTIONS(2310),
    [anon_sym_PIPE_EQ] = ACTIONS(2310),
    [anon_sym_CARET_EQ] = ACTIONS(2310),
    [anon_sym_PERCENT_EQ] = ACTIONS(2310),
    [anon_sym_LT_LT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_EQ] = ACTIONS(2310),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2310),
    [sym_comment] = ACTIONS(93),
  },
  [876] = {
    [anon_sym_DASH_GT] = ACTIONS(2312),
    [sym_comment] = ACTIONS(93),
  },
  [877] = {
    [aux_sym_array_initializer_repeat1] = STATE(1125),
    [anon_sym_COMMA] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [sym_comment] = ACTIONS(93),
  },
  [878] = {
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_RBRACK] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [879] = {
    [anon_sym_RBRACK] = ACTIONS(2314),
    [sym_comment] = ACTIONS(93),
  },
  [880] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(880),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [881] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(883),
    [sym_cast_expression] = STATE(883),
    [sym_assignment_expression] = STATE(883),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(883),
    [sym_lambda_expression] = STATE(883),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(883),
    [sym_unary_expression] = STATE(883),
    [sym_update_expression] = STATE(883),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [882] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(882),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(882),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [883] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(2329),
    [sym_comment] = ACTIONS(93),
  },
  [884] = {
    [anon_sym_SEMI] = ACTIONS(2331),
    [anon_sym_RPAREN] = ACTIONS(2331),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_GT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2333),
    [anon_sym_EQ_EQ] = ACTIONS(2331),
    [anon_sym_GT_EQ] = ACTIONS(2331),
    [anon_sym_LT_EQ] = ACTIONS(2331),
    [anon_sym_BANG_EQ] = ACTIONS(2331),
    [anon_sym_AMP_AMP] = ACTIONS(2331),
    [anon_sym_PIPE_PIPE] = ACTIONS(2331),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2333),
    [anon_sym_PIPE] = ACTIONS(2333),
    [anon_sym_CARET] = ACTIONS(2331),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [anon_sym_LT_LT] = ACTIONS(2331),
    [anon_sym_GT_GT] = ACTIONS(2333),
    [anon_sym_GT_GT_GT] = ACTIONS(2331),
    [anon_sym_instanceof] = ACTIONS(2331),
    [anon_sym_COMMA] = ACTIONS(2331),
    [anon_sym_QMARK] = ACTIONS(2331),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_PLUS_PLUS] = ACTIONS(2331),
    [anon_sym_DASH_DASH] = ACTIONS(2331),
    [anon_sym_RBRACE] = ACTIONS(2331),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [anon_sym_RBRACK] = ACTIONS(2331),
    [anon_sym_DOT] = ACTIONS(2331),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [sym_comment] = ACTIONS(93),
  },
  [885] = {
    [sym_class_body] = STATE(1130),
    [anon_sym_SEMI] = ACTIONS(2331),
    [anon_sym_RPAREN] = ACTIONS(2331),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_GT] = ACTIONS(2333),
    [anon_sym_LT] = ACTIONS(2333),
    [anon_sym_EQ_EQ] = ACTIONS(2331),
    [anon_sym_GT_EQ] = ACTIONS(2331),
    [anon_sym_LT_EQ] = ACTIONS(2331),
    [anon_sym_BANG_EQ] = ACTIONS(2331),
    [anon_sym_AMP_AMP] = ACTIONS(2331),
    [anon_sym_PIPE_PIPE] = ACTIONS(2331),
    [anon_sym_PLUS] = ACTIONS(2333),
    [anon_sym_DASH] = ACTIONS(2333),
    [anon_sym_STAR] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2333),
    [anon_sym_PIPE] = ACTIONS(2333),
    [anon_sym_CARET] = ACTIONS(2331),
    [anon_sym_PERCENT] = ACTIONS(2331),
    [anon_sym_LT_LT] = ACTIONS(2331),
    [anon_sym_GT_GT] = ACTIONS(2333),
    [anon_sym_GT_GT_GT] = ACTIONS(2331),
    [anon_sym_instanceof] = ACTIONS(2331),
    [anon_sym_COMMA] = ACTIONS(2331),
    [anon_sym_QMARK] = ACTIONS(2331),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_PLUS_PLUS] = ACTIONS(2331),
    [anon_sym_DASH_DASH] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2331),
    [anon_sym_LBRACK] = ACTIONS(2331),
    [anon_sym_RBRACK] = ACTIONS(2331),
    [anon_sym_DOT] = ACTIONS(2331),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [sym_comment] = ACTIONS(93),
  },
  [886] = {
    [anon_sym_RPAREN] = ACTIONS(2335),
    [sym_comment] = ACTIONS(93),
  },
  [887] = {
    [sym_class_body] = STATE(1132),
    [anon_sym_SEMI] = ACTIONS(2337),
    [anon_sym_RPAREN] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2339),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_EQ_EQ] = ACTIONS(2337),
    [anon_sym_GT_EQ] = ACTIONS(2337),
    [anon_sym_LT_EQ] = ACTIONS(2337),
    [anon_sym_BANG_EQ] = ACTIONS(2337),
    [anon_sym_AMP_AMP] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PIPE] = ACTIONS(2339),
    [anon_sym_CARET] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_LT_LT] = ACTIONS(2337),
    [anon_sym_GT_GT] = ACTIONS(2339),
    [anon_sym_GT_GT_GT] = ACTIONS(2337),
    [anon_sym_instanceof] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_COLON] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2337),
    [anon_sym_DASH_DASH] = ACTIONS(2337),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_RBRACK] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(2337),
    [anon_sym_COLON_COLON] = ACTIONS(2337),
    [sym_comment] = ACTIONS(93),
  },
  [888] = {
    [anon_sym_RPAREN] = ACTIONS(2341),
    [sym_comment] = ACTIONS(93),
  },
  [889] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(475),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(2343),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [890] = {
    [sym__semicolon] = STATE(1135),
    [anon_sym_SEMI] = ACTIONS(2345),
    [sym_comment] = ACTIONS(93),
  },
  [891] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(1137),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym__reserved_identifier] = STATE(250),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(2347),
    [sym_comment] = ACTIONS(93),
  },
  [892] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(892),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(892),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(932),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2349),
    [anon_sym_SEMI] = ACTIONS(2349),
    [sym_decimal_integer_literal] = ACTIONS(2351),
    [sym_hex_integer_literal] = ACTIONS(2351),
    [sym_octal_integer_literal] = ACTIONS(2349),
    [sym_binary_integer_literal] = ACTIONS(2349),
    [sym_long_integer_literal] = ACTIONS(2349),
    [sym_decimal_floating_point_literal] = ACTIONS(2349),
    [sym_hex_floating_point_literal] = ACTIONS(2351),
    [sym_true] = ACTIONS(2351),
    [sym_false] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2349),
    [sym_string_literal] = ACTIONS(2349),
    [sym_null_literal] = ACTIONS(2351),
    [anon_sym_LPAREN] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_PLUS] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(2351),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2349),
    [anon_sym_DASH_DASH] = ACTIONS(2349),
    [anon_sym_assert] = ACTIONS(2351),
    [anon_sym_switch] = ACTIONS(2351),
    [anon_sym_LBRACE] = ACTIONS(2349),
    [anon_sym_RBRACE] = ACTIONS(2349),
    [anon_sym_case] = ACTIONS(2351),
    [anon_sym_default] = ACTIONS(2351),
    [anon_sym_do] = ACTIONS(2351),
    [anon_sym_while] = ACTIONS(2351),
    [anon_sym_break] = ACTIONS(2351),
    [anon_sym_continue] = ACTIONS(2351),
    [anon_sym_return] = ACTIONS(2351),
    [anon_sym_synchronized] = ACTIONS(2351),
    [anon_sym_throw] = ACTIONS(2351),
    [anon_sym_try] = ACTIONS(2351),
    [anon_sym_if] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2351),
    [anon_sym_for] = ACTIONS(2351),
    [anon_sym_byte] = ACTIONS(2351),
    [anon_sym_short] = ACTIONS(2351),
    [anon_sym_int] = ACTIONS(2351),
    [anon_sym_long] = ACTIONS(2351),
    [anon_sym_char] = ACTIONS(2351),
    [anon_sym_float] = ACTIONS(2351),
    [anon_sym_double] = ACTIONS(2351),
    [sym_boolean_type] = ACTIONS(2351),
    [sym_void_type] = ACTIONS(2351),
    [anon_sym_AT] = ACTIONS(2351),
    [anon_sym_open] = ACTIONS(2351),
    [anon_sym_module] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2351),
    [anon_sym_package] = ACTIONS(2351),
    [anon_sym_import] = ACTIONS(2351),
    [anon_sym_enum] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_public] = ACTIONS(2351),
    [anon_sym_protected] = ACTIONS(2351),
    [anon_sym_private] = ACTIONS(2351),
    [anon_sym_abstract] = ACTIONS(2351),
    [anon_sym_final] = ACTIONS(2351),
    [anon_sym_strictfp] = ACTIONS(2351),
    [anon_sym_native] = ACTIONS(2351),
    [anon_sym_transient] = ACTIONS(2351),
    [anon_sym_volatile] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2351),
    [anon_sym_ATinterface] = ACTIONS(2349),
    [anon_sym_interface] = ACTIONS(2351),
    [sym_this] = ACTIONS(2351),
    [sym_super] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2351),
    [sym_comment] = ACTIONS(93),
  },
  [894] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(617),
    [sym_modifier] = STATE(619),
    [sym_interface_declaration] = STATE(617),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_annotation_type_member_declaration] = STATE(894),
    [sym_annotation_type_element_declaration] = STATE(617),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_constant_declaration] = STATE(617),
    [sym__unann_type] = STATE(618),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(619),
    [aux_sym_annotation_type_body_repeat1] = STATE(894),
    [anon_sym_RBRACE] = ACTIONS(2353),
    [anon_sym_default] = ACTIONS(2355),
    [anon_sym_synchronized] = ACTIONS(2355),
    [anon_sym_byte] = ACTIONS(2358),
    [anon_sym_short] = ACTIONS(2358),
    [anon_sym_int] = ACTIONS(2358),
    [anon_sym_long] = ACTIONS(2358),
    [anon_sym_char] = ACTIONS(2358),
    [anon_sym_float] = ACTIONS(2361),
    [anon_sym_double] = ACTIONS(2361),
    [sym_boolean_type] = ACTIONS(2364),
    [sym_void_type] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_static] = ACTIONS(2355),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_strictfp] = ACTIONS(2355),
    [anon_sym_native] = ACTIONS(2355),
    [anon_sym_transient] = ACTIONS(2355),
    [anon_sym_volatile] = ACTIONS(2355),
    [anon_sym_ATinterface] = ACTIONS(2373),
    [anon_sym_interface] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2379),
    [sym_comment] = ACTIONS(93),
  },
  [895] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(1137),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(253),
    [sym_method_declarator] = STATE(845),
    [sym__reserved_identifier] = STATE(843),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1763),
    [sym_comment] = ACTIONS(93),
  },
  [896] = {
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_modifier] = STATE(896),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(896),
    [anon_sym_LT] = ACTIONS(854),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(932),
    [sym_identifier] = ACTIONS(932),
    [sym_comment] = ACTIONS(93),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [sym_decimal_integer_literal] = ACTIONS(2384),
    [sym_hex_integer_literal] = ACTIONS(2384),
    [sym_octal_integer_literal] = ACTIONS(2382),
    [sym_binary_integer_literal] = ACTIONS(2382),
    [sym_long_integer_literal] = ACTIONS(2382),
    [sym_decimal_floating_point_literal] = ACTIONS(2382),
    [sym_hex_floating_point_literal] = ACTIONS(2384),
    [sym_true] = ACTIONS(2384),
    [sym_false] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [sym_string_literal] = ACTIONS(2382),
    [sym_null_literal] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_assert] = ACTIONS(2384),
    [anon_sym_switch] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2384),
    [anon_sym_do] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2384),
    [anon_sym_break] = ACTIONS(2384),
    [anon_sym_continue] = ACTIONS(2384),
    [anon_sym_return] = ACTIONS(2384),
    [anon_sym_synchronized] = ACTIONS(2384),
    [anon_sym_throw] = ACTIONS(2384),
    [anon_sym_try] = ACTIONS(2384),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2384),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_byte] = ACTIONS(2384),
    [anon_sym_short] = ACTIONS(2384),
    [anon_sym_int] = ACTIONS(2384),
    [anon_sym_long] = ACTIONS(2384),
    [anon_sym_char] = ACTIONS(2384),
    [anon_sym_float] = ACTIONS(2384),
    [anon_sym_double] = ACTIONS(2384),
    [sym_boolean_type] = ACTIONS(2384),
    [sym_void_type] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2384),
    [anon_sym_open] = ACTIONS(2384),
    [anon_sym_module] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2384),
    [anon_sym_package] = ACTIONS(2384),
    [anon_sym_import] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2384),
    [anon_sym_public] = ACTIONS(2384),
    [anon_sym_protected] = ACTIONS(2384),
    [anon_sym_private] = ACTIONS(2384),
    [anon_sym_abstract] = ACTIONS(2384),
    [anon_sym_final] = ACTIONS(2384),
    [anon_sym_strictfp] = ACTIONS(2384),
    [anon_sym_native] = ACTIONS(2384),
    [anon_sym_transient] = ACTIONS(2384),
    [anon_sym_volatile] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2384),
    [anon_sym_ATinterface] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2384),
    [sym_this] = ACTIONS(2384),
    [sym_super] = ACTIONS(2384),
    [sym_identifier] = ACTIONS(2384),
    [sym_comment] = ACTIONS(93),
  },
  [898] = {
    [sym__semicolon] = STATE(622),
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(12),
    [sym_normal_annotation] = STATE(12),
    [sym_marker_annotation] = STATE(12),
    [sym_single_element_annotation] = STATE(12),
    [sym_class_declaration] = STATE(622),
    [sym_modifier] = STATE(625),
    [sym_type_parameters] = STATE(623),
    [sym_interface_declaration] = STATE(622),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym_interface_member_declaration] = STATE(898),
    [sym_constant_declaration] = STATE(622),
    [sym__unann_type] = STATE(624),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_method_header] = STATE(579),
    [sym_method_declaration] = STATE(622),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(625),
    [aux_sym_interface_body_repeat1] = STATE(898),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_RBRACE] = ACTIONS(2392),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_synchronized] = ACTIONS(2394),
    [anon_sym_byte] = ACTIONS(2397),
    [anon_sym_short] = ACTIONS(2397),
    [anon_sym_int] = ACTIONS(2397),
    [anon_sym_long] = ACTIONS(2397),
    [anon_sym_char] = ACTIONS(2397),
    [anon_sym_float] = ACTIONS(2400),
    [anon_sym_double] = ACTIONS(2400),
    [sym_boolean_type] = ACTIONS(2403),
    [sym_void_type] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2406),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2409),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_final] = ACTIONS(2394),
    [anon_sym_strictfp] = ACTIONS(2394),
    [anon_sym_native] = ACTIONS(2394),
    [anon_sym_transient] = ACTIONS(2394),
    [anon_sym_volatile] = ACTIONS(2394),
    [anon_sym_ATinterface] = ACTIONS(2412),
    [anon_sym_interface] = ACTIONS(2415),
    [sym_identifier] = ACTIONS(2418),
    [sym_comment] = ACTIONS(93),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2421),
    [anon_sym_SEMI] = ACTIONS(2421),
    [sym_decimal_integer_literal] = ACTIONS(2423),
    [sym_hex_integer_literal] = ACTIONS(2423),
    [sym_octal_integer_literal] = ACTIONS(2421),
    [sym_binary_integer_literal] = ACTIONS(2421),
    [sym_long_integer_literal] = ACTIONS(2421),
    [sym_decimal_floating_point_literal] = ACTIONS(2421),
    [sym_hex_floating_point_literal] = ACTIONS(2423),
    [sym_true] = ACTIONS(2423),
    [sym_false] = ACTIONS(2423),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [sym_string_literal] = ACTIONS(2421),
    [sym_null_literal] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2421),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_PLUS] = ACTIONS(2423),
    [anon_sym_DASH] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2421),
    [anon_sym_TILDE] = ACTIONS(2421),
    [anon_sym_PLUS_PLUS] = ACTIONS(2421),
    [anon_sym_DASH_DASH] = ACTIONS(2421),
    [anon_sym_assert] = ACTIONS(2423),
    [anon_sym_switch] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2421),
    [anon_sym_RBRACE] = ACTIONS(2421),
    [anon_sym_case] = ACTIONS(2423),
    [anon_sym_default] = ACTIONS(2423),
    [anon_sym_do] = ACTIONS(2423),
    [anon_sym_while] = ACTIONS(2423),
    [anon_sym_break] = ACTIONS(2423),
    [anon_sym_continue] = ACTIONS(2423),
    [anon_sym_return] = ACTIONS(2423),
    [anon_sym_synchronized] = ACTIONS(2423),
    [anon_sym_throw] = ACTIONS(2423),
    [anon_sym_try] = ACTIONS(2423),
    [anon_sym_if] = ACTIONS(2423),
    [anon_sym_else] = ACTIONS(2423),
    [anon_sym_for] = ACTIONS(2423),
    [anon_sym_byte] = ACTIONS(2423),
    [anon_sym_short] = ACTIONS(2423),
    [anon_sym_int] = ACTIONS(2423),
    [anon_sym_long] = ACTIONS(2423),
    [anon_sym_char] = ACTIONS(2423),
    [anon_sym_float] = ACTIONS(2423),
    [anon_sym_double] = ACTIONS(2423),
    [sym_boolean_type] = ACTIONS(2423),
    [sym_void_type] = ACTIONS(2423),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_open] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_package] = ACTIONS(2423),
    [anon_sym_import] = ACTIONS(2423),
    [anon_sym_enum] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_abstract] = ACTIONS(2423),
    [anon_sym_final] = ACTIONS(2423),
    [anon_sym_strictfp] = ACTIONS(2423),
    [anon_sym_native] = ACTIONS(2423),
    [anon_sym_transient] = ACTIONS(2423),
    [anon_sym_volatile] = ACTIONS(2423),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_ATinterface] = ACTIONS(2421),
    [anon_sym_interface] = ACTIONS(2423),
    [sym_this] = ACTIONS(2423),
    [sym_super] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2423),
    [sym_comment] = ACTIONS(93),
  },
  [900] = {
    [anon_sym_SEMI] = ACTIONS(2425),
    [anon_sym_RPAREN] = ACTIONS(2425),
    [anon_sym_AMP] = ACTIONS(2427),
    [anon_sym_GT] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2425),
    [anon_sym_GT_EQ] = ACTIONS(2425),
    [anon_sym_LT_EQ] = ACTIONS(2425),
    [anon_sym_BANG_EQ] = ACTIONS(2425),
    [anon_sym_AMP_AMP] = ACTIONS(2425),
    [anon_sym_PIPE_PIPE] = ACTIONS(2425),
    [anon_sym_PLUS] = ACTIONS(2427),
    [anon_sym_DASH] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2425),
    [anon_sym_SLASH] = ACTIONS(2427),
    [anon_sym_PIPE] = ACTIONS(2427),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(2425),
    [anon_sym_LT_LT] = ACTIONS(2425),
    [anon_sym_GT_GT] = ACTIONS(2427),
    [anon_sym_GT_GT_GT] = ACTIONS(2425),
    [anon_sym_instanceof] = ACTIONS(2425),
    [anon_sym_COMMA] = ACTIONS(2425),
    [anon_sym_QMARK] = ACTIONS(2425),
    [anon_sym_COLON] = ACTIONS(2427),
    [anon_sym_PLUS_PLUS] = ACTIONS(2425),
    [anon_sym_DASH_DASH] = ACTIONS(2425),
    [anon_sym_RBRACE] = ACTIONS(2425),
    [anon_sym_LBRACK] = ACTIONS(2425),
    [anon_sym_RBRACK] = ACTIONS(2425),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_COLON_COLON] = ACTIONS(2425),
    [sym_comment] = ACTIONS(93),
  },
  [901] = {
    [anon_sym_RPAREN] = ACTIONS(2429),
    [sym_comment] = ACTIONS(93),
  },
  [902] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1139),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2429),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [903] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [904] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(2431),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [905] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1141),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [906] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1142),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1142),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [907] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1141),
    [anon_sym_RPAREN] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [908] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [909] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [910] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [911] = {
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [912] = {
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [913] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2433),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [914] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2435),
    [sym_comment] = ACTIONS(93),
  },
  [915] = {
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [916] = {
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [917] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [918] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [919] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1145),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_RBRACK] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [920] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1146),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1146),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_RBRACK] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [921] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1145),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_RBRACK] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [922] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [923] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [924] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [925] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [926] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [927] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1474),
    [sym_comment] = ACTIONS(93),
  },
  [928] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [sym_comment] = ACTIONS(93),
  },
  [929] = {
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2444),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_GT_GT] = ACTIONS(2446),
    [anon_sym_GT_GT_GT] = ACTIONS(2446),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_RBRACK] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [sym_comment] = ACTIONS(93),
  },
  [930] = {
    [sym_identifier] = ACTIONS(2448),
    [sym_comment] = ACTIONS(93),
  },
  [931] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [932] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [933] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1151),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_COLON] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [934] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1152),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1152),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [935] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1151),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [936] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [937] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [938] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [939] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [940] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [941] = {
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [942] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [943] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [944] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(1060),
    [sym_enum_constant] = STATE(1155),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [945] = {
    [sym_super_interfaces] = STATE(1156),
    [sym_class_body] = STATE(1110),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_implements] = ACTIONS(603),
    [sym_comment] = ACTIONS(93),
  },
  [946] = {
    [sym_interface_body] = STATE(1157),
    [anon_sym_LBRACE] = ACTIONS(629),
    [sym_comment] = ACTIONS(93),
  },
  [947] = {
    [sym_module_directive] = STATE(1158),
    [aux_sym_module_declaration_repeat1] = STATE(1158),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [948] = {
    [anon_sym_QMARK] = ACTIONS(2087),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_synchronized] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_byte] = ACTIONS(2089),
    [anon_sym_short] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_long] = ACTIONS(2089),
    [anon_sym_char] = ACTIONS(2089),
    [anon_sym_float] = ACTIONS(2089),
    [anon_sym_double] = ACTIONS(2089),
    [sym_boolean_type] = ACTIONS(2089),
    [sym_void_type] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2087),
    [anon_sym_open] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_final] = ACTIONS(2089),
    [anon_sym_strictfp] = ACTIONS(2089),
    [anon_sym_native] = ACTIONS(2089),
    [anon_sym_transient] = ACTIONS(2089),
    [anon_sym_volatile] = ACTIONS(2089),
    [sym_identifier] = ACTIONS(2089),
    [sym_comment] = ACTIONS(93),
  },
  [949] = {
    [anon_sym_QMARK] = ACTIONS(2091),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_synchronized] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_byte] = ACTIONS(2093),
    [anon_sym_short] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_long] = ACTIONS(2093),
    [anon_sym_char] = ACTIONS(2093),
    [anon_sym_float] = ACTIONS(2093),
    [anon_sym_double] = ACTIONS(2093),
    [sym_boolean_type] = ACTIONS(2093),
    [sym_void_type] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_open] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_final] = ACTIONS(2093),
    [anon_sym_strictfp] = ACTIONS(2093),
    [anon_sym_native] = ACTIONS(2093),
    [anon_sym_transient] = ACTIONS(2093),
    [anon_sym_volatile] = ACTIONS(2093),
    [sym_identifier] = ACTIONS(2093),
    [sym_comment] = ACTIONS(93),
  },
  [950] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(950),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [951] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(951),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(951),
    [anon_sym_RPAREN] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [952] = {
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [953] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(953),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [954] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(954),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [955] = {
    [anon_sym_RPAREN] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [956] = {
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [sym_comment] = ACTIONS(93),
  },
  [957] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(216),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(925),
    [sym_comment] = ACTIONS(93),
  },
  [958] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1159),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [959] = {
    [anon_sym_RPAREN] = ACTIONS(2460),
    [sym_comment] = ACTIONS(93),
  },
  [960] = {
    [anon_sym_RPAREN] = ACTIONS(2462),
    [anon_sym_COMMA] = ACTIONS(2462),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_synchronized] = ACTIONS(2464),
    [anon_sym_byte] = ACTIONS(2464),
    [anon_sym_short] = ACTIONS(2464),
    [anon_sym_int] = ACTIONS(2464),
    [anon_sym_long] = ACTIONS(2464),
    [anon_sym_char] = ACTIONS(2464),
    [anon_sym_float] = ACTIONS(2464),
    [anon_sym_double] = ACTIONS(2464),
    [sym_boolean_type] = ACTIONS(2464),
    [sym_void_type] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_strictfp] = ACTIONS(2464),
    [anon_sym_native] = ACTIONS(2464),
    [anon_sym_transient] = ACTIONS(2464),
    [anon_sym_volatile] = ACTIONS(2464),
    [sym_identifier] = ACTIONS(2464),
    [sym_comment] = ACTIONS(93),
  },
  [961] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(961),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [962] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(962),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(962),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [963] = {
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(471),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(475),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(485),
    [anon_sym_CARET] = ACTIONS(477),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(481),
    [anon_sym_instanceof] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [sym_decimal_integer_literal] = ACTIONS(2468),
    [sym_hex_integer_literal] = ACTIONS(2468),
    [sym_octal_integer_literal] = ACTIONS(2466),
    [sym_binary_integer_literal] = ACTIONS(2466),
    [sym_long_integer_literal] = ACTIONS(2466),
    [sym_decimal_floating_point_literal] = ACTIONS(2466),
    [sym_hex_floating_point_literal] = ACTIONS(2468),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_string_literal] = ACTIONS(2466),
    [sym_null_literal] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [anon_sym_assert] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_synchronized] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_byte] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_int] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_char] = ACTIONS(2468),
    [anon_sym_float] = ACTIONS(2468),
    [anon_sym_double] = ACTIONS(2468),
    [sym_boolean_type] = ACTIONS(2468),
    [sym_void_type] = ACTIONS(2468),
    [anon_sym_AT] = ACTIONS(2468),
    [anon_sym_open] = ACTIONS(2468),
    [anon_sym_module] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_package] = ACTIONS(2468),
    [anon_sym_import] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_abstract] = ACTIONS(2468),
    [anon_sym_final] = ACTIONS(2468),
    [anon_sym_strictfp] = ACTIONS(2468),
    [anon_sym_native] = ACTIONS(2468),
    [anon_sym_transient] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_ATinterface] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
    [sym_super] = ACTIONS(2468),
    [sym_identifier] = ACTIONS(2468),
    [sym_comment] = ACTIONS(93),
  },
  [965] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1161),
    [sym_cast_expression] = STATE(1161),
    [sym_assignment_expression] = STATE(1161),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(1161),
    [sym_lambda_expression] = STATE(1161),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(1161),
    [sym_unary_expression] = STATE(1161),
    [sym_update_expression] = STATE(1161),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [966] = {
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(165),
    [anon_sym_byte] = ACTIONS(165),
    [anon_sym_short] = ACTIONS(165),
    [anon_sym_int] = ACTIONS(165),
    [anon_sym_long] = ACTIONS(165),
    [anon_sym_char] = ACTIONS(165),
    [anon_sym_float] = ACTIONS(165),
    [anon_sym_double] = ACTIONS(165),
    [sym_boolean_type] = ACTIONS(165),
    [sym_void_type] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(165),
    [anon_sym_enum] = ACTIONS(165),
    [anon_sym_class] = ACTIONS(165),
    [anon_sym_public] = ACTIONS(165),
    [anon_sym_protected] = ACTIONS(165),
    [anon_sym_private] = ACTIONS(165),
    [anon_sym_abstract] = ACTIONS(165),
    [anon_sym_final] = ACTIONS(165),
    [anon_sym_strictfp] = ACTIONS(165),
    [anon_sym_native] = ACTIONS(165),
    [anon_sym_transient] = ACTIONS(165),
    [anon_sym_volatile] = ACTIONS(165),
    [anon_sym_ATinterface] = ACTIONS(163),
    [anon_sym_interface] = ACTIONS(165),
    [sym_identifier] = ACTIONS(165),
    [sym_comment] = ACTIONS(93),
  },
  [967] = {
    [anon_sym_LPAREN] = ACTIONS(2472),
    [sym_comment] = ACTIONS(93),
  },
  [968] = {
    [sym_resource_specification] = STATE(1164),
    [sym_block] = STATE(1165),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [969] = {
    [anon_sym_LPAREN] = ACTIONS(2474),
    [sym_comment] = ACTIONS(93),
  },
  [970] = {
    [anon_sym_LPAREN] = ACTIONS(2476),
    [sym_comment] = ACTIONS(93),
  },
  [971] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(252),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [972] = {
    [sym__statement] = STATE(1170),
    [sym__method_statement] = STATE(1170),
    [sym__expression_statement] = STATE(1170),
    [sym__semicolon] = STATE(1170),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1170),
    [sym_assert_statement] = STATE(1170),
    [sym_switch_statement] = STATE(1170),
    [sym_switch_label] = STATE(1170),
    [sym_do_statement] = STATE(1170),
    [sym_break_statement] = STATE(1170),
    [sym_continue_statement] = STATE(1170),
    [sym_return_statement] = STATE(1170),
    [sym_synchronized_statement] = STATE(1170),
    [sym_throw_statement] = STATE(1170),
    [sym_try_statement] = STATE(1170),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1170),
    [sym_while_statement] = STATE(1170),
    [sym_for_statement] = STATE(1170),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(1170),
    [sym_module_declaration] = STATE(1170),
    [sym_package_declaration] = STATE(1170),
    [sym_import_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_class_declaration] = STATE(1170),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1170),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1170),
    [sym_local_variable_declaration_statement] = STATE(1170),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_switch_block_repeat1] = STATE(1170),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2480),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(93),
  },
  [973] = {
    [anon_sym_LPAREN] = ACTIONS(2484),
    [sym_comment] = ACTIONS(93),
  },
  [974] = {
    [sym_resource_specification] = STATE(1172),
    [sym_block] = STATE(1173),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [975] = {
    [anon_sym_LPAREN] = ACTIONS(2486),
    [sym_comment] = ACTIONS(93),
  },
  [976] = {
    [anon_sym_LPAREN] = ACTIONS(2488),
    [sym_comment] = ACTIONS(93),
  },
  [977] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [978] = {
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [979] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [980] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1180),
    [anon_sym_RPAREN] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [981] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1181),
    [sym_cast_expression] = STATE(1181),
    [sym_assignment_expression] = STATE(1181),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1181),
    [sym_lambda_expression] = STATE(1181),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1181),
    [sym_unary_expression] = STATE(1181),
    [sym_update_expression] = STATE(1181),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [982] = {
    [sym__semicolon] = STATE(1182),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [983] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1183),
    [sym_cast_expression] = STATE(1183),
    [sym_assignment_expression] = STATE(1183),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1183),
    [sym_lambda_expression] = STATE(1183),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1183),
    [sym_unary_expression] = STATE(1183),
    [sym_update_expression] = STATE(1183),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [984] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(2500),
    [sym_comment] = ACTIONS(93),
  },
  [985] = {
    [anon_sym_LPAREN] = ACTIONS(2502),
    [sym_comment] = ACTIONS(93),
  },
  [986] = {
    [sym_resource_specification] = STATE(1186),
    [sym_block] = STATE(1187),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [987] = {
    [anon_sym_LPAREN] = ACTIONS(2504),
    [sym_comment] = ACTIONS(93),
  },
  [988] = {
    [anon_sym_LPAREN] = ACTIONS(2506),
    [sym_comment] = ACTIONS(93),
  },
  [989] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [990] = {
    [anon_sym_while] = ACTIONS(2054),
    [anon_sym_else] = ACTIONS(2510),
    [sym_comment] = ACTIONS(93),
  },
  [991] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [992] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1194),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [993] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1195),
    [sym_cast_expression] = STATE(1195),
    [sym_assignment_expression] = STATE(1195),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1195),
    [sym_lambda_expression] = STATE(1195),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1195),
    [sym_unary_expression] = STATE(1195),
    [sym_update_expression] = STATE(1195),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [994] = {
    [sym__semicolon] = STATE(1196),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [995] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1197),
    [sym_cast_expression] = STATE(1197),
    [sym_assignment_expression] = STATE(1197),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1197),
    [sym_lambda_expression] = STATE(1197),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1197),
    [sym_unary_expression] = STATE(1197),
    [sym_update_expression] = STATE(1197),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [996] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(2518),
    [sym_comment] = ACTIONS(93),
  },
  [997] = {
    [sym__semicolon] = STATE(1199),
    [anon_sym_SEMI] = ACTIONS(2520),
    [sym_comment] = ACTIONS(93),
  },
  [998] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1200),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [999] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1201),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1201),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1000] = {
    [anon_sym_LBRACE] = ACTIONS(2522),
    [sym_comment] = ACTIONS(93),
  },
  [1001] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym_resource] = STATE(753),
    [sym_variable_access] = STATE(277),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(283),
    [sym_scoped_identifier] = STATE(278),
    [sym__primary] = STATE(279),
    [sym_array_creation_expression] = STATE(279),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(280),
    [sym_array_access] = STATE(48),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(281),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(282),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(283),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(553),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(555),
    [sym_comment] = ACTIONS(93),
  },
  [1002] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1002),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1003] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(74),
    [sym_cast_expression] = STATE(74),
    [sym_assignment_expression] = STATE(74),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(74),
    [sym_lambda_expression] = STATE(74),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(74),
    [sym_unary_expression] = STATE(74),
    [sym_update_expression] = STATE(74),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(1202),
    [sym__unann_type] = STATE(79),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(80),
    [sym_receiver_parameter] = STATE(81),
    [sym_spread_parameter] = STATE(82),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(84),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_COMMA] = ACTIONS(119),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(133),
    [sym_comment] = ACTIONS(93),
  },
  [1004] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(86),
    [sym_assignment_expression] = STATE(86),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(86),
    [sym_lambda_expression] = STATE(86),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(86),
    [sym_unary_expression] = STATE(86),
    [sym_update_expression] = STATE(86),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1005] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(88),
    [sym_cast_expression] = STATE(88),
    [sym_assignment_expression] = STATE(88),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(88),
    [sym_lambda_expression] = STATE(88),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(88),
    [sym_unary_expression] = STATE(88),
    [sym_update_expression] = STATE(88),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1006] = {
    [sym__type_arguments] = STATE(142),
    [sym_integral_type] = STATE(1203),
    [sym_floating_point_type] = STATE(1203),
    [sym_scoped_type_identifier] = STATE(1205),
    [sym_generic_type] = STATE(1206),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(2524),
    [sym_void_type] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2526),
    [sym_comment] = ACTIONS(93),
  },
  [1007] = {
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_RPAREN] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1008] = {
    [anon_sym_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2550),
    [sym_comment] = ACTIONS(93),
  },
  [1009] = {
    [anon_sym_DASH_GT] = ACTIONS(2552),
    [sym_comment] = ACTIONS(93),
  },
  [1010] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1215),
    [sym_cast_expression] = STATE(1215),
    [sym_assignment_expression] = STATE(1215),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1215),
    [sym_lambda_expression] = STATE(1215),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1215),
    [sym_update_expression] = STATE(1215),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1011] = {
    [sym_block] = STATE(1216),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1012] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1217),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1013] = {
    [anon_sym_RPAREN] = ACTIONS(2554),
    [sym_comment] = ACTIONS(93),
  },
  [1014] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(1220),
    [sym_normal_annotation] = STATE(1220),
    [sym_marker_annotation] = STATE(1220),
    [sym_single_element_annotation] = STATE(1220),
    [sym__type] = STATE(1218),
    [sym__unann_type] = STATE(1219),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(1220),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1015] = {
    [aux_sym_catch_type_repeat1] = STATE(1221),
    [anon_sym_PIPE] = ACTIONS(2042),
    [anon_sym_open] = ACTIONS(2556),
    [anon_sym_module] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2556),
    [sym_comment] = ACTIONS(93),
  },
  [1016] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1222),
    [anon_sym_PIPE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [1017] = {
    [sym_variable_declarator_id] = STATE(1223),
    [sym__reserved_identifier] = STATE(1012),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(2040),
    [sym_comment] = ACTIONS(93),
  },
  [1018] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1224),
    [sym_cast_expression] = STATE(1224),
    [sym_assignment_expression] = STATE(1224),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1224),
    [sym_lambda_expression] = STATE(1224),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1224),
    [sym_unary_expression] = STATE(1224),
    [sym_update_expression] = STATE(1224),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1019] = {
    [sym_block] = STATE(1225),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1020] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(1226),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(1226),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [1021] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1227),
    [sym_cast_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1227),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1227),
    [sym_lambda_expression] = STATE(1227),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1227),
    [sym_unary_expression] = STATE(1227),
    [sym_update_expression] = STATE(1227),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1022] = {
    [sym__semicolon] = STATE(1228),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(1229),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(1231),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(1230),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(1231),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(2558),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1023] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1642),
    [sym_comment] = ACTIONS(93),
  },
  [1024] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(93),
  },
  [1025] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1026] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1233),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1027] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1234),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1234),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1028] = {
    [anon_sym_LPAREN] = ACTIONS(191),
    [sym_comment] = ACTIONS(93),
  },
  [1029] = {
    [anon_sym_COLON] = ACTIONS(2562),
    [sym_comment] = ACTIONS(93),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2564),
    [sym_decimal_integer_literal] = ACTIONS(2566),
    [sym_hex_integer_literal] = ACTIONS(2566),
    [sym_octal_integer_literal] = ACTIONS(2564),
    [sym_binary_integer_literal] = ACTIONS(2564),
    [sym_long_integer_literal] = ACTIONS(2564),
    [sym_decimal_floating_point_literal] = ACTIONS(2564),
    [sym_hex_floating_point_literal] = ACTIONS(2566),
    [sym_true] = ACTIONS(2566),
    [sym_false] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2564),
    [sym_string_literal] = ACTIONS(2564),
    [sym_null_literal] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2564),
    [anon_sym_TILDE] = ACTIONS(2564),
    [anon_sym_PLUS_PLUS] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2564),
    [anon_sym_assert] = ACTIONS(2566),
    [anon_sym_switch] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_do] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_break] = ACTIONS(2566),
    [anon_sym_continue] = ACTIONS(2566),
    [anon_sym_return] = ACTIONS(2566),
    [anon_sym_synchronized] = ACTIONS(2566),
    [anon_sym_throw] = ACTIONS(2566),
    [anon_sym_try] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_else] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2566),
    [anon_sym_byte] = ACTIONS(2566),
    [anon_sym_short] = ACTIONS(2566),
    [anon_sym_int] = ACTIONS(2566),
    [anon_sym_long] = ACTIONS(2566),
    [anon_sym_char] = ACTIONS(2566),
    [anon_sym_float] = ACTIONS(2566),
    [anon_sym_double] = ACTIONS(2566),
    [sym_boolean_type] = ACTIONS(2566),
    [sym_void_type] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_open] = ACTIONS(2566),
    [anon_sym_module] = ACTIONS(2566),
    [anon_sym_static] = ACTIONS(2566),
    [anon_sym_package] = ACTIONS(2566),
    [anon_sym_import] = ACTIONS(2566),
    [anon_sym_enum] = ACTIONS(2566),
    [anon_sym_class] = ACTIONS(2566),
    [anon_sym_public] = ACTIONS(2566),
    [anon_sym_protected] = ACTIONS(2566),
    [anon_sym_private] = ACTIONS(2566),
    [anon_sym_abstract] = ACTIONS(2566),
    [anon_sym_final] = ACTIONS(2566),
    [anon_sym_strictfp] = ACTIONS(2566),
    [anon_sym_native] = ACTIONS(2566),
    [anon_sym_transient] = ACTIONS(2566),
    [anon_sym_volatile] = ACTIONS(2566),
    [anon_sym_new] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2564),
    [anon_sym_interface] = ACTIONS(2566),
    [sym_this] = ACTIONS(2566),
    [sym_super] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2566),
    [sym_comment] = ACTIONS(93),
  },
  [1031] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1032] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1033] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1237),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1034] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1238),
    [sym_cast_expression] = STATE(1238),
    [sym_assignment_expression] = STATE(1238),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(1238),
    [sym_lambda_expression] = STATE(1238),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(1238),
    [sym_unary_expression] = STATE(1238),
    [sym_update_expression] = STATE(1238),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1035] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1239),
    [sym_cast_expression] = STATE(1239),
    [sym_assignment_expression] = STATE(1239),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1239),
    [sym_lambda_expression] = STATE(1239),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1239),
    [sym_unary_expression] = STATE(1239),
    [sym_update_expression] = STATE(1239),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1036] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1036),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_EQ] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1037] = {
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1038] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1241),
    [sym_cast_expression] = STATE(1241),
    [sym_assignment_expression] = STATE(1241),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1241),
    [sym_lambda_expression] = STATE(1241),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1241),
    [sym_unary_expression] = STATE(1241),
    [sym_update_expression] = STATE(1241),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1039] = {
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [sym_comment] = ACTIONS(93),
  },
  [1040] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(1243),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [1041] = {
    [aux_sym_element_value_array_initializer_repeat1] = STATE(1245),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [sym_comment] = ACTIONS(93),
  },
  [1042] = {
    [anon_sym_RPAREN] = ACTIONS(2580),
    [anon_sym_COMMA] = ACTIONS(2580),
    [sym_comment] = ACTIONS(93),
  },
  [1043] = {
    [anon_sym_EQ] = ACTIONS(1674),
    [sym_comment] = ACTIONS(93),
  },
  [1044] = {
    [anon_sym_RPAREN] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2582),
    [sym_comment] = ACTIONS(93),
  },
  [1045] = {
    [aux_sym_element_value_pair_list_repeat1] = STATE(1045),
    [anon_sym_RPAREN] = ACTIONS(2582),
    [anon_sym_COMMA] = ACTIONS(2584),
    [sym_comment] = ACTIONS(93),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2587),
    [sym_decimal_integer_literal] = ACTIONS(2589),
    [sym_hex_integer_literal] = ACTIONS(2589),
    [sym_octal_integer_literal] = ACTIONS(2587),
    [sym_binary_integer_literal] = ACTIONS(2587),
    [sym_long_integer_literal] = ACTIONS(2587),
    [sym_decimal_floating_point_literal] = ACTIONS(2587),
    [sym_hex_floating_point_literal] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [sym_string_literal] = ACTIONS(2587),
    [sym_null_literal] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_synchronized] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_byte] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_int] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_char] = ACTIONS(2589),
    [anon_sym_float] = ACTIONS(2589),
    [anon_sym_double] = ACTIONS(2589),
    [sym_boolean_type] = ACTIONS(2589),
    [sym_void_type] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_open] = ACTIONS(2589),
    [anon_sym_module] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_package] = ACTIONS(2589),
    [anon_sym_import] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_public] = ACTIONS(2589),
    [anon_sym_protected] = ACTIONS(2589),
    [anon_sym_private] = ACTIONS(2589),
    [anon_sym_abstract] = ACTIONS(2589),
    [anon_sym_final] = ACTIONS(2589),
    [anon_sym_strictfp] = ACTIONS(2589),
    [anon_sym_native] = ACTIONS(2589),
    [anon_sym_transient] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_ATinterface] = ACTIONS(2587),
    [anon_sym_interface] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
    [sym_super] = ACTIONS(2589),
    [sym_identifier] = ACTIONS(2589),
    [sym_comment] = ACTIONS(93),
  },
  [1047] = {
    [sym_identifier] = ACTIONS(2591),
    [sym_comment] = ACTIONS(93),
  },
  [1048] = {
    [anon_sym_RBRACE] = ACTIONS(2593),
    [anon_sym_requires] = ACTIONS(2593),
    [anon_sym_exports] = ACTIONS(2593),
    [anon_sym_opens] = ACTIONS(2593),
    [anon_sym_uses] = ACTIONS(2593),
    [anon_sym_provides] = ACTIONS(2593),
    [sym_comment] = ACTIONS(93),
  },
  [1049] = {
    [sym__semicolon] = STATE(1247),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_DOT] = ACTIONS(2111),
    [sym_comment] = ACTIONS(93),
  },
  [1050] = {
    [sym_requires_modifier] = STATE(1050),
    [aux_sym_module_directive_repeat1] = STATE(1050),
    [anon_sym_transitive] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [sym_identifier] = ACTIONS(2600),
    [sym_comment] = ACTIONS(93),
  },
  [1051] = {
    [sym_module_name] = STATE(1248),
    [sym_identifier] = ACTIONS(2602),
    [sym_comment] = ACTIONS(93),
  },
  [1052] = {
    [sym__semicolon] = STATE(1247),
    [sym_module_name] = STATE(1249),
    [aux_sym_module_directive_repeat2] = STATE(1250),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_identifier] = ACTIONS(2602),
    [sym_comment] = ACTIONS(93),
  },
  [1053] = {
    [sym__semicolon] = STATE(1247),
    [aux_sym_module_directive_repeat2] = STATE(1250),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_DOT] = ACTIONS(2111),
    [sym_comment] = ACTIONS(93),
  },
  [1054] = {
    [sym__semicolon] = STATE(1247),
    [aux_sym_module_directive_repeat2] = STATE(1251),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_comment] = ACTIONS(93),
  },
  [1055] = {
    [sym_scoped_identifier] = STATE(1252),
    [sym__reserved_identifier] = STATE(1252),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(2604),
    [sym_comment] = ACTIONS(93),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [sym_decimal_integer_literal] = ACTIONS(2608),
    [sym_hex_integer_literal] = ACTIONS(2608),
    [sym_octal_integer_literal] = ACTIONS(2606),
    [sym_binary_integer_literal] = ACTIONS(2606),
    [sym_long_integer_literal] = ACTIONS(2606),
    [sym_decimal_floating_point_literal] = ACTIONS(2606),
    [sym_hex_floating_point_literal] = ACTIONS(2608),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [sym_string_literal] = ACTIONS(2606),
    [sym_null_literal] = ACTIONS(2608),
    [anon_sym_LPAREN] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_assert] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_synchronized] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_byte] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_int] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_char] = ACTIONS(2608),
    [anon_sym_float] = ACTIONS(2608),
    [anon_sym_double] = ACTIONS(2608),
    [sym_boolean_type] = ACTIONS(2608),
    [sym_void_type] = ACTIONS(2608),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_open] = ACTIONS(2608),
    [anon_sym_module] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_package] = ACTIONS(2608),
    [anon_sym_import] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_abstract] = ACTIONS(2608),
    [anon_sym_final] = ACTIONS(2608),
    [anon_sym_strictfp] = ACTIONS(2608),
    [anon_sym_native] = ACTIONS(2608),
    [anon_sym_transient] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_interface] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
    [sym_super] = ACTIONS(2608),
    [sym_identifier] = ACTIONS(2608),
    [sym_comment] = ACTIONS(93),
  },
  [1057] = {
    [sym__semicolon] = STATE(1253),
    [anon_sym_SEMI] = ACTIONS(2610),
    [sym_comment] = ACTIONS(93),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2612),
    [sym_decimal_integer_literal] = ACTIONS(2614),
    [sym_hex_integer_literal] = ACTIONS(2614),
    [sym_octal_integer_literal] = ACTIONS(2612),
    [sym_binary_integer_literal] = ACTIONS(2612),
    [sym_long_integer_literal] = ACTIONS(2612),
    [sym_decimal_floating_point_literal] = ACTIONS(2612),
    [sym_hex_floating_point_literal] = ACTIONS(2614),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [sym_string_literal] = ACTIONS(2612),
    [sym_null_literal] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2612),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [anon_sym_assert] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_synchronized] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_byte] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_int] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_char] = ACTIONS(2614),
    [anon_sym_float] = ACTIONS(2614),
    [anon_sym_double] = ACTIONS(2614),
    [sym_boolean_type] = ACTIONS(2614),
    [sym_void_type] = ACTIONS(2614),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_open] = ACTIONS(2614),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_package] = ACTIONS(2614),
    [anon_sym_import] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_abstract] = ACTIONS(2614),
    [anon_sym_final] = ACTIONS(2614),
    [anon_sym_strictfp] = ACTIONS(2614),
    [anon_sym_native] = ACTIONS(2614),
    [anon_sym_transient] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_ATinterface] = ACTIONS(2612),
    [anon_sym_interface] = ACTIONS(2614),
    [sym_this] = ACTIONS(2614),
    [sym_super] = ACTIONS(2614),
    [sym_identifier] = ACTIONS(2614),
    [sym_comment] = ACTIONS(93),
  },
  [1059] = {
    [anon_sym_RPAREN] = ACTIONS(2616),
    [sym_comment] = ACTIONS(93),
  },
  [1060] = {
    [anon_sym_RBRACE] = ACTIONS(2618),
    [sym_comment] = ACTIONS(93),
  },
  [1061] = {
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym_COMMA] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [sym_comment] = ACTIONS(93),
  },
  [1062] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(1256),
    [sym_enum_constant] = STATE(1061),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [1063] = {
    [aux_sym_enum_declaration_repeat1] = STATE(1063),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [sym_comment] = ACTIONS(93),
  },
  [1064] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1258),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1065] = {
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_COMMA] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [sym_comment] = ACTIONS(93),
  },
  [1066] = {
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [sym_comment] = ACTIONS(93),
  },
  [1067] = {
    [aux_sym_interface_type_list_repeat1] = STATE(1067),
    [anon_sym_COMMA] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [sym_comment] = ACTIONS(93),
  },
  [1068] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1068),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1069] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1256),
    [aux_sym_enum_declaration_repeat1] = STATE(1063),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [sym_comment] = ACTIONS(93),
  },
  [1070] = {
    [aux_sym_type_bound_repeat1] = STATE(1261),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(2636),
    [sym_comment] = ACTIONS(93),
  },
  [1071] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1262),
    [anon_sym_AMP] = ACTIONS(345),
    [anon_sym_GT] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1072] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(1263),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1073] = {
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [sym_comment] = ACTIONS(93),
  },
  [1074] = {
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_extends] = ACTIONS(2642),
    [anon_sym_byte] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_int] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_char] = ACTIONS(2642),
    [anon_sym_float] = ACTIONS(2642),
    [anon_sym_double] = ACTIONS(2642),
    [sym_boolean_type] = ACTIONS(2642),
    [sym_void_type] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_implements] = ACTIONS(2642),
    [sym_identifier] = ACTIONS(2642),
    [sym_comment] = ACTIONS(93),
  },
  [1075] = {
    [aux_sym_type_parameters_repeat1] = STATE(1075),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2644),
    [sym_comment] = ACTIONS(93),
  },
  [1076] = {
    [anon_sym_GT] = ACTIONS(2647),
    [anon_sym_COMMA] = ACTIONS(2647),
    [sym_comment] = ACTIONS(93),
  },
  [1077] = {
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_throws] = ACTIONS(2649),
    [sym_comment] = ACTIONS(93),
  },
  [1078] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1265),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1079] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(216),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1266),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(445),
    [sym_this] = ACTIONS(447),
    [sym_identifier] = ACTIONS(449),
    [sym_comment] = ACTIONS(93),
  },
  [1080] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1265),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(1268),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1081] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1270),
    [sym_spread_parameter] = STATE(1265),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1082] = {
    [anon_sym_RPAREN] = ACTIONS(2651),
    [sym_comment] = ACTIONS(93),
  },
  [1083] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(1271),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1084] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(1079),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1270),
    [sym_receiver_parameter] = STATE(1272),
    [sym_spread_parameter] = STATE(1265),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(1083),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1085] = {
    [anon_sym_LPAREN] = ACTIONS(2189),
    [sym_comment] = ACTIONS(93),
  },
  [1086] = {
    [sym_throws] = STATE(1273),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_throws] = ACTIONS(2195),
    [sym_comment] = ACTIONS(93),
  },
  [1087] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_method_declarator] = STATE(1274),
    [sym__reserved_identifier] = STATE(1085),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(2173),
    [sym_comment] = ACTIONS(93),
  },
  [1088] = {
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_LT] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_synchronized] = ACTIONS(2661),
    [anon_sym_byte] = ACTIONS(2661),
    [anon_sym_short] = ACTIONS(2661),
    [anon_sym_int] = ACTIONS(2661),
    [anon_sym_long] = ACTIONS(2661),
    [anon_sym_char] = ACTIONS(2661),
    [anon_sym_float] = ACTIONS(2661),
    [anon_sym_double] = ACTIONS(2661),
    [sym_boolean_type] = ACTIONS(2661),
    [sym_void_type] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2661),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_public] = ACTIONS(2661),
    [anon_sym_protected] = ACTIONS(2661),
    [anon_sym_private] = ACTIONS(2661),
    [anon_sym_abstract] = ACTIONS(2661),
    [anon_sym_final] = ACTIONS(2661),
    [anon_sym_strictfp] = ACTIONS(2661),
    [anon_sym_native] = ACTIONS(2661),
    [anon_sym_transient] = ACTIONS(2661),
    [anon_sym_volatile] = ACTIONS(2661),
    [anon_sym_ATinterface] = ACTIONS(2659),
    [anon_sym_interface] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2661),
    [sym_comment] = ACTIONS(93),
  },
  [1089] = {
    [anon_sym_SEMI] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(2663),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_LT] = ACTIONS(337),
    [anon_sym_EQ_EQ] = ACTIONS(335),
    [anon_sym_GT_EQ] = ACTIONS(335),
    [anon_sym_LT_EQ] = ACTIONS(335),
    [anon_sym_BANG_EQ] = ACTIONS(335),
    [anon_sym_AMP_AMP] = ACTIONS(335),
    [anon_sym_PIPE_PIPE] = ACTIONS(335),
    [anon_sym_PLUS] = ACTIONS(337),
    [anon_sym_DASH] = ACTIONS(337),
    [anon_sym_STAR] = ACTIONS(335),
    [anon_sym_SLASH] = ACTIONS(337),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(335),
    [anon_sym_PERCENT] = ACTIONS(335),
    [anon_sym_LT_LT] = ACTIONS(335),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(335),
    [anon_sym_instanceof] = ACTIONS(335),
    [anon_sym_QMARK] = ACTIONS(335),
    [anon_sym_PLUS_PLUS] = ACTIONS(335),
    [anon_sym_DASH_DASH] = ACTIONS(335),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_DOT] = ACTIONS(335),
    [anon_sym_COLON_COLON] = ACTIONS(335),
    [sym_comment] = ACTIONS(93),
  },
  [1090] = {
    [anon_sym_LPAREN] = ACTIONS(2663),
    [anon_sym_DOT] = ACTIONS(246),
    [sym_comment] = ACTIONS(93),
  },
  [1091] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(252),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(505),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_open] = ACTIONS(408),
    [anon_sym_module] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_identifier] = ACTIONS(408),
    [sym_comment] = ACTIONS(93),
  },
  [1092] = {
    [sym_this] = ACTIONS(2667),
    [sym_super] = ACTIONS(2667),
    [sym_comment] = ACTIONS(93),
  },
  [1093] = {
    [sym__statement] = STATE(1279),
    [sym__method_statement] = STATE(1279),
    [sym__expression_statement] = STATE(1279),
    [sym__semicolon] = STATE(1279),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1279),
    [sym_assert_statement] = STATE(1279),
    [sym_switch_statement] = STATE(1279),
    [sym_do_statement] = STATE(1279),
    [sym_break_statement] = STATE(1279),
    [sym_continue_statement] = STATE(1279),
    [sym_return_statement] = STATE(1279),
    [sym_synchronized_statement] = STATE(1279),
    [sym_throw_statement] = STATE(1279),
    [sym_try_statement] = STATE(1279),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1279),
    [sym_while_statement] = STATE(1279),
    [sym_for_statement] = STATE(1279),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(1279),
    [sym_module_declaration] = STATE(1279),
    [sym_package_declaration] = STATE(1279),
    [sym_import_declaration] = STATE(1279),
    [sym_enum_declaration] = STATE(1279),
    [sym_class_declaration] = STATE(1279),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1279),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1279),
    [sym_local_variable_declaration_statement] = STATE(1279),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(1279),
    [anon_sym_SEMI] = ACTIONS(2669),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [1094] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(2673),
    [sym_comment] = ACTIONS(93),
  },
  [1095] = {
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(248),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(248),
    [anon_sym_PERCENT] = ACTIONS(248),
    [anon_sym_LT_LT] = ACTIONS(248),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(248),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(2675),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [1096] = {
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(2673),
    [sym_comment] = ACTIONS(93),
  },
  [1097] = {
    [sym__statement] = STATE(259),
    [sym__method_statement] = STATE(259),
    [sym__expression_statement] = STATE(259),
    [sym__semicolon] = STATE(259),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(259),
    [sym_assert_statement] = STATE(259),
    [sym_switch_statement] = STATE(259),
    [sym_do_statement] = STATE(259),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(259),
    [sym_return_statement] = STATE(259),
    [sym_synchronized_statement] = STATE(259),
    [sym_throw_statement] = STATE(259),
    [sym_try_statement] = STATE(259),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(259),
    [sym_while_statement] = STATE(259),
    [sym_for_statement] = STATE(259),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(259),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(259),
    [sym_local_variable_declaration_statement] = STATE(259),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(259),
    [anon_sym_SEMI] = ACTIONS(517),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [1098] = {
    [anon_sym_SEMI] = ACTIONS(2677),
    [anon_sym_COMMA] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [sym_comment] = ACTIONS(93),
  },
  [1099] = {
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [sym_comment] = ACTIONS(93),
  },
  [1100] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1283),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [sym_comment] = ACTIONS(93),
  },
  [1101] = {
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_synchronized] = ACTIONS(2687),
    [anon_sym_byte] = ACTIONS(2687),
    [anon_sym_short] = ACTIONS(2687),
    [anon_sym_int] = ACTIONS(2687),
    [anon_sym_long] = ACTIONS(2687),
    [anon_sym_char] = ACTIONS(2687),
    [anon_sym_float] = ACTIONS(2687),
    [anon_sym_double] = ACTIONS(2687),
    [sym_boolean_type] = ACTIONS(2687),
    [sym_void_type] = ACTIONS(2687),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2687),
    [anon_sym_public] = ACTIONS(2687),
    [anon_sym_protected] = ACTIONS(2687),
    [anon_sym_private] = ACTIONS(2687),
    [anon_sym_abstract] = ACTIONS(2687),
    [anon_sym_final] = ACTIONS(2687),
    [anon_sym_strictfp] = ACTIONS(2687),
    [anon_sym_native] = ACTIONS(2687),
    [anon_sym_transient] = ACTIONS(2687),
    [anon_sym_volatile] = ACTIONS(2687),
    [anon_sym_ATinterface] = ACTIONS(2685),
    [anon_sym_interface] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2687),
    [sym_comment] = ACTIONS(93),
  },
  [1102] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(1079),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1286),
    [sym_receiver_parameter] = STATE(1287),
    [sym_spread_parameter] = STATE(1288),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [aux_sym_wildcard_repeat1] = STATE(1083),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1103] = {
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_synchronized] = ACTIONS(2695),
    [anon_sym_byte] = ACTIONS(2695),
    [anon_sym_short] = ACTIONS(2695),
    [anon_sym_int] = ACTIONS(2695),
    [anon_sym_long] = ACTIONS(2695),
    [anon_sym_char] = ACTIONS(2695),
    [anon_sym_float] = ACTIONS(2695),
    [anon_sym_double] = ACTIONS(2695),
    [sym_boolean_type] = ACTIONS(2695),
    [sym_void_type] = ACTIONS(2695),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2695),
    [anon_sym_public] = ACTIONS(2695),
    [anon_sym_protected] = ACTIONS(2695),
    [anon_sym_private] = ACTIONS(2695),
    [anon_sym_abstract] = ACTIONS(2695),
    [anon_sym_final] = ACTIONS(2695),
    [anon_sym_strictfp] = ACTIONS(2695),
    [anon_sym_native] = ACTIONS(2695),
    [anon_sym_transient] = ACTIONS(2695),
    [anon_sym_volatile] = ACTIONS(2695),
    [anon_sym_ATinterface] = ACTIONS(2693),
    [anon_sym_interface] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(2695),
    [sym_comment] = ACTIONS(93),
  },
  [1104] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(1291),
    [sym_normal_annotation] = STATE(1291),
    [sym_marker_annotation] = STATE(1291),
    [sym_single_element_annotation] = STATE(1291),
    [sym__type] = STATE(1098),
    [sym__unann_type] = STATE(1289),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_exception_type_list] = STATE(1099),
    [sym_exception_type] = STATE(1290),
    [aux_sym_wildcard_repeat1] = STATE(1291),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1105] = {
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [sym_comment] = ACTIONS(93),
  },
  [1106] = {
    [sym_constructor_body] = STATE(1292),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [sym_comment] = ACTIONS(93),
  },
  [1107] = {
    [sym__semicolon] = STATE(1293),
    [anon_sym_SEMI] = ACTIONS(2697),
    [sym_comment] = ACTIONS(93),
  },
  [1108] = {
    [anon_sym_SEMI] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2701),
    [anon_sym_synchronized] = ACTIONS(2701),
    [anon_sym_byte] = ACTIONS(2701),
    [anon_sym_short] = ACTIONS(2701),
    [anon_sym_int] = ACTIONS(2701),
    [anon_sym_long] = ACTIONS(2701),
    [anon_sym_char] = ACTIONS(2701),
    [anon_sym_float] = ACTIONS(2701),
    [anon_sym_double] = ACTIONS(2701),
    [sym_boolean_type] = ACTIONS(2701),
    [sym_void_type] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2701),
    [anon_sym_static] = ACTIONS(2701),
    [anon_sym_enum] = ACTIONS(2701),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_public] = ACTIONS(2701),
    [anon_sym_protected] = ACTIONS(2701),
    [anon_sym_private] = ACTIONS(2701),
    [anon_sym_abstract] = ACTIONS(2701),
    [anon_sym_final] = ACTIONS(2701),
    [anon_sym_strictfp] = ACTIONS(2701),
    [anon_sym_native] = ACTIONS(2701),
    [anon_sym_transient] = ACTIONS(2701),
    [anon_sym_volatile] = ACTIONS(2701),
    [anon_sym_ATinterface] = ACTIONS(2699),
    [anon_sym_interface] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2701),
    [sym_comment] = ACTIONS(93),
  },
  [1109] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1109),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_implements] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1110] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [sym_decimal_integer_literal] = ACTIONS(2705),
    [sym_hex_integer_literal] = ACTIONS(2705),
    [sym_octal_integer_literal] = ACTIONS(2703),
    [sym_binary_integer_literal] = ACTIONS(2703),
    [sym_long_integer_literal] = ACTIONS(2703),
    [sym_decimal_floating_point_literal] = ACTIONS(2703),
    [sym_hex_floating_point_literal] = ACTIONS(2705),
    [sym_true] = ACTIONS(2705),
    [sym_false] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2703),
    [sym_string_literal] = ACTIONS(2703),
    [sym_null_literal] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2703),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_PLUS_PLUS] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2703),
    [anon_sym_assert] = ACTIONS(2705),
    [anon_sym_switch] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(2703),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2705),
    [anon_sym_default] = ACTIONS(2705),
    [anon_sym_do] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(2705),
    [anon_sym_break] = ACTIONS(2705),
    [anon_sym_continue] = ACTIONS(2705),
    [anon_sym_return] = ACTIONS(2705),
    [anon_sym_synchronized] = ACTIONS(2705),
    [anon_sym_throw] = ACTIONS(2705),
    [anon_sym_try] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_else] = ACTIONS(2705),
    [anon_sym_for] = ACTIONS(2705),
    [anon_sym_byte] = ACTIONS(2705),
    [anon_sym_short] = ACTIONS(2705),
    [anon_sym_int] = ACTIONS(2705),
    [anon_sym_long] = ACTIONS(2705),
    [anon_sym_char] = ACTIONS(2705),
    [anon_sym_float] = ACTIONS(2705),
    [anon_sym_double] = ACTIONS(2705),
    [sym_boolean_type] = ACTIONS(2705),
    [sym_void_type] = ACTIONS(2705),
    [anon_sym_AT] = ACTIONS(2705),
    [anon_sym_open] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2705),
    [anon_sym_static] = ACTIONS(2705),
    [anon_sym_package] = ACTIONS(2705),
    [anon_sym_import] = ACTIONS(2705),
    [anon_sym_enum] = ACTIONS(2705),
    [anon_sym_class] = ACTIONS(2705),
    [anon_sym_public] = ACTIONS(2705),
    [anon_sym_protected] = ACTIONS(2705),
    [anon_sym_private] = ACTIONS(2705),
    [anon_sym_abstract] = ACTIONS(2705),
    [anon_sym_final] = ACTIONS(2705),
    [anon_sym_strictfp] = ACTIONS(2705),
    [anon_sym_native] = ACTIONS(2705),
    [anon_sym_transient] = ACTIONS(2705),
    [anon_sym_volatile] = ACTIONS(2705),
    [anon_sym_new] = ACTIONS(2705),
    [anon_sym_ATinterface] = ACTIONS(2703),
    [anon_sym_interface] = ACTIONS(2705),
    [sym_this] = ACTIONS(2705),
    [sym_super] = ACTIONS(2705),
    [sym_identifier] = ACTIONS(2705),
    [sym_comment] = ACTIONS(93),
  },
  [1111] = {
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_RPAREN] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2707),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2707),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_PIPE] = ACTIONS(2709),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_GT_GT] = ACTIONS(2709),
    [anon_sym_GT_GT_GT] = ACTIONS(2707),
    [anon_sym_instanceof] = ACTIONS(2707),
    [anon_sym_COMMA] = ACTIONS(2707),
    [anon_sym_QMARK] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2707),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_RBRACK] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [sym_comment] = ACTIONS(93),
  },
  [1112] = {
    [sym_additional_bound] = STATE(1295),
    [aux_sym_cast_expression_repeat1] = STATE(1295),
    [anon_sym_RPAREN] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [1113] = {
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_EQ_EQ] = ACTIONS(2713),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2713),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2713),
    [anon_sym_PIPE_PIPE] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2713),
    [anon_sym_LT_LT] = ACTIONS(2713),
    [anon_sym_GT_GT] = ACTIONS(2715),
    [anon_sym_GT_GT_GT] = ACTIONS(2713),
    [anon_sym_instanceof] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_COLON] = ACTIONS(2715),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_RBRACK] = ACTIONS(2713),
    [anon_sym_DOT] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [sym_comment] = ACTIONS(93),
  },
  [1114] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1296),
    [sym_dims_expr] = STATE(1297),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1115] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1298),
    [sym_dims_expr] = STATE(1297),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [1116] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1296),
    [sym_dims_expr] = STATE(1297),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [1117] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1296),
    [sym_dims_expr] = STATE(1297),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [1118] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1299),
    [sym_cast_expression] = STATE(1299),
    [sym_assignment_expression] = STATE(1299),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1299),
    [sym_lambda_expression] = STATE(1299),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1299),
    [sym_unary_expression] = STATE(1299),
    [sym_update_expression] = STATE(1299),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1119] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1300),
    [sym_cast_expression] = STATE(1300),
    [sym_assignment_expression] = STATE(1300),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1300),
    [sym_lambda_expression] = STATE(1300),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1300),
    [sym_unary_expression] = STATE(1300),
    [sym_update_expression] = STATE(1300),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1120] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1301),
    [sym_cast_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(1301),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1301),
    [sym_lambda_expression] = STATE(1301),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1301),
    [sym_unary_expression] = STATE(1301),
    [sym_update_expression] = STATE(1301),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1121] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1302),
    [sym_cast_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1302),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1302),
    [sym_lambda_expression] = STATE(1302),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1122] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1123] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1304),
    [sym_cast_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(1304),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1304),
    [sym_lambda_expression] = STATE(1304),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1304),
    [sym_unary_expression] = STATE(1304),
    [sym_update_expression] = STATE(1304),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(1305),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1124] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1306),
    [sym_cast_expression] = STATE(1306),
    [sym_assignment_expression] = STATE(1306),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(1306),
    [sym_lambda_expression] = STATE(1306),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(1306),
    [sym_unary_expression] = STATE(1306),
    [sym_update_expression] = STATE(1306),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1125] = {
    [aux_sym_array_initializer_repeat1] = STATE(1308),
    [anon_sym_COMMA] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [sym_comment] = ACTIONS(93),
  },
  [1126] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1309),
    [sym_cast_expression] = STATE(1309),
    [sym_assignment_expression] = STATE(1309),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1309),
    [sym_lambda_expression] = STATE(1309),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1309),
    [sym_unary_expression] = STATE(1309),
    [sym_update_expression] = STATE(1309),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1127] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1310),
    [sym_cast_expression] = STATE(1310),
    [sym_assignment_expression] = STATE(1310),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1310),
    [sym_lambda_expression] = STATE(1310),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(1310),
    [sym_unary_expression] = STATE(1310),
    [sym_update_expression] = STATE(1310),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1128] = {
    [anon_sym_SEMI] = ACTIONS(1891),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_AMP] = ACTIONS(1893),
    [anon_sym_GT] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1891),
    [anon_sym_GT_EQ] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1891),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1893),
    [anon_sym_PIPE] = ACTIONS(1893),
    [anon_sym_CARET] = ACTIONS(1891),
    [anon_sym_PERCENT] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1891),
    [anon_sym_GT_GT] = ACTIONS(1893),
    [anon_sym_GT_GT_GT] = ACTIONS(1891),
    [anon_sym_instanceof] = ACTIONS(1891),
    [anon_sym_COMMA] = ACTIONS(1891),
    [anon_sym_QMARK] = ACTIONS(1891),
    [anon_sym_COLON] = ACTIONS(1893),
    [anon_sym_PLUS_PLUS] = ACTIONS(1891),
    [anon_sym_DASH_DASH] = ACTIONS(1891),
    [anon_sym_RBRACE] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [anon_sym_RBRACK] = ACTIONS(1891),
    [anon_sym_AT] = ACTIONS(1891),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_COLON_COLON] = ACTIONS(1891),
    [sym_comment] = ACTIONS(93),
  },
  [1129] = {
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_EQ_EQ] = ACTIONS(2721),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2721),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2721),
    [anon_sym_PIPE_PIPE] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2721),
    [anon_sym_LT_LT] = ACTIONS(2721),
    [anon_sym_GT_GT] = ACTIONS(2723),
    [anon_sym_GT_GT_GT] = ACTIONS(2721),
    [anon_sym_instanceof] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_COLON] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_RBRACK] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2721),
    [anon_sym_DOT] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [sym_comment] = ACTIONS(93),
  },
  [1130] = {
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_EQ_EQ] = ACTIONS(2725),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2725),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2725),
    [anon_sym_PIPE_PIPE] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2725),
    [anon_sym_LT_LT] = ACTIONS(2725),
    [anon_sym_GT_GT] = ACTIONS(2727),
    [anon_sym_GT_GT_GT] = ACTIONS(2725),
    [anon_sym_instanceof] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_COLON] = ACTIONS(2727),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_RBRACK] = ACTIONS(2725),
    [anon_sym_DOT] = ACTIONS(2725),
    [anon_sym_COLON_COLON] = ACTIONS(2725),
    [sym_comment] = ACTIONS(93),
  },
  [1131] = {
    [sym_class_body] = STATE(1311),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_RPAREN] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2707),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2707),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_PIPE] = ACTIONS(2709),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_GT_GT] = ACTIONS(2709),
    [anon_sym_GT_GT_GT] = ACTIONS(2707),
    [anon_sym_instanceof] = ACTIONS(2707),
    [anon_sym_COMMA] = ACTIONS(2707),
    [anon_sym_QMARK] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [anon_sym_RBRACK] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [sym_comment] = ACTIONS(93),
  },
  [1132] = {
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2729),
    [anon_sym_PIPE_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2729),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2729),
    [anon_sym_LT_LT] = ACTIONS(2729),
    [anon_sym_GT_GT] = ACTIONS(2731),
    [anon_sym_GT_GT_GT] = ACTIONS(2729),
    [anon_sym_instanceof] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_COLON] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_RBRACK] = ACTIONS(2729),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2729),
    [sym_comment] = ACTIONS(93),
  },
  [1133] = {
    [sym_class_body] = STATE(1312),
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2729),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2729),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2729),
    [anon_sym_PIPE_PIPE] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2729),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2729),
    [anon_sym_LT_LT] = ACTIONS(2729),
    [anon_sym_GT_GT] = ACTIONS(2731),
    [anon_sym_GT_GT_GT] = ACTIONS(2729),
    [anon_sym_instanceof] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_COLON] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2729),
    [anon_sym_RBRACK] = ACTIONS(2729),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_COLON_COLON] = ACTIONS(2729),
    [sym_comment] = ACTIONS(93),
  },
  [1134] = {
    [anon_sym_RPAREN] = ACTIONS(2733),
    [sym_comment] = ACTIONS(93),
  },
  [1135] = {
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_default] = ACTIONS(2737),
    [anon_sym_synchronized] = ACTIONS(2737),
    [anon_sym_byte] = ACTIONS(2737),
    [anon_sym_short] = ACTIONS(2737),
    [anon_sym_int] = ACTIONS(2737),
    [anon_sym_long] = ACTIONS(2737),
    [anon_sym_char] = ACTIONS(2737),
    [anon_sym_float] = ACTIONS(2737),
    [anon_sym_double] = ACTIONS(2737),
    [sym_boolean_type] = ACTIONS(2737),
    [sym_void_type] = ACTIONS(2737),
    [anon_sym_AT] = ACTIONS(2737),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_class] = ACTIONS(2737),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_abstract] = ACTIONS(2737),
    [anon_sym_final] = ACTIONS(2737),
    [anon_sym_strictfp] = ACTIONS(2737),
    [anon_sym_native] = ACTIONS(2737),
    [anon_sym_transient] = ACTIONS(2737),
    [anon_sym_volatile] = ACTIONS(2737),
    [anon_sym_ATinterface] = ACTIONS(2735),
    [anon_sym_interface] = ACTIONS(2737),
    [sym_identifier] = ACTIONS(2737),
    [sym_comment] = ACTIONS(93),
  },
  [1136] = {
    [sym_dims] = STATE(439),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(475),
    [anon_sym_SEMI] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(2739),
    [anon_sym_EQ] = ACTIONS(908),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1137] = {
    [sym__semicolon] = STATE(1315),
    [anon_sym_SEMI] = ACTIONS(2741),
    [sym_comment] = ACTIONS(93),
  },
  [1138] = {
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_RPAREN] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2745),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_LT] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2743),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_GT_GT] = ACTIONS(2745),
    [anon_sym_GT_GT_GT] = ACTIONS(2743),
    [anon_sym_instanceof] = ACTIONS(2743),
    [anon_sym_COMMA] = ACTIONS(2743),
    [anon_sym_QMARK] = ACTIONS(2743),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2743),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [anon_sym_RBRACK] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_COLON_COLON] = ACTIONS(2743),
    [sym_comment] = ACTIONS(93),
  },
  [1139] = {
    [anon_sym_RPAREN] = ACTIONS(2747),
    [sym_comment] = ACTIONS(93),
  },
  [1140] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1141] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1317),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1142] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1318),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1318),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1143] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1319),
    [sym_cast_expression] = STATE(1319),
    [sym_assignment_expression] = STATE(1319),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1319),
    [sym_lambda_expression] = STATE(1319),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_update_expression] = STATE(1319),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1144] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1145] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1320),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1146] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1321),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1321),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_RBRACK] = ACTIONS(1817),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1147] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1322),
    [sym_cast_expression] = STATE(1322),
    [sym_assignment_expression] = STATE(1322),
    [sym_lhs] = STATE(370),
    [sym_binary_expression] = STATE(1322),
    [sym_lambda_expression] = STATE(1322),
    [sym__lambda_parameters] = STATE(371),
    [sym_inferred_parameters] = STATE(371),
    [sym_ternary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(657),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1148] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1323),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1149] = {
    [anon_sym_LPAREN] = ACTIONS(2749),
    [sym_comment] = ACTIONS(93),
  },
  [1150] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1151] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1325),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1152] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1326),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1326),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_COLON] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1153] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1327),
    [sym_cast_expression] = STATE(1327),
    [sym_assignment_expression] = STATE(1327),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(1327),
    [sym_lambda_expression] = STATE(1327),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(1327),
    [sym_unary_expression] = STATE(1327),
    [sym_update_expression] = STATE(1327),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1154] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1256),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [sym_comment] = ACTIONS(93),
  },
  [1155] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1256),
    [aux_sym_enum_declaration_repeat1] = STATE(1328),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [sym_comment] = ACTIONS(93),
  },
  [1156] = {
    [sym_class_body] = STATE(1329),
    [anon_sym_LBRACE] = ACTIONS(607),
    [sym_comment] = ACTIONS(93),
  },
  [1157] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2751),
    [sym_decimal_integer_literal] = ACTIONS(2753),
    [sym_hex_integer_literal] = ACTIONS(2753),
    [sym_octal_integer_literal] = ACTIONS(2751),
    [sym_binary_integer_literal] = ACTIONS(2751),
    [sym_long_integer_literal] = ACTIONS(2751),
    [sym_decimal_floating_point_literal] = ACTIONS(2751),
    [sym_hex_floating_point_literal] = ACTIONS(2753),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [sym_string_literal] = ACTIONS(2751),
    [sym_null_literal] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2751),
    [anon_sym_TILDE] = ACTIONS(2751),
    [anon_sym_PLUS_PLUS] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2751),
    [anon_sym_assert] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_synchronized] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_byte] = ACTIONS(2753),
    [anon_sym_short] = ACTIONS(2753),
    [anon_sym_int] = ACTIONS(2753),
    [anon_sym_long] = ACTIONS(2753),
    [anon_sym_char] = ACTIONS(2753),
    [anon_sym_float] = ACTIONS(2753),
    [anon_sym_double] = ACTIONS(2753),
    [sym_boolean_type] = ACTIONS(2753),
    [sym_void_type] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_package] = ACTIONS(2753),
    [anon_sym_import] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_strictfp] = ACTIONS(2753),
    [anon_sym_native] = ACTIONS(2753),
    [anon_sym_transient] = ACTIONS(2753),
    [anon_sym_volatile] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_ATinterface] = ACTIONS(2751),
    [anon_sym_interface] = ACTIONS(2753),
    [sym_this] = ACTIONS(2753),
    [sym_super] = ACTIONS(2753),
    [sym_identifier] = ACTIONS(2753),
    [sym_comment] = ACTIONS(93),
  },
  [1158] = {
    [sym_module_directive] = STATE(808),
    [aux_sym_module_declaration_repeat1] = STATE(808),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(1230),
    [anon_sym_exports] = ACTIONS(1232),
    [anon_sym_opens] = ACTIONS(1232),
    [anon_sym_uses] = ACTIONS(1234),
    [anon_sym_provides] = ACTIONS(1236),
    [sym_comment] = ACTIONS(93),
  },
  [1159] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_id] = STATE(449),
    [sym__reserved_identifier] = STATE(217),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(925),
    [sym_comment] = ACTIONS(93),
  },
  [1160] = {
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [sym_comment] = ACTIONS(93),
  },
  [1161] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1162] = {
    [anon_sym_SEMI] = ACTIONS(2761),
    [sym_decimal_integer_literal] = ACTIONS(2763),
    [sym_hex_integer_literal] = ACTIONS(2763),
    [sym_octal_integer_literal] = ACTIONS(2761),
    [sym_binary_integer_literal] = ACTIONS(2761),
    [sym_long_integer_literal] = ACTIONS(2761),
    [sym_decimal_floating_point_literal] = ACTIONS(2761),
    [sym_hex_floating_point_literal] = ACTIONS(2763),
    [sym_true] = ACTIONS(2763),
    [sym_false] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [sym_string_literal] = ACTIONS(2761),
    [sym_null_literal] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_assert] = ACTIONS(2763),
    [anon_sym_switch] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2763),
    [anon_sym_default] = ACTIONS(2763),
    [anon_sym_do] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(2763),
    [anon_sym_continue] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_synchronized] = ACTIONS(2763),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_byte] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_int] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_char] = ACTIONS(2763),
    [anon_sym_float] = ACTIONS(2763),
    [anon_sym_double] = ACTIONS(2763),
    [sym_boolean_type] = ACTIONS(2763),
    [sym_void_type] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_module] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_package] = ACTIONS(2763),
    [anon_sym_import] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_strictfp] = ACTIONS(2763),
    [anon_sym_native] = ACTIONS(2763),
    [anon_sym_transient] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2763),
    [anon_sym_ATinterface] = ACTIONS(2761),
    [anon_sym_interface] = ACTIONS(2763),
    [sym_this] = ACTIONS(2763),
    [sym_super] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(2763),
    [sym_comment] = ACTIONS(93),
  },
  [1163] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1332),
    [sym_cast_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(1332),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1332),
    [sym_lambda_expression] = STATE(1332),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1332),
    [sym_unary_expression] = STATE(1332),
    [sym_update_expression] = STATE(1332),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1164] = {
    [sym_block] = STATE(1333),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1165] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(1334),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(1334),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [1166] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1335),
    [sym_cast_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1335),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1335),
    [sym_lambda_expression] = STATE(1335),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1335),
    [sym_unary_expression] = STATE(1335),
    [sym_update_expression] = STATE(1335),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1167] = {
    [sym__semicolon] = STATE(1336),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(1337),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(1339),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(1338),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(1339),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(2765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1168] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(93),
  },
  [1169] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2767),
    [sym_decimal_integer_literal] = ACTIONS(2769),
    [sym_hex_integer_literal] = ACTIONS(2769),
    [sym_octal_integer_literal] = ACTIONS(2767),
    [sym_binary_integer_literal] = ACTIONS(2767),
    [sym_long_integer_literal] = ACTIONS(2767),
    [sym_decimal_floating_point_literal] = ACTIONS(2767),
    [sym_hex_floating_point_literal] = ACTIONS(2769),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [sym_string_literal] = ACTIONS(2767),
    [sym_null_literal] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [anon_sym_assert] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_synchronized] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_byte] = ACTIONS(2769),
    [anon_sym_short] = ACTIONS(2769),
    [anon_sym_int] = ACTIONS(2769),
    [anon_sym_long] = ACTIONS(2769),
    [anon_sym_char] = ACTIONS(2769),
    [anon_sym_float] = ACTIONS(2769),
    [anon_sym_double] = ACTIONS(2769),
    [sym_boolean_type] = ACTIONS(2769),
    [sym_void_type] = ACTIONS(2769),
    [anon_sym_AT] = ACTIONS(2769),
    [anon_sym_open] = ACTIONS(2769),
    [anon_sym_module] = ACTIONS(2769),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_package] = ACTIONS(2769),
    [anon_sym_import] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_abstract] = ACTIONS(2769),
    [anon_sym_final] = ACTIONS(2769),
    [anon_sym_strictfp] = ACTIONS(2769),
    [anon_sym_native] = ACTIONS(2769),
    [anon_sym_transient] = ACTIONS(2769),
    [anon_sym_volatile] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_ATinterface] = ACTIONS(2767),
    [anon_sym_interface] = ACTIONS(2769),
    [sym_this] = ACTIONS(2769),
    [sym_super] = ACTIONS(2769),
    [sym_identifier] = ACTIONS(2769),
    [sym_comment] = ACTIONS(93),
  },
  [1170] = {
    [sym__statement] = STATE(1170),
    [sym__method_statement] = STATE(1170),
    [sym__expression_statement] = STATE(1170),
    [sym__semicolon] = STATE(1170),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1170),
    [sym_assert_statement] = STATE(1170),
    [sym_switch_statement] = STATE(1170),
    [sym_switch_label] = STATE(1170),
    [sym_do_statement] = STATE(1170),
    [sym_break_statement] = STATE(1170),
    [sym_continue_statement] = STATE(1170),
    [sym_return_statement] = STATE(1170),
    [sym_synchronized_statement] = STATE(1170),
    [sym_throw_statement] = STATE(1170),
    [sym_try_statement] = STATE(1170),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1170),
    [sym_while_statement] = STATE(1170),
    [sym_for_statement] = STATE(1170),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(1170),
    [sym_module_declaration] = STATE(1170),
    [sym_package_declaration] = STATE(1170),
    [sym_import_declaration] = STATE(1170),
    [sym_enum_declaration] = STATE(1170),
    [sym_class_declaration] = STATE(1170),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1170),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1170),
    [sym_local_variable_declaration_statement] = STATE(1170),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_switch_block_repeat1] = STATE(1170),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2771),
    [sym_decimal_integer_literal] = ACTIONS(2774),
    [sym_hex_integer_literal] = ACTIONS(2774),
    [sym_octal_integer_literal] = ACTIONS(2777),
    [sym_binary_integer_literal] = ACTIONS(2777),
    [sym_long_integer_literal] = ACTIONS(2777),
    [sym_decimal_floating_point_literal] = ACTIONS(2780),
    [sym_hex_floating_point_literal] = ACTIONS(2783),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [sym_string_literal] = ACTIONS(2792),
    [sym_null_literal] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [anon_sym_assert] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2827),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2839),
    [anon_sym_synchronized] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_byte] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_int] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_char] = ACTIONS(2857),
    [anon_sym_float] = ACTIONS(2860),
    [anon_sym_double] = ACTIONS(2860),
    [sym_boolean_type] = ACTIONS(2863),
    [sym_void_type] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2869),
    [anon_sym_open] = ACTIONS(2872),
    [anon_sym_module] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_package] = ACTIONS(2881),
    [anon_sym_import] = ACTIONS(2884),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2890),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_protected] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_abstract] = ACTIONS(2878),
    [anon_sym_final] = ACTIONS(2878),
    [anon_sym_strictfp] = ACTIONS(2878),
    [anon_sym_native] = ACTIONS(2878),
    [anon_sym_transient] = ACTIONS(2878),
    [anon_sym_volatile] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_ATinterface] = ACTIONS(2896),
    [anon_sym_interface] = ACTIONS(2899),
    [sym_this] = ACTIONS(2795),
    [sym_super] = ACTIONS(2902),
    [sym_identifier] = ACTIONS(2905),
    [sym_comment] = ACTIONS(93),
  },
  [1171] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1340),
    [sym_cast_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(1340),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1340),
    [sym_lambda_expression] = STATE(1340),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1340),
    [sym_unary_expression] = STATE(1340),
    [sym_update_expression] = STATE(1340),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1172] = {
    [sym_block] = STATE(1341),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1173] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(1342),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(1342),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [1174] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1343),
    [sym_cast_expression] = STATE(1343),
    [sym_assignment_expression] = STATE(1343),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1343),
    [sym_lambda_expression] = STATE(1343),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1343),
    [sym_unary_expression] = STATE(1343),
    [sym_update_expression] = STATE(1343),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1175] = {
    [sym__semicolon] = STATE(1344),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(1345),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(1347),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(1346),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(1347),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(2908),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1176] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1967),
    [sym_comment] = ACTIONS(93),
  },
  [1177] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [1178] = {
    [anon_sym_COLON] = ACTIONS(2910),
    [sym_comment] = ACTIONS(93),
  },
  [1179] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1180] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1181] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1349),
    [anon_sym_RPAREN] = ACTIONS(2912),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1182] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1350),
    [sym_cast_expression] = STATE(1350),
    [sym_assignment_expression] = STATE(1350),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1350),
    [sym_lambda_expression] = STATE(1350),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1350),
    [sym_unary_expression] = STATE(1350),
    [sym_update_expression] = STATE(1350),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2912),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1183] = {
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1184] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1352),
    [sym_cast_expression] = STATE(1352),
    [sym_assignment_expression] = STATE(1352),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1352),
    [sym_lambda_expression] = STATE(1352),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1352),
    [sym_unary_expression] = STATE(1352),
    [sym_update_expression] = STATE(1352),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1185] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1353),
    [sym_cast_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(1353),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1353),
    [sym_lambda_expression] = STATE(1353),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1353),
    [sym_unary_expression] = STATE(1353),
    [sym_update_expression] = STATE(1353),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1186] = {
    [sym_block] = STATE(1354),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1187] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(1355),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(1355),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [1188] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1356),
    [sym_cast_expression] = STATE(1356),
    [sym_assignment_expression] = STATE(1356),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1356),
    [sym_lambda_expression] = STATE(1356),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1356),
    [sym_unary_expression] = STATE(1356),
    [sym_update_expression] = STATE(1356),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1189] = {
    [sym__semicolon] = STATE(1357),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(1358),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(1360),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(1359),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(1360),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(2916),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1190] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1995),
    [sym_comment] = ACTIONS(93),
  },
  [1191] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(177),
    [sym_comment] = ACTIONS(93),
  },
  [1192] = {
    [anon_sym_COLON] = ACTIONS(2918),
    [sym_comment] = ACTIONS(93),
  },
  [1193] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1194] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(2920),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1195] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1362),
    [anon_sym_RPAREN] = ACTIONS(2920),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1196] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1363),
    [sym_cast_expression] = STATE(1363),
    [sym_assignment_expression] = STATE(1363),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1363),
    [sym_lambda_expression] = STATE(1363),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1363),
    [sym_update_expression] = STATE(1363),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(2920),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1197] = {
    [anon_sym_RPAREN] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1198] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1365),
    [sym_cast_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1365),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1365),
    [sym_lambda_expression] = STATE(1365),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1365),
    [sym_unary_expression] = STATE(1365),
    [sym_update_expression] = STATE(1365),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1199] = {
    [ts_builtin_sym_end] = ACTIONS(2924),
    [anon_sym_SEMI] = ACTIONS(2924),
    [sym_decimal_integer_literal] = ACTIONS(2926),
    [sym_hex_integer_literal] = ACTIONS(2926),
    [sym_octal_integer_literal] = ACTIONS(2924),
    [sym_binary_integer_literal] = ACTIONS(2924),
    [sym_long_integer_literal] = ACTIONS(2924),
    [sym_decimal_floating_point_literal] = ACTIONS(2924),
    [sym_hex_floating_point_literal] = ACTIONS(2926),
    [sym_true] = ACTIONS(2926),
    [sym_false] = ACTIONS(2926),
    [anon_sym_SQUOTE] = ACTIONS(2924),
    [sym_string_literal] = ACTIONS(2924),
    [sym_null_literal] = ACTIONS(2926),
    [anon_sym_LPAREN] = ACTIONS(2924),
    [anon_sym_PLUS] = ACTIONS(2926),
    [anon_sym_DASH] = ACTIONS(2926),
    [anon_sym_BANG] = ACTIONS(2924),
    [anon_sym_TILDE] = ACTIONS(2924),
    [anon_sym_PLUS_PLUS] = ACTIONS(2924),
    [anon_sym_DASH_DASH] = ACTIONS(2924),
    [anon_sym_assert] = ACTIONS(2926),
    [anon_sym_switch] = ACTIONS(2926),
    [anon_sym_LBRACE] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(2924),
    [anon_sym_case] = ACTIONS(2926),
    [anon_sym_default] = ACTIONS(2926),
    [anon_sym_do] = ACTIONS(2926),
    [anon_sym_while] = ACTIONS(2926),
    [anon_sym_break] = ACTIONS(2926),
    [anon_sym_continue] = ACTIONS(2926),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_synchronized] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2926),
    [anon_sym_try] = ACTIONS(2926),
    [anon_sym_if] = ACTIONS(2926),
    [anon_sym_else] = ACTIONS(2926),
    [anon_sym_for] = ACTIONS(2926),
    [anon_sym_byte] = ACTIONS(2926),
    [anon_sym_short] = ACTIONS(2926),
    [anon_sym_int] = ACTIONS(2926),
    [anon_sym_long] = ACTIONS(2926),
    [anon_sym_char] = ACTIONS(2926),
    [anon_sym_float] = ACTIONS(2926),
    [anon_sym_double] = ACTIONS(2926),
    [sym_boolean_type] = ACTIONS(2926),
    [sym_void_type] = ACTIONS(2926),
    [anon_sym_AT] = ACTIONS(2926),
    [anon_sym_open] = ACTIONS(2926),
    [anon_sym_module] = ACTIONS(2926),
    [anon_sym_static] = ACTIONS(2926),
    [anon_sym_package] = ACTIONS(2926),
    [anon_sym_import] = ACTIONS(2926),
    [anon_sym_enum] = ACTIONS(2926),
    [anon_sym_class] = ACTIONS(2926),
    [anon_sym_public] = ACTIONS(2926),
    [anon_sym_protected] = ACTIONS(2926),
    [anon_sym_private] = ACTIONS(2926),
    [anon_sym_abstract] = ACTIONS(2926),
    [anon_sym_final] = ACTIONS(2926),
    [anon_sym_strictfp] = ACTIONS(2926),
    [anon_sym_native] = ACTIONS(2926),
    [anon_sym_transient] = ACTIONS(2926),
    [anon_sym_volatile] = ACTIONS(2926),
    [anon_sym_new] = ACTIONS(2926),
    [anon_sym_ATinterface] = ACTIONS(2924),
    [anon_sym_interface] = ACTIONS(2926),
    [sym_this] = ACTIONS(2926),
    [sym_super] = ACTIONS(2926),
    [sym_identifier] = ACTIONS(2926),
    [sym_comment] = ACTIONS(93),
  },
  [1200] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1200),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1201] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1201),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1201),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1202] = {
    [sym_additional_bound] = STATE(1367),
    [aux_sym_cast_expression_repeat1] = STATE(1367),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(323),
    [sym_comment] = ACTIONS(93),
  },
  [1203] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1368),
    [sym_dims_expr] = STATE(1369),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1204] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [sym_dims] = STATE(340),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1370),
    [sym_dims_expr] = STATE(1369),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(619),
    [sym_comment] = ACTIONS(93),
  },
  [1205] = {
    [sym__type_arguments_or_diamond] = STATE(172),
    [sym__type_arguments] = STATE(172),
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1368),
    [sym_dims_expr] = STATE(1369),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(349),
    [anon_sym_LT_GT] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [1206] = {
    [sym_dims] = STATE(333),
    [sym__annotation] = STATE(336),
    [sym_normal_annotation] = STATE(336),
    [sym_marker_annotation] = STATE(336),
    [sym_single_element_annotation] = STATE(336),
    [sym__dims_exprs] = STATE(1368),
    [sym_dims_expr] = STATE(1369),
    [aux_sym_wildcard_repeat1] = STATE(336),
    [aux_sym_dims_repeat1] = STATE(337),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_LBRACK] = ACTIONS(615),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(625),
    [sym_comment] = ACTIONS(93),
  },
  [1207] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1371),
    [sym_cast_expression] = STATE(1371),
    [sym_assignment_expression] = STATE(1371),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1371),
    [sym_lambda_expression] = STATE(1371),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1371),
    [sym_unary_expression] = STATE(1371),
    [sym_update_expression] = STATE(1371),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1208] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1372),
    [sym_cast_expression] = STATE(1372),
    [sym_assignment_expression] = STATE(1372),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1372),
    [sym_lambda_expression] = STATE(1372),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1372),
    [sym_unary_expression] = STATE(1372),
    [sym_update_expression] = STATE(1372),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1209] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1373),
    [sym_cast_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(1373),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1373),
    [sym_lambda_expression] = STATE(1373),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_update_expression] = STATE(1373),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1210] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1374),
    [sym_cast_expression] = STATE(1374),
    [sym_assignment_expression] = STATE(1374),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1374),
    [sym_lambda_expression] = STATE(1374),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1374),
    [sym_unary_expression] = STATE(1374),
    [sym_update_expression] = STATE(1374),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1211] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(381),
    [sym_cast_expression] = STATE(381),
    [sym_assignment_expression] = STATE(381),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(381),
    [sym_lambda_expression] = STATE(381),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(381),
    [sym_unary_expression] = STATE(381),
    [sym_update_expression] = STATE(381),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1212] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1375),
    [sym_cast_expression] = STATE(1375),
    [sym_assignment_expression] = STATE(1375),
    [sym_lhs] = STATE(387),
    [sym_binary_expression] = STATE(1375),
    [sym_lambda_expression] = STATE(1375),
    [sym__lambda_parameters] = STATE(388),
    [sym_inferred_parameters] = STATE(388),
    [sym_ternary_expression] = STATE(1375),
    [sym_unary_expression] = STATE(1375),
    [sym_update_expression] = STATE(1375),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(677),
    [anon_sym_TILDE] = ACTIONS(677),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(681),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1213] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1376),
    [sym_cast_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1376),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1376),
    [sym_lambda_expression] = STATE(1376),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1376),
    [sym_unary_expression] = STATE(1376),
    [sym_update_expression] = STATE(1376),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1214] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1377),
    [sym_cast_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1377),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1377),
    [sym_lambda_expression] = STATE(1377),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_lambda_body] = STATE(391),
    [sym_ternary_expression] = STATE(1377),
    [sym_unary_expression] = STATE(1377),
    [sym_update_expression] = STATE(1377),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(392),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1215] = {
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_RPAREN] = ACTIONS(2930),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1216] = {
    [ts_builtin_sym_end] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2932),
    [sym_decimal_integer_literal] = ACTIONS(2934),
    [sym_hex_integer_literal] = ACTIONS(2934),
    [sym_octal_integer_literal] = ACTIONS(2932),
    [sym_binary_integer_literal] = ACTIONS(2932),
    [sym_long_integer_literal] = ACTIONS(2932),
    [sym_decimal_floating_point_literal] = ACTIONS(2932),
    [sym_hex_floating_point_literal] = ACTIONS(2934),
    [sym_true] = ACTIONS(2934),
    [sym_false] = ACTIONS(2934),
    [anon_sym_SQUOTE] = ACTIONS(2932),
    [sym_string_literal] = ACTIONS(2932),
    [sym_null_literal] = ACTIONS(2934),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_PLUS] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2932),
    [anon_sym_TILDE] = ACTIONS(2932),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [anon_sym_assert] = ACTIONS(2934),
    [anon_sym_switch] = ACTIONS(2934),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_case] = ACTIONS(2934),
    [anon_sym_default] = ACTIONS(2934),
    [anon_sym_do] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2934),
    [anon_sym_break] = ACTIONS(2934),
    [anon_sym_continue] = ACTIONS(2934),
    [anon_sym_return] = ACTIONS(2934),
    [anon_sym_synchronized] = ACTIONS(2934),
    [anon_sym_throw] = ACTIONS(2934),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_catch] = ACTIONS(2934),
    [anon_sym_finally] = ACTIONS(2934),
    [anon_sym_if] = ACTIONS(2934),
    [anon_sym_else] = ACTIONS(2934),
    [anon_sym_for] = ACTIONS(2934),
    [anon_sym_byte] = ACTIONS(2934),
    [anon_sym_short] = ACTIONS(2934),
    [anon_sym_int] = ACTIONS(2934),
    [anon_sym_long] = ACTIONS(2934),
    [anon_sym_char] = ACTIONS(2934),
    [anon_sym_float] = ACTIONS(2934),
    [anon_sym_double] = ACTIONS(2934),
    [sym_boolean_type] = ACTIONS(2934),
    [sym_void_type] = ACTIONS(2934),
    [anon_sym_AT] = ACTIONS(2934),
    [anon_sym_open] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_package] = ACTIONS(2934),
    [anon_sym_import] = ACTIONS(2934),
    [anon_sym_enum] = ACTIONS(2934),
    [anon_sym_class] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_abstract] = ACTIONS(2934),
    [anon_sym_final] = ACTIONS(2934),
    [anon_sym_strictfp] = ACTIONS(2934),
    [anon_sym_native] = ACTIONS(2934),
    [anon_sym_transient] = ACTIONS(2934),
    [anon_sym_volatile] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_ATinterface] = ACTIONS(2932),
    [anon_sym_interface] = ACTIONS(2934),
    [sym_this] = ACTIONS(2934),
    [sym_super] = ACTIONS(2934),
    [sym_identifier] = ACTIONS(2934),
    [sym_comment] = ACTIONS(93),
  },
  [1217] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1378),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1218] = {
    [anon_sym_PIPE] = ACTIONS(2936),
    [anon_sym_open] = ACTIONS(2938),
    [anon_sym_module] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2938),
    [sym_comment] = ACTIONS(93),
  },
  [1219] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1016),
    [anon_sym_PIPE] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(347),
    [anon_sym_module] = ACTIONS(347),
    [sym_identifier] = ACTIONS(347),
    [sym_comment] = ACTIONS(93),
  },
  [1220] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(1379),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1221] = {
    [aux_sym_catch_type_repeat1] = STATE(1221),
    [anon_sym_PIPE] = ACTIONS(2940),
    [anon_sym_open] = ACTIONS(2938),
    [anon_sym_module] = ACTIONS(2938),
    [sym_identifier] = ACTIONS(2938),
    [sym_comment] = ACTIONS(93),
  },
  [1222] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1222),
    [anon_sym_PIPE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [1223] = {
    [anon_sym_RPAREN] = ACTIONS(2943),
    [sym_comment] = ACTIONS(93),
  },
  [1224] = {
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1225] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(1226),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(1226),
    [ts_builtin_sym_end] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [1226] = {
    [sym_catch_clause] = STATE(1381),
    [aux_sym_catches_repeat1] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [1227] = {
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1228] = {
    [sym__semicolon] = STATE(1383),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1384),
    [sym_cast_expression] = STATE(1384),
    [sym_assignment_expression] = STATE(1384),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1384),
    [sym_lambda_expression] = STATE(1384),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1384),
    [sym_unary_expression] = STATE(1384),
    [sym_update_expression] = STATE(1384),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(2949),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1229] = {
    [sym__semicolon] = STATE(1385),
    [anon_sym_SEMI] = ACTIONS(2951),
    [sym_comment] = ACTIONS(93),
  },
  [1230] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1386),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1231] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1387),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1232] = {
    [ts_builtin_sym_end] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [sym_decimal_integer_literal] = ACTIONS(2955),
    [sym_hex_integer_literal] = ACTIONS(2955),
    [sym_octal_integer_literal] = ACTIONS(2953),
    [sym_binary_integer_literal] = ACTIONS(2953),
    [sym_long_integer_literal] = ACTIONS(2953),
    [sym_decimal_floating_point_literal] = ACTIONS(2953),
    [sym_hex_floating_point_literal] = ACTIONS(2955),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [sym_string_literal] = ACTIONS(2953),
    [sym_null_literal] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_assert] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_synchronized] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_byte] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_int] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_char] = ACTIONS(2955),
    [anon_sym_float] = ACTIONS(2955),
    [anon_sym_double] = ACTIONS(2955),
    [sym_boolean_type] = ACTIONS(2955),
    [sym_void_type] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_module] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_package] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_strictfp] = ACTIONS(2955),
    [anon_sym_native] = ACTIONS(2955),
    [anon_sym_transient] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_ATinterface] = ACTIONS(2953),
    [anon_sym_interface] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
    [sym_super] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2955),
    [sym_comment] = ACTIONS(93),
  },
  [1233] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1233),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1234] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1234),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1234),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_COMMA] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1235] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [sym_decimal_integer_literal] = ACTIONS(2959),
    [sym_hex_integer_literal] = ACTIONS(2959),
    [sym_octal_integer_literal] = ACTIONS(2957),
    [sym_binary_integer_literal] = ACTIONS(2957),
    [sym_long_integer_literal] = ACTIONS(2957),
    [sym_decimal_floating_point_literal] = ACTIONS(2957),
    [sym_hex_floating_point_literal] = ACTIONS(2959),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [sym_string_literal] = ACTIONS(2957),
    [sym_null_literal] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_assert] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_synchronized] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_byte] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_int] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_char] = ACTIONS(2959),
    [anon_sym_float] = ACTIONS(2959),
    [anon_sym_double] = ACTIONS(2959),
    [sym_boolean_type] = ACTIONS(2959),
    [sym_void_type] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_package] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_strictfp] = ACTIONS(2959),
    [anon_sym_native] = ACTIONS(2959),
    [anon_sym_transient] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_ATinterface] = ACTIONS(2957),
    [anon_sym_interface] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
    [sym_super] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2959),
    [sym_comment] = ACTIONS(93),
  },
  [1236] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1237] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1238] = {
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1239] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1390),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1240] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1241] = {
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1242] = {
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [sym_comment] = ACTIONS(93),
  },
  [1243] = {
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [sym_comment] = ACTIONS(93),
  },
  [1244] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(1243),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [1245] = {
    [aux_sym_element_value_array_initializer_repeat1] = STATE(1245),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [sym_comment] = ACTIONS(93),
  },
  [1246] = {
    [anon_sym_SEMI] = ACTIONS(2978),
    [anon_sym_COMMA] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [sym_comment] = ACTIONS(93),
  },
  [1247] = {
    [anon_sym_RBRACE] = ACTIONS(2980),
    [anon_sym_requires] = ACTIONS(2980),
    [anon_sym_exports] = ACTIONS(2980),
    [anon_sym_opens] = ACTIONS(2980),
    [anon_sym_uses] = ACTIONS(2980),
    [anon_sym_provides] = ACTIONS(2980),
    [sym_comment] = ACTIONS(93),
  },
  [1248] = {
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2111),
    [sym_comment] = ACTIONS(93),
  },
  [1249] = {
    [sym__semicolon] = STATE(1395),
    [aux_sym_module_directive_repeat2] = STATE(1396),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2113),
    [anon_sym_DOT] = ACTIONS(2111),
    [sym_comment] = ACTIONS(93),
  },
  [1250] = {
    [sym__semicolon] = STATE(1395),
    [aux_sym_module_directive_repeat2] = STATE(1251),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_comment] = ACTIONS(93),
  },
  [1251] = {
    [aux_sym_module_directive_repeat2] = STATE(1251),
    [anon_sym_SEMI] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2986),
    [sym_comment] = ACTIONS(93),
  },
  [1252] = {
    [sym__semicolon] = STATE(1395),
    [aux_sym_module_directive_repeat3] = STATE(1398),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [1253] = {
    [ts_builtin_sym_end] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [sym_decimal_integer_literal] = ACTIONS(2993),
    [sym_hex_integer_literal] = ACTIONS(2993),
    [sym_octal_integer_literal] = ACTIONS(2991),
    [sym_binary_integer_literal] = ACTIONS(2991),
    [sym_long_integer_literal] = ACTIONS(2991),
    [sym_decimal_floating_point_literal] = ACTIONS(2991),
    [sym_hex_floating_point_literal] = ACTIONS(2993),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_string_literal] = ACTIONS(2991),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_synchronized] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_byte] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_int] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_char] = ACTIONS(2993),
    [anon_sym_float] = ACTIONS(2993),
    [anon_sym_double] = ACTIONS(2993),
    [sym_boolean_type] = ACTIONS(2993),
    [sym_void_type] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_package] = ACTIONS(2993),
    [anon_sym_import] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_strictfp] = ACTIONS(2993),
    [anon_sym_native] = ACTIONS(2993),
    [anon_sym_transient] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_ATinterface] = ACTIONS(2991),
    [anon_sym_interface] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
    [sym_super] = ACTIONS(2993),
    [sym_identifier] = ACTIONS(2993),
    [sym_comment] = ACTIONS(93),
  },
  [1254] = {
    [sym_class_body] = STATE(1399),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [sym_comment] = ACTIONS(93),
  },
  [1255] = {
    [ts_builtin_sym_end] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2997),
    [sym_decimal_integer_literal] = ACTIONS(2999),
    [sym_hex_integer_literal] = ACTIONS(2999),
    [sym_octal_integer_literal] = ACTIONS(2997),
    [sym_binary_integer_literal] = ACTIONS(2997),
    [sym_long_integer_literal] = ACTIONS(2997),
    [sym_decimal_floating_point_literal] = ACTIONS(2997),
    [sym_hex_floating_point_literal] = ACTIONS(2999),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [sym_string_literal] = ACTIONS(2997),
    [sym_null_literal] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_assert] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_synchronized] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_byte] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_int] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_char] = ACTIONS(2999),
    [anon_sym_float] = ACTIONS(2999),
    [anon_sym_double] = ACTIONS(2999),
    [sym_boolean_type] = ACTIONS(2999),
    [sym_void_type] = ACTIONS(2999),
    [anon_sym_AT] = ACTIONS(2999),
    [anon_sym_open] = ACTIONS(2999),
    [anon_sym_module] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_package] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_public] = ACTIONS(2999),
    [anon_sym_protected] = ACTIONS(2999),
    [anon_sym_private] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(2999),
    [anon_sym_final] = ACTIONS(2999),
    [anon_sym_strictfp] = ACTIONS(2999),
    [anon_sym_native] = ACTIONS(2999),
    [anon_sym_transient] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_ATinterface] = ACTIONS(2997),
    [anon_sym_interface] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
    [sym_super] = ACTIONS(2999),
    [sym_identifier] = ACTIONS(2999),
    [sym_comment] = ACTIONS(93),
  },
  [1256] = {
    [anon_sym_RBRACE] = ACTIONS(3001),
    [sym_comment] = ACTIONS(93),
  },
  [1257] = {
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_constant] = STATE(1061),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [1258] = {
    [anon_sym_RPAREN] = ACTIONS(3003),
    [sym_comment] = ACTIONS(93),
  },
  [1259] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(1402),
    [sym_enum_constant] = STATE(1061),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [1260] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(1072),
    [sym_normal_annotation] = STATE(1072),
    [sym_marker_annotation] = STATE(1072),
    [sym_single_element_annotation] = STATE(1072),
    [sym__type] = STATE(1403),
    [sym__unann_type] = STATE(1071),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(1072),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1261] = {
    [aux_sym_type_bound_repeat1] = STATE(1404),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_GT] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [sym_comment] = ACTIONS(93),
  },
  [1262] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1405),
    [anon_sym_AMP] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1263] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1262),
    [anon_sym_AMP] = ACTIONS(862),
    [anon_sym_GT] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1264] = {
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_throws] = ACTIONS(3007),
    [sym_comment] = ACTIONS(93),
  },
  [1265] = {
    [anon_sym_RPAREN] = ACTIONS(3009),
    [sym_comment] = ACTIONS(93),
  },
  [1266] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1407),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(701),
    [sym_this] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [1267] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1408),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1268] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1408),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1269] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1408),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1270] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1408),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(1410),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_COMMA] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1271] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1411),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_this] = ACTIONS(937),
    [sym_identifier] = ACTIONS(939),
    [sym_comment] = ACTIONS(93),
  },
  [1272] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1413),
    [sym_spread_parameter] = STATE(1408),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1273] = {
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [sym_comment] = ACTIONS(93),
  },
  [1274] = {
    [sym_throws] = STATE(1414),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_throws] = ACTIONS(2195),
    [sym_comment] = ACTIONS(93),
  },
  [1275] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1416),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1276] = {
    [sym__type_arguments] = STATE(1418),
    [sym__annotation] = STATE(376),
    [sym_normal_annotation] = STATE(376),
    [sym_marker_annotation] = STATE(376),
    [sym_single_element_annotation] = STATE(376),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [aux_sym_wildcard_repeat1] = STATE(376),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(667),
    [sym_comment] = ACTIONS(93),
  },
  [1277] = {
    [anon_sym_LPAREN] = ACTIONS(3021),
    [sym_comment] = ACTIONS(93),
  },
  [1278] = {
    [anon_sym_SEMI] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(3023),
    [anon_sym_RBRACE] = ACTIONS(3023),
    [anon_sym_default] = ACTIONS(3025),
    [anon_sym_synchronized] = ACTIONS(3025),
    [anon_sym_byte] = ACTIONS(3025),
    [anon_sym_short] = ACTIONS(3025),
    [anon_sym_int] = ACTIONS(3025),
    [anon_sym_long] = ACTIONS(3025),
    [anon_sym_char] = ACTIONS(3025),
    [anon_sym_float] = ACTIONS(3025),
    [anon_sym_double] = ACTIONS(3025),
    [sym_boolean_type] = ACTIONS(3025),
    [sym_void_type] = ACTIONS(3025),
    [anon_sym_AT] = ACTIONS(3025),
    [anon_sym_static] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3025),
    [anon_sym_class] = ACTIONS(3025),
    [anon_sym_public] = ACTIONS(3025),
    [anon_sym_protected] = ACTIONS(3025),
    [anon_sym_private] = ACTIONS(3025),
    [anon_sym_abstract] = ACTIONS(3025),
    [anon_sym_final] = ACTIONS(3025),
    [anon_sym_strictfp] = ACTIONS(3025),
    [anon_sym_native] = ACTIONS(3025),
    [anon_sym_transient] = ACTIONS(3025),
    [anon_sym_volatile] = ACTIONS(3025),
    [anon_sym_ATinterface] = ACTIONS(3023),
    [anon_sym_interface] = ACTIONS(3025),
    [sym_identifier] = ACTIONS(3025),
    [sym_comment] = ACTIONS(93),
  },
  [1279] = {
    [sym__statement] = STATE(259),
    [sym__method_statement] = STATE(259),
    [sym__expression_statement] = STATE(259),
    [sym__semicolon] = STATE(259),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(259),
    [sym_assert_statement] = STATE(259),
    [sym_switch_statement] = STATE(259),
    [sym_do_statement] = STATE(259),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(259),
    [sym_return_statement] = STATE(259),
    [sym_synchronized_statement] = STATE(259),
    [sym_throw_statement] = STATE(259),
    [sym_try_statement] = STATE(259),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(259),
    [sym_while_statement] = STATE(259),
    [sym_for_statement] = STATE(259),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(103),
    [sym_normal_annotation] = STATE(103),
    [sym_marker_annotation] = STATE(103),
    [sym_single_element_annotation] = STATE(103),
    [sym__declaration] = STATE(259),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifier] = STATE(106),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(104),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(259),
    [sym_local_variable_declaration_statement] = STATE(259),
    [sym_local_variable_declaration] = STATE(105),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(106),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [aux_sym_constructor_body_repeat1] = STATE(259),
    [anon_sym_SEMI] = ACTIONS(517),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(161),
    [sym_comment] = ACTIONS(93),
  },
  [1280] = {
    [sym__type_arguments] = STATE(1418),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_class] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [sym_this] = ACTIONS(663),
    [sym_super] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(687),
    [sym_comment] = ACTIONS(93),
  },
  [1281] = {
    [sym__type_arguments] = STATE(354),
    [sym_unqualified_class_instance_creation_expression] = STATE(375),
    [anon_sym_LT] = ACTIONS(236),
    [anon_sym_new] = ACTIONS(661),
    [sym_super] = ACTIONS(3029),
    [sym_identifier] = ACTIONS(689),
    [sym_comment] = ACTIONS(93),
  },
  [1282] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(568),
    [sym_normal_annotation] = STATE(568),
    [sym_marker_annotation] = STATE(568),
    [sym_single_element_annotation] = STATE(568),
    [sym__type] = STATE(1098),
    [sym__unann_type] = STATE(567),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_exception_type] = STATE(1422),
    [aux_sym_wildcard_repeat1] = STATE(568),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1283] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1423),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [sym_comment] = ACTIONS(93),
  },
  [1284] = {
    [sym_dims] = STATE(1424),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3033),
    [sym_comment] = ACTIONS(93),
  },
  [1285] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1427),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1286] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1427),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(1429),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3037),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1287] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(1431),
    [sym_spread_parameter] = STATE(1427),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_COMMA] = ACTIONS(3039),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1288] = {
    [anon_sym_RPAREN] = ACTIONS(3035),
    [sym_comment] = ACTIONS(93),
  },
  [1289] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1432),
    [anon_sym_SEMI] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_LBRACE] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1290] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1434),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [sym_comment] = ACTIONS(93),
  },
  [1291] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(227),
    [sym_normal_annotation] = STATE(227),
    [sym_marker_annotation] = STATE(227),
    [sym_single_element_annotation] = STATE(227),
    [sym__unann_type] = STATE(1435),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_wildcard_repeat1] = STATE(227),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1292] = {
    [anon_sym_SEMI] = ACTIONS(3043),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3043),
    [anon_sym_default] = ACTIONS(3045),
    [anon_sym_synchronized] = ACTIONS(3045),
    [anon_sym_byte] = ACTIONS(3045),
    [anon_sym_short] = ACTIONS(3045),
    [anon_sym_int] = ACTIONS(3045),
    [anon_sym_long] = ACTIONS(3045),
    [anon_sym_char] = ACTIONS(3045),
    [anon_sym_float] = ACTIONS(3045),
    [anon_sym_double] = ACTIONS(3045),
    [sym_boolean_type] = ACTIONS(3045),
    [sym_void_type] = ACTIONS(3045),
    [anon_sym_AT] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(3045),
    [anon_sym_enum] = ACTIONS(3045),
    [anon_sym_class] = ACTIONS(3045),
    [anon_sym_public] = ACTIONS(3045),
    [anon_sym_protected] = ACTIONS(3045),
    [anon_sym_private] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_final] = ACTIONS(3045),
    [anon_sym_strictfp] = ACTIONS(3045),
    [anon_sym_native] = ACTIONS(3045),
    [anon_sym_transient] = ACTIONS(3045),
    [anon_sym_volatile] = ACTIONS(3045),
    [anon_sym_ATinterface] = ACTIONS(3043),
    [anon_sym_interface] = ACTIONS(3045),
    [sym_identifier] = ACTIONS(3045),
    [sym_comment] = ACTIONS(93),
  },
  [1293] = {
    [anon_sym_SEMI] = ACTIONS(3047),
    [anon_sym_LT] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3047),
    [anon_sym_RBRACE] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3049),
    [anon_sym_synchronized] = ACTIONS(3049),
    [anon_sym_byte] = ACTIONS(3049),
    [anon_sym_short] = ACTIONS(3049),
    [anon_sym_int] = ACTIONS(3049),
    [anon_sym_long] = ACTIONS(3049),
    [anon_sym_char] = ACTIONS(3049),
    [anon_sym_float] = ACTIONS(3049),
    [anon_sym_double] = ACTIONS(3049),
    [sym_boolean_type] = ACTIONS(3049),
    [sym_void_type] = ACTIONS(3049),
    [anon_sym_AT] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(3049),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3049),
    [anon_sym_public] = ACTIONS(3049),
    [anon_sym_protected] = ACTIONS(3049),
    [anon_sym_private] = ACTIONS(3049),
    [anon_sym_abstract] = ACTIONS(3049),
    [anon_sym_final] = ACTIONS(3049),
    [anon_sym_strictfp] = ACTIONS(3049),
    [anon_sym_native] = ACTIONS(3049),
    [anon_sym_transient] = ACTIONS(3049),
    [anon_sym_volatile] = ACTIONS(3049),
    [anon_sym_ATinterface] = ACTIONS(3047),
    [anon_sym_interface] = ACTIONS(3049),
    [sym_identifier] = ACTIONS(3049),
    [sym_comment] = ACTIONS(93),
  },
  [1294] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1295] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [1296] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1437),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_COMMA] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [1297] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1438),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1438),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [1298] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1437),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [1299] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [1300] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [1301] = {
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [1302] = {
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(93),
  },
  [1303] = {
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym_RPAREN] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(3055),
    [anon_sym_LT] = ACTIONS(3055),
    [anon_sym_EQ_EQ] = ACTIONS(3053),
    [anon_sym_GT_EQ] = ACTIONS(3053),
    [anon_sym_LT_EQ] = ACTIONS(3053),
    [anon_sym_BANG_EQ] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_PIPE_PIPE] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_SLASH] = ACTIONS(3055),
    [anon_sym_PIPE] = ACTIONS(3055),
    [anon_sym_CARET] = ACTIONS(3053),
    [anon_sym_PERCENT] = ACTIONS(3053),
    [anon_sym_LT_LT] = ACTIONS(3053),
    [anon_sym_GT_GT] = ACTIONS(3055),
    [anon_sym_GT_GT_GT] = ACTIONS(3053),
    [anon_sym_instanceof] = ACTIONS(3053),
    [anon_sym_COMMA] = ACTIONS(3053),
    [anon_sym_QMARK] = ACTIONS(3053),
    [anon_sym_COLON] = ACTIONS(3055),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_RBRACK] = ACTIONS(3053),
    [anon_sym_DOT] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [sym_comment] = ACTIONS(93),
  },
  [1304] = {
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [sym_comment] = ACTIONS(93),
  },
  [1305] = {
    [anon_sym_COMMA] = ACTIONS(3057),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [sym_comment] = ACTIONS(93),
  },
  [1306] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(3059),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1307] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1304),
    [sym_cast_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(1304),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1304),
    [sym_lambda_expression] = STATE(1304),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1304),
    [sym_unary_expression] = STATE(1304),
    [sym_update_expression] = STATE(1304),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(1305),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(3061),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1308] = {
    [aux_sym_array_initializer_repeat1] = STATE(1308),
    [anon_sym_COMMA] = ACTIONS(3063),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [sym_comment] = ACTIONS(93),
  },
  [1309] = {
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [sym_comment] = ACTIONS(93),
  },
  [1310] = {
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_QMARK] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(93),
  },
  [1311] = {
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3066),
    [anon_sym_LT_LT] = ACTIONS(3066),
    [anon_sym_GT_GT] = ACTIONS(3068),
    [anon_sym_GT_GT_GT] = ACTIONS(3066),
    [anon_sym_instanceof] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_COLON] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_comment] = ACTIONS(93),
  },
  [1312] = {
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3070),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_LT_LT] = ACTIONS(3070),
    [anon_sym_GT_GT] = ACTIONS(3072),
    [anon_sym_GT_GT_GT] = ACTIONS(3070),
    [anon_sym_instanceof] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_COLON] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_LBRACK] = ACTIONS(3070),
    [anon_sym_RBRACK] = ACTIONS(3070),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3070),
    [sym_comment] = ACTIONS(93),
  },
  [1313] = {
    [sym__semicolon] = STATE(1443),
    [sym_dims] = STATE(1444),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_default_value] = STATE(1445),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1446),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1314] = {
    [anon_sym_RPAREN] = ACTIONS(3078),
    [sym_comment] = ACTIONS(93),
  },
  [1315] = {
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3082),
    [anon_sym_synchronized] = ACTIONS(3082),
    [anon_sym_byte] = ACTIONS(3082),
    [anon_sym_short] = ACTIONS(3082),
    [anon_sym_int] = ACTIONS(3082),
    [anon_sym_long] = ACTIONS(3082),
    [anon_sym_char] = ACTIONS(3082),
    [anon_sym_float] = ACTIONS(3082),
    [anon_sym_double] = ACTIONS(3082),
    [sym_boolean_type] = ACTIONS(3082),
    [sym_void_type] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3082),
    [anon_sym_static] = ACTIONS(3082),
    [anon_sym_class] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_strictfp] = ACTIONS(3082),
    [anon_sym_native] = ACTIONS(3082),
    [anon_sym_transient] = ACTIONS(3082),
    [anon_sym_volatile] = ACTIONS(3082),
    [anon_sym_ATinterface] = ACTIONS(3080),
    [anon_sym_interface] = ACTIONS(3082),
    [sym_identifier] = ACTIONS(3082),
    [sym_comment] = ACTIONS(93),
  },
  [1316] = {
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_RPAREN] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_GT_GT] = ACTIONS(3086),
    [anon_sym_GT_GT_GT] = ACTIONS(3084),
    [anon_sym_instanceof] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_RBRACK] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_comment] = ACTIONS(93),
  },
  [1317] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1317),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1318] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1318),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1318),
    [anon_sym_RPAREN] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_COMMA] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1319] = {
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1320] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1320),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1321] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1321),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1321),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2319),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1322] = {
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [anon_sym_EQ_EQ] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1392),
    [anon_sym_LT_EQ] = ACTIONS(1392),
    [anon_sym_BANG_EQ] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1402),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1402),
    [anon_sym_GT_GT_GT] = ACTIONS(1400),
    [anon_sym_instanceof] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACK] = ACTIONS(2454),
    [sym_comment] = ACTIONS(93),
  },
  [1323] = {
    [anon_sym_RPAREN] = ACTIONS(3088),
    [sym_comment] = ACTIONS(93),
  },
  [1324] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1449),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1325] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1325),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_COLON] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1326] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1326),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1326),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1327] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1328] = {
    [sym__semicolon] = STATE(561),
    [sym_enum_body_declarations] = STATE(1402),
    [aux_sym_enum_declaration_repeat1] = STATE(1063),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [sym_comment] = ACTIONS(93),
  },
  [1329] = {
    [ts_builtin_sym_end] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [sym_decimal_integer_literal] = ACTIONS(3094),
    [sym_hex_integer_literal] = ACTIONS(3094),
    [sym_octal_integer_literal] = ACTIONS(3092),
    [sym_binary_integer_literal] = ACTIONS(3092),
    [sym_long_integer_literal] = ACTIONS(3092),
    [sym_decimal_floating_point_literal] = ACTIONS(3092),
    [sym_hex_floating_point_literal] = ACTIONS(3094),
    [sym_true] = ACTIONS(3094),
    [sym_false] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [sym_string_literal] = ACTIONS(3092),
    [sym_null_literal] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3092),
    [anon_sym_TILDE] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_assert] = ACTIONS(3094),
    [anon_sym_switch] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3094),
    [anon_sym_default] = ACTIONS(3094),
    [anon_sym_do] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_break] = ACTIONS(3094),
    [anon_sym_continue] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_synchronized] = ACTIONS(3094),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_byte] = ACTIONS(3094),
    [anon_sym_short] = ACTIONS(3094),
    [anon_sym_int] = ACTIONS(3094),
    [anon_sym_long] = ACTIONS(3094),
    [anon_sym_char] = ACTIONS(3094),
    [anon_sym_float] = ACTIONS(3094),
    [anon_sym_double] = ACTIONS(3094),
    [sym_boolean_type] = ACTIONS(3094),
    [sym_void_type] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_module] = ACTIONS(3094),
    [anon_sym_static] = ACTIONS(3094),
    [anon_sym_package] = ACTIONS(3094),
    [anon_sym_import] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_class] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_strictfp] = ACTIONS(3094),
    [anon_sym_native] = ACTIONS(3094),
    [anon_sym_transient] = ACTIONS(3094),
    [anon_sym_volatile] = ACTIONS(3094),
    [anon_sym_new] = ACTIONS(3094),
    [anon_sym_ATinterface] = ACTIONS(3092),
    [anon_sym_interface] = ACTIONS(3094),
    [sym_this] = ACTIONS(3094),
    [sym_super] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(3094),
    [sym_comment] = ACTIONS(93),
  },
  [1330] = {
    [ts_builtin_sym_end] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [sym_decimal_integer_literal] = ACTIONS(3098),
    [sym_hex_integer_literal] = ACTIONS(3098),
    [sym_octal_integer_literal] = ACTIONS(3096),
    [sym_binary_integer_literal] = ACTIONS(3096),
    [sym_long_integer_literal] = ACTIONS(3096),
    [sym_decimal_floating_point_literal] = ACTIONS(3096),
    [sym_hex_floating_point_literal] = ACTIONS(3098),
    [sym_true] = ACTIONS(3098),
    [sym_false] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [sym_string_literal] = ACTIONS(3096),
    [sym_null_literal] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3096),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_assert] = ACTIONS(3098),
    [anon_sym_switch] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3098),
    [anon_sym_default] = ACTIONS(3098),
    [anon_sym_do] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_break] = ACTIONS(3098),
    [anon_sym_continue] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_synchronized] = ACTIONS(3098),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_byte] = ACTIONS(3098),
    [anon_sym_short] = ACTIONS(3098),
    [anon_sym_int] = ACTIONS(3098),
    [anon_sym_long] = ACTIONS(3098),
    [anon_sym_char] = ACTIONS(3098),
    [anon_sym_float] = ACTIONS(3098),
    [anon_sym_double] = ACTIONS(3098),
    [sym_boolean_type] = ACTIONS(3098),
    [sym_void_type] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_module] = ACTIONS(3098),
    [anon_sym_static] = ACTIONS(3098),
    [anon_sym_package] = ACTIONS(3098),
    [anon_sym_import] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_class] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_strictfp] = ACTIONS(3098),
    [anon_sym_native] = ACTIONS(3098),
    [anon_sym_transient] = ACTIONS(3098),
    [anon_sym_volatile] = ACTIONS(3098),
    [anon_sym_new] = ACTIONS(3098),
    [anon_sym_ATinterface] = ACTIONS(3096),
    [anon_sym_interface] = ACTIONS(3098),
    [sym_this] = ACTIONS(3098),
    [sym_super] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3098),
    [sym_comment] = ACTIONS(93),
  },
  [1331] = {
    [anon_sym_SEMI] = ACTIONS(3100),
    [sym_decimal_integer_literal] = ACTIONS(3102),
    [sym_hex_integer_literal] = ACTIONS(3102),
    [sym_octal_integer_literal] = ACTIONS(3100),
    [sym_binary_integer_literal] = ACTIONS(3100),
    [sym_long_integer_literal] = ACTIONS(3100),
    [sym_decimal_floating_point_literal] = ACTIONS(3100),
    [sym_hex_floating_point_literal] = ACTIONS(3102),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [sym_string_literal] = ACTIONS(3100),
    [sym_null_literal] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3100),
    [anon_sym_TILDE] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_assert] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_synchronized] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_byte] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_int] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_char] = ACTIONS(3102),
    [anon_sym_float] = ACTIONS(3102),
    [anon_sym_double] = ACTIONS(3102),
    [sym_boolean_type] = ACTIONS(3102),
    [sym_void_type] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_module] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_package] = ACTIONS(3102),
    [anon_sym_import] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_strictfp] = ACTIONS(3102),
    [anon_sym_native] = ACTIONS(3102),
    [anon_sym_transient] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_ATinterface] = ACTIONS(3100),
    [anon_sym_interface] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
    [sym_super] = ACTIONS(3102),
    [sym_identifier] = ACTIONS(3102),
    [sym_comment] = ACTIONS(93),
  },
  [1332] = {
    [anon_sym_RPAREN] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1333] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(1334),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(1334),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [1334] = {
    [sym_catch_clause] = STATE(1452),
    [aux_sym_catches_repeat1] = STATE(1452),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [1335] = {
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1336] = {
    [sym__semicolon] = STATE(1454),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1455),
    [sym_cast_expression] = STATE(1455),
    [sym_assignment_expression] = STATE(1455),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1455),
    [sym_lambda_expression] = STATE(1455),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1455),
    [sym_unary_expression] = STATE(1455),
    [sym_update_expression] = STATE(1455),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3108),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1337] = {
    [sym__semicolon] = STATE(1456),
    [anon_sym_SEMI] = ACTIONS(3110),
    [sym_comment] = ACTIONS(93),
  },
  [1338] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1457),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1339] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1458),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1340] = {
    [anon_sym_RPAREN] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1341] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(1342),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(1342),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [1342] = {
    [sym_catch_clause] = STATE(1460),
    [aux_sym_catches_repeat1] = STATE(1460),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [1343] = {
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1344] = {
    [sym__semicolon] = STATE(1462),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1463),
    [sym_cast_expression] = STATE(1463),
    [sym_assignment_expression] = STATE(1463),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1463),
    [sym_lambda_expression] = STATE(1463),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1463),
    [sym_unary_expression] = STATE(1463),
    [sym_update_expression] = STATE(1463),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3116),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1345] = {
    [sym__semicolon] = STATE(1464),
    [anon_sym_SEMI] = ACTIONS(3118),
    [sym_comment] = ACTIONS(93),
  },
  [1346] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1465),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1347] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1466),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1348] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1349] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3120),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1350] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1468),
    [anon_sym_RPAREN] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1351] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1352] = {
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1353] = {
    [anon_sym_RPAREN] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1354] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(1355),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(1355),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [anon_sym_else] = ACTIONS(1143),
    [sym_comment] = ACTIONS(93),
  },
  [1355] = {
    [sym_catch_clause] = STATE(1471),
    [aux_sym_catches_repeat1] = STATE(1471),
    [anon_sym_while] = ACTIONS(1157),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(1157),
    [anon_sym_else] = ACTIONS(1157),
    [sym_comment] = ACTIONS(93),
  },
  [1356] = {
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1357] = {
    [sym__semicolon] = STATE(1473),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1474),
    [sym_cast_expression] = STATE(1474),
    [sym_assignment_expression] = STATE(1474),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1474),
    [sym_lambda_expression] = STATE(1474),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1474),
    [sym_unary_expression] = STATE(1474),
    [sym_update_expression] = STATE(1474),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3128),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1358] = {
    [sym__semicolon] = STATE(1475),
    [anon_sym_SEMI] = ACTIONS(3130),
    [sym_comment] = ACTIONS(93),
  },
  [1359] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1476),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1360] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1477),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1361] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1362] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3132),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1363] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1479),
    [anon_sym_RPAREN] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1364] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1365] = {
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1366] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(429),
    [sym_cast_expression] = STATE(429),
    [sym_assignment_expression] = STATE(429),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(429),
    [sym_lambda_expression] = STATE(429),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(429),
    [sym_unary_expression] = STATE(429),
    [sym_update_expression] = STATE(429),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1367] = {
    [sym_additional_bound] = STATE(434),
    [aux_sym_cast_expression_repeat1] = STATE(434),
    [anon_sym_RPAREN] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(443),
    [sym_comment] = ACTIONS(93),
  },
  [1368] = {
    [sym_dims] = STATE(601),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1482),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_RPAREN] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1296),
    [anon_sym_GT] = ACTIONS(1296),
    [anon_sym_LT] = ACTIONS(1296),
    [anon_sym_EQ_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_BANG_EQ] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_SLASH] = ACTIONS(1296),
    [anon_sym_PIPE] = ACTIONS(1296),
    [anon_sym_CARET] = ACTIONS(1294),
    [anon_sym_PERCENT] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1294),
    [anon_sym_GT_GT] = ACTIONS(1296),
    [anon_sym_GT_GT_GT] = ACTIONS(1294),
    [anon_sym_instanceof] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1294),
    [anon_sym_COLON_COLON] = ACTIONS(1294),
    [sym_comment] = ACTIONS(93),
  },
  [1369] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1483),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1483),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_AMP_AMP] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [anon_sym_instanceof] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COLON_COLON] = ACTIONS(1300),
    [sym_comment] = ACTIONS(93),
  },
  [1370] = {
    [sym_dims] = STATE(613),
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1482),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_RPAREN] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_GT] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [anon_sym_EQ_EQ] = ACTIONS(1312),
    [anon_sym_GT_EQ] = ACTIONS(1312),
    [anon_sym_LT_EQ] = ACTIONS(1312),
    [anon_sym_BANG_EQ] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1312),
    [anon_sym_PIPE_PIPE] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_SLASH] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1314),
    [anon_sym_CARET] = ACTIONS(1312),
    [anon_sym_PERCENT] = ACTIONS(1312),
    [anon_sym_LT_LT] = ACTIONS(1312),
    [anon_sym_GT_GT] = ACTIONS(1314),
    [anon_sym_GT_GT_GT] = ACTIONS(1312),
    [anon_sym_instanceof] = ACTIONS(1312),
    [anon_sym_QMARK] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1312),
    [anon_sym_COLON_COLON] = ACTIONS(1312),
    [sym_comment] = ACTIONS(93),
  },
  [1371] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1372] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1440),
    [anon_sym_GT_EQ] = ACTIONS(1440),
    [anon_sym_LT_EQ] = ACTIONS(1440),
    [anon_sym_BANG_EQ] = ACTIONS(1440),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(1440),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1373] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1374] = {
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym_RPAREN] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_PIPE_PIPE] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1440),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1375] = {
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1456),
    [anon_sym_PERCENT] = ACTIONS(1460),
    [anon_sym_LT_LT] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1460),
    [anon_sym_instanceof] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1376] = {
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1377] = {
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1378] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1378),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1379] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1016),
    [anon_sym_PIPE] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(3140),
    [anon_sym_module] = ACTIONS(3140),
    [sym_identifier] = ACTIONS(3140),
    [sym_comment] = ACTIONS(93),
  },
  [1380] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1642),
    [sym_comment] = ACTIONS(93),
  },
  [1381] = {
    [sym_catch_clause] = STATE(1381),
    [aux_sym_catches_repeat1] = STATE(1381),
    [ts_builtin_sym_end] = ACTIONS(1625),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [1382] = {
    [sym__statement] = STATE(1485),
    [sym__method_statement] = STATE(1485),
    [sym__expression_statement] = STATE(1485),
    [sym__semicolon] = STATE(1485),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1485),
    [sym_assert_statement] = STATE(1485),
    [sym_switch_statement] = STATE(1485),
    [sym_do_statement] = STATE(1485),
    [sym_break_statement] = STATE(1485),
    [sym_continue_statement] = STATE(1485),
    [sym_return_statement] = STATE(1485),
    [sym_synchronized_statement] = STATE(1485),
    [sym_throw_statement] = STATE(1485),
    [sym_try_statement] = STATE(1485),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1485),
    [sym_while_statement] = STATE(1485),
    [sym_for_statement] = STATE(1485),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1485),
    [sym_module_declaration] = STATE(1485),
    [sym_package_declaration] = STATE(1485),
    [sym_import_declaration] = STATE(1485),
    [sym_enum_declaration] = STATE(1485),
    [sym_class_declaration] = STATE(1485),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1485),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1485),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(3142),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1642),
    [sym_comment] = ACTIONS(93),
  },
  [1383] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1487),
    [sym_cast_expression] = STATE(1487),
    [sym_assignment_expression] = STATE(1487),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1487),
    [sym_lambda_expression] = STATE(1487),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1487),
    [sym_unary_expression] = STATE(1487),
    [sym_update_expression] = STATE(1487),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1384] = {
    [sym__semicolon] = STATE(1488),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1385] = {
    [sym__semicolon] = STATE(1488),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1489),
    [sym_cast_expression] = STATE(1489),
    [sym_assignment_expression] = STATE(1489),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1489),
    [sym_lambda_expression] = STATE(1489),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1489),
    [sym_unary_expression] = STATE(1489),
    [sym_update_expression] = STATE(1489),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3146),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1386] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3148),
    [sym_comment] = ACTIONS(93),
  },
  [1387] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1491),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1388] = {
    [ts_builtin_sym_end] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [sym_decimal_integer_literal] = ACTIONS(3152),
    [sym_hex_integer_literal] = ACTIONS(3152),
    [sym_octal_integer_literal] = ACTIONS(3150),
    [sym_binary_integer_literal] = ACTIONS(3150),
    [sym_long_integer_literal] = ACTIONS(3150),
    [sym_decimal_floating_point_literal] = ACTIONS(3150),
    [sym_hex_floating_point_literal] = ACTIONS(3152),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [sym_string_literal] = ACTIONS(3150),
    [sym_null_literal] = ACTIONS(3152),
    [anon_sym_LPAREN] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_assert] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_synchronized] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_byte] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_int] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_char] = ACTIONS(3152),
    [anon_sym_float] = ACTIONS(3152),
    [anon_sym_double] = ACTIONS(3152),
    [sym_boolean_type] = ACTIONS(3152),
    [sym_void_type] = ACTIONS(3152),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_open] = ACTIONS(3152),
    [anon_sym_module] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_package] = ACTIONS(3152),
    [anon_sym_import] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_abstract] = ACTIONS(3152),
    [anon_sym_final] = ACTIONS(3152),
    [anon_sym_strictfp] = ACTIONS(3152),
    [anon_sym_native] = ACTIONS(3152),
    [anon_sym_transient] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_ATinterface] = ACTIONS(3150),
    [anon_sym_interface] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
    [sym_super] = ACTIONS(3152),
    [sym_identifier] = ACTIONS(3152),
    [sym_comment] = ACTIONS(93),
  },
  [1389] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1390] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3156),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1391] = {
    [ts_builtin_sym_end] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [sym_decimal_integer_literal] = ACTIONS(3160),
    [sym_hex_integer_literal] = ACTIONS(3160),
    [sym_octal_integer_literal] = ACTIONS(3158),
    [sym_binary_integer_literal] = ACTIONS(3158),
    [sym_long_integer_literal] = ACTIONS(3158),
    [sym_decimal_floating_point_literal] = ACTIONS(3158),
    [sym_hex_floating_point_literal] = ACTIONS(3160),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [sym_string_literal] = ACTIONS(3158),
    [sym_null_literal] = ACTIONS(3160),
    [anon_sym_LPAREN] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_assert] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_synchronized] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_byte] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_int] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_char] = ACTIONS(3160),
    [anon_sym_float] = ACTIONS(3160),
    [anon_sym_double] = ACTIONS(3160),
    [sym_boolean_type] = ACTIONS(3160),
    [sym_void_type] = ACTIONS(3160),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_open] = ACTIONS(3160),
    [anon_sym_module] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_package] = ACTIONS(3160),
    [anon_sym_import] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_abstract] = ACTIONS(3160),
    [anon_sym_final] = ACTIONS(3160),
    [anon_sym_strictfp] = ACTIONS(3160),
    [anon_sym_native] = ACTIONS(3160),
    [anon_sym_transient] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_ATinterface] = ACTIONS(3158),
    [anon_sym_interface] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
    [sym_super] = ACTIONS(3160),
    [sym_identifier] = ACTIONS(3160),
    [sym_comment] = ACTIONS(93),
  },
  [1392] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1393] = {
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_RPAREN] = ACTIONS(3164),
    [anon_sym_COMMA] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [sym_comment] = ACTIONS(93),
  },
  [1394] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(1243),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [1395] = {
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [anon_sym_exports] = ACTIONS(3166),
    [anon_sym_opens] = ACTIONS(3166),
    [anon_sym_uses] = ACTIONS(3166),
    [anon_sym_provides] = ACTIONS(3166),
    [sym_comment] = ACTIONS(93),
  },
  [1396] = {
    [sym__semicolon] = STATE(1495),
    [aux_sym_module_directive_repeat2] = STATE(1251),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_comment] = ACTIONS(93),
  },
  [1397] = {
    [sym_scoped_identifier] = STATE(1496),
    [sym__reserved_identifier] = STATE(1496),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(3170),
    [sym_comment] = ACTIONS(93),
  },
  [1398] = {
    [sym__semicolon] = STATE(1495),
    [aux_sym_module_directive_repeat3] = STATE(1497),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(2989),
    [sym_comment] = ACTIONS(93),
  },
  [1399] = {
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [sym_comment] = ACTIONS(93),
  },
  [1400] = {
    [ts_builtin_sym_end] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [sym_decimal_integer_literal] = ACTIONS(3176),
    [sym_hex_integer_literal] = ACTIONS(3176),
    [sym_octal_integer_literal] = ACTIONS(3174),
    [sym_binary_integer_literal] = ACTIONS(3174),
    [sym_long_integer_literal] = ACTIONS(3174),
    [sym_decimal_floating_point_literal] = ACTIONS(3174),
    [sym_hex_floating_point_literal] = ACTIONS(3176),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [sym_string_literal] = ACTIONS(3174),
    [sym_null_literal] = ACTIONS(3176),
    [anon_sym_LPAREN] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_assert] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_synchronized] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_byte] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_int] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_char] = ACTIONS(3176),
    [anon_sym_float] = ACTIONS(3176),
    [anon_sym_double] = ACTIONS(3176),
    [sym_boolean_type] = ACTIONS(3176),
    [sym_void_type] = ACTIONS(3176),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_open] = ACTIONS(3176),
    [anon_sym_module] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_package] = ACTIONS(3176),
    [anon_sym_import] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_abstract] = ACTIONS(3176),
    [anon_sym_final] = ACTIONS(3176),
    [anon_sym_strictfp] = ACTIONS(3176),
    [anon_sym_native] = ACTIONS(3176),
    [anon_sym_transient] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_ATinterface] = ACTIONS(3174),
    [anon_sym_interface] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
    [sym_super] = ACTIONS(3176),
    [sym_identifier] = ACTIONS(3176),
    [sym_comment] = ACTIONS(93),
  },
  [1401] = {
    [sym_class_body] = STATE(1498),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(607),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [sym_comment] = ACTIONS(93),
  },
  [1402] = {
    [anon_sym_RBRACE] = ACTIONS(3178),
    [sym_comment] = ACTIONS(93),
  },
  [1403] = {
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [sym_comment] = ACTIONS(93),
  },
  [1404] = {
    [aux_sym_type_bound_repeat1] = STATE(1404),
    [anon_sym_AMP] = ACTIONS(3182),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_COMMA] = ACTIONS(3180),
    [sym_comment] = ACTIONS(93),
  },
  [1405] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1405),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_GT] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1406] = {
    [anon_sym_LBRACE] = ACTIONS(3185),
    [anon_sym_throws] = ACTIONS(3185),
    [sym_comment] = ACTIONS(93),
  },
  [1407] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1407),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_open] = ACTIONS(1492),
    [anon_sym_module] = ACTIONS(1492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1490),
    [sym_this] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [1408] = {
    [anon_sym_RPAREN] = ACTIONS(3187),
    [sym_comment] = ACTIONS(93),
  },
  [1409] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1501),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1410] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1501),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1411] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1503),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_this] = ACTIONS(921),
    [sym_identifier] = ACTIONS(921),
    [sym_comment] = ACTIONS(93),
  },
  [1412] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1501),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1413] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1501),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(1504),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1414] = {
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [sym_comment] = ACTIONS(93),
  },
  [1415] = {
    [sym__semicolon] = STATE(1505),
    [anon_sym_SEMI] = ACTIONS(3193),
    [sym_comment] = ACTIONS(93),
  },
  [1416] = {
    [anon_sym_RPAREN] = ACTIONS(3195),
    [sym_comment] = ACTIONS(93),
  },
  [1417] = {
    [anon_sym_LPAREN] = ACTIONS(3197),
    [anon_sym_DOT] = ACTIONS(1418),
    [sym_comment] = ACTIONS(93),
  },
  [1418] = {
    [sym_super] = ACTIONS(3199),
    [sym_identifier] = ACTIONS(3201),
    [sym_comment] = ACTIONS(93),
  },
  [1419] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1509),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1420] = {
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_LT] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_synchronized] = ACTIONS(3205),
    [anon_sym_byte] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_int] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_char] = ACTIONS(3205),
    [anon_sym_float] = ACTIONS(3205),
    [anon_sym_double] = ACTIONS(3205),
    [sym_boolean_type] = ACTIONS(3205),
    [sym_void_type] = ACTIONS(3205),
    [anon_sym_AT] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_final] = ACTIONS(3205),
    [anon_sym_strictfp] = ACTIONS(3205),
    [anon_sym_native] = ACTIONS(3205),
    [anon_sym_transient] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_ATinterface] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3205),
    [sym_identifier] = ACTIONS(3205),
    [sym_comment] = ACTIONS(93),
  },
  [1421] = {
    [anon_sym_LPAREN] = ACTIONS(3197),
    [sym_comment] = ACTIONS(93),
  },
  [1422] = {
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_COMMA] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [sym_comment] = ACTIONS(93),
  },
  [1423] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1423),
    [anon_sym_COMMA] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [sym_comment] = ACTIONS(93),
  },
  [1424] = {
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_throws] = ACTIONS(3212),
    [sym_comment] = ACTIONS(93),
  },
  [1425] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1510),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1426] = {
    [sym_dims] = STATE(1511),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3212),
    [sym_comment] = ACTIONS(93),
  },
  [1427] = {
    [anon_sym_RPAREN] = ACTIONS(3214),
    [sym_comment] = ACTIONS(93),
  },
  [1428] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1513),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1429] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1513),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1430] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1513),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1431] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1513),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(1515),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1432] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1516),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1433] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(1291),
    [sym_normal_annotation] = STATE(1291),
    [sym_marker_annotation] = STATE(1291),
    [sym_single_element_annotation] = STATE(1291),
    [sym__type] = STATE(1098),
    [sym__unann_type] = STATE(1289),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_exception_type] = STATE(1422),
    [aux_sym_wildcard_repeat1] = STATE(1291),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1434] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1517),
    [anon_sym_SEMI] = ACTIONS(3031),
    [anon_sym_COMMA] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(3031),
    [sym_comment] = ACTIONS(93),
  },
  [1435] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1432),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1436] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1437] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1518),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1438] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1519),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1519),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_COMMA] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_RBRACE] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1439] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1520),
    [sym_cast_expression] = STATE(1520),
    [sym_assignment_expression] = STATE(1520),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1520),
    [sym_lambda_expression] = STATE(1520),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1520),
    [sym_unary_expression] = STATE(1520),
    [sym_update_expression] = STATE(1520),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1440] = {
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_LT_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_LT_LT] = ACTIONS(3218),
    [anon_sym_GT_GT] = ACTIONS(3220),
    [anon_sym_GT_GT_GT] = ACTIONS(3218),
    [anon_sym_instanceof] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_COLON] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_RBRACK] = ACTIONS(3218),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [sym_comment] = ACTIONS(93),
  },
  [1441] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1304),
    [sym_cast_expression] = STATE(1304),
    [sym_assignment_expression] = STATE(1304),
    [sym_lhs] = STATE(875),
    [sym_binary_expression] = STATE(1304),
    [sym_lambda_expression] = STATE(1304),
    [sym__lambda_parameters] = STATE(876),
    [sym_inferred_parameters] = STATE(876),
    [sym_ternary_expression] = STATE(1304),
    [sym_unary_expression] = STATE(1304),
    [sym_update_expression] = STATE(1304),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_array_initializer] = STATE(1305),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1795),
    [anon_sym_DASH] = ACTIONS(1795),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(1805),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1442] = {
    [sym__literal] = STATE(537),
    [sym_integer_literal] = STATE(537),
    [sym_floating_point_literal] = STATE(537),
    [sym_boolean_literal] = STATE(537),
    [sym_character_literal] = STATE(537),
    [sym__annotation] = STATE(537),
    [sym_normal_annotation] = STATE(537),
    [sym_marker_annotation] = STATE(537),
    [sym_single_element_annotation] = STATE(537),
    [sym_element_value] = STATE(1521),
    [sym_element_value_array_initializer] = STATE(537),
    [sym_scoped_identifier] = STATE(542),
    [sym__reserved_identifier] = STATE(542),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(1662),
    [sym_null_literal] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [sym_identifier] = ACTIONS(1670),
    [sym_comment] = ACTIONS(93),
  },
  [1443] = {
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_synchronized] = ACTIONS(3224),
    [anon_sym_byte] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_int] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_char] = ACTIONS(3224),
    [anon_sym_float] = ACTIONS(3224),
    [anon_sym_double] = ACTIONS(3224),
    [sym_boolean_type] = ACTIONS(3224),
    [sym_void_type] = ACTIONS(3224),
    [anon_sym_AT] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_abstract] = ACTIONS(3224),
    [anon_sym_final] = ACTIONS(3224),
    [anon_sym_strictfp] = ACTIONS(3224),
    [anon_sym_native] = ACTIONS(3224),
    [anon_sym_transient] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_ATinterface] = ACTIONS(3222),
    [anon_sym_interface] = ACTIONS(3224),
    [sym_identifier] = ACTIONS(3224),
    [sym_comment] = ACTIONS(93),
  },
  [1444] = {
    [sym__semicolon] = STATE(1522),
    [sym_default_value] = STATE(1523),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3076),
    [sym_comment] = ACTIONS(93),
  },
  [1445] = {
    [sym__semicolon] = STATE(1522),
    [anon_sym_SEMI] = ACTIONS(3226),
    [sym_comment] = ACTIONS(93),
  },
  [1446] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1524),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_default] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1447] = {
    [sym__semicolon] = STATE(1522),
    [sym_dims] = STATE(1525),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_default_value] = STATE(1523),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1446),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [sym_comment] = ACTIONS(93),
  },
  [1448] = {
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym_RPAREN] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym_GT] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3230),
    [anon_sym_PIPE] = ACTIONS(3230),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_GT_GT] = ACTIONS(3230),
    [anon_sym_GT_GT_GT] = ACTIONS(3228),
    [anon_sym_instanceof] = ACTIONS(3228),
    [anon_sym_COMMA] = ACTIONS(3228),
    [anon_sym_QMARK] = ACTIONS(3228),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_RBRACK] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [sym_comment] = ACTIONS(93),
  },
  [1449] = {
    [anon_sym_RPAREN] = ACTIONS(3232),
    [sym_comment] = ACTIONS(93),
  },
  [1450] = {
    [sym__semicolon] = STATE(561),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_enum_body_declarations] = STATE(1527),
    [sym_enum_constant] = STATE(1061),
    [sym_modifier] = STATE(564),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(564),
    [anon_sym_SEMI] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(1260),
    [sym_comment] = ACTIONS(93),
  },
  [1451] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(93),
  },
  [1452] = {
    [sym_catch_clause] = STATE(1452),
    [aux_sym_catches_repeat1] = STATE(1452),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [1453] = {
    [sym__statement] = STATE(1533),
    [sym__method_statement] = STATE(1533),
    [sym__expression_statement] = STATE(1533),
    [sym__semicolon] = STATE(1533),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1533),
    [sym_assert_statement] = STATE(1533),
    [sym_switch_statement] = STATE(1533),
    [sym_do_statement] = STATE(1533),
    [sym_break_statement] = STATE(1533),
    [sym_continue_statement] = STATE(1533),
    [sym_return_statement] = STATE(1533),
    [sym_synchronized_statement] = STATE(1533),
    [sym_throw_statement] = STATE(1533),
    [sym_try_statement] = STATE(1533),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1533),
    [sym_while_statement] = STATE(1533),
    [sym_for_statement] = STATE(1533),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1533),
    [sym_module_declaration] = STATE(1533),
    [sym_package_declaration] = STATE(1533),
    [sym_import_declaration] = STATE(1533),
    [sym_enum_declaration] = STATE(1533),
    [sym_class_declaration] = STATE(1533),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1533),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1533),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(3234),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(3244),
    [sym_comment] = ACTIONS(93),
  },
  [1454] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1535),
    [sym_cast_expression] = STATE(1535),
    [sym_assignment_expression] = STATE(1535),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1535),
    [sym_lambda_expression] = STATE(1535),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1535),
    [sym_unary_expression] = STATE(1535),
    [sym_update_expression] = STATE(1535),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1455] = {
    [sym__semicolon] = STATE(1536),
    [anon_sym_SEMI] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1456] = {
    [sym__semicolon] = STATE(1536),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1537),
    [sym_cast_expression] = STATE(1537),
    [sym_assignment_expression] = STATE(1537),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(1537),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1537),
    [sym_update_expression] = STATE(1537),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3248),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1457] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3250),
    [sym_comment] = ACTIONS(93),
  },
  [1458] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1539),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1459] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1967),
    [sym_comment] = ACTIONS(93),
  },
  [1460] = {
    [sym_catch_clause] = STATE(1460),
    [aux_sym_catches_repeat1] = STATE(1460),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [1461] = {
    [sym__statement] = STATE(1540),
    [sym__method_statement] = STATE(1540),
    [sym__expression_statement] = STATE(1540),
    [sym__semicolon] = STATE(1540),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1540),
    [sym_assert_statement] = STATE(1540),
    [sym_switch_statement] = STATE(1540),
    [sym_do_statement] = STATE(1540),
    [sym_break_statement] = STATE(1540),
    [sym_continue_statement] = STATE(1540),
    [sym_return_statement] = STATE(1540),
    [sym_synchronized_statement] = STATE(1540),
    [sym_throw_statement] = STATE(1540),
    [sym_try_statement] = STATE(1540),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1540),
    [sym_while_statement] = STATE(1540),
    [sym_for_statement] = STATE(1540),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1540),
    [sym_module_declaration] = STATE(1540),
    [sym_package_declaration] = STATE(1540),
    [sym_import_declaration] = STATE(1540),
    [sym_enum_declaration] = STATE(1540),
    [sym_class_declaration] = STATE(1540),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1540),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1540),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(3252),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1967),
    [sym_comment] = ACTIONS(93),
  },
  [1462] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1542),
    [sym_cast_expression] = STATE(1542),
    [sym_assignment_expression] = STATE(1542),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1542),
    [sym_lambda_expression] = STATE(1542),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1542),
    [sym_unary_expression] = STATE(1542),
    [sym_update_expression] = STATE(1542),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1463] = {
    [sym__semicolon] = STATE(1543),
    [anon_sym_SEMI] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1464] = {
    [sym__semicolon] = STATE(1543),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1544),
    [sym_cast_expression] = STATE(1544),
    [sym_assignment_expression] = STATE(1544),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1544),
    [sym_lambda_expression] = STATE(1544),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1544),
    [sym_unary_expression] = STATE(1544),
    [sym_update_expression] = STATE(1544),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3256),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1465] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3258),
    [sym_comment] = ACTIONS(93),
  },
  [1466] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1546),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1467] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1468] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3260),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1469] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1470] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1995),
    [sym_comment] = ACTIONS(93),
  },
  [1471] = {
    [sym_catch_clause] = STATE(1471),
    [aux_sym_catches_repeat1] = STATE(1471),
    [anon_sym_while] = ACTIONS(1625),
    [anon_sym_catch] = ACTIONS(1982),
    [anon_sym_finally] = ACTIONS(1625),
    [anon_sym_else] = ACTIONS(1625),
    [sym_comment] = ACTIONS(93),
  },
  [1472] = {
    [sym__statement] = STATE(1548),
    [sym__method_statement] = STATE(1548),
    [sym__expression_statement] = STATE(1548),
    [sym__semicolon] = STATE(1548),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1548),
    [sym_assert_statement] = STATE(1548),
    [sym_switch_statement] = STATE(1548),
    [sym_do_statement] = STATE(1548),
    [sym_break_statement] = STATE(1548),
    [sym_continue_statement] = STATE(1548),
    [sym_return_statement] = STATE(1548),
    [sym_synchronized_statement] = STATE(1548),
    [sym_throw_statement] = STATE(1548),
    [sym_try_statement] = STATE(1548),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1548),
    [sym_while_statement] = STATE(1548),
    [sym_for_statement] = STATE(1548),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1548),
    [sym_module_declaration] = STATE(1548),
    [sym_package_declaration] = STATE(1548),
    [sym_import_declaration] = STATE(1548),
    [sym_enum_declaration] = STATE(1548),
    [sym_class_declaration] = STATE(1548),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1548),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1548),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(3262),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1995),
    [sym_comment] = ACTIONS(93),
  },
  [1473] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1550),
    [sym_cast_expression] = STATE(1550),
    [sym_assignment_expression] = STATE(1550),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1550),
    [sym_lambda_expression] = STATE(1550),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1550),
    [sym_unary_expression] = STATE(1550),
    [sym_update_expression] = STATE(1550),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1474] = {
    [sym__semicolon] = STATE(1551),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1475] = {
    [sym__semicolon] = STATE(1551),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1552),
    [sym_cast_expression] = STATE(1552),
    [sym_assignment_expression] = STATE(1552),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1552),
    [sym_lambda_expression] = STATE(1552),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1552),
    [sym_unary_expression] = STATE(1552),
    [sym_update_expression] = STATE(1552),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3266),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1476] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3268),
    [sym_comment] = ACTIONS(93),
  },
  [1477] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1554),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1478] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1479] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1480] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1481] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(703),
    [sym_cast_expression] = STATE(703),
    [sym_assignment_expression] = STATE(703),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(703),
    [sym_lambda_expression] = STATE(703),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(703),
    [sym_unary_expression] = STATE(703),
    [sym_update_expression] = STATE(703),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1482] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1556),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(701),
    [anon_sym_GT_EQ] = ACTIONS(701),
    [anon_sym_LT_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_AMP_AMP] = ACTIONS(701),
    [anon_sym_PIPE_PIPE] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(701),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(701),
    [anon_sym_LT_LT] = ACTIONS(701),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(701),
    [anon_sym_instanceof] = ACTIONS(701),
    [anon_sym_QMARK] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [sym_comment] = ACTIONS(93),
  },
  [1483] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1557),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1557),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1819),
    [anon_sym_GT] = ACTIONS(1819),
    [anon_sym_LT] = ACTIONS(1819),
    [anon_sym_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1817),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_STAR] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1819),
    [anon_sym_PIPE] = ACTIONS(1819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1819),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1817),
    [anon_sym_QMARK] = ACTIONS(1817),
    [anon_sym_PLUS_PLUS] = ACTIONS(1817),
    [anon_sym_DASH_DASH] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [sym_comment] = ACTIONS(93),
  },
  [1484] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1558),
    [sym_cast_expression] = STATE(1558),
    [sym_assignment_expression] = STATE(1558),
    [sym_lhs] = STATE(1008),
    [sym_binary_expression] = STATE(1558),
    [sym_lambda_expression] = STATE(1558),
    [sym__lambda_parameters] = STATE(1009),
    [sym_inferred_parameters] = STATE(1009),
    [sym_ternary_expression] = STATE(1558),
    [sym_unary_expression] = STATE(1558),
    [sym_update_expression] = STATE(1558),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_TILDE] = ACTIONS(2026),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(2030),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1485] = {
    [ts_builtin_sym_end] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [1486] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1487] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1562),
    [anon_sym_RPAREN] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1488] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1563),
    [sym_cast_expression] = STATE(1563),
    [sym_assignment_expression] = STATE(1563),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1563),
    [sym_lambda_expression] = STATE(1563),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1563),
    [sym_unary_expression] = STATE(1563),
    [sym_update_expression] = STATE(1563),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3276),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1489] = {
    [sym__semicolon] = STATE(1564),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1490] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1565),
    [sym_cast_expression] = STATE(1565),
    [sym_assignment_expression] = STATE(1565),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1565),
    [sym_lambda_expression] = STATE(1565),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1565),
    [sym_unary_expression] = STATE(1565),
    [sym_update_expression] = STATE(1565),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1491] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3280),
    [sym_comment] = ACTIONS(93),
  },
  [1492] = {
    [ts_builtin_sym_end] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [sym_decimal_integer_literal] = ACTIONS(3284),
    [sym_hex_integer_literal] = ACTIONS(3284),
    [sym_octal_integer_literal] = ACTIONS(3282),
    [sym_binary_integer_literal] = ACTIONS(3282),
    [sym_long_integer_literal] = ACTIONS(3282),
    [sym_decimal_floating_point_literal] = ACTIONS(3282),
    [sym_hex_floating_point_literal] = ACTIONS(3284),
    [sym_true] = ACTIONS(3284),
    [sym_false] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [sym_string_literal] = ACTIONS(3282),
    [sym_null_literal] = ACTIONS(3284),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_assert] = ACTIONS(3284),
    [anon_sym_switch] = ACTIONS(3284),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3284),
    [anon_sym_default] = ACTIONS(3284),
    [anon_sym_do] = ACTIONS(3284),
    [anon_sym_while] = ACTIONS(3284),
    [anon_sym_break] = ACTIONS(3284),
    [anon_sym_continue] = ACTIONS(3284),
    [anon_sym_return] = ACTIONS(3284),
    [anon_sym_synchronized] = ACTIONS(3284),
    [anon_sym_throw] = ACTIONS(3284),
    [anon_sym_try] = ACTIONS(3284),
    [anon_sym_if] = ACTIONS(3284),
    [anon_sym_else] = ACTIONS(3284),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_byte] = ACTIONS(3284),
    [anon_sym_short] = ACTIONS(3284),
    [anon_sym_int] = ACTIONS(3284),
    [anon_sym_long] = ACTIONS(3284),
    [anon_sym_char] = ACTIONS(3284),
    [anon_sym_float] = ACTIONS(3284),
    [anon_sym_double] = ACTIONS(3284),
    [sym_boolean_type] = ACTIONS(3284),
    [sym_void_type] = ACTIONS(3284),
    [anon_sym_AT] = ACTIONS(3284),
    [anon_sym_open] = ACTIONS(3284),
    [anon_sym_module] = ACTIONS(3284),
    [anon_sym_static] = ACTIONS(3284),
    [anon_sym_package] = ACTIONS(3284),
    [anon_sym_import] = ACTIONS(3284),
    [anon_sym_enum] = ACTIONS(3284),
    [anon_sym_class] = ACTIONS(3284),
    [anon_sym_public] = ACTIONS(3284),
    [anon_sym_protected] = ACTIONS(3284),
    [anon_sym_private] = ACTIONS(3284),
    [anon_sym_abstract] = ACTIONS(3284),
    [anon_sym_final] = ACTIONS(3284),
    [anon_sym_strictfp] = ACTIONS(3284),
    [anon_sym_native] = ACTIONS(3284),
    [anon_sym_transient] = ACTIONS(3284),
    [anon_sym_volatile] = ACTIONS(3284),
    [anon_sym_new] = ACTIONS(3284),
    [anon_sym_ATinterface] = ACTIONS(3282),
    [anon_sym_interface] = ACTIONS(3284),
    [sym_this] = ACTIONS(3284),
    [sym_super] = ACTIONS(3284),
    [sym_identifier] = ACTIONS(3284),
    [sym_comment] = ACTIONS(93),
  },
  [1493] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [sym_identifier] = ACTIONS(2066),
    [sym_comment] = ACTIONS(93),
  },
  [1494] = {
    [ts_builtin_sym_end] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3288),
    [sym_decimal_integer_literal] = ACTIONS(3290),
    [sym_hex_integer_literal] = ACTIONS(3290),
    [sym_octal_integer_literal] = ACTIONS(3288),
    [sym_binary_integer_literal] = ACTIONS(3288),
    [sym_long_integer_literal] = ACTIONS(3288),
    [sym_decimal_floating_point_literal] = ACTIONS(3288),
    [sym_hex_floating_point_literal] = ACTIONS(3290),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [sym_string_literal] = ACTIONS(3288),
    [sym_null_literal] = ACTIONS(3290),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_assert] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_synchronized] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_else] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_byte] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_int] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_char] = ACTIONS(3290),
    [anon_sym_float] = ACTIONS(3290),
    [anon_sym_double] = ACTIONS(3290),
    [sym_boolean_type] = ACTIONS(3290),
    [sym_void_type] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_open] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_package] = ACTIONS(3290),
    [anon_sym_import] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_abstract] = ACTIONS(3290),
    [anon_sym_final] = ACTIONS(3290),
    [anon_sym_strictfp] = ACTIONS(3290),
    [anon_sym_native] = ACTIONS(3290),
    [anon_sym_transient] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_ATinterface] = ACTIONS(3288),
    [anon_sym_interface] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
    [sym_super] = ACTIONS(3290),
    [sym_identifier] = ACTIONS(3290),
    [sym_comment] = ACTIONS(93),
  },
  [1495] = {
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [anon_sym_exports] = ACTIONS(3292),
    [anon_sym_opens] = ACTIONS(3292),
    [anon_sym_uses] = ACTIONS(3292),
    [anon_sym_provides] = ACTIONS(3292),
    [sym_comment] = ACTIONS(93),
  },
  [1496] = {
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_DOT] = ACTIONS(587),
    [sym_comment] = ACTIONS(93),
  },
  [1497] = {
    [aux_sym_module_directive_repeat3] = STATE(1497),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3296),
    [sym_comment] = ACTIONS(93),
  },
  [1498] = {
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [sym_comment] = ACTIONS(93),
  },
  [1499] = {
    [ts_builtin_sym_end] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3301),
    [sym_decimal_integer_literal] = ACTIONS(3303),
    [sym_hex_integer_literal] = ACTIONS(3303),
    [sym_octal_integer_literal] = ACTIONS(3301),
    [sym_binary_integer_literal] = ACTIONS(3301),
    [sym_long_integer_literal] = ACTIONS(3301),
    [sym_decimal_floating_point_literal] = ACTIONS(3301),
    [sym_hex_floating_point_literal] = ACTIONS(3303),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [sym_string_literal] = ACTIONS(3301),
    [sym_null_literal] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3301),
    [anon_sym_LT] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_assert] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_synchronized] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_else] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_byte] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_int] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_char] = ACTIONS(3303),
    [anon_sym_float] = ACTIONS(3303),
    [anon_sym_double] = ACTIONS(3303),
    [sym_boolean_type] = ACTIONS(3303),
    [sym_void_type] = ACTIONS(3303),
    [anon_sym_AT] = ACTIONS(3303),
    [anon_sym_open] = ACTIONS(3303),
    [anon_sym_module] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_package] = ACTIONS(3303),
    [anon_sym_import] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_abstract] = ACTIONS(3303),
    [anon_sym_final] = ACTIONS(3303),
    [anon_sym_strictfp] = ACTIONS(3303),
    [anon_sym_native] = ACTIONS(3303),
    [anon_sym_transient] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_ATinterface] = ACTIONS(3301),
    [anon_sym_interface] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
    [sym_super] = ACTIONS(3303),
    [sym_identifier] = ACTIONS(3303),
    [sym_comment] = ACTIONS(93),
  },
  [1500] = {
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_throws] = ACTIONS(3305),
    [sym_comment] = ACTIONS(93),
  },
  [1501] = {
    [anon_sym_RPAREN] = ACTIONS(3307),
    [sym_comment] = ACTIONS(93),
  },
  [1502] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1569),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3307),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1503] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1503),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_this] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1492),
    [sym_comment] = ACTIONS(93),
  },
  [1504] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1569),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(3307),
    [anon_sym_COMMA] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1505] = {
    [anon_sym_SEMI] = ACTIONS(3311),
    [sym_decimal_integer_literal] = ACTIONS(3313),
    [sym_hex_integer_literal] = ACTIONS(3313),
    [sym_octal_integer_literal] = ACTIONS(3311),
    [sym_binary_integer_literal] = ACTIONS(3311),
    [sym_long_integer_literal] = ACTIONS(3311),
    [sym_decimal_floating_point_literal] = ACTIONS(3311),
    [sym_hex_floating_point_literal] = ACTIONS(3313),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [sym_string_literal] = ACTIONS(3311),
    [sym_null_literal] = ACTIONS(3313),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_synchronized] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_byte] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_int] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_char] = ACTIONS(3313),
    [anon_sym_float] = ACTIONS(3313),
    [anon_sym_double] = ACTIONS(3313),
    [sym_boolean_type] = ACTIONS(3313),
    [sym_void_type] = ACTIONS(3313),
    [anon_sym_AT] = ACTIONS(3313),
    [anon_sym_open] = ACTIONS(3313),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_package] = ACTIONS(3313),
    [anon_sym_import] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_final] = ACTIONS(3313),
    [anon_sym_strictfp] = ACTIONS(3313),
    [anon_sym_native] = ACTIONS(3313),
    [anon_sym_transient] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_ATinterface] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
    [sym_super] = ACTIONS(3313),
    [sym_identifier] = ACTIONS(3313),
    [sym_comment] = ACTIONS(93),
  },
  [1506] = {
    [sym__semicolon] = STATE(1571),
    [anon_sym_SEMI] = ACTIONS(3315),
    [sym_comment] = ACTIONS(93),
  },
  [1507] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1573),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1508] = {
    [anon_sym_LPAREN] = ACTIONS(3319),
    [sym_comment] = ACTIONS(93),
  },
  [1509] = {
    [anon_sym_RPAREN] = ACTIONS(3317),
    [sym_comment] = ACTIONS(93),
  },
  [1510] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1510),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_throws] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1511] = {
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_throws] = ACTIONS(3321),
    [sym_comment] = ACTIONS(93),
  },
  [1512] = {
    [sym_dims] = STATE(1575),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3321),
    [sym_comment] = ACTIONS(93),
  },
  [1513] = {
    [anon_sym_RPAREN] = ACTIONS(3323),
    [sym_comment] = ACTIONS(93),
  },
  [1514] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1577),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1515] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(190),
    [sym__unann_type] = STATE(188),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_spread_parameter] = STATE(1577),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(190),
    [aux_sym_formal_parameters_repeat1] = STATE(445),
    [anon_sym_RPAREN] = ACTIONS(3323),
    [anon_sym_COMMA] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1516] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1516),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1517] = {
    [aux_sym_exception_type_list_repeat1] = STATE(1517),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_COMMA] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [sym_comment] = ACTIONS(93),
  },
  [1518] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1518),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_COMMA] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1519] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1519),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1519),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_COMMA] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_RBRACE] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1520] = {
    [anon_sym_AMP] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_EQ_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_AMP_AMP] = ACTIONS(2294),
    [anon_sym_PIPE_PIPE] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2296),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_LT_LT] = ACTIONS(2300),
    [anon_sym_GT_GT] = ACTIONS(2302),
    [anon_sym_GT_GT_GT] = ACTIONS(2300),
    [anon_sym_instanceof] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2454),
    [anon_sym_QMARK] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [sym_comment] = ACTIONS(93),
  },
  [1521] = {
    [anon_sym_SEMI] = ACTIONS(3330),
    [sym_comment] = ACTIONS(93),
  },
  [1522] = {
    [anon_sym_RBRACE] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3334),
    [anon_sym_synchronized] = ACTIONS(3334),
    [anon_sym_byte] = ACTIONS(3334),
    [anon_sym_short] = ACTIONS(3334),
    [anon_sym_int] = ACTIONS(3334),
    [anon_sym_long] = ACTIONS(3334),
    [anon_sym_char] = ACTIONS(3334),
    [anon_sym_float] = ACTIONS(3334),
    [anon_sym_double] = ACTIONS(3334),
    [sym_boolean_type] = ACTIONS(3334),
    [sym_void_type] = ACTIONS(3334),
    [anon_sym_AT] = ACTIONS(3334),
    [anon_sym_static] = ACTIONS(3334),
    [anon_sym_class] = ACTIONS(3334),
    [anon_sym_public] = ACTIONS(3334),
    [anon_sym_protected] = ACTIONS(3334),
    [anon_sym_private] = ACTIONS(3334),
    [anon_sym_abstract] = ACTIONS(3334),
    [anon_sym_final] = ACTIONS(3334),
    [anon_sym_strictfp] = ACTIONS(3334),
    [anon_sym_native] = ACTIONS(3334),
    [anon_sym_transient] = ACTIONS(3334),
    [anon_sym_volatile] = ACTIONS(3334),
    [anon_sym_ATinterface] = ACTIONS(3332),
    [anon_sym_interface] = ACTIONS(3334),
    [sym_identifier] = ACTIONS(3334),
    [sym_comment] = ACTIONS(93),
  },
  [1523] = {
    [sym__semicolon] = STATE(1579),
    [anon_sym_SEMI] = ACTIONS(3336),
    [sym_comment] = ACTIONS(93),
  },
  [1524] = {
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1524),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_default] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1501),
    [sym_comment] = ACTIONS(93),
  },
  [1525] = {
    [sym__semicolon] = STATE(1579),
    [sym_default_value] = STATE(1580),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3076),
    [sym_comment] = ACTIONS(93),
  },
  [1526] = {
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym_RPAREN] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym_GT] = ACTIONS(3340),
    [anon_sym_LT] = ACTIONS(3340),
    [anon_sym_EQ_EQ] = ACTIONS(3338),
    [anon_sym_GT_EQ] = ACTIONS(3338),
    [anon_sym_LT_EQ] = ACTIONS(3338),
    [anon_sym_BANG_EQ] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_PIPE_PIPE] = ACTIONS(3338),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_SLASH] = ACTIONS(3340),
    [anon_sym_PIPE] = ACTIONS(3340),
    [anon_sym_CARET] = ACTIONS(3338),
    [anon_sym_PERCENT] = ACTIONS(3338),
    [anon_sym_LT_LT] = ACTIONS(3338),
    [anon_sym_GT_GT] = ACTIONS(3340),
    [anon_sym_GT_GT_GT] = ACTIONS(3338),
    [anon_sym_instanceof] = ACTIONS(3338),
    [anon_sym_COMMA] = ACTIONS(3338),
    [anon_sym_QMARK] = ACTIONS(3338),
    [anon_sym_COLON] = ACTIONS(3340),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(3338),
    [anon_sym_RBRACK] = ACTIONS(3338),
    [anon_sym_DOT] = ACTIONS(3338),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [sym_comment] = ACTIONS(93),
  },
  [1527] = {
    [anon_sym_RBRACE] = ACTIONS(3342),
    [sym_comment] = ACTIONS(93),
  },
  [1528] = {
    [anon_sym_LPAREN] = ACTIONS(3344),
    [sym_comment] = ACTIONS(93),
  },
  [1529] = {
    [sym_resource_specification] = STATE(1583),
    [sym_block] = STATE(1584),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1530] = {
    [anon_sym_LPAREN] = ACTIONS(3346),
    [sym_comment] = ACTIONS(93),
  },
  [1531] = {
    [anon_sym_LPAREN] = ACTIONS(3348),
    [sym_comment] = ACTIONS(93),
  },
  [1532] = {
    [sym__type_arguments_or_diamond] = STATE(152),
    [sym__type_arguments] = STATE(152),
    [aux_sym_class_literal_repeat1] = STATE(130),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_EQ] = ACTIONS(254),
    [anon_sym_PLUS_EQ] = ACTIONS(256),
    [anon_sym_DASH_EQ] = ACTIONS(256),
    [anon_sym_STAR_EQ] = ACTIONS(256),
    [anon_sym_SLASH_EQ] = ACTIONS(256),
    [anon_sym_AMP_EQ] = ACTIONS(256),
    [anon_sym_PIPE_EQ] = ACTIONS(256),
    [anon_sym_CARET_EQ] = ACTIONS(256),
    [anon_sym_PERCENT_EQ] = ACTIONS(256),
    [anon_sym_LT_LT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_EQ_EQ] = ACTIONS(248),
    [anon_sym_GT_EQ] = ACTIONS(248),
    [anon_sym_LT_EQ] = ACTIONS(248),
    [anon_sym_BANG_EQ] = ACTIONS(248),
    [anon_sym_AMP_AMP] = ACTIONS(248),
    [anon_sym_PIPE_PIPE] = ACTIONS(248),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_GT_GT_GT] = ACTIONS(252),
    [anon_sym_instanceof] = ACTIONS(248),
    [anon_sym_DASH_GT] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(248),
    [anon_sym_COLON] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(248),
    [anon_sym_DASH_DASH] = ACTIONS(248),
    [anon_sym_LT_GT] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(270),
    [anon_sym_DOT] = ACTIONS(272),
    [anon_sym_COLON_COLON] = ACTIONS(270),
    [sym_comment] = ACTIONS(93),
  },
  [1533] = {
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_case] = ACTIONS(2056),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [1534] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1535] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1591),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1536] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1592),
    [sym_cast_expression] = STATE(1592),
    [sym_assignment_expression] = STATE(1592),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1592),
    [sym_lambda_expression] = STATE(1592),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1592),
    [sym_unary_expression] = STATE(1592),
    [sym_update_expression] = STATE(1592),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1537] = {
    [sym__semicolon] = STATE(1593),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1538] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1594),
    [sym_cast_expression] = STATE(1594),
    [sym_assignment_expression] = STATE(1594),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1594),
    [sym_lambda_expression] = STATE(1594),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1594),
    [sym_unary_expression] = STATE(1594),
    [sym_update_expression] = STATE(1594),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1539] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3360),
    [sym_comment] = ACTIONS(93),
  },
  [1540] = {
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(3362),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [1541] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1542] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1599),
    [anon_sym_RPAREN] = ACTIONS(3366),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1543] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1600),
    [sym_cast_expression] = STATE(1600),
    [sym_assignment_expression] = STATE(1600),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1600),
    [sym_lambda_expression] = STATE(1600),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1600),
    [sym_unary_expression] = STATE(1600),
    [sym_update_expression] = STATE(1600),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3366),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1544] = {
    [sym__semicolon] = STATE(1601),
    [anon_sym_SEMI] = ACTIONS(3368),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1545] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1602),
    [sym_cast_expression] = STATE(1602),
    [sym_assignment_expression] = STATE(1602),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1602),
    [sym_lambda_expression] = STATE(1602),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1602),
    [sym_unary_expression] = STATE(1602),
    [sym_update_expression] = STATE(1602),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1546] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3370),
    [sym_comment] = ACTIONS(93),
  },
  [1547] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [sym_identifier] = ACTIONS(2494),
    [sym_comment] = ACTIONS(93),
  },
  [1548] = {
    [anon_sym_while] = ACTIONS(2054),
    [anon_sym_else] = ACTIONS(3372),
    [sym_comment] = ACTIONS(93),
  },
  [1549] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1550] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1607),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1551] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1608),
    [sym_cast_expression] = STATE(1608),
    [sym_assignment_expression] = STATE(1608),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1608),
    [sym_lambda_expression] = STATE(1608),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1608),
    [sym_unary_expression] = STATE(1608),
    [sym_update_expression] = STATE(1608),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1552] = {
    [sym__semicolon] = STATE(1609),
    [anon_sym_SEMI] = ACTIONS(3378),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1553] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1610),
    [sym_cast_expression] = STATE(1610),
    [sym_assignment_expression] = STATE(1610),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1610),
    [sym_lambda_expression] = STATE(1610),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1610),
    [sym_unary_expression] = STATE(1610),
    [sym_update_expression] = STATE(1610),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1554] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3380),
    [sym_comment] = ACTIONS(93),
  },
  [1555] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(169),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(171),
    [anon_sym_if] = ACTIONS(173),
    [anon_sym_for] = ACTIONS(175),
    [sym_identifier] = ACTIONS(2512),
    [sym_comment] = ACTIONS(93),
  },
  [1556] = {
    [sym__annotation] = STATE(603),
    [sym_normal_annotation] = STATE(603),
    [sym_marker_annotation] = STATE(603),
    [sym_single_element_annotation] = STATE(603),
    [aux_sym_wildcard_repeat1] = STATE(603),
    [aux_sym_dims_repeat1] = STATE(1556),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym_RPAREN] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1492),
    [anon_sym_GT] = ACTIONS(1492),
    [anon_sym_LT] = ACTIONS(1492),
    [anon_sym_EQ_EQ] = ACTIONS(1490),
    [anon_sym_GT_EQ] = ACTIONS(1490),
    [anon_sym_LT_EQ] = ACTIONS(1490),
    [anon_sym_BANG_EQ] = ACTIONS(1490),
    [anon_sym_AMP_AMP] = ACTIONS(1490),
    [anon_sym_PIPE_PIPE] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_SLASH] = ACTIONS(1492),
    [anon_sym_PIPE] = ACTIONS(1492),
    [anon_sym_CARET] = ACTIONS(1490),
    [anon_sym_PERCENT] = ACTIONS(1490),
    [anon_sym_LT_LT] = ACTIONS(1490),
    [anon_sym_GT_GT] = ACTIONS(1492),
    [anon_sym_GT_GT_GT] = ACTIONS(1490),
    [anon_sym_instanceof] = ACTIONS(1490),
    [anon_sym_QMARK] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_AT] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(1490),
    [anon_sym_COLON_COLON] = ACTIONS(1490),
    [sym_comment] = ACTIONS(93),
  },
  [1557] = {
    [sym__annotation] = STATE(606),
    [sym_normal_annotation] = STATE(606),
    [sym_marker_annotation] = STATE(606),
    [sym_single_element_annotation] = STATE(606),
    [sym_dims_expr] = STATE(1557),
    [aux_sym_wildcard_repeat1] = STATE(606),
    [aux_sym__dims_exprs_repeat1] = STATE(1557),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_RPAREN] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_EQ_EQ] = ACTIONS(2319),
    [anon_sym_GT_EQ] = ACTIONS(2319),
    [anon_sym_LT_EQ] = ACTIONS(2319),
    [anon_sym_BANG_EQ] = ACTIONS(2319),
    [anon_sym_AMP_AMP] = ACTIONS(2319),
    [anon_sym_PIPE_PIPE] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_CARET] = ACTIONS(2319),
    [anon_sym_PERCENT] = ACTIONS(2319),
    [anon_sym_LT_LT] = ACTIONS(2319),
    [anon_sym_GT_GT] = ACTIONS(2321),
    [anon_sym_GT_GT_GT] = ACTIONS(2319),
    [anon_sym_instanceof] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2319),
    [anon_sym_DASH_DASH] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_COLON_COLON] = ACTIONS(2319),
    [sym_comment] = ACTIONS(93),
  },
  [1558] = {
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_PIPE_PIPE] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2544),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2542),
    [anon_sym_LT_LT] = ACTIONS(2542),
    [anon_sym_GT_GT] = ACTIONS(2544),
    [anon_sym_GT_GT_GT] = ACTIONS(2542),
    [anon_sym_instanceof] = ACTIONS(2534),
    [anon_sym_QMARK] = ACTIONS(2548),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1559] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1642),
    [sym_comment] = ACTIONS(93),
  },
  [1560] = {
    [anon_sym_COLON] = ACTIONS(3382),
    [sym_comment] = ACTIONS(93),
  },
  [1561] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1562] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1563] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1613),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1564] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1614),
    [sym_cast_expression] = STATE(1614),
    [sym_assignment_expression] = STATE(1614),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1614),
    [sym_lambda_expression] = STATE(1614),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1614),
    [sym_unary_expression] = STATE(1614),
    [sym_update_expression] = STATE(1614),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1565] = {
    [anon_sym_RPAREN] = ACTIONS(3386),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1566] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1616),
    [sym_cast_expression] = STATE(1616),
    [sym_assignment_expression] = STATE(1616),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1616),
    [sym_lambda_expression] = STATE(1616),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1616),
    [sym_unary_expression] = STATE(1616),
    [sym_update_expression] = STATE(1616),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1567] = {
    [ts_builtin_sym_end] = ACTIONS(3388),
    [anon_sym_SEMI] = ACTIONS(3388),
    [sym_decimal_integer_literal] = ACTIONS(3390),
    [sym_hex_integer_literal] = ACTIONS(3390),
    [sym_octal_integer_literal] = ACTIONS(3388),
    [sym_binary_integer_literal] = ACTIONS(3388),
    [sym_long_integer_literal] = ACTIONS(3388),
    [sym_decimal_floating_point_literal] = ACTIONS(3388),
    [sym_hex_floating_point_literal] = ACTIONS(3390),
    [sym_true] = ACTIONS(3390),
    [sym_false] = ACTIONS(3390),
    [anon_sym_SQUOTE] = ACTIONS(3388),
    [sym_string_literal] = ACTIONS(3388),
    [sym_null_literal] = ACTIONS(3390),
    [anon_sym_LPAREN] = ACTIONS(3388),
    [anon_sym_PLUS] = ACTIONS(3390),
    [anon_sym_DASH] = ACTIONS(3390),
    [anon_sym_BANG] = ACTIONS(3388),
    [anon_sym_TILDE] = ACTIONS(3388),
    [anon_sym_PLUS_PLUS] = ACTIONS(3388),
    [anon_sym_DASH_DASH] = ACTIONS(3388),
    [anon_sym_assert] = ACTIONS(3390),
    [anon_sym_switch] = ACTIONS(3390),
    [anon_sym_LBRACE] = ACTIONS(3388),
    [anon_sym_RBRACE] = ACTIONS(3388),
    [anon_sym_case] = ACTIONS(3390),
    [anon_sym_default] = ACTIONS(3390),
    [anon_sym_do] = ACTIONS(3390),
    [anon_sym_while] = ACTIONS(3390),
    [anon_sym_break] = ACTIONS(3390),
    [anon_sym_continue] = ACTIONS(3390),
    [anon_sym_return] = ACTIONS(3390),
    [anon_sym_synchronized] = ACTIONS(3390),
    [anon_sym_throw] = ACTIONS(3390),
    [anon_sym_try] = ACTIONS(3390),
    [anon_sym_if] = ACTIONS(3390),
    [anon_sym_else] = ACTIONS(3390),
    [anon_sym_for] = ACTIONS(3390),
    [anon_sym_byte] = ACTIONS(3390),
    [anon_sym_short] = ACTIONS(3390),
    [anon_sym_int] = ACTIONS(3390),
    [anon_sym_long] = ACTIONS(3390),
    [anon_sym_char] = ACTIONS(3390),
    [anon_sym_float] = ACTIONS(3390),
    [anon_sym_double] = ACTIONS(3390),
    [sym_boolean_type] = ACTIONS(3390),
    [sym_void_type] = ACTIONS(3390),
    [anon_sym_AT] = ACTIONS(3390),
    [anon_sym_open] = ACTIONS(3390),
    [anon_sym_module] = ACTIONS(3390),
    [anon_sym_static] = ACTIONS(3390),
    [anon_sym_package] = ACTIONS(3390),
    [anon_sym_import] = ACTIONS(3390),
    [anon_sym_enum] = ACTIONS(3390),
    [anon_sym_class] = ACTIONS(3390),
    [anon_sym_public] = ACTIONS(3390),
    [anon_sym_protected] = ACTIONS(3390),
    [anon_sym_private] = ACTIONS(3390),
    [anon_sym_abstract] = ACTIONS(3390),
    [anon_sym_final] = ACTIONS(3390),
    [anon_sym_strictfp] = ACTIONS(3390),
    [anon_sym_native] = ACTIONS(3390),
    [anon_sym_transient] = ACTIONS(3390),
    [anon_sym_volatile] = ACTIONS(3390),
    [anon_sym_new] = ACTIONS(3390),
    [anon_sym_ATinterface] = ACTIONS(3388),
    [anon_sym_interface] = ACTIONS(3390),
    [sym_this] = ACTIONS(3390),
    [sym_super] = ACTIONS(3390),
    [sym_identifier] = ACTIONS(3390),
    [sym_comment] = ACTIONS(93),
  },
  [1568] = {
    [anon_sym_LBRACE] = ACTIONS(3392),
    [anon_sym_throws] = ACTIONS(3392),
    [sym_comment] = ACTIONS(93),
  },
  [1569] = {
    [anon_sym_RPAREN] = ACTIONS(3394),
    [sym_comment] = ACTIONS(93),
  },
  [1570] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1618),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3394),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1571] = {
    [anon_sym_SEMI] = ACTIONS(3396),
    [sym_decimal_integer_literal] = ACTIONS(3398),
    [sym_hex_integer_literal] = ACTIONS(3398),
    [sym_octal_integer_literal] = ACTIONS(3396),
    [sym_binary_integer_literal] = ACTIONS(3396),
    [sym_long_integer_literal] = ACTIONS(3396),
    [sym_decimal_floating_point_literal] = ACTIONS(3396),
    [sym_hex_floating_point_literal] = ACTIONS(3398),
    [sym_true] = ACTIONS(3398),
    [sym_false] = ACTIONS(3398),
    [anon_sym_SQUOTE] = ACTIONS(3396),
    [sym_string_literal] = ACTIONS(3396),
    [sym_null_literal] = ACTIONS(3398),
    [anon_sym_LPAREN] = ACTIONS(3396),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_BANG] = ACTIONS(3396),
    [anon_sym_TILDE] = ACTIONS(3396),
    [anon_sym_PLUS_PLUS] = ACTIONS(3396),
    [anon_sym_DASH_DASH] = ACTIONS(3396),
    [anon_sym_assert] = ACTIONS(3398),
    [anon_sym_switch] = ACTIONS(3398),
    [anon_sym_LBRACE] = ACTIONS(3396),
    [anon_sym_RBRACE] = ACTIONS(3396),
    [anon_sym_default] = ACTIONS(3398),
    [anon_sym_do] = ACTIONS(3398),
    [anon_sym_while] = ACTIONS(3398),
    [anon_sym_break] = ACTIONS(3398),
    [anon_sym_continue] = ACTIONS(3398),
    [anon_sym_return] = ACTIONS(3398),
    [anon_sym_synchronized] = ACTIONS(3398),
    [anon_sym_throw] = ACTIONS(3398),
    [anon_sym_try] = ACTIONS(3398),
    [anon_sym_if] = ACTIONS(3398),
    [anon_sym_for] = ACTIONS(3398),
    [anon_sym_byte] = ACTIONS(3398),
    [anon_sym_short] = ACTIONS(3398),
    [anon_sym_int] = ACTIONS(3398),
    [anon_sym_long] = ACTIONS(3398),
    [anon_sym_char] = ACTIONS(3398),
    [anon_sym_float] = ACTIONS(3398),
    [anon_sym_double] = ACTIONS(3398),
    [sym_boolean_type] = ACTIONS(3398),
    [sym_void_type] = ACTIONS(3398),
    [anon_sym_AT] = ACTIONS(3398),
    [anon_sym_open] = ACTIONS(3398),
    [anon_sym_module] = ACTIONS(3398),
    [anon_sym_static] = ACTIONS(3398),
    [anon_sym_package] = ACTIONS(3398),
    [anon_sym_import] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(3398),
    [anon_sym_class] = ACTIONS(3398),
    [anon_sym_public] = ACTIONS(3398),
    [anon_sym_protected] = ACTIONS(3398),
    [anon_sym_private] = ACTIONS(3398),
    [anon_sym_abstract] = ACTIONS(3398),
    [anon_sym_final] = ACTIONS(3398),
    [anon_sym_strictfp] = ACTIONS(3398),
    [anon_sym_native] = ACTIONS(3398),
    [anon_sym_transient] = ACTIONS(3398),
    [anon_sym_volatile] = ACTIONS(3398),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_ATinterface] = ACTIONS(3396),
    [anon_sym_interface] = ACTIONS(3398),
    [sym_this] = ACTIONS(3398),
    [sym_super] = ACTIONS(3398),
    [sym_identifier] = ACTIONS(3398),
    [sym_comment] = ACTIONS(93),
  },
  [1572] = {
    [sym__semicolon] = STATE(1619),
    [anon_sym_SEMI] = ACTIONS(3400),
    [sym_comment] = ACTIONS(93),
  },
  [1573] = {
    [anon_sym_RPAREN] = ACTIONS(3402),
    [sym_comment] = ACTIONS(93),
  },
  [1574] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(360),
    [sym_cast_expression] = STATE(360),
    [sym_assignment_expression] = STATE(360),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(360),
    [sym_lambda_expression] = STATE(360),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(360),
    [sym_unary_expression] = STATE(360),
    [sym_update_expression] = STATE(360),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_argument_list] = STATE(1621),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3402),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1575] = {
    [anon_sym_SEMI] = ACTIONS(3404),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_throws] = ACTIONS(3404),
    [sym_comment] = ACTIONS(93),
  },
  [1576] = {
    [sym_dims] = STATE(1622),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3404),
    [anon_sym_LBRACE] = ACTIONS(3404),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3404),
    [sym_comment] = ACTIONS(93),
  },
  [1577] = {
    [anon_sym_RPAREN] = ACTIONS(3406),
    [sym_comment] = ACTIONS(93),
  },
  [1578] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(83),
    [sym__unann_type] = STATE(222),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_formal_parameter] = STATE(442),
    [sym_spread_parameter] = STATE(1624),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(83),
    [anon_sym_RPAREN] = ACTIONS(3406),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1579] = {
    [anon_sym_RBRACE] = ACTIONS(3408),
    [anon_sym_default] = ACTIONS(3410),
    [anon_sym_synchronized] = ACTIONS(3410),
    [anon_sym_byte] = ACTIONS(3410),
    [anon_sym_short] = ACTIONS(3410),
    [anon_sym_int] = ACTIONS(3410),
    [anon_sym_long] = ACTIONS(3410),
    [anon_sym_char] = ACTIONS(3410),
    [anon_sym_float] = ACTIONS(3410),
    [anon_sym_double] = ACTIONS(3410),
    [sym_boolean_type] = ACTIONS(3410),
    [sym_void_type] = ACTIONS(3410),
    [anon_sym_AT] = ACTIONS(3410),
    [anon_sym_static] = ACTIONS(3410),
    [anon_sym_class] = ACTIONS(3410),
    [anon_sym_public] = ACTIONS(3410),
    [anon_sym_protected] = ACTIONS(3410),
    [anon_sym_private] = ACTIONS(3410),
    [anon_sym_abstract] = ACTIONS(3410),
    [anon_sym_final] = ACTIONS(3410),
    [anon_sym_strictfp] = ACTIONS(3410),
    [anon_sym_native] = ACTIONS(3410),
    [anon_sym_transient] = ACTIONS(3410),
    [anon_sym_volatile] = ACTIONS(3410),
    [anon_sym_ATinterface] = ACTIONS(3408),
    [anon_sym_interface] = ACTIONS(3410),
    [sym_identifier] = ACTIONS(3410),
    [sym_comment] = ACTIONS(93),
  },
  [1580] = {
    [sym__semicolon] = STATE(1625),
    [anon_sym_SEMI] = ACTIONS(3412),
    [sym_comment] = ACTIONS(93),
  },
  [1581] = {
    [ts_builtin_sym_end] = ACTIONS(3414),
    [anon_sym_SEMI] = ACTIONS(3414),
    [sym_decimal_integer_literal] = ACTIONS(3416),
    [sym_hex_integer_literal] = ACTIONS(3416),
    [sym_octal_integer_literal] = ACTIONS(3414),
    [sym_binary_integer_literal] = ACTIONS(3414),
    [sym_long_integer_literal] = ACTIONS(3414),
    [sym_decimal_floating_point_literal] = ACTIONS(3414),
    [sym_hex_floating_point_literal] = ACTIONS(3416),
    [sym_true] = ACTIONS(3416),
    [sym_false] = ACTIONS(3416),
    [anon_sym_SQUOTE] = ACTIONS(3414),
    [sym_string_literal] = ACTIONS(3414),
    [sym_null_literal] = ACTIONS(3416),
    [anon_sym_LPAREN] = ACTIONS(3414),
    [anon_sym_LT] = ACTIONS(3414),
    [anon_sym_PLUS] = ACTIONS(3416),
    [anon_sym_DASH] = ACTIONS(3416),
    [anon_sym_BANG] = ACTIONS(3414),
    [anon_sym_TILDE] = ACTIONS(3414),
    [anon_sym_PLUS_PLUS] = ACTIONS(3414),
    [anon_sym_DASH_DASH] = ACTIONS(3414),
    [anon_sym_assert] = ACTIONS(3416),
    [anon_sym_switch] = ACTIONS(3416),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_RBRACE] = ACTIONS(3414),
    [anon_sym_case] = ACTIONS(3416),
    [anon_sym_default] = ACTIONS(3416),
    [anon_sym_do] = ACTIONS(3416),
    [anon_sym_while] = ACTIONS(3416),
    [anon_sym_break] = ACTIONS(3416),
    [anon_sym_continue] = ACTIONS(3416),
    [anon_sym_return] = ACTIONS(3416),
    [anon_sym_synchronized] = ACTIONS(3416),
    [anon_sym_throw] = ACTIONS(3416),
    [anon_sym_try] = ACTIONS(3416),
    [anon_sym_if] = ACTIONS(3416),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_for] = ACTIONS(3416),
    [anon_sym_byte] = ACTIONS(3416),
    [anon_sym_short] = ACTIONS(3416),
    [anon_sym_int] = ACTIONS(3416),
    [anon_sym_long] = ACTIONS(3416),
    [anon_sym_char] = ACTIONS(3416),
    [anon_sym_float] = ACTIONS(3416),
    [anon_sym_double] = ACTIONS(3416),
    [sym_boolean_type] = ACTIONS(3416),
    [sym_void_type] = ACTIONS(3416),
    [anon_sym_AT] = ACTIONS(3416),
    [anon_sym_open] = ACTIONS(3416),
    [anon_sym_module] = ACTIONS(3416),
    [anon_sym_static] = ACTIONS(3416),
    [anon_sym_package] = ACTIONS(3416),
    [anon_sym_import] = ACTIONS(3416),
    [anon_sym_enum] = ACTIONS(3416),
    [anon_sym_class] = ACTIONS(3416),
    [anon_sym_public] = ACTIONS(3416),
    [anon_sym_protected] = ACTIONS(3416),
    [anon_sym_private] = ACTIONS(3416),
    [anon_sym_abstract] = ACTIONS(3416),
    [anon_sym_final] = ACTIONS(3416),
    [anon_sym_strictfp] = ACTIONS(3416),
    [anon_sym_native] = ACTIONS(3416),
    [anon_sym_transient] = ACTIONS(3416),
    [anon_sym_volatile] = ACTIONS(3416),
    [anon_sym_new] = ACTIONS(3416),
    [anon_sym_ATinterface] = ACTIONS(3414),
    [anon_sym_interface] = ACTIONS(3416),
    [sym_this] = ACTIONS(3416),
    [sym_super] = ACTIONS(3416),
    [sym_identifier] = ACTIONS(3416),
    [sym_comment] = ACTIONS(93),
  },
  [1582] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1626),
    [sym_cast_expression] = STATE(1626),
    [sym_assignment_expression] = STATE(1626),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1626),
    [sym_lambda_expression] = STATE(1626),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1626),
    [sym_unary_expression] = STATE(1626),
    [sym_update_expression] = STATE(1626),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1583] = {
    [sym_block] = STATE(1627),
    [anon_sym_LBRACE] = ACTIONS(37),
    [sym_comment] = ACTIONS(93),
  },
  [1584] = {
    [sym_catches] = STATE(287),
    [sym_catch_clause] = STATE(1628),
    [sym_finally] = STATE(288),
    [aux_sym_catches_repeat1] = STATE(1628),
    [anon_sym_catch] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(559),
    [sym_comment] = ACTIONS(93),
  },
  [1585] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1629),
    [sym_cast_expression] = STATE(1629),
    [sym_assignment_expression] = STATE(1629),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1629),
    [sym_lambda_expression] = STATE(1629),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1629),
    [sym_unary_expression] = STATE(1629),
    [sym_update_expression] = STATE(1629),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1586] = {
    [sym__semicolon] = STATE(1630),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(296),
    [sym_cast_expression] = STATE(296),
    [sym_assignment_expression] = STATE(296),
    [sym_lhs] = STATE(297),
    [sym_binary_expression] = STATE(296),
    [sym_lambda_expression] = STATE(296),
    [sym__lambda_parameters] = STATE(298),
    [sym_inferred_parameters] = STATE(298),
    [sym_ternary_expression] = STATE(296),
    [sym_unary_expression] = STATE(296),
    [sym_update_expression] = STATE(296),
    [sym_for_init] = STATE(1631),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(77),
    [sym_normal_annotation] = STATE(77),
    [sym_marker_annotation] = STATE(77),
    [sym_single_element_annotation] = STATE(77),
    [sym_modifier] = STATE(1633),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(1632),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_local_variable_declaration] = STATE(301),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(1633),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(565),
    [anon_sym_DASH] = ACTIONS(565),
    [anon_sym_BANG] = ACTIONS(567),
    [anon_sym_TILDE] = ACTIONS(567),
    [anon_sym_PLUS_PLUS] = ACTIONS(569),
    [anon_sym_DASH_DASH] = ACTIONS(569),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(571),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1587] = {
    [sym__statement] = STATE(364),
    [sym__method_statement] = STATE(364),
    [sym__expression_statement] = STATE(364),
    [sym__semicolon] = STATE(364),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(364),
    [sym_assert_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_synchronized_statement] = STATE(364),
    [sym_throw_statement] = STATE(364),
    [sym_try_statement] = STATE(364),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(364),
    [sym_module_declaration] = STATE(364),
    [sym_package_declaration] = STATE(364),
    [sym_import_declaration] = STATE(364),
    [sym_enum_declaration] = STATE(364),
    [sym_class_declaration] = STATE(364),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(364),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(364),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(647),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(3244),
    [sym_comment] = ACTIONS(93),
  },
  [1588] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1951),
    [sym_comment] = ACTIONS(93),
  },
  [1589] = {
    [anon_sym_COLON] = ACTIONS(3420),
    [sym_comment] = ACTIONS(93),
  },
  [1590] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1591] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3422),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1592] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1635),
    [anon_sym_RPAREN] = ACTIONS(3422),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1593] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1636),
    [sym_cast_expression] = STATE(1636),
    [sym_assignment_expression] = STATE(1636),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1636),
    [sym_lambda_expression] = STATE(1636),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1636),
    [sym_unary_expression] = STATE(1636),
    [sym_update_expression] = STATE(1636),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3422),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1594] = {
    [anon_sym_RPAREN] = ACTIONS(3424),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1595] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1638),
    [sym_cast_expression] = STATE(1638),
    [sym_assignment_expression] = STATE(1638),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1638),
    [sym_lambda_expression] = STATE(1638),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1638),
    [sym_unary_expression] = STATE(1638),
    [sym_update_expression] = STATE(1638),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1596] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1967),
    [sym_comment] = ACTIONS(93),
  },
  [1597] = {
    [anon_sym_COLON] = ACTIONS(3426),
    [sym_comment] = ACTIONS(93),
  },
  [1598] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1599] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1600] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1640),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1601] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1641),
    [sym_cast_expression] = STATE(1641),
    [sym_assignment_expression] = STATE(1641),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1641),
    [sym_lambda_expression] = STATE(1641),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1641),
    [sym_unary_expression] = STATE(1641),
    [sym_update_expression] = STATE(1641),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1602] = {
    [anon_sym_RPAREN] = ACTIONS(3430),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1603] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1643),
    [sym_cast_expression] = STATE(1643),
    [sym_assignment_expression] = STATE(1643),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1643),
    [sym_lambda_expression] = STATE(1643),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1643),
    [sym_unary_expression] = STATE(1643),
    [sym_update_expression] = STATE(1643),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1604] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(1995),
    [sym_comment] = ACTIONS(93),
  },
  [1605] = {
    [anon_sym_COLON] = ACTIONS(3432),
    [sym_comment] = ACTIONS(93),
  },
  [1606] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1607] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3434),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1608] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1645),
    [anon_sym_RPAREN] = ACTIONS(3434),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1609] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1646),
    [sym_cast_expression] = STATE(1646),
    [sym_assignment_expression] = STATE(1646),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1646),
    [sym_lambda_expression] = STATE(1646),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1646),
    [sym_unary_expression] = STATE(1646),
    [sym_update_expression] = STATE(1646),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1610] = {
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1611] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1648),
    [sym_cast_expression] = STATE(1648),
    [sym_assignment_expression] = STATE(1648),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1648),
    [sym_lambda_expression] = STATE(1648),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1648),
    [sym_unary_expression] = STATE(1648),
    [sym_update_expression] = STATE(1648),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1612] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1613] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3438),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1614] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1650),
    [anon_sym_RPAREN] = ACTIONS(3438),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1615] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1616] = {
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1617] = {
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_throws] = ACTIONS(3442),
    [sym_comment] = ACTIONS(93),
  },
  [1618] = {
    [anon_sym_RPAREN] = ACTIONS(3444),
    [sym_comment] = ACTIONS(93),
  },
  [1619] = {
    [anon_sym_SEMI] = ACTIONS(3446),
    [sym_decimal_integer_literal] = ACTIONS(3448),
    [sym_hex_integer_literal] = ACTIONS(3448),
    [sym_octal_integer_literal] = ACTIONS(3446),
    [sym_binary_integer_literal] = ACTIONS(3446),
    [sym_long_integer_literal] = ACTIONS(3446),
    [sym_decimal_floating_point_literal] = ACTIONS(3446),
    [sym_hex_floating_point_literal] = ACTIONS(3448),
    [sym_true] = ACTIONS(3448),
    [sym_false] = ACTIONS(3448),
    [anon_sym_SQUOTE] = ACTIONS(3446),
    [sym_string_literal] = ACTIONS(3446),
    [sym_null_literal] = ACTIONS(3448),
    [anon_sym_LPAREN] = ACTIONS(3446),
    [anon_sym_PLUS] = ACTIONS(3448),
    [anon_sym_DASH] = ACTIONS(3448),
    [anon_sym_BANG] = ACTIONS(3446),
    [anon_sym_TILDE] = ACTIONS(3446),
    [anon_sym_PLUS_PLUS] = ACTIONS(3446),
    [anon_sym_DASH_DASH] = ACTIONS(3446),
    [anon_sym_assert] = ACTIONS(3448),
    [anon_sym_switch] = ACTIONS(3448),
    [anon_sym_LBRACE] = ACTIONS(3446),
    [anon_sym_RBRACE] = ACTIONS(3446),
    [anon_sym_default] = ACTIONS(3448),
    [anon_sym_do] = ACTIONS(3448),
    [anon_sym_while] = ACTIONS(3448),
    [anon_sym_break] = ACTIONS(3448),
    [anon_sym_continue] = ACTIONS(3448),
    [anon_sym_return] = ACTIONS(3448),
    [anon_sym_synchronized] = ACTIONS(3448),
    [anon_sym_throw] = ACTIONS(3448),
    [anon_sym_try] = ACTIONS(3448),
    [anon_sym_if] = ACTIONS(3448),
    [anon_sym_for] = ACTIONS(3448),
    [anon_sym_byte] = ACTIONS(3448),
    [anon_sym_short] = ACTIONS(3448),
    [anon_sym_int] = ACTIONS(3448),
    [anon_sym_long] = ACTIONS(3448),
    [anon_sym_char] = ACTIONS(3448),
    [anon_sym_float] = ACTIONS(3448),
    [anon_sym_double] = ACTIONS(3448),
    [sym_boolean_type] = ACTIONS(3448),
    [sym_void_type] = ACTIONS(3448),
    [anon_sym_AT] = ACTIONS(3448),
    [anon_sym_open] = ACTIONS(3448),
    [anon_sym_module] = ACTIONS(3448),
    [anon_sym_static] = ACTIONS(3448),
    [anon_sym_package] = ACTIONS(3448),
    [anon_sym_import] = ACTIONS(3448),
    [anon_sym_enum] = ACTIONS(3448),
    [anon_sym_class] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3448),
    [anon_sym_protected] = ACTIONS(3448),
    [anon_sym_private] = ACTIONS(3448),
    [anon_sym_abstract] = ACTIONS(3448),
    [anon_sym_final] = ACTIONS(3448),
    [anon_sym_strictfp] = ACTIONS(3448),
    [anon_sym_native] = ACTIONS(3448),
    [anon_sym_transient] = ACTIONS(3448),
    [anon_sym_volatile] = ACTIONS(3448),
    [anon_sym_new] = ACTIONS(3448),
    [anon_sym_ATinterface] = ACTIONS(3446),
    [anon_sym_interface] = ACTIONS(3448),
    [sym_this] = ACTIONS(3448),
    [sym_super] = ACTIONS(3448),
    [sym_identifier] = ACTIONS(3448),
    [sym_comment] = ACTIONS(93),
  },
  [1620] = {
    [sym__semicolon] = STATE(1653),
    [anon_sym_SEMI] = ACTIONS(3450),
    [sym_comment] = ACTIONS(93),
  },
  [1621] = {
    [anon_sym_RPAREN] = ACTIONS(3452),
    [sym_comment] = ACTIONS(93),
  },
  [1622] = {
    [anon_sym_SEMI] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_throws] = ACTIONS(3454),
    [sym_comment] = ACTIONS(93),
  },
  [1623] = {
    [sym_dims] = STATE(1655),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3454),
    [sym_comment] = ACTIONS(93),
  },
  [1624] = {
    [anon_sym_RPAREN] = ACTIONS(3456),
    [sym_comment] = ACTIONS(93),
  },
  [1625] = {
    [anon_sym_RBRACE] = ACTIONS(3458),
    [anon_sym_default] = ACTIONS(3460),
    [anon_sym_synchronized] = ACTIONS(3460),
    [anon_sym_byte] = ACTIONS(3460),
    [anon_sym_short] = ACTIONS(3460),
    [anon_sym_int] = ACTIONS(3460),
    [anon_sym_long] = ACTIONS(3460),
    [anon_sym_char] = ACTIONS(3460),
    [anon_sym_float] = ACTIONS(3460),
    [anon_sym_double] = ACTIONS(3460),
    [sym_boolean_type] = ACTIONS(3460),
    [sym_void_type] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(3460),
    [anon_sym_static] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3460),
    [anon_sym_public] = ACTIONS(3460),
    [anon_sym_protected] = ACTIONS(3460),
    [anon_sym_private] = ACTIONS(3460),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_final] = ACTIONS(3460),
    [anon_sym_strictfp] = ACTIONS(3460),
    [anon_sym_native] = ACTIONS(3460),
    [anon_sym_transient] = ACTIONS(3460),
    [anon_sym_volatile] = ACTIONS(3460),
    [anon_sym_ATinterface] = ACTIONS(3458),
    [anon_sym_interface] = ACTIONS(3460),
    [sym_identifier] = ACTIONS(3460),
    [sym_comment] = ACTIONS(93),
  },
  [1626] = {
    [anon_sym_RPAREN] = ACTIONS(3462),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1627] = {
    [sym_catches] = STATE(504),
    [sym_catch_clause] = STATE(1628),
    [sym_finally] = STATE(505),
    [aux_sym_catches_repeat1] = STATE(1628),
    [anon_sym_SEMI] = ACTIONS(1143),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1143),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_long_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [sym_string_literal] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1145),
    [sym_comment] = ACTIONS(93),
  },
  [1628] = {
    [sym_catch_clause] = STATE(1658),
    [aux_sym_catches_repeat1] = STATE(1658),
    [anon_sym_SEMI] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_long_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_string_literal] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_catch] = ACTIONS(1147),
    [anon_sym_finally] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1159),
    [sym_comment] = ACTIONS(93),
  },
  [1629] = {
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1630] = {
    [sym__semicolon] = STATE(1660),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1661),
    [sym_cast_expression] = STATE(1661),
    [sym_assignment_expression] = STATE(1661),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1661),
    [sym_lambda_expression] = STATE(1661),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1661),
    [sym_unary_expression] = STATE(1661),
    [sym_update_expression] = STATE(1661),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3466),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1631] = {
    [sym__semicolon] = STATE(1662),
    [anon_sym_SEMI] = ACTIONS(3468),
    [sym_comment] = ACTIONS(93),
  },
  [1632] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(251),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1663),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(254),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [anon_sym_COLON_COLON] = ACTIONS(345),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1633] = {
    [sym_integral_type] = STATE(57),
    [sym_floating_point_type] = STATE(57),
    [sym__annotation] = STATE(69),
    [sym_normal_annotation] = STATE(69),
    [sym_marker_annotation] = STATE(69),
    [sym_single_element_annotation] = STATE(69),
    [sym_modifier] = STATE(225),
    [sym__unann_type] = STATE(1664),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(225),
    [anon_sym_default] = ACTIONS(125),
    [anon_sym_synchronized] = ACTIONS(125),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(369),
    [sym_void_type] = ACTIONS(369),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_static] = ACTIONS(125),
    [anon_sym_public] = ACTIONS(125),
    [anon_sym_protected] = ACTIONS(125),
    [anon_sym_private] = ACTIONS(125),
    [anon_sym_abstract] = ACTIONS(125),
    [anon_sym_final] = ACTIONS(125),
    [anon_sym_strictfp] = ACTIONS(125),
    [anon_sym_native] = ACTIONS(125),
    [anon_sym_transient] = ACTIONS(125),
    [anon_sym_volatile] = ACTIONS(125),
    [sym_identifier] = ACTIONS(377),
    [sym_comment] = ACTIONS(93),
  },
  [1634] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1635] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3470),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1636] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1666),
    [anon_sym_RPAREN] = ACTIONS(3470),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1637] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1638] = {
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1639] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1640] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3474),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1641] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1669),
    [anon_sym_RPAREN] = ACTIONS(3474),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1642] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1643] = {
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1644] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1645] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3478),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1646] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1672),
    [anon_sym_RPAREN] = ACTIONS(3478),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1647] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1648] = {
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1649] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1650] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3482),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1651] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1652] = {
    [anon_sym_LBRACE] = ACTIONS(3484),
    [anon_sym_throws] = ACTIONS(3484),
    [sym_comment] = ACTIONS(93),
  },
  [1653] = {
    [anon_sym_SEMI] = ACTIONS(3486),
    [sym_decimal_integer_literal] = ACTIONS(3488),
    [sym_hex_integer_literal] = ACTIONS(3488),
    [sym_octal_integer_literal] = ACTIONS(3486),
    [sym_binary_integer_literal] = ACTIONS(3486),
    [sym_long_integer_literal] = ACTIONS(3486),
    [sym_decimal_floating_point_literal] = ACTIONS(3486),
    [sym_hex_floating_point_literal] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3486),
    [sym_string_literal] = ACTIONS(3486),
    [sym_null_literal] = ACTIONS(3488),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3486),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_PLUS_PLUS] = ACTIONS(3486),
    [anon_sym_DASH_DASH] = ACTIONS(3486),
    [anon_sym_assert] = ACTIONS(3488),
    [anon_sym_switch] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_default] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3488),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_synchronized] = ACTIONS(3488),
    [anon_sym_throw] = ACTIONS(3488),
    [anon_sym_try] = ACTIONS(3488),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_byte] = ACTIONS(3488),
    [anon_sym_short] = ACTIONS(3488),
    [anon_sym_int] = ACTIONS(3488),
    [anon_sym_long] = ACTIONS(3488),
    [anon_sym_char] = ACTIONS(3488),
    [anon_sym_float] = ACTIONS(3488),
    [anon_sym_double] = ACTIONS(3488),
    [sym_boolean_type] = ACTIONS(3488),
    [sym_void_type] = ACTIONS(3488),
    [anon_sym_AT] = ACTIONS(3488),
    [anon_sym_open] = ACTIONS(3488),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_static] = ACTIONS(3488),
    [anon_sym_package] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [anon_sym_class] = ACTIONS(3488),
    [anon_sym_public] = ACTIONS(3488),
    [anon_sym_protected] = ACTIONS(3488),
    [anon_sym_private] = ACTIONS(3488),
    [anon_sym_abstract] = ACTIONS(3488),
    [anon_sym_final] = ACTIONS(3488),
    [anon_sym_strictfp] = ACTIONS(3488),
    [anon_sym_native] = ACTIONS(3488),
    [anon_sym_transient] = ACTIONS(3488),
    [anon_sym_volatile] = ACTIONS(3488),
    [anon_sym_new] = ACTIONS(3488),
    [anon_sym_ATinterface] = ACTIONS(3486),
    [anon_sym_interface] = ACTIONS(3488),
    [sym_this] = ACTIONS(3488),
    [sym_super] = ACTIONS(3488),
    [sym_identifier] = ACTIONS(3488),
    [sym_comment] = ACTIONS(93),
  },
  [1654] = {
    [sym__semicolon] = STATE(1675),
    [anon_sym_SEMI] = ACTIONS(3490),
    [sym_comment] = ACTIONS(93),
  },
  [1655] = {
    [anon_sym_SEMI] = ACTIONS(3492),
    [anon_sym_LBRACE] = ACTIONS(3492),
    [anon_sym_throws] = ACTIONS(3492),
    [sym_comment] = ACTIONS(93),
  },
  [1656] = {
    [sym_dims] = STATE(1676),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(1425),
    [anon_sym_SEMI] = ACTIONS(3492),
    [anon_sym_LBRACE] = ACTIONS(3492),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_throws] = ACTIONS(3492),
    [sym_comment] = ACTIONS(93),
  },
  [1657] = {
    [sym__statement] = STATE(746),
    [sym__method_statement] = STATE(746),
    [sym__expression_statement] = STATE(746),
    [sym__semicolon] = STATE(746),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(746),
    [sym_assert_statement] = STATE(746),
    [sym_switch_statement] = STATE(746),
    [sym_do_statement] = STATE(746),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(746),
    [sym_return_statement] = STATE(746),
    [sym_synchronized_statement] = STATE(746),
    [sym_throw_statement] = STATE(746),
    [sym_try_statement] = STATE(746),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(746),
    [sym_while_statement] = STATE(746),
    [sym_for_statement] = STATE(746),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(746),
    [sym_module_declaration] = STATE(746),
    [sym_package_declaration] = STATE(746),
    [sym_import_declaration] = STATE(746),
    [sym_enum_declaration] = STATE(746),
    [sym_class_declaration] = STATE(746),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(746),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(746),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(1601),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(3244),
    [sym_comment] = ACTIONS(93),
  },
  [1658] = {
    [sym_catch_clause] = STATE(1658),
    [aux_sym_catches_repeat1] = STATE(1658),
    [anon_sym_SEMI] = ACTIONS(1625),
    [sym_decimal_integer_literal] = ACTIONS(1627),
    [sym_hex_integer_literal] = ACTIONS(1627),
    [sym_octal_integer_literal] = ACTIONS(1625),
    [sym_binary_integer_literal] = ACTIONS(1625),
    [sym_long_integer_literal] = ACTIONS(1625),
    [sym_decimal_floating_point_literal] = ACTIONS(1625),
    [sym_hex_floating_point_literal] = ACTIONS(1627),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [sym_string_literal] = ACTIONS(1625),
    [sym_null_literal] = ACTIONS(1627),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_assert] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_synchronized] = ACTIONS(1627),
    [anon_sym_throw] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_catch] = ACTIONS(1629),
    [anon_sym_finally] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_byte] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_int] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_char] = ACTIONS(1627),
    [anon_sym_float] = ACTIONS(1627),
    [anon_sym_double] = ACTIONS(1627),
    [sym_boolean_type] = ACTIONS(1627),
    [sym_void_type] = ACTIONS(1627),
    [anon_sym_AT] = ACTIONS(1627),
    [anon_sym_open] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_package] = ACTIONS(1627),
    [anon_sym_import] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_class] = ACTIONS(1627),
    [anon_sym_public] = ACTIONS(1627),
    [anon_sym_protected] = ACTIONS(1627),
    [anon_sym_private] = ACTIONS(1627),
    [anon_sym_abstract] = ACTIONS(1627),
    [anon_sym_final] = ACTIONS(1627),
    [anon_sym_strictfp] = ACTIONS(1627),
    [anon_sym_native] = ACTIONS(1627),
    [anon_sym_transient] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_new] = ACTIONS(1627),
    [anon_sym_ATinterface] = ACTIONS(1625),
    [anon_sym_interface] = ACTIONS(1627),
    [sym_this] = ACTIONS(1627),
    [sym_super] = ACTIONS(1627),
    [sym_identifier] = ACTIONS(1627),
    [sym_comment] = ACTIONS(93),
  },
  [1659] = {
    [sym__statement] = STATE(1677),
    [sym__method_statement] = STATE(1677),
    [sym__expression_statement] = STATE(1677),
    [sym__semicolon] = STATE(1677),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1677),
    [sym_assert_statement] = STATE(1677),
    [sym_switch_statement] = STATE(1677),
    [sym_do_statement] = STATE(1677),
    [sym_break_statement] = STATE(1677),
    [sym_continue_statement] = STATE(1677),
    [sym_return_statement] = STATE(1677),
    [sym_synchronized_statement] = STATE(1677),
    [sym_throw_statement] = STATE(1677),
    [sym_try_statement] = STATE(1677),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1677),
    [sym_while_statement] = STATE(1677),
    [sym_for_statement] = STATE(1677),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1677),
    [sym_module_declaration] = STATE(1677),
    [sym_package_declaration] = STATE(1677),
    [sym_import_declaration] = STATE(1677),
    [sym_enum_declaration] = STATE(1677),
    [sym_class_declaration] = STATE(1677),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1677),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1677),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(3494),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(3244),
    [sym_comment] = ACTIONS(93),
  },
  [1660] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1679),
    [sym_cast_expression] = STATE(1679),
    [sym_assignment_expression] = STATE(1679),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1679),
    [sym_lambda_expression] = STATE(1679),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1679),
    [sym_unary_expression] = STATE(1679),
    [sym_update_expression] = STATE(1679),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1661] = {
    [sym__semicolon] = STATE(1680),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1662] = {
    [sym__semicolon] = STATE(1680),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1681),
    [sym_cast_expression] = STATE(1681),
    [sym_assignment_expression] = STATE(1681),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(1681),
    [sym_lambda_expression] = STATE(1681),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(1681),
    [sym_unary_expression] = STATE(1681),
    [sym_update_expression] = STATE(1681),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [anon_sym_SEMI] = ACTIONS(3498),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(83),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1663] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3500),
    [sym_comment] = ACTIONS(93),
  },
  [1664] = {
    [sym_dims] = STATE(168),
    [sym__annotation] = STATE(169),
    [sym_normal_annotation] = STATE(169),
    [sym_marker_annotation] = STATE(169),
    [sym_single_element_annotation] = STATE(169),
    [sym_variable_declarator_list] = STATE(480),
    [sym_variable_declarator] = STATE(252),
    [sym_variable_declarator_id] = STATE(1683),
    [sym__reserved_identifier] = STATE(529),
    [aux_sym_wildcard_repeat1] = STATE(169),
    [aux_sym_dims_repeat1] = STATE(481),
    [anon_sym_LBRACK] = ACTIONS(343),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(392),
    [anon_sym_module] = ACTIONS(392),
    [sym_identifier] = ACTIONS(1199),
    [sym_comment] = ACTIONS(93),
  },
  [1665] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1666] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3502),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1667] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1668] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1669] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3504),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1670] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1671] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1672] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3506),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1673] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1674] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1634),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1636),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(3274),
    [sym_comment] = ACTIONS(93),
  },
  [1675] = {
    [anon_sym_SEMI] = ACTIONS(3508),
    [sym_decimal_integer_literal] = ACTIONS(3510),
    [sym_hex_integer_literal] = ACTIONS(3510),
    [sym_octal_integer_literal] = ACTIONS(3508),
    [sym_binary_integer_literal] = ACTIONS(3508),
    [sym_long_integer_literal] = ACTIONS(3508),
    [sym_decimal_floating_point_literal] = ACTIONS(3508),
    [sym_hex_floating_point_literal] = ACTIONS(3510),
    [sym_true] = ACTIONS(3510),
    [sym_false] = ACTIONS(3510),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [sym_string_literal] = ACTIONS(3508),
    [sym_null_literal] = ACTIONS(3510),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [anon_sym_assert] = ACTIONS(3510),
    [anon_sym_switch] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_default] = ACTIONS(3510),
    [anon_sym_do] = ACTIONS(3510),
    [anon_sym_while] = ACTIONS(3510),
    [anon_sym_break] = ACTIONS(3510),
    [anon_sym_continue] = ACTIONS(3510),
    [anon_sym_return] = ACTIONS(3510),
    [anon_sym_synchronized] = ACTIONS(3510),
    [anon_sym_throw] = ACTIONS(3510),
    [anon_sym_try] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3510),
    [anon_sym_for] = ACTIONS(3510),
    [anon_sym_byte] = ACTIONS(3510),
    [anon_sym_short] = ACTIONS(3510),
    [anon_sym_int] = ACTIONS(3510),
    [anon_sym_long] = ACTIONS(3510),
    [anon_sym_char] = ACTIONS(3510),
    [anon_sym_float] = ACTIONS(3510),
    [anon_sym_double] = ACTIONS(3510),
    [sym_boolean_type] = ACTIONS(3510),
    [sym_void_type] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(3510),
    [anon_sym_open] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3510),
    [anon_sym_static] = ACTIONS(3510),
    [anon_sym_package] = ACTIONS(3510),
    [anon_sym_import] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3510),
    [anon_sym_class] = ACTIONS(3510),
    [anon_sym_public] = ACTIONS(3510),
    [anon_sym_protected] = ACTIONS(3510),
    [anon_sym_private] = ACTIONS(3510),
    [anon_sym_abstract] = ACTIONS(3510),
    [anon_sym_final] = ACTIONS(3510),
    [anon_sym_strictfp] = ACTIONS(3510),
    [anon_sym_native] = ACTIONS(3510),
    [anon_sym_transient] = ACTIONS(3510),
    [anon_sym_volatile] = ACTIONS(3510),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_ATinterface] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3510),
    [sym_this] = ACTIONS(3510),
    [sym_super] = ACTIONS(3510),
    [sym_identifier] = ACTIONS(3510),
    [sym_comment] = ACTIONS(93),
  },
  [1676] = {
    [anon_sym_SEMI] = ACTIONS(3512),
    [anon_sym_LBRACE] = ACTIONS(3512),
    [anon_sym_throws] = ACTIONS(3512),
    [sym_comment] = ACTIONS(93),
  },
  [1677] = {
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_decimal_integer_literal] = ACTIONS(2056),
    [sym_hex_integer_literal] = ACTIONS(2056),
    [sym_octal_integer_literal] = ACTIONS(2054),
    [sym_binary_integer_literal] = ACTIONS(2054),
    [sym_long_integer_literal] = ACTIONS(2054),
    [sym_decimal_floating_point_literal] = ACTIONS(2054),
    [sym_hex_floating_point_literal] = ACTIONS(2056),
    [sym_true] = ACTIONS(2056),
    [sym_false] = ACTIONS(2056),
    [anon_sym_SQUOTE] = ACTIONS(2054),
    [sym_string_literal] = ACTIONS(2054),
    [sym_null_literal] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_TILDE] = ACTIONS(2054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2054),
    [anon_sym_DASH_DASH] = ACTIONS(2054),
    [anon_sym_assert] = ACTIONS(2056),
    [anon_sym_switch] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_case] = ACTIONS(2056),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_synchronized] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_else] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_byte] = ACTIONS(2056),
    [anon_sym_short] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_long] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_float] = ACTIONS(2056),
    [anon_sym_double] = ACTIONS(2056),
    [sym_boolean_type] = ACTIONS(2056),
    [sym_void_type] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_open] = ACTIONS(2056),
    [anon_sym_module] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_public] = ACTIONS(2056),
    [anon_sym_protected] = ACTIONS(2056),
    [anon_sym_private] = ACTIONS(2056),
    [anon_sym_abstract] = ACTIONS(2056),
    [anon_sym_final] = ACTIONS(2056),
    [anon_sym_strictfp] = ACTIONS(2056),
    [anon_sym_native] = ACTIONS(2056),
    [anon_sym_transient] = ACTIONS(2056),
    [anon_sym_volatile] = ACTIONS(2056),
    [anon_sym_new] = ACTIONS(2056),
    [anon_sym_ATinterface] = ACTIONS(2054),
    [anon_sym_interface] = ACTIONS(2056),
    [sym_this] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_identifier] = ACTIONS(2056),
    [sym_comment] = ACTIONS(93),
  },
  [1678] = {
    [sym__method_statement] = STATE(1030),
    [sym__semicolon] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_assert_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_synchronized_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1030),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1679] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1690),
    [anon_sym_RPAREN] = ACTIONS(3518),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1680] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1691),
    [sym_cast_expression] = STATE(1691),
    [sym_assignment_expression] = STATE(1691),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1691),
    [sym_lambda_expression] = STATE(1691),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1691),
    [sym_unary_expression] = STATE(1691),
    [sym_update_expression] = STATE(1691),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1681] = {
    [sym__semicolon] = STATE(1692),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_AMP] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_AMP_AMP] = ACTIONS(284),
    [anon_sym_PIPE_PIPE] = ACTIONS(286),
    [anon_sym_PLUS] = ACTIONS(288),
    [anon_sym_DASH] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(290),
    [anon_sym_SLASH] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_CARET] = ACTIONS(286),
    [anon_sym_PERCENT] = ACTIONS(290),
    [anon_sym_LT_LT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(292),
    [anon_sym_GT_GT_GT] = ACTIONS(290),
    [anon_sym_instanceof] = ACTIONS(282),
    [anon_sym_QMARK] = ACTIONS(296),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1682] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1693),
    [sym_cast_expression] = STATE(1693),
    [sym_assignment_expression] = STATE(1693),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1693),
    [sym_lambda_expression] = STATE(1693),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1693),
    [sym_unary_expression] = STATE(1693),
    [sym_update_expression] = STATE(1693),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1683] = {
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON] = ACTIONS(3522),
    [sym_comment] = ACTIONS(93),
  },
  [1684] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1947),
    [anon_sym_for] = ACTIONS(1949),
    [sym_identifier] = ACTIONS(3354),
    [sym_comment] = ACTIONS(93),
  },
  [1685] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1959),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1963),
    [anon_sym_for] = ACTIONS(1965),
    [sym_identifier] = ACTIONS(3364),
    [sym_comment] = ACTIONS(93),
  },
  [1686] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(1987),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_for] = ACTIONS(1993),
    [sym_identifier] = ACTIONS(3374),
    [sym_comment] = ACTIONS(93),
  },
  [1687] = {
    [sym__statement] = STATE(1232),
    [sym__method_statement] = STATE(1232),
    [sym__expression_statement] = STATE(1232),
    [sym__semicolon] = STATE(1232),
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(40),
    [sym_cast_expression] = STATE(40),
    [sym_assignment_expression] = STATE(40),
    [sym_lhs] = STATE(41),
    [sym_binary_expression] = STATE(40),
    [sym_lambda_expression] = STATE(40),
    [sym__lambda_parameters] = STATE(42),
    [sym_inferred_parameters] = STATE(42),
    [sym_ternary_expression] = STATE(40),
    [sym_unary_expression] = STATE(40),
    [sym_update_expression] = STATE(40),
    [sym_labeled_statement] = STATE(1232),
    [sym_assert_statement] = STATE(1232),
    [sym_switch_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_synchronized_statement] = STATE(1232),
    [sym_throw_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1232),
    [sym_while_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(45),
    [sym_normal_annotation] = STATE(45),
    [sym_marker_annotation] = STATE(45),
    [sym_single_element_annotation] = STATE(45),
    [sym__declaration] = STATE(1232),
    [sym_module_declaration] = STATE(1232),
    [sym_package_declaration] = STATE(1232),
    [sym_import_declaration] = STATE(1232),
    [sym_enum_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_modifier] = STATE(60),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym_interface_declaration] = STATE(1232),
    [sym_annotation_type_declaration] = STATE(51),
    [sym_normal_interface_declaration] = STATE(51),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym_block] = STATE(1232),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_catch_formal_parameter_repeat1] = STATE(60),
    [aux_sym_wildcard_repeat1] = STATE(61),
    [anon_sym_SEMI] = ACTIONS(2560),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_default] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_module] = ACTIONS(73),
    [anon_sym_static] = ACTIONS(39),
    [anon_sym_package] = ACTIONS(75),
    [anon_sym_import] = ACTIONS(77),
    [anon_sym_enum] = ACTIONS(79),
    [anon_sym_class] = ACTIONS(81),
    [anon_sym_public] = ACTIONS(39),
    [anon_sym_protected] = ACTIONS(39),
    [anon_sym_private] = ACTIONS(39),
    [anon_sym_abstract] = ACTIONS(39),
    [anon_sym_final] = ACTIONS(39),
    [anon_sym_strictfp] = ACTIONS(39),
    [anon_sym_native] = ACTIONS(39),
    [anon_sym_transient] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_new] = ACTIONS(83),
    [anon_sym_ATinterface] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(87),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(3244),
    [sym_comment] = ACTIONS(93),
  },
  [1688] = {
    [anon_sym_COLON] = ACTIONS(3524),
    [sym_comment] = ACTIONS(93),
  },
  [1689] = {
    [sym__method_statement] = STATE(1235),
    [sym__semicolon] = STATE(1235),
    [sym_labeled_statement] = STATE(1235),
    [sym_assert_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_do_statement] = STATE(1235),
    [sym_break_statement] = STATE(1235),
    [sym_continue_statement] = STATE(1235),
    [sym_return_statement] = STATE(1235),
    [sym_synchronized_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1235),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1690] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1691] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1696),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1692] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1697),
    [sym_cast_expression] = STATE(1697),
    [sym_assignment_expression] = STATE(1697),
    [sym_lhs] = STATE(361),
    [sym_binary_expression] = STATE(1697),
    [sym_lambda_expression] = STATE(1697),
    [sym__lambda_parameters] = STATE(362),
    [sym_inferred_parameters] = STATE(362),
    [sym_ternary_expression] = STATE(1697),
    [sym_unary_expression] = STATE(1697),
    [sym_update_expression] = STATE(1697),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(645),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1693] = {
    [anon_sym_RPAREN] = ACTIONS(3528),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1694] = {
    [sym__literal] = STATE(48),
    [sym_integer_literal] = STATE(48),
    [sym_floating_point_literal] = STATE(48),
    [sym_boolean_literal] = STATE(48),
    [sym_character_literal] = STATE(48),
    [sym__expression] = STATE(1699),
    [sym_cast_expression] = STATE(1699),
    [sym_assignment_expression] = STATE(1699),
    [sym_lhs] = STATE(75),
    [sym_binary_expression] = STATE(1699),
    [sym_lambda_expression] = STATE(1699),
    [sym__lambda_parameters] = STATE(76),
    [sym_inferred_parameters] = STATE(76),
    [sym_ternary_expression] = STATE(1699),
    [sym_unary_expression] = STATE(1699),
    [sym_update_expression] = STATE(1699),
    [sym_integral_type] = STATE(25),
    [sym_floating_point_type] = STATE(25),
    [sym__annotation] = STATE(87),
    [sym_normal_annotation] = STATE(87),
    [sym_marker_annotation] = STATE(87),
    [sym_single_element_annotation] = STATE(87),
    [sym_scoped_identifier] = STATE(46),
    [sym__primary] = STATE(47),
    [sym_array_creation_expression] = STATE(47),
    [sym__primary_no_new_array] = STATE(48),
    [sym_class_literal] = STATE(48),
    [sym_class_instance_creation_expression] = STATE(48),
    [sym_unqualified_class_instance_creation_expression] = STATE(49),
    [sym_field_access] = STATE(50),
    [sym_array_access] = STATE(50),
    [sym_method_invocation] = STATE(48),
    [sym_method_reference] = STATE(48),
    [sym__type] = STATE(52),
    [sym__unann_type] = STATE(53),
    [sym_annotated_type] = STATE(54),
    [sym_scoped_type_identifier] = STATE(55),
    [sym_generic_type] = STATE(56),
    [sym_array_type] = STATE(57),
    [sym__reserved_identifier] = STATE(58),
    [aux_sym_wildcard_repeat1] = STATE(87),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(11),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_long_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(13),
    [sym_hex_floating_point_literal] = ACTIONS(15),
    [sym_true] = ACTIONS(17),
    [sym_false] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(19),
    [sym_string_literal] = ACTIONS(21),
    [sym_null_literal] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(117),
    [anon_sym_DASH] = ACTIONS(117),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_PLUS_PLUS] = ACTIONS(123),
    [anon_sym_DASH_DASH] = ACTIONS(123),
    [anon_sym_byte] = ACTIONS(61),
    [anon_sym_short] = ACTIONS(61),
    [anon_sym_int] = ACTIONS(61),
    [anon_sym_long] = ACTIONS(61),
    [anon_sym_char] = ACTIONS(61),
    [anon_sym_float] = ACTIONS(63),
    [anon_sym_double] = ACTIONS(63),
    [sym_boolean_type] = ACTIONS(65),
    [sym_void_type] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_open] = ACTIONS(129),
    [anon_sym_module] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(131),
    [sym_this] = ACTIONS(23),
    [sym_super] = ACTIONS(89),
    [sym_identifier] = ACTIONS(135),
    [sym_comment] = ACTIONS(93),
  },
  [1695] = {
    [sym__method_statement] = STATE(1388),
    [sym__semicolon] = STATE(1388),
    [sym_labeled_statement] = STATE(1388),
    [sym_assert_statement] = STATE(1388),
    [sym_switch_statement] = STATE(1388),
    [sym_do_statement] = STATE(1388),
    [sym_break_statement] = STATE(1388),
    [sym_continue_statement] = STATE(1388),
    [sym_return_statement] = STATE(1388),
    [sym_synchronized_statement] = STATE(1388),
    [sym_throw_statement] = STATE(1388),
    [sym_try_statement] = STATE(1388),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1388),
    [sym_while_statement] = STATE(1388),
    [sym_for_statement] = STATE(1388),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1388),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1696] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3530),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1697] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(1701),
    [anon_sym_RPAREN] = ACTIONS(3530),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_GT] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [anon_sym_EQ_EQ] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1356),
    [anon_sym_LT_EQ] = ACTIONS(1356),
    [anon_sym_BANG_EQ] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1358),
    [anon_sym_PIPE_PIPE] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1366),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1360),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1366),
    [anon_sym_GT_GT_GT] = ACTIONS(1364),
    [anon_sym_instanceof] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1698] = {
    [sym__method_statement] = STATE(1391),
    [sym__semicolon] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_assert_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_synchronized_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1391),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1699] = {
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(414),
    [anon_sym_GT] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(418),
    [anon_sym_LT_EQ] = ACTIONS(418),
    [anon_sym_BANG_EQ] = ACTIONS(418),
    [anon_sym_AMP_AMP] = ACTIONS(420),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(430),
    [anon_sym_CARET] = ACTIONS(422),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(418),
    [anon_sym_QMARK] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(298),
    [anon_sym_DASH_DASH] = ACTIONS(298),
    [sym_comment] = ACTIONS(93),
  },
  [1700] = {
    [sym__method_statement] = STATE(1492),
    [sym__semicolon] = STATE(1492),
    [sym_labeled_statement] = STATE(1492),
    [sym_assert_statement] = STATE(1492),
    [sym_switch_statement] = STATE(1492),
    [sym_do_statement] = STATE(1492),
    [sym_break_statement] = STATE(1492),
    [sym_continue_statement] = STATE(1492),
    [sym_return_statement] = STATE(1492),
    [sym_synchronized_statement] = STATE(1492),
    [sym_throw_statement] = STATE(1492),
    [sym_try_statement] = STATE(1492),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1492),
    [sym_while_statement] = STATE(1492),
    [sym_for_statement] = STATE(1492),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1701] = {
    [aux_sym_basic_for_statement_repeat1] = STATE(914),
    [anon_sym_RPAREN] = ACTIONS(3534),
    [anon_sym_COMMA] = ACTIONS(1370),
    [sym_comment] = ACTIONS(93),
  },
  [1702] = {
    [sym__method_statement] = STATE(1494),
    [sym__semicolon] = STATE(1494),
    [sym_labeled_statement] = STATE(1494),
    [sym_assert_statement] = STATE(1494),
    [sym_switch_statement] = STATE(1494),
    [sym_do_statement] = STATE(1494),
    [sym_break_statement] = STATE(1494),
    [sym_continue_statement] = STATE(1494),
    [sym_return_statement] = STATE(1494),
    [sym_synchronized_statement] = STATE(1494),
    [sym_throw_statement] = STATE(1494),
    [sym_try_statement] = STATE(1494),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1494),
    [sym_while_statement] = STATE(1494),
    [sym_for_statement] = STATE(1494),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
  [1703] = {
    [sym__method_statement] = STATE(1567),
    [sym__semicolon] = STATE(1567),
    [sym_labeled_statement] = STATE(1567),
    [sym_assert_statement] = STATE(1567),
    [sym_switch_statement] = STATE(1567),
    [sym_do_statement] = STATE(1567),
    [sym_break_statement] = STATE(1567),
    [sym_continue_statement] = STATE(1567),
    [sym_return_statement] = STATE(1567),
    [sym_synchronized_statement] = STATE(1567),
    [sym_throw_statement] = STATE(1567),
    [sym_try_statement] = STATE(1567),
    [sym_try_with_resources_statement] = STATE(43),
    [sym_if_then_else_statement] = STATE(1567),
    [sym_while_statement] = STATE(1567),
    [sym_for_statement] = STATE(1567),
    [sym_basic_for_statement] = STATE(44),
    [sym_enhanced_for_statement] = STATE(44),
    [sym_block] = STATE(1567),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_assert] = ACTIONS(33),
    [anon_sym_switch] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_synchronized] = ACTIONS(2064),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3516),
    [sym_comment] = ACTIONS(93),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = true}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, RECOVER(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(59),
  [9] = {.count = 1, .reusable = false}, SHIFT(2),
  [11] = {.count = 1, .reusable = true}, SHIFT(2),
  [13] = {.count = 1, .reusable = true}, SHIFT(3),
  [15] = {.count = 1, .reusable = false}, SHIFT(3),
  [17] = {.count = 1, .reusable = false}, SHIFT(4),
  [19] = {.count = 1, .reusable = true}, SHIFT(5),
  [21] = {.count = 1, .reusable = true}, SHIFT(48),
  [23] = {.count = 1, .reusable = false}, SHIFT(48),
  [25] = {.count = 1, .reusable = true}, SHIFT(6),
  [27] = {.count = 1, .reusable = false}, SHIFT(7),
  [29] = {.count = 1, .reusable = true}, SHIFT(7),
  [31] = {.count = 1, .reusable = true}, SHIFT(8),
  [33] = {.count = 1, .reusable = false}, SHIFT(9),
  [35] = {.count = 1, .reusable = false}, SHIFT(10),
  [37] = {.count = 1, .reusable = true}, SHIFT(11),
  [39] = {.count = 1, .reusable = false}, SHIFT(12),
  [41] = {.count = 1, .reusable = false}, SHIFT(13),
  [43] = {.count = 1, .reusable = false}, SHIFT(14),
  [45] = {.count = 1, .reusable = false}, SHIFT(15),
  [47] = {.count = 1, .reusable = false}, SHIFT(16),
  [49] = {.count = 1, .reusable = false}, SHIFT(17),
  [51] = {.count = 1, .reusable = false}, SHIFT(18),
  [53] = {.count = 1, .reusable = false}, SHIFT(19),
  [55] = {.count = 1, .reusable = false}, SHIFT(20),
  [57] = {.count = 1, .reusable = false}, SHIFT(21),
  [59] = {.count = 1, .reusable = false}, SHIFT(22),
  [61] = {.count = 1, .reusable = false}, SHIFT(23),
  [63] = {.count = 1, .reusable = false}, SHIFT(24),
  [65] = {.count = 1, .reusable = false}, SHIFT(25),
  [67] = {.count = 1, .reusable = false}, SHIFT(26),
  [69] = {.count = 1, .reusable = false}, SHIFT(27),
  [71] = {.count = 1, .reusable = false}, SHIFT(28),
  [73] = {.count = 1, .reusable = false}, SHIFT(29),
  [75] = {.count = 1, .reusable = false}, SHIFT(30),
  [77] = {.count = 1, .reusable = false}, SHIFT(31),
  [79] = {.count = 1, .reusable = false}, SHIFT(32),
  [81] = {.count = 1, .reusable = false}, SHIFT(33),
  [83] = {.count = 1, .reusable = false}, SHIFT(34),
  [85] = {.count = 1, .reusable = true}, SHIFT(35),
  [87] = {.count = 1, .reusable = false}, SHIFT(36),
  [89] = {.count = 1, .reusable = false}, SHIFT(37),
  [91] = {.count = 1, .reusable = false}, SHIFT(38),
  [93] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [95] = {.count = 1, .reusable = true}, REDUCE(sym_integer_literal, 1),
  [97] = {.count = 1, .reusable = false}, REDUCE(sym_integer_literal, 1),
  [99] = {.count = 1, .reusable = true}, REDUCE(sym_floating_point_literal, 1),
  [101] = {.count = 1, .reusable = false}, REDUCE(sym_floating_point_literal, 1),
  [103] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_literal, 1),
  [105] = {.count = 1, .reusable = false}, REDUCE(sym_boolean_literal, 1),
  [107] = {.count = 1, .reusable = false}, SHIFT(62),
  [109] = {.count = 1, .reusable = false}, SHIFT(63),
  [111] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [113] = {.count = 1, .reusable = true}, SHIFT(64),
  [115] = {.count = 1, .reusable = true}, SHIFT(65),
  [117] = {.count = 1, .reusable = false}, SHIFT(66),
  [119] = {.count = 1, .reusable = true}, SHIFT(67),
  [121] = {.count = 1, .reusable = true}, SHIFT(66),
  [123] = {.count = 1, .reusable = true}, SHIFT(68),
  [125] = {.count = 1, .reusable = false}, SHIFT(69),
  [127] = {.count = 1, .reusable = true}, SHIFT(70),
  [129] = {.count = 1, .reusable = false}, SHIFT(71),
  [131] = {.count = 1, .reusable = false}, SHIFT(72),
  [133] = {.count = 1, .reusable = false}, SHIFT(73),
  [135] = {.count = 1, .reusable = false}, SHIFT(85),
  [137] = {.count = 1, .reusable = true}, SHIFT(89),
  [139] = {.count = 1, .reusable = false}, SHIFT(90),
  [141] = {.count = 1, .reusable = true}, SHIFT(90),
  [143] = {.count = 1, .reusable = true}, SHIFT(91),
  [145] = {.count = 1, .reusable = false}, SHIFT(92),
  [147] = {.count = 1, .reusable = true}, SHIFT(96),
  [149] = {.count = 1, .reusable = true}, SHIFT(107),
  [151] = {.count = 1, .reusable = true}, SHIFT(97),
  [153] = {.count = 1, .reusable = false}, SHIFT(98),
  [155] = {.count = 1, .reusable = false}, SHIFT(99),
  [157] = {.count = 1, .reusable = false}, SHIFT(100),
  [159] = {.count = 1, .reusable = false}, SHIFT(101),
  [161] = {.count = 1, .reusable = false}, SHIFT(102),
  [163] = {.count = 1, .reusable = true}, REDUCE(sym_modifier, 1),
  [165] = {.count = 1, .reusable = false}, REDUCE(sym_modifier, 1),
  [167] = {.count = 1, .reusable = true}, SHIFT(113),
  [169] = {.count = 1, .reusable = false}, SHIFT(108),
  [171] = {.count = 1, .reusable = false}, SHIFT(109),
  [173] = {.count = 1, .reusable = false}, SHIFT(110),
  [175] = {.count = 1, .reusable = false}, SHIFT(111),
  [177] = {.count = 1, .reusable = false}, SHIFT(112),
  [179] = {.count = 1, .reusable = true}, SHIFT(114),
  [181] = {.count = 1, .reusable = true}, SHIFT(116),
  [183] = {.count = 1, .reusable = true}, SHIFT(115),
  [185] = {.count = 1, .reusable = true}, SHIFT(118),
  [187] = {.count = 1, .reusable = true}, SHIFT(117),
  [189] = {.count = 1, .reusable = true}, SHIFT(119),
  [191] = {.count = 1, .reusable = true}, SHIFT(121),
  [193] = {.count = 1, .reusable = true}, SHIFT(123),
  [195] = {.count = 1, .reusable = true}, SHIFT(126),
  [197] = {.count = 1, .reusable = true}, SHIFT(127),
  [199] = {.count = 1, .reusable = true}, REDUCE(sym_integral_type, 1),
  [201] = {.count = 1, .reusable = false}, REDUCE(sym_integral_type, 1),
  [203] = {.count = 1, .reusable = true}, REDUCE(sym_floating_point_type, 1),
  [205] = {.count = 1, .reusable = false}, REDUCE(sym_floating_point_type, 1),
  [207] = {.count = 1, .reusable = true}, REDUCE(sym__unann_type, 1),
  [209] = {.count = 2, .reusable = true}, REDUCE(sym__unann_type, 1), SHIFT(128),
  [212] = {.count = 1, .reusable = false}, REDUCE(sym__unann_type, 1),
  [214] = {.count = 1, .reusable = false}, SHIFT(129),
  [216] = {.count = 1, .reusable = false}, SHIFT(131),
  [218] = {.count = 1, .reusable = true}, REDUCE(sym__reserved_identifier, 1, .alias_sequence_id = 1),
  [220] = {.count = 1, .reusable = false}, REDUCE(sym__reserved_identifier, 1, .alias_sequence_id = 1),
  [222] = {.count = 1, .reusable = true}, SHIFT(132),
  [224] = {.count = 1, .reusable = false}, SHIFT(133),
  [226] = {.count = 1, .reusable = false}, SHIFT(134),
  [228] = {.count = 1, .reusable = false}, SHIFT(135),
  [230] = {.count = 1, .reusable = false}, SHIFT(136),
  [232] = {.count = 1, .reusable = true}, SHIFT(137),
  [234] = {.count = 1, .reusable = true}, SHIFT(138),
  [236] = {.count = 1, .reusable = true}, SHIFT(139),
  [238] = {.count = 1, .reusable = false}, SHIFT(140),
  [240] = {.count = 1, .reusable = false}, SHIFT(141),
  [242] = {.count = 1, .reusable = true}, SHIFT(145),
  [244] = {.count = 1, .reusable = true}, SHIFT(146),
  [246] = {.count = 1, .reusable = true}, SHIFT(147),
  [248] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [250] = {.count = 1, .reusable = true}, SHIFT(148),
  [252] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [254] = {.count = 1, .reusable = false}, REDUCE(sym_lhs, 1),
  [256] = {.count = 1, .reusable = true}, REDUCE(sym_lhs, 1),
  [258] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(139),
  [261] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 1),
  [263] = {.count = 1, .reusable = false}, SHIFT(149),
  [265] = {.count = 1, .reusable = true}, SHIFT(152),
  [267] = {.count = 2, .reusable = true}, REDUCE(sym__unann_type, 1, .alias_sequence_id = 2), SHIFT(150),
  [270] = {.count = 1, .reusable = true}, REDUCE(sym__unann_type, 1, .alias_sequence_id = 2),
  [272] = {.count = 1, .reusable = true}, SHIFT(151),
  [274] = {.count = 1, .reusable = true}, ACCEPT_INPUT(),
  [276] = {.count = 1, .reusable = true}, SHIFT(160),
  [278] = {.count = 1, .reusable = false}, SHIFT(153),
  [280] = {.count = 1, .reusable = false}, SHIFT(154),
  [282] = {.count = 1, .reusable = true}, SHIFT(154),
  [284] = {.count = 1, .reusable = true}, SHIFT(153),
  [286] = {.count = 1, .reusable = true}, SHIFT(155),
  [288] = {.count = 1, .reusable = false}, SHIFT(156),
  [290] = {.count = 1, .reusable = true}, SHIFT(157),
  [292] = {.count = 1, .reusable = false}, SHIFT(157),
  [294] = {.count = 1, .reusable = false}, SHIFT(155),
  [296] = {.count = 1, .reusable = true}, SHIFT(158),
  [298] = {.count = 1, .reusable = true}, SHIFT(159),
  [300] = {.count = 1, .reusable = true}, SHIFT(161),
  [302] = {.count = 1, .reusable = true}, SHIFT(162),
  [304] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 1),
  [306] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 1),
  [308] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 1),
  [310] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 1),
  [312] = {.count = 1, .reusable = false}, REDUCE(aux_sym_wildcard_repeat1, 1),
  [314] = {.count = 2, .reusable = false}, REDUCE(sym_modifier, 1), REDUCE(aux_sym_wildcard_repeat1, 1),
  [317] = {.count = 1, .reusable = true}, SHIFT(150),
  [319] = {.count = 1, .reusable = true}, SHIFT(163),
  [321] = {.count = 1, .reusable = true}, SHIFT(164),
  [323] = {.count = 1, .reusable = true}, SHIFT(165),
  [325] = {.count = 1, .reusable = true}, REDUCE(sym__primary, 1),
  [327] = {.count = 1, .reusable = false}, REDUCE(sym__primary, 1),
  [329] = {.count = 1, .reusable = true}, SHIFT(166),
  [331] = {.count = 1, .reusable = true}, REDUCE(sym_class_instance_creation_expression, 1),
  [333] = {.count = 1, .reusable = false}, REDUCE(sym_class_instance_creation_expression, 1),
  [335] = {.count = 1, .reusable = true}, REDUCE(sym__primary_no_new_array, 1),
  [337] = {.count = 1, .reusable = false}, REDUCE(sym__primary_no_new_array, 1),
  [339] = {.count = 1, .reusable = true}, REDUCE(sym_interface_declaration, 1),
  [341] = {.count = 1, .reusable = false}, REDUCE(sym_interface_declaration, 1),
  [343] = {.count = 1, .reusable = true}, SHIFT(167),
  [345] = {.count = 1, .reusable = true}, REDUCE(sym__type, 1),
  [347] = {.count = 1, .reusable = false}, REDUCE(sym__type, 1),
  [349] = {.count = 1, .reusable = false}, SHIFT(139),
  [351] = {.count = 1, .reusable = true}, SHIFT(172),
  [353] = {.count = 1, .reusable = false}, SHIFT(171),
  [355] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [357] = {.count = 1, .reusable = true}, SHIFT(173),
  [359] = {.count = 1, .reusable = true}, SHIFT(12),
  [361] = {.count = 1, .reusable = true}, SHIFT(174),
  [363] = {.count = 1, .reusable = true}, SHIFT(175),
  [365] = {.count = 1, .reusable = true}, SHIFT(176),
  [367] = {.count = 1, .reusable = true}, SHIFT(177),
  [369] = {.count = 1, .reusable = false}, SHIFT(57),
  [371] = {.count = 1, .reusable = false}, SHIFT(179),
  [373] = {.count = 1, .reusable = false}, SHIFT(132),
  [375] = {.count = 1, .reusable = false}, SHIFT(180),
  [377] = {.count = 1, .reusable = false}, SHIFT(181),
  [379] = {.count = 1, .reusable = true}, REDUCE(sym_character_literal, 2),
  [381] = {.count = 1, .reusable = false}, REDUCE(sym_character_literal, 2),
  [383] = {.count = 1, .reusable = false}, SHIFT(184),
  [385] = {.count = 1, .reusable = false}, SHIFT(185),
  [387] = {.count = 2, .reusable = true}, REDUCE(sym__lambda_parameters, 2), REDUCE(sym_inferred_parameters, 2),
  [390] = {.count = 1, .reusable = true}, SHIFT(187),
  [392] = {.count = 1, .reusable = false}, SHIFT(191),
  [394] = {.count = 1, .reusable = false}, SHIFT(192),
  [396] = {.count = 1, .reusable = false}, SHIFT(193),
  [398] = {.count = 1, .reusable = false}, SHIFT(194),
  [400] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), REDUCE(sym__unann_type, 1, .alias_sequence_id = 2),
  [403] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), REDUCE(sym__unann_type, 1, .alias_sequence_id = 2),
  [406] = {.count = 1, .reusable = true}, SHIFT(198),
  [408] = {.count = 1, .reusable = false}, REDUCE(sym__unann_type, 1, .alias_sequence_id = 2),
  [410] = {.count = 1, .reusable = false}, SHIFT(199),
  [412] = {.count = 1, .reusable = true}, SHIFT(201),
  [414] = {.count = 1, .reusable = false}, SHIFT(202),
  [416] = {.count = 1, .reusable = false}, SHIFT(203),
  [418] = {.count = 1, .reusable = true}, SHIFT(203),
  [420] = {.count = 1, .reusable = true}, SHIFT(202),
  [422] = {.count = 1, .reusable = true}, SHIFT(204),
  [424] = {.count = 1, .reusable = false}, SHIFT(205),
  [426] = {.count = 1, .reusable = true}, SHIFT(206),
  [428] = {.count = 1, .reusable = false}, SHIFT(206),
  [430] = {.count = 1, .reusable = false}, SHIFT(204),
  [432] = {.count = 1, .reusable = true}, SHIFT(207),
  [434] = {.count = 1, .reusable = true}, SHIFT(208),
  [436] = {.count = 1, .reusable = true}, SHIFT(209),
  [438] = {.count = 2, .reusable = true}, REDUCE(sym_modifier, 1), REDUCE(aux_sym_wildcard_repeat1, 1),
  [441] = {.count = 1, .reusable = true}, SHIFT(210),
  [443] = {.count = 1, .reusable = true}, SHIFT(211),
  [445] = {.count = 1, .reusable = true}, SHIFT(213),
  [447] = {.count = 1, .reusable = false}, SHIFT(214),
  [449] = {.count = 1, .reusable = false}, SHIFT(215),
  [451] = {.count = 1, .reusable = true}, SHIFT(219),
  [453] = {.count = 1, .reusable = true}, SHIFT(221),
  [455] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [457] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [459] = {.count = 1, .reusable = true}, REDUCE(sym_update_expression, 2),
  [461] = {.count = 1, .reusable = false}, REDUCE(sym_update_expression, 2),
  [463] = {.count = 1, .reusable = false}, SHIFT(229),
  [465] = {.count = 1, .reusable = false}, SHIFT(230),
  [467] = {.count = 1, .reusable = true}, SHIFT(240),
  [469] = {.count = 1, .reusable = false}, SHIFT(233),
  [471] = {.count = 1, .reusable = false}, SHIFT(234),
  [473] = {.count = 1, .reusable = true}, SHIFT(234),
  [475] = {.count = 1, .reusable = true}, SHIFT(233),
  [477] = {.count = 1, .reusable = true}, SHIFT(235),
  [479] = {.count = 1, .reusable = false}, SHIFT(236),
  [481] = {.count = 1, .reusable = true}, SHIFT(237),
  [483] = {.count = 1, .reusable = false}, SHIFT(237),
  [485] = {.count = 1, .reusable = false}, SHIFT(235),
  [487] = {.count = 1, .reusable = true}, SHIFT(238),
  [489] = {.count = 1, .reusable = true}, SHIFT(239),
  [491] = {.count = 1, .reusable = true}, SHIFT(241),
  [493] = {.count = 1, .reusable = true}, SHIFT(242),
  [495] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [497] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [499] = {.count = 1, .reusable = true}, SHIFT(244),
  [501] = {.count = 1, .reusable = true}, SHIFT(247),
  [503] = {.count = 1, .reusable = true}, SHIFT(248),
  [505] = {.count = 1, .reusable = false}, SHIFT(249),
  [507] = {.count = 1, .reusable = false}, SHIFT(250),
  [509] = {.count = 1, .reusable = true}, SHIFT(255),
  [511] = {.count = 1, .reusable = false}, SHIFT(174),
  [513] = {.count = 1, .reusable = false}, SHIFT(175),
  [515] = {.count = 1, .reusable = false}, SHIFT(177),
  [517] = {.count = 1, .reusable = true}, SHIFT(259),
  [519] = {.count = 1, .reusable = true}, SHIFT(258),
  [521] = {.count = 1, .reusable = true}, SHIFT(260),
  [523] = {.count = 1, .reusable = true}, SHIFT(263),
  [525] = {.count = 1, .reusable = true}, SHIFT(264),
  [527] = {.count = 1, .reusable = false}, SHIFT(265),
  [529] = {.count = 1, .reusable = true}, SHIFT(266),
  [531] = {.count = 1, .reusable = true}, SHIFT(268),
  [533] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2),
  [535] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2),
  [537] = {.count = 1, .reusable = true}, SHIFT(269),
  [539] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2),
  [541] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2),
  [543] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [545] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [547] = {.count = 1, .reusable = true}, SHIFT(270),
  [549] = {.count = 1, .reusable = true}, SHIFT(272),
  [551] = {.count = 1, .reusable = true}, SHIFT(273),
  [553] = {.count = 1, .reusable = false}, SHIFT(274),
  [555] = {.count = 1, .reusable = false}, SHIFT(275),
  [557] = {.count = 1, .reusable = true}, SHIFT(285),
  [559] = {.count = 1, .reusable = true}, SHIFT(286),
  [561] = {.count = 1, .reusable = true}, SHIFT(295),
  [563] = {.count = 1, .reusable = true}, SHIFT(291),
  [565] = {.count = 1, .reusable = false}, SHIFT(292),
  [567] = {.count = 1, .reusable = true}, SHIFT(292),
  [569] = {.count = 1, .reusable = true}, SHIFT(293),
  [571] = {.count = 1, .reusable = false}, SHIFT(294),
  [573] = {.count = 1, .reusable = true}, SHIFT(303),
  [575] = {.count = 1, .reusable = true}, SHIFT(304),
  [577] = {.count = 1, .reusable = true}, SHIFT(128),
  [579] = {.count = 1, .reusable = true}, SHIFT(305),
  [581] = {.count = 1, .reusable = true}, REDUCE(sym_marker_annotation, 2),
  [583] = {.count = 1, .reusable = true}, SHIFT(307),
  [585] = {.count = 1, .reusable = false}, REDUCE(sym_marker_annotation, 2),
  [587] = {.count = 1, .reusable = true}, SHIFT(308),
  [589] = {.count = 1, .reusable = false}, SHIFT(309),
  [591] = {.count = 1, .reusable = true}, SHIFT(310),
  [593] = {.count = 1, .reusable = true}, SHIFT(311),
  [595] = {.count = 1, .reusable = true}, SHIFT(312),
  [597] = {.count = 1, .reusable = true}, SHIFT(314),
  [599] = {.count = 1, .reusable = true}, SHIFT(313),
  [601] = {.count = 1, .reusable = true}, SHIFT(316),
  [603] = {.count = 1, .reusable = true}, SHIFT(317),
  [605] = {.count = 1, .reusable = true}, SHIFT(319),
  [607] = {.count = 1, .reusable = true}, SHIFT(320),
  [609] = {.count = 1, .reusable = true}, SHIFT(321),
  [611] = {.count = 1, .reusable = true}, SHIFT(326),
  [613] = {.count = 1, .reusable = true}, SHIFT(331),
  [615] = {.count = 1, .reusable = true}, SHIFT(332),
  [617] = {.count = 1, .reusable = true}, SHIFT(338),
  [619] = {.count = 1, .reusable = true}, SHIFT(339),
  [621] = {.count = 1, .reusable = false}, SHIFT(342),
  [623] = {.count = 1, .reusable = false}, SHIFT(343),
  [625] = {.count = 1, .reusable = true}, SHIFT(171),
  [627] = {.count = 1, .reusable = true}, SHIFT(346),
  [629] = {.count = 1, .reusable = true}, SHIFT(348),
  [631] = {.count = 1, .reusable = true}, SHIFT(349),
  [633] = {.count = 1, .reusable = true}, SHIFT(353),
  [635] = {.count = 1, .reusable = true}, SHIFT(355),
  [637] = {.count = 1, .reusable = true}, SHIFT(356),
  [639] = {.count = 1, .reusable = false}, SHIFT(357),
  [641] = {.count = 1, .reusable = true}, SHIFT(357),
  [643] = {.count = 1, .reusable = true}, SHIFT(358),
  [645] = {.count = 1, .reusable = false}, SHIFT(359),
  [647] = {.count = 1, .reusable = true}, SHIFT(364),
  [649] = {.count = 1, .reusable = true}, SHIFT(365),
  [651] = {.count = 1, .reusable = false}, SHIFT(366),
  [653] = {.count = 1, .reusable = true}, SHIFT(366),
  [655] = {.count = 1, .reusable = true}, SHIFT(367),
  [657] = {.count = 1, .reusable = false}, SHIFT(368),
  [659] = {.count = 1, .reusable = false}, SHIFT(304),
  [661] = {.count = 1, .reusable = false}, SHIFT(372),
  [663] = {.count = 1, .reusable = false}, SHIFT(201),
  [665] = {.count = 1, .reusable = false}, SHIFT(373),
  [667] = {.count = 1, .reusable = false}, SHIFT(374),
  [669] = {.count = 1, .reusable = true}, REDUCE(sym_generic_type, 2, .alias_sequence_id = 2),
  [671] = {.count = 1, .reusable = false}, REDUCE(sym_generic_type, 2, .alias_sequence_id = 2),
  [673] = {.count = 1, .reusable = true}, SHIFT(382),
  [675] = {.count = 1, .reusable = false}, SHIFT(383),
  [677] = {.count = 1, .reusable = true}, SHIFT(383),
  [679] = {.count = 1, .reusable = true}, SHIFT(384),
  [681] = {.count = 1, .reusable = false}, SHIFT(385),
  [683] = {.count = 1, .reusable = true}, REDUCE(sym__expression_statement, 2),
  [685] = {.count = 1, .reusable = false}, REDUCE(sym__expression_statement, 2),
  [687] = {.count = 1, .reusable = false}, SHIFT(393),
  [689] = {.count = 1, .reusable = false}, SHIFT(353),
  [691] = {.count = 1, .reusable = false}, SHIFT(394),
  [693] = {.count = 1, .reusable = true}, SHIFT(396),
  [695] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 2),
  [697] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 2),
  [699] = {.count = 1, .reusable = true}, SHIFT(397),
  [701] = {.count = 1, .reusable = true}, REDUCE(sym_dims, 1),
  [703] = {.count = 1, .reusable = true}, SHIFT(400),
  [705] = {.count = 1, .reusable = true}, REDUCE(sym_generic_type, 2),
  [707] = {.count = 1, .reusable = false}, REDUCE(sym_generic_type, 2),
  [709] = {.count = 1, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2),
  [711] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(173),
  [714] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [717] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2),
  [720] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [723] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [726] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4),
  [729] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [732] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(48),
  [735] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(48),
  [738] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(6),
  [741] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [744] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(7),
  [747] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(8),
  [750] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [753] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(10),
  [756] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(11),
  [759] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(12),
  [762] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(13),
  [765] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(14),
  [768] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(15),
  [771] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(16),
  [774] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(17),
  [777] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(18),
  [780] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [783] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(20),
  [786] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [789] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [792] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(23),
  [795] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(24),
  [798] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(25),
  [801] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(26),
  [804] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(27),
  [807] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(28),
  [810] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(29),
  [813] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(30),
  [816] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(31),
  [819] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [822] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(33),
  [825] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(34),
  [828] = {.count = 2, .reusable = true}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(35),
  [831] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(36),
  [834] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(37),
  [837] = {.count = 2, .reusable = false}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(38),
  [840] = {.count = 1, .reusable = true}, SHIFT(402),
  [842] = {.count = 1, .reusable = true}, SHIFT(403),
  [844] = {.count = 1, .reusable = true}, SHIFT(404),
  [846] = {.count = 1, .reusable = true}, SHIFT(405),
  [848] = {.count = 2, .reusable = true}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2), SHIFT_REPEAT(12),
  [851] = {.count = 2, .reusable = false}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2), SHIFT_REPEAT(27),
  [854] = {.count = 1, .reusable = true}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2),
  [856] = {.count = 1, .reusable = true}, SHIFT(406),
  [858] = {.count = 1, .reusable = false}, SHIFT(407),
  [860] = {.count = 1, .reusable = false}, SHIFT(339),
  [862] = {.count = 1, .reusable = true}, REDUCE(sym_annotated_type, 2),
  [864] = {.count = 1, .reusable = false}, REDUCE(aux_sym_wildcard_repeat1, 2),
  [866] = {.count = 2, .reusable = true}, REDUCE(aux_sym_wildcard_repeat1, 2), SHIFT_REPEAT(70),
  [869] = {.count = 1, .reusable = true}, REDUCE(sym_character_literal, 3),
  [871] = {.count = 1, .reusable = false}, REDUCE(sym_character_literal, 3),
  [873] = {.count = 1, .reusable = false}, REDUCE(aux_sym_character_literal_repeat1, 2),
  [875] = {.count = 2, .reusable = false}, REDUCE(aux_sym_character_literal_repeat1, 2), SHIFT_REPEAT(185),
  [878] = {.count = 1, .reusable = true}, SHIFT(408),
  [880] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 3),
  [882] = {.count = 1, .reusable = true}, SHIFT(411),
  [884] = {.count = 1, .reusable = true}, SHIFT(413),
  [886] = {.count = 1, .reusable = true}, SHIFT(414),
  [888] = {.count = 1, .reusable = true}, REDUCE(sym_inferred_parameters, 3),
  [890] = {.count = 1, .reusable = true}, SHIFT(418),
  [892] = {.count = 1, .reusable = false}, SHIFT(419),
  [894] = {.count = 1, .reusable = true}, SHIFT(420),
  [896] = {.count = 1, .reusable = true}, REDUCE(sym__primary_no_new_array, 3),
  [898] = {.count = 1, .reusable = false}, REDUCE(sym__primary_no_new_array, 3),
  [900] = {.count = 1, .reusable = true}, SHIFT(433),
  [902] = {.count = 1, .reusable = false}, SHIFT(435),
  [904] = {.count = 1, .reusable = true}, REDUCE(sym_receiver_parameter, 2),
  [906] = {.count = 1, .reusable = false}, REDUCE(sym_receiver_parameter, 2),
  [908] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator_id, 1),
  [910] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declarator_id, 1),
  [912] = {.count = 2, .reusable = true}, REDUCE(sym_variable_declarator_id, 1), SHIFT(70),
  [915] = {.count = 1, .reusable = true}, SHIFT(438),
  [917] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameter, 2),
  [919] = {.count = 1, .reusable = false}, REDUCE(sym_formal_parameter, 2),
  [921] = {.count = 1, .reusable = false}, REDUCE(sym_dims, 1),
  [923] = {.count = 1, .reusable = true}, SHIFT(444),
  [925] = {.count = 1, .reusable = false}, SHIFT(217),
  [927] = {.count = 1, .reusable = true}, SHIFT(448),
  [929] = {.count = 2, .reusable = false}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2), SHIFT_REPEAT(69),
  [932] = {.count = 1, .reusable = false}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2),
  [934] = {.count = 2, .reusable = true}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2), SHIFT_REPEAT(70),
  [937] = {.count = 1, .reusable = false}, SHIFT(450),
  [939] = {.count = 1, .reusable = false}, SHIFT(451),
  [941] = {.count = 1, .reusable = true}, SHIFT(453),
  [943] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [945] = {.count = 1, .reusable = false}, REDUCE(sym_assert_statement, 3),
  [947] = {.count = 1, .reusable = true}, SHIFT(466),
  [949] = {.count = 1, .reusable = true}, SHIFT(471),
  [951] = {.count = 1, .reusable = true}, REDUCE(sym_local_variable_declaration, 2),
  [953] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator_list, 1),
  [955] = {.count = 1, .reusable = true}, SHIFT(476),
  [957] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 1),
  [959] = {.count = 1, .reusable = true}, SHIFT(478),
  [961] = {.count = 1, .reusable = true}, REDUCE(sym_local_variable_declaration_statement, 2),
  [963] = {.count = 1, .reusable = false}, REDUCE(sym_local_variable_declaration_statement, 2),
  [965] = {.count = 2, .reusable = false}, REDUCE(aux_sym_catch_formal_parameter_repeat1, 2), SHIFT_REPEAT(12),
  [968] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [970] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [972] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(259),
  [975] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(2),
  [978] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(2),
  [981] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(3),
  [984] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(3),
  [987] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(4),
  [990] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(5),
  [993] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(48),
  [996] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(48),
  [999] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(6),
  [1002] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(7),
  [1005] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(7),
  [1008] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(8),
  [1011] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(9),
  [1014] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(10),
  [1017] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(11),
  [1020] = {.count = 1, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2),
  [1022] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(12),
  [1025] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(13),
  [1028] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(98),
  [1031] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(15),
  [1034] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(16),
  [1037] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(17),
  [1040] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(18),
  [1043] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(19),
  [1046] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(99),
  [1049] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(100),
  [1052] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(101),
  [1055] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(23),
  [1058] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(24),
  [1061] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(25),
  [1064] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(26),
  [1067] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(27),
  [1070] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(28),
  [1073] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(29),
  [1076] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(30),
  [1079] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(31),
  [1082] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(32),
  [1085] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(33),
  [1088] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(34),
  [1091] = {.count = 2, .reusable = true}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(35),
  [1094] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(36),
  [1097] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(37),
  [1100] = {.count = 2, .reusable = false}, REDUCE(aux_sym_constructor_body_repeat1, 2), SHIFT_REPEAT(102),
  [1103] = {.count = 1, .reusable = true}, SHIFT(486),
  [1105] = {.count = 1, .reusable = true}, SHIFT(490),
  [1107] = {.count = 1, .reusable = true}, SHIFT(491),
  [1109] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 3),
  [1111] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 3),
  [1113] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 3),
  [1115] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 3),
  [1117] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 3),
  [1119] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 3),
  [1121] = {.count = 1, .reusable = true}, SHIFT(492),
  [1123] = {.count = 1, .reusable = true}, REDUCE(sym_throw_statement, 3),
  [1125] = {.count = 1, .reusable = false}, REDUCE(sym_throw_statement, 3),
  [1127] = {.count = 1, .reusable = false}, SHIFT(493),
  [1129] = {.count = 1, .reusable = false}, SHIFT(494),
  [1131] = {.count = 1, .reusable = true}, REDUCE(sym_variable_access, 1),
  [1133] = {.count = 1, .reusable = true}, SHIFT(497),
  [1135] = {.count = 1, .reusable = true}, SHIFT(498),
  [1137] = {.count = 1, .reusable = true}, SHIFT(499),
  [1139] = {.count = 1, .reusable = true}, REDUCE(sym_resource, 1),
  [1141] = {.count = 1, .reusable = false}, SHIFT(501),
  [1143] = {.count = 1, .reusable = true}, REDUCE(sym_try_with_resources_statement, 3),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_try_with_resources_statement, 3),
  [1147] = {.count = 1, .reusable = false}, SHIFT(285),
  [1149] = {.count = 1, .reusable = false}, SHIFT(286),
  [1151] = {.count = 1, .reusable = true}, SHIFT(506),
  [1153] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 3),
  [1155] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 3),
  [1157] = {.count = 1, .reusable = true}, REDUCE(sym_catches, 1),
  [1159] = {.count = 1, .reusable = false}, REDUCE(sym_catches, 1),
  [1161] = {.count = 1, .reusable = true}, SHIFT(510),
  [1163] = {.count = 1, .reusable = false}, SHIFT(512),
  [1165] = {.count = 1, .reusable = false}, SHIFT(513),
  [1167] = {.count = 1, .reusable = true}, SHIFT(516),
  [1169] = {.count = 1, .reusable = true}, REDUCE(sym_for_init, 1),
  [1171] = {.count = 1, .reusable = false}, SHIFT(518),
  [1173] = {.count = 1, .reusable = false}, SHIFT(519),
  [1175] = {.count = 1, .reusable = true}, SHIFT(519),
  [1177] = {.count = 1, .reusable = true}, SHIFT(518),
  [1179] = {.count = 1, .reusable = true}, SHIFT(520),
  [1181] = {.count = 1, .reusable = false}, SHIFT(521),
  [1183] = {.count = 1, .reusable = true}, SHIFT(522),
  [1185] = {.count = 1, .reusable = false}, SHIFT(522),
  [1187] = {.count = 1, .reusable = false}, SHIFT(520),
  [1189] = {.count = 1, .reusable = true}, SHIFT(523),
  [1191] = {.count = 1, .reusable = true}, SHIFT(524),
  [1193] = {.count = 1, .reusable = true}, SHIFT(526),
  [1195] = {.count = 1, .reusable = true}, SHIFT(527),
  [1197] = {.count = 1, .reusable = true}, SHIFT(528),
  [1199] = {.count = 1, .reusable = false}, SHIFT(529),
  [1201] = {.count = 1, .reusable = true}, REDUCE(aux_sym_class_literal_repeat1, 2),
  [1203] = {.count = 1, .reusable = true}, REDUCE(sym_class_literal, 3),
  [1205] = {.count = 1, .reusable = false}, REDUCE(sym_class_literal, 3),
  [1207] = {.count = 1, .reusable = true}, SHIFT(532),
  [1209] = {.count = 2, .reusable = true}, REDUCE(aux_sym_class_literal_repeat1, 2), SHIFT_REPEAT(128),
  [1212] = {.count = 1, .reusable = true}, SHIFT(536),
  [1214] = {.count = 1, .reusable = false}, SHIFT(536),
  [1216] = {.count = 1, .reusable = true}, SHIFT(533),
  [1218] = {.count = 1, .reusable = true}, SHIFT(534),
  [1220] = {.count = 1, .reusable = true}, SHIFT(27),
  [1222] = {.count = 1, .reusable = false}, SHIFT(535),
  [1224] = {.count = 1, .reusable = true}, SHIFT(543),
  [1226] = {.count = 1, .reusable = true}, SHIFT(544),
  [1228] = {.count = 1, .reusable = true}, SHIFT(545),
  [1230] = {.count = 1, .reusable = true}, SHIFT(546),
  [1232] = {.count = 1, .reusable = true}, SHIFT(547),
  [1234] = {.count = 1, .reusable = true}, SHIFT(548),
  [1236] = {.count = 1, .reusable = true}, SHIFT(549),
  [1238] = {.count = 1, .reusable = true}, REDUCE(sym_package_declaration, 3),
  [1240] = {.count = 1, .reusable = false}, REDUCE(sym_package_declaration, 3),
  [1242] = {.count = 1, .reusable = true}, SHIFT(552),
  [1244] = {.count = 1, .reusable = true}, SHIFT(551),
  [1246] = {.count = 1, .reusable = true}, SHIFT(554),
  [1248] = {.count = 1, .reusable = true}, SHIFT(555),
  [1250] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 3),
  [1252] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 3),
  [1254] = {.count = 1, .reusable = true}, SHIFT(561),
  [1256] = {.count = 1, .reusable = true}, SHIFT(558),
  [1258] = {.count = 1, .reusable = true}, SHIFT(559),
  [1260] = {.count = 1, .reusable = false}, SHIFT(560),
  [1262] = {.count = 1, .reusable = true}, SHIFT(569),
  [1264] = {.count = 1, .reusable = true}, SHIFT(570),
  [1266] = {.count = 1, .reusable = true}, SHIFT(581),
  [1268] = {.count = 1, .reusable = true}, SHIFT(573),
  [1270] = {.count = 1, .reusable = false}, SHIFT(574),
  [1272] = {.count = 1, .reusable = false}, SHIFT(575),
  [1274] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 3),
  [1276] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 3),
  [1278] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard, 1),
  [1280] = {.count = 1, .reusable = true}, SHIFT(588),
  [1282] = {.count = 1, .reusable = true}, SHIFT(590),
  [1284] = {.count = 1, .reusable = true}, SHIFT(591),
  [1286] = {.count = 1, .reusable = true}, REDUCE(sym_type_argument, 1),
  [1288] = {.count = 1, .reusable = true}, SHIFT(594),
  [1290] = {.count = 1, .reusable = true}, SHIFT(597),
  [1292] = {.count = 1, .reusable = true}, SHIFT(600),
  [1294] = {.count = 1, .reusable = true}, REDUCE(sym_array_creation_expression, 3),
  [1296] = {.count = 1, .reusable = false}, REDUCE(sym_array_creation_expression, 3),
  [1298] = {.count = 1, .reusable = true}, SHIFT(602),
  [1300] = {.count = 1, .reusable = true}, REDUCE(sym__dims_exprs, 1),
  [1302] = {.count = 1, .reusable = false}, REDUCE(sym__dims_exprs, 1),
  [1304] = {.count = 1, .reusable = true}, SHIFT(605),
  [1306] = {.count = 1, .reusable = true}, SHIFT(608),
  [1308] = {.count = 1, .reusable = true}, SHIFT(610),
  [1310] = {.count = 1, .reusable = true}, SHIFT(612),
  [1312] = {.count = 1, .reusable = true}, REDUCE(sym_array_creation_expression, 3, .alias_sequence_id = 3),
  [1314] = {.count = 1, .reusable = false}, REDUCE(sym_array_creation_expression, 3, .alias_sequence_id = 3),
  [1316] = {.count = 1, .reusable = true}, SHIFT(614),
  [1318] = {.count = 1, .reusable = true}, SHIFT(615),
  [1320] = {.count = 1, .reusable = true}, SHIFT(616),
  [1322] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_declaration, 3),
  [1324] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_declaration, 3),
  [1326] = {.count = 1, .reusable = true}, SHIFT(622),
  [1328] = {.count = 1, .reusable = true}, SHIFT(621),
  [1330] = {.count = 1, .reusable = true}, REDUCE(sym_normal_interface_declaration, 3),
  [1332] = {.count = 1, .reusable = false}, REDUCE(sym_normal_interface_declaration, 3),
  [1334] = {.count = 1, .reusable = true}, REDUCE(sym_field_access, 3),
  [1336] = {.count = 1, .reusable = true}, SHIFT(630),
  [1338] = {.count = 1, .reusable = false}, REDUCE(sym_field_access, 3),
  [1340] = {.count = 1, .reusable = true}, SHIFT(631),
  [1342] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 3),
  [1344] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 3),
  [1346] = {.count = 1, .reusable = false}, SHIFT(633),
  [1348] = {.count = 1, .reusable = false}, SHIFT(634),
  [1350] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 1),
  [1352] = {.count = 1, .reusable = false}, SHIFT(637),
  [1354] = {.count = 1, .reusable = false}, SHIFT(638),
  [1356] = {.count = 1, .reusable = true}, SHIFT(638),
  [1358] = {.count = 1, .reusable = true}, SHIFT(637),
  [1360] = {.count = 1, .reusable = true}, SHIFT(639),
  [1362] = {.count = 1, .reusable = false}, SHIFT(640),
  [1364] = {.count = 1, .reusable = true}, SHIFT(641),
  [1366] = {.count = 1, .reusable = false}, SHIFT(641),
  [1368] = {.count = 1, .reusable = false}, SHIFT(639),
  [1370] = {.count = 1, .reusable = true}, SHIFT(642),
  [1372] = {.count = 1, .reusable = true}, SHIFT(643),
  [1374] = {.count = 1, .reusable = true}, SHIFT(645),
  [1376] = {.count = 1, .reusable = true}, SHIFT(646),
  [1378] = {.count = 1, .reusable = true}, SHIFT(647),
  [1380] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3),
  [1382] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3),
  [1384] = {.count = 1, .reusable = false}, SHIFT(649),
  [1386] = {.count = 1, .reusable = false}, SHIFT(650),
  [1388] = {.count = 1, .reusable = false}, SHIFT(653),
  [1390] = {.count = 1, .reusable = false}, SHIFT(654),
  [1392] = {.count = 1, .reusable = true}, SHIFT(654),
  [1394] = {.count = 1, .reusable = true}, SHIFT(653),
  [1396] = {.count = 1, .reusable = true}, SHIFT(655),
  [1398] = {.count = 1, .reusable = false}, SHIFT(656),
  [1400] = {.count = 1, .reusable = true}, SHIFT(657),
  [1402] = {.count = 1, .reusable = false}, SHIFT(657),
  [1404] = {.count = 1, .reusable = false}, SHIFT(655),
  [1406] = {.count = 1, .reusable = true}, SHIFT(658),
  [1408] = {.count = 1, .reusable = true}, SHIFT(659),
  [1410] = {.count = 1, .reusable = true}, SHIFT(660),
  [1412] = {.count = 1, .reusable = true}, SHIFT(661),
  [1414] = {.count = 1, .reusable = false}, SHIFT(662),
  [1416] = {.count = 1, .reusable = false}, SHIFT(663),
  [1418] = {.count = 1, .reusable = true}, SHIFT(666),
  [1420] = {.count = 1, .reusable = true}, REDUCE(sym_scoped_identifier, 3),
  [1422] = {.count = 1, .reusable = false}, REDUCE(sym_scoped_identifier, 3),
  [1424] = {.count = 2, .reusable = false}, REDUCE(sym_scoped_identifier, 3), REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 4),
  [1427] = {.count = 1, .reusable = true}, REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 4),
  [1429] = {.count = 2, .reusable = true}, REDUCE(sym_scoped_identifier, 3), REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 4),
  [1432] = {.count = 1, .reusable = false}, REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 4),
  [1434] = {.count = 1, .reusable = true}, REDUCE(sym_class_instance_creation_expression, 3),
  [1436] = {.count = 1, .reusable = false}, REDUCE(sym_class_instance_creation_expression, 3),
  [1438] = {.count = 1, .reusable = true}, SHIFT(667),
  [1440] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [1442] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [1444] = {.count = 1, .reusable = false}, SHIFT(670),
  [1446] = {.count = 1, .reusable = false}, SHIFT(671),
  [1448] = {.count = 1, .reusable = false}, SHIFT(674),
  [1450] = {.count = 1, .reusable = false}, SHIFT(675),
  [1452] = {.count = 1, .reusable = true}, SHIFT(675),
  [1454] = {.count = 1, .reusable = true}, SHIFT(674),
  [1456] = {.count = 1, .reusable = true}, SHIFT(676),
  [1458] = {.count = 1, .reusable = false}, SHIFT(677),
  [1460] = {.count = 1, .reusable = true}, SHIFT(678),
  [1462] = {.count = 1, .reusable = false}, SHIFT(678),
  [1464] = {.count = 1, .reusable = false}, SHIFT(676),
  [1466] = {.count = 1, .reusable = true}, SHIFT(679),
  [1468] = {.count = 1, .reusable = true}, SHIFT(680),
  [1470] = {.count = 1, .reusable = true}, SHIFT(681),
  [1472] = {.count = 1, .reusable = true}, SHIFT(682),
  [1474] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_expression, 3),
  [1476] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_body, 1),
  [1478] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_expression, 3),
  [1480] = {.count = 1, .reusable = false}, REDUCE(sym_lambda_expression, 3),
  [1482] = {.count = 1, .reusable = false}, REDUCE(sym_lambda_body, 1),
  [1484] = {.count = 1, .reusable = true}, REDUCE(sym_method_reference, 3),
  [1486] = {.count = 1, .reusable = false}, REDUCE(sym_method_reference, 3),
  [1488] = {.count = 1, .reusable = false}, SHIFT(683),
  [1490] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dims_repeat1, 2),
  [1492] = {.count = 1, .reusable = false}, REDUCE(aux_sym_dims_repeat1, 2),
  [1494] = {.count = 1, .reusable = true}, SHIFT(684),
  [1496] = {.count = 1, .reusable = true}, REDUCE(aux_sym_wildcard_repeat1, 2),
  [1498] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dims_repeat1, 2), SHIFT_REPEAT(167),
  [1501] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dims_repeat1, 2), SHIFT_REPEAT(70),
  [1504] = {.count = 1, .reusable = true}, REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 5),
  [1506] = {.count = 1, .reusable = false}, REDUCE(sym_scoped_type_identifier, 3, .alias_sequence_id = 5),
  [1508] = {.count = 1, .reusable = true}, SHIFT(685),
  [1510] = {.count = 1, .reusable = false}, SHIFT(690),
  [1512] = {.count = 1, .reusable = true}, SHIFT(691),
  [1514] = {.count = 1, .reusable = true}, SHIFT(692),
  [1516] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 4),
  [1518] = {.count = 1, .reusable = true}, SHIFT(694),
  [1520] = {.count = 1, .reusable = true}, SHIFT(697),
  [1522] = {.count = 1, .reusable = true}, REDUCE(aux_sym_inferred_parameters_repeat1, 2),
  [1524] = {.count = 1, .reusable = true}, REDUCE(sym_inferred_parameters, 4),
  [1526] = {.count = 2, .reusable = true}, REDUCE(aux_sym_inferred_parameters_repeat1, 2), SHIFT_REPEAT(198),
  [1529] = {.count = 1, .reusable = true}, SHIFT(700),
  [1531] = {.count = 1, .reusable = true}, REDUCE(sym_cast_expression, 4),
  [1533] = {.count = 1, .reusable = false}, REDUCE(sym_cast_expression, 4),
  [1535] = {.count = 1, .reusable = true}, REDUCE(sym_additional_bound, 2),
  [1537] = {.count = 1, .reusable = true}, REDUCE(aux_sym_cast_expression_repeat1, 2),
  [1539] = {.count = 2, .reusable = true}, REDUCE(aux_sym_cast_expression_repeat1, 2), SHIFT_REPEAT(211),
  [1542] = {.count = 1, .reusable = true}, REDUCE(sym_spread_parameter, 3),
  [1544] = {.count = 1, .reusable = true}, SHIFT(705),
  [1546] = {.count = 1, .reusable = true}, SHIFT(706),
  [1548] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator_id, 2),
  [1550] = {.count = 1, .reusable = false}, REDUCE(sym_variable_declarator_id, 2),
  [1552] = {.count = 1, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [1554] = {.count = 1, .reusable = false}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [1556] = {.count = 1, .reusable = true}, SHIFT(708),
  [1558] = {.count = 2, .reusable = true}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(710),
  [1561] = {.count = 1, .reusable = true}, SHIFT(712),
  [1563] = {.count = 1, .reusable = true}, REDUCE(sym_formal_parameter, 3),
  [1565] = {.count = 1, .reusable = false}, REDUCE(sym_formal_parameter, 3),
  [1567] = {.count = 1, .reusable = true}, REDUCE(sym_receiver_parameter, 3),
  [1569] = {.count = 1, .reusable = false}, REDUCE(sym_receiver_parameter, 3),
  [1571] = {.count = 1, .reusable = true}, SHIFT(714),
  [1573] = {.count = 1, .reusable = true}, SHIFT(716),
  [1575] = {.count = 1, .reusable = true}, SHIFT(719),
  [1577] = {.count = 1, .reusable = true}, SHIFT(720),
  [1579] = {.count = 1, .reusable = true}, SHIFT(721),
  [1581] = {.count = 1, .reusable = true}, SHIFT(723),
  [1583] = {.count = 1, .reusable = true}, SHIFT(725),
  [1585] = {.count = 1, .reusable = true}, SHIFT(726),
  [1587] = {.count = 1, .reusable = true}, SHIFT(728),
  [1589] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator_list, 2),
  [1591] = {.count = 1, .reusable = true}, REDUCE(sym_local_variable_declaration, 3),
  [1593] = {.count = 1, .reusable = true}, SHIFT(737),
  [1595] = {.count = 1, .reusable = true}, SHIFT(739),
  [1597] = {.count = 1, .reusable = true}, SHIFT(740),
  [1599] = {.count = 1, .reusable = true}, SHIFT(742),
  [1601] = {.count = 1, .reusable = true}, SHIFT(746),
  [1603] = {.count = 1, .reusable = false}, SHIFT(751),
  [1605] = {.count = 1, .reusable = true}, SHIFT(752),
  [1607] = {.count = 1, .reusable = true}, REDUCE(sym_resource_specification, 3),
  [1609] = {.count = 1, .reusable = true}, SHIFT(754),
  [1611] = {.count = 1, .reusable = true}, SHIFT(757),
  [1613] = {.count = 1, .reusable = true}, REDUCE(sym_try_with_resources_statement, 4),
  [1615] = {.count = 1, .reusable = false}, REDUCE(sym_try_with_resources_statement, 4),
  [1617] = {.count = 1, .reusable = true}, REDUCE(sym_finally, 2),
  [1619] = {.count = 1, .reusable = false}, REDUCE(sym_finally, 2),
  [1621] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4),
  [1623] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4),
  [1625] = {.count = 1, .reusable = true}, REDUCE(aux_sym_catches_repeat1, 2),
  [1627] = {.count = 1, .reusable = false}, REDUCE(aux_sym_catches_repeat1, 2),
  [1629] = {.count = 2, .reusable = false}, REDUCE(aux_sym_catches_repeat1, 2), SHIFT_REPEAT(285),
  [1632] = {.count = 1, .reusable = true}, SHIFT(769),
  [1634] = {.count = 1, .reusable = false}, SHIFT(764),
  [1636] = {.count = 1, .reusable = false}, SHIFT(765),
  [1638] = {.count = 1, .reusable = false}, SHIFT(766),
  [1640] = {.count = 1, .reusable = false}, SHIFT(767),
  [1642] = {.count = 1, .reusable = false}, SHIFT(768),
  [1644] = {.count = 1, .reusable = true}, SHIFT(770),
  [1646] = {.count = 1, .reusable = true}, SHIFT(775),
  [1648] = {.count = 1, .reusable = true}, SHIFT(777),
  [1650] = {.count = 1, .reusable = true}, REDUCE(sym_for_init, 2),
  [1652] = {.count = 1, .reusable = true}, SHIFT(789),
  [1654] = {.count = 1, .reusable = true}, REDUCE(sym_class_literal, 4),
  [1656] = {.count = 1, .reusable = false}, REDUCE(sym_class_literal, 4),
  [1658] = {.count = 1, .reusable = true}, REDUCE(sym_normal_annotation, 4),
  [1660] = {.count = 1, .reusable = false}, REDUCE(sym_normal_annotation, 4),
  [1662] = {.count = 1, .reusable = true}, SHIFT(537),
  [1664] = {.count = 1, .reusable = false}, SHIFT(537),
  [1666] = {.count = 1, .reusable = true}, SHIFT(791),
  [1668] = {.count = 1, .reusable = true}, SHIFT(792),
  [1670] = {.count = 1, .reusable = false}, SHIFT(542),
  [1672] = {.count = 1, .reusable = true}, REDUCE(sym_element_value, 1),
  [1674] = {.count = 1, .reusable = true}, SHIFT(795),
  [1676] = {.count = 1, .reusable = true}, SHIFT(796),
  [1678] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_pair_list, 1),
  [1680] = {.count = 1, .reusable = true}, SHIFT(797),
  [1682] = {.count = 1, .reusable = true}, SHIFT(794),
  [1684] = {.count = 1, .reusable = true}, SHIFT(799),
  [1686] = {.count = 1, .reusable = true}, REDUCE(sym_module_declaration, 4),
  [1688] = {.count = 1, .reusable = false}, REDUCE(sym_module_declaration, 4),
  [1690] = {.count = 1, .reusable = false}, SHIFT(801),
  [1692] = {.count = 1, .reusable = false}, SHIFT(802),
  [1694] = {.count = 1, .reusable = false}, SHIFT(805),
  [1696] = {.count = 1, .reusable = false}, SHIFT(806),
  [1698] = {.count = 1, .reusable = false}, SHIFT(807),
  [1700] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 4),
  [1702] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 4),
  [1704] = {.count = 1, .reusable = true}, SHIFT(811),
  [1706] = {.count = 1, .reusable = true}, SHIFT(810),
  [1708] = {.count = 1, .reusable = true}, REDUCE(sym_asterisk, 1),
  [1710] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_declaration_repeat1, 2),
  [1712] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_declaration_repeat1, 2), SHIFT_REPEAT(812),
  [1715] = {.count = 1, .reusable = true}, SHIFT(813),
  [1717] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 4),
  [1719] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 4),
  [1721] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 1),
  [1723] = {.count = 1, .reusable = true}, SHIFT(815),
  [1725] = {.count = 1, .reusable = true}, SHIFT(817),
  [1727] = {.count = 1, .reusable = true}, REDUCE(sym_enum_body_declarations, 1),
  [1729] = {.count = 1, .reusable = true}, SHIFT(818),
  [1731] = {.count = 1, .reusable = false}, SHIFT(820),
  [1733] = {.count = 1, .reusable = true}, REDUCE(sym_super_interfaces, 2),
  [1735] = {.count = 1, .reusable = true}, SHIFT(822),
  [1737] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type_list, 1),
  [1739] = {.count = 1, .reusable = true}, SHIFT(826),
  [1741] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 1),
  [1743] = {.count = 1, .reusable = true}, SHIFT(828),
  [1745] = {.count = 1, .reusable = true}, SHIFT(830),
  [1747] = {.count = 1, .reusable = true}, SHIFT(831),
  [1749] = {.count = 1, .reusable = true}, SHIFT(833),
  [1751] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 2),
  [1753] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 2),
  [1755] = {.count = 1, .reusable = true}, SHIFT(835),
  [1757] = {.count = 1, .reusable = false}, SHIFT(836),
  [1759] = {.count = 1, .reusable = true}, SHIFT(839),
  [1761] = {.count = 1, .reusable = true}, SHIFT(840),
  [1763] = {.count = 1, .reusable = false}, SHIFT(843),
  [1765] = {.count = 1, .reusable = true}, SHIFT(846),
  [1767] = {.count = 1, .reusable = true}, SHIFT(853),
  [1769] = {.count = 1, .reusable = true}, SHIFT(852),
  [1771] = {.count = 1, .reusable = true}, REDUCE(sym_superclass, 2),
  [1773] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 4),
  [1775] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 4),
  [1777] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard, 2),
  [1779] = {.count = 1, .reusable = true}, REDUCE(sym__type_arguments, 3),
  [1781] = {.count = 1, .reusable = false}, REDUCE(sym__type_arguments, 3),
  [1783] = {.count = 1, .reusable = true}, SHIFT(861),
  [1785] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 4),
  [1787] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 4),
  [1789] = {.count = 1, .reusable = true}, SHIFT(866),
  [1791] = {.count = 1, .reusable = true}, SHIFT(867),
  [1793] = {.count = 1, .reusable = true}, SHIFT(868),
  [1795] = {.count = 1, .reusable = false}, SHIFT(869),
  [1797] = {.count = 1, .reusable = true}, SHIFT(870),
  [1799] = {.count = 1, .reusable = true}, SHIFT(869),
  [1801] = {.count = 1, .reusable = true}, SHIFT(871),
  [1803] = {.count = 1, .reusable = true}, SHIFT(872),
  [1805] = {.count = 1, .reusable = false}, SHIFT(873),
  [1807] = {.count = 1, .reusable = true}, REDUCE(sym_array_creation_expression, 4),
  [1809] = {.count = 1, .reusable = false}, REDUCE(sym_array_creation_expression, 4),
  [1811] = {.count = 1, .reusable = true}, SHIFT(878),
  [1813] = {.count = 1, .reusable = true}, SHIFT(879),
  [1815] = {.count = 1, .reusable = true}, SHIFT(881),
  [1817] = {.count = 1, .reusable = true}, REDUCE(sym__dims_exprs, 2),
  [1819] = {.count = 1, .reusable = false}, REDUCE(sym__dims_exprs, 2),
  [1821] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 4, .alias_sequence_id = 3),
  [1823] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 4, .alias_sequence_id = 3),
  [1825] = {.count = 1, .reusable = true}, SHIFT(885),
  [1827] = {.count = 1, .reusable = true}, REDUCE(sym_array_creation_expression, 4, .alias_sequence_id = 3),
  [1829] = {.count = 1, .reusable = false}, REDUCE(sym_array_creation_expression, 4, .alias_sequence_id = 3),
  [1831] = {.count = 1, .reusable = true}, SHIFT(887),
  [1833] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_body, 2),
  [1835] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_body, 2),
  [1837] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_member_declaration, 1),
  [1839] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_member_declaration, 1),
  [1841] = {.count = 1, .reusable = false}, SHIFT(889),
  [1843] = {.count = 1, .reusable = true}, SHIFT(893),
  [1845] = {.count = 1, .reusable = true}, REDUCE(sym_interface_body, 2),
  [1847] = {.count = 1, .reusable = false}, REDUCE(sym_interface_body, 2),
  [1849] = {.count = 1, .reusable = true}, REDUCE(sym_interface_member_declaration, 1),
  [1851] = {.count = 1, .reusable = false}, REDUCE(sym_interface_member_declaration, 1),
  [1853] = {.count = 1, .reusable = true}, SHIFT(897),
  [1855] = {.count = 1, .reusable = true}, REDUCE(sym_extends_interfaces, 2),
  [1857] = {.count = 1, .reusable = true}, REDUCE(sym_normal_interface_declaration, 4),
  [1859] = {.count = 1, .reusable = false}, REDUCE(sym_normal_interface_declaration, 4),
  [1861] = {.count = 1, .reusable = true}, SHIFT(900),
  [1863] = {.count = 1, .reusable = true}, SHIFT(902),
  [1865] = {.count = 1, .reusable = true}, SHIFT(903),
  [1867] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1869] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 4),
  [1871] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 4),
  [1873] = {.count = 1, .reusable = true}, SHIFT(917),
  [1875] = {.count = 1, .reusable = true}, REDUCE(sym_array_access, 4),
  [1877] = {.count = 1, .reusable = false}, REDUCE(sym_array_access, 4),
  [1879] = {.count = 1, .reusable = true}, SHIFT(929),
  [1881] = {.count = 1, .reusable = true}, REDUCE(sym_scoped_type_identifier, 4, .alias_sequence_id = 6),
  [1883] = {.count = 1, .reusable = false}, REDUCE(sym_scoped_type_identifier, 4, .alias_sequence_id = 6),
  [1885] = {.count = 1, .reusable = true}, SHIFT(931),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_method_reference, 4),
  [1889] = {.count = 1, .reusable = false}, REDUCE(sym_method_reference, 4),
  [1891] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dims_repeat1, 3),
  [1893] = {.count = 1, .reusable = false}, REDUCE(aux_sym_dims_repeat1, 3),
  [1895] = {.count = 1, .reusable = true}, REDUCE(sym_scoped_type_identifier, 4, .alias_sequence_id = 7),
  [1897] = {.count = 1, .reusable = false}, REDUCE(sym_scoped_type_identifier, 4, .alias_sequence_id = 7),
  [1899] = {.count = 1, .reusable = true}, SHIFT(944),
  [1901] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_declaration, 4),
  [1903] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_declaration, 4),
  [1905] = {.count = 1, .reusable = true}, SHIFT(947),
  [1907] = {.count = 1, .reusable = true}, REDUCE(sym_package_declaration, 4),
  [1909] = {.count = 1, .reusable = false}, REDUCE(sym_package_declaration, 4),
  [1911] = {.count = 1, .reusable = true}, SHIFT(949),
  [1913] = {.count = 1, .reusable = true}, SHIFT(948),
  [1915] = {.count = 1, .reusable = true}, REDUCE(sym_cast_expression, 5),
  [1917] = {.count = 1, .reusable = false}, REDUCE(sym_cast_expression, 5),
  [1919] = {.count = 1, .reusable = true}, REDUCE(sym_receiver_parameter, 4),
  [1921] = {.count = 1, .reusable = false}, REDUCE(sym_receiver_parameter, 4),
  [1923] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 5),
  [1925] = {.count = 1, .reusable = true}, SHIFT(956),
  [1927] = {.count = 1, .reusable = true}, REDUCE(sym_spread_parameter, 4),
  [1929] = {.count = 1, .reusable = true}, SHIFT(960),
  [1931] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 5),
  [1933] = {.count = 1, .reusable = false}, REDUCE(sym_assert_statement, 5),
  [1935] = {.count = 1, .reusable = true}, SHIFT(972),
  [1937] = {.count = 1, .reusable = true}, SHIFT(964),
  [1939] = {.count = 1, .reusable = false}, SHIFT(965),
  [1941] = {.count = 1, .reusable = false}, SHIFT(966),
  [1943] = {.count = 1, .reusable = false}, SHIFT(967),
  [1945] = {.count = 1, .reusable = false}, SHIFT(968),
  [1947] = {.count = 1, .reusable = false}, SHIFT(969),
  [1949] = {.count = 1, .reusable = false}, SHIFT(970),
  [1951] = {.count = 1, .reusable = false}, SHIFT(971),
  [1953] = {.count = 1, .reusable = true}, REDUCE(sym_switch_statement, 5),
  [1955] = {.count = 1, .reusable = false}, REDUCE(sym_switch_statement, 5),
  [1957] = {.count = 1, .reusable = true}, SHIFT(978),
  [1959] = {.count = 1, .reusable = false}, SHIFT(973),
  [1961] = {.count = 1, .reusable = false}, SHIFT(974),
  [1963] = {.count = 1, .reusable = false}, SHIFT(975),
  [1965] = {.count = 1, .reusable = false}, SHIFT(976),
  [1967] = {.count = 1, .reusable = false}, SHIFT(977),
  [1969] = {.count = 1, .reusable = true}, SHIFT(979),
  [1971] = {.count = 1, .reusable = true}, SHIFT(981),
  [1973] = {.count = 1, .reusable = true}, SHIFT(983),
  [1975] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variable_declarator_list_repeat1, 2),
  [1977] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variable_declarator_list_repeat1, 2), SHIFT_REPEAT(476),
  [1980] = {.count = 1, .reusable = true}, REDUCE(sym_variable_declarator, 3),
  [1982] = {.count = 2, .reusable = true}, REDUCE(aux_sym_catches_repeat1, 2), SHIFT_REPEAT(285),
  [1985] = {.count = 1, .reusable = true}, SHIFT(990),
  [1987] = {.count = 1, .reusable = false}, SHIFT(985),
  [1989] = {.count = 1, .reusable = false}, SHIFT(986),
  [1991] = {.count = 1, .reusable = false}, SHIFT(987),
  [1993] = {.count = 1, .reusable = false}, SHIFT(988),
  [1995] = {.count = 1, .reusable = false}, SHIFT(989),
  [1997] = {.count = 1, .reusable = true}, SHIFT(991),
  [1999] = {.count = 1, .reusable = true}, SHIFT(993),
  [2001] = {.count = 1, .reusable = true}, SHIFT(995),
  [2003] = {.count = 1, .reusable = true}, SHIFT(997),
  [2005] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5),
  [2007] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5),
  [2009] = {.count = 1, .reusable = true}, REDUCE(sym_synchronized_statement, 5),
  [2011] = {.count = 1, .reusable = false}, REDUCE(sym_synchronized_statement, 5),
  [2013] = {.count = 1, .reusable = true}, REDUCE(sym_resource_specification, 4),
  [2015] = {.count = 1, .reusable = true}, REDUCE(aux_sym_resource_specification_repeat1, 2),
  [2017] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2019] = {.count = 2, .reusable = true}, REDUCE(aux_sym_resource_specification_repeat1, 2), SHIFT_REPEAT(1001),
  [2022] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2024] = {.count = 1, .reusable = false}, SHIFT(1004),
  [2026] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2028] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2030] = {.count = 1, .reusable = false}, SHIFT(1006),
  [2032] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2034] = {.count = 1, .reusable = true}, REDUCE(sym_try_with_resources_statement, 5),
  [2036] = {.count = 1, .reusable = false}, REDUCE(sym_try_with_resources_statement, 5),
  [2038] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2040] = {.count = 1, .reusable = false}, SHIFT(1012),
  [2042] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2044] = {.count = 1, .reusable = false}, REDUCE(sym_catch_type, 1),
  [2046] = {.count = 1, .reusable = true}, SHIFT(1018),
  [2048] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2050] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2052] = {.count = 1, .reusable = false}, SHIFT(1023),
  [2054] = {.count = 1, .reusable = true}, REDUCE(sym_if_then_else_statement, 5),
  [2056] = {.count = 1, .reusable = false}, REDUCE(sym_if_then_else_statement, 5),
  [2058] = {.count = 1, .reusable = false}, SHIFT(1024),
  [2060] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2062] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2064] = {.count = 1, .reusable = false}, SHIFT(1028),
  [2066] = {.count = 1, .reusable = false}, SHIFT(1029),
  [2068] = {.count = 1, .reusable = true}, SHIFT(1031),
  [2070] = {.count = 1, .reusable = true}, REDUCE(aux_sym_basic_for_statement_repeat1, 2),
  [2072] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2074] = {.count = 2, .reusable = true}, REDUCE(aux_sym_basic_for_statement_repeat1, 2), SHIFT_REPEAT(523),
  [2077] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2079] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2081] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2083] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_array_initializer, 2),
  [2085] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2087] = {.count = 1, .reusable = true}, REDUCE(sym_single_element_annotation, 5),
  [2089] = {.count = 1, .reusable = false}, REDUCE(sym_single_element_annotation, 5),
  [2091] = {.count = 1, .reusable = true}, REDUCE(sym_normal_annotation, 5),
  [2093] = {.count = 1, .reusable = false}, REDUCE(sym_normal_annotation, 5),
  [2095] = {.count = 1, .reusable = true}, SHIFT(1043),
  [2097] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_pair_list, 2),
  [2099] = {.count = 1, .reusable = true}, REDUCE(sym_module_declaration, 5),
  [2101] = {.count = 1, .reusable = false}, REDUCE(sym_module_declaration, 5),
  [2103] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2105] = {.count = 1, .reusable = false}, REDUCE(sym_requires_modifier, 1),
  [2107] = {.count = 1, .reusable = true}, REDUCE(sym_module_name, 1),
  [2109] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2111] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2113] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2115] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2117] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2119] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_declaration_repeat1, 2),
  [2121] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_declaration_repeat1, 2), SHIFT_REPEAT(546),
  [2124] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_declaration_repeat1, 2), SHIFT_REPEAT(547),
  [2127] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_declaration_repeat1, 2), SHIFT_REPEAT(548),
  [2130] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_declaration_repeat1, 2), SHIFT_REPEAT(549),
  [2133] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 5),
  [2137] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 5),
  [2139] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 5),
  [2141] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 5),
  [2143] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2145] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 2),
  [2147] = {.count = 1, .reusable = true}, REDUCE(sym_enum_body_declarations, 2),
  [2149] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2151] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2153] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type_list, 2),
  [2155] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 2),
  [2157] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameters, 3),
  [2159] = {.count = 1, .reusable = false}, REDUCE(sym_type_parameters, 3),
  [2161] = {.count = 1, .reusable = true}, SHIFT(1074),
  [2163] = {.count = 1, .reusable = true}, REDUCE(sym_static_initializer, 2),
  [2165] = {.count = 1, .reusable = false}, REDUCE(sym_static_initializer, 2),
  [2167] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2169] = {.count = 1, .reusable = true}, SHIFT(1078),
  [2171] = {.count = 1, .reusable = true}, SHIFT(1084),
  [2173] = {.count = 1, .reusable = false}, SHIFT(1085),
  [2175] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2177] = {.count = 1, .reusable = true}, SHIFT(1088),
  [2179] = {.count = 1, .reusable = false}, SHIFT(1089),
  [2181] = {.count = 1, .reusable = false}, SHIFT(1090),
  [2183] = {.count = 1, .reusable = false}, SHIFT(1091),
  [2185] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 2),
  [2187] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 2),
  [2189] = {.count = 1, .reusable = true}, SHIFT(1102),
  [2191] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2193] = {.count = 1, .reusable = true}, REDUCE(sym_method_header, 2),
  [2195] = {.count = 1, .reusable = true}, SHIFT(1104),
  [2197] = {.count = 1, .reusable = true}, REDUCE(sym_method_body, 1),
  [2199] = {.count = 1, .reusable = false}, REDUCE(sym_method_body, 1),
  [2201] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 2),
  [2203] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 2),
  [2205] = {.count = 1, .reusable = true}, REDUCE(sym_class_body, 3),
  [2207] = {.count = 1, .reusable = false}, REDUCE(sym_class_body, 3),
  [2209] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(853),
  [2212] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(319),
  [2215] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(11),
  [2218] = {.count = 1, .reusable = true}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2),
  [2220] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(12),
  [2223] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(23),
  [2226] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(24),
  [2229] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(57),
  [2232] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(27),
  [2235] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(574),
  [2238] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(32),
  [2241] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(33),
  [2244] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(35),
  [2247] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(36),
  [2250] = {.count = 2, .reusable = false}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(575),
  [2253] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 5),
  [2255] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 5),
  [2257] = {.count = 1, .reusable = true}, REDUCE(sym__wildcard_bounds, 2),
  [2259] = {.count = 1, .reusable = true}, REDUCE(aux_sym__type_arguments_repeat1, 2),
  [2261] = {.count = 1, .reusable = true}, REDUCE(sym__type_arguments, 4),
  [2263] = {.count = 1, .reusable = false}, REDUCE(sym__type_arguments, 4),
  [2265] = {.count = 2, .reusable = true}, REDUCE(aux_sym__type_arguments_repeat1, 2), SHIFT_REPEAT(591),
  [2268] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard, 3),
  [2270] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 5),
  [2272] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 5),
  [2274] = {.count = 1, .reusable = true}, REDUCE(sym_dims_expr, 3),
  [2276] = {.count = 1, .reusable = false}, REDUCE(sym_dims_expr, 3),
  [2278] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2280] = {.count = 1, .reusable = true}, REDUCE(sym_array_initializer, 2),
  [2282] = {.count = 1, .reusable = false}, REDUCE(sym_array_initializer, 2),
  [2284] = {.count = 1, .reusable = false}, SHIFT(1114),
  [2286] = {.count = 1, .reusable = false}, SHIFT(1115),
  [2288] = {.count = 1, .reusable = false}, SHIFT(1118),
  [2290] = {.count = 1, .reusable = false}, SHIFT(1119),
  [2292] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2294] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2296] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2298] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2300] = {.count = 1, .reusable = true}, SHIFT(1122),
  [2302] = {.count = 1, .reusable = false}, SHIFT(1122),
  [2304] = {.count = 1, .reusable = false}, SHIFT(1120),
  [2306] = {.count = 1, .reusable = true}, SHIFT(1123),
  [2308] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2310] = {.count = 1, .reusable = true}, SHIFT(1126),
  [2312] = {.count = 1, .reusable = true}, SHIFT(1127),
  [2314] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2316] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dims_repeat1, 2), SHIFT_REPEAT(602),
  [2319] = {.count = 1, .reusable = true}, REDUCE(aux_sym__dims_exprs_repeat1, 2),
  [2321] = {.count = 1, .reusable = false}, REDUCE(aux_sym__dims_exprs_repeat1, 2),
  [2323] = {.count = 2, .reusable = true}, REDUCE(aux_sym__dims_exprs_repeat1, 2), SHIFT_REPEAT(605),
  [2326] = {.count = 2, .reusable = true}, REDUCE(aux_sym__dims_exprs_repeat1, 2), SHIFT_REPEAT(70),
  [2329] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2331] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 5, .alias_sequence_id = 3),
  [2333] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 5, .alias_sequence_id = 3),
  [2335] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2337] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 5, .alias_sequence_id = 5),
  [2339] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 5, .alias_sequence_id = 5),
  [2341] = {.count = 1, .reusable = true}, SHIFT(1133),
  [2343] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2345] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2347] = {.count = 1, .reusable = false}, SHIFT(1136),
  [2349] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_body, 3),
  [2351] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_body, 3),
  [2353] = {.count = 1, .reusable = true}, REDUCE(aux_sym_annotation_type_body_repeat1, 2),
  [2355] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(12),
  [2358] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(23),
  [2361] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(24),
  [2364] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(57),
  [2367] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(27),
  [2370] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(33),
  [2373] = {.count = 2, .reusable = true}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(35),
  [2376] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(36),
  [2379] = {.count = 2, .reusable = false}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(181),
  [2382] = {.count = 1, .reusable = true}, REDUCE(sym_interface_body, 3),
  [2384] = {.count = 1, .reusable = false}, REDUCE(sym_interface_body, 3),
  [2386] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(622),
  [2389] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(319),
  [2392] = {.count = 1, .reusable = true}, REDUCE(aux_sym_interface_body_repeat1, 2),
  [2394] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(12),
  [2397] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(23),
  [2400] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(24),
  [2403] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(57),
  [2406] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(27),
  [2409] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(33),
  [2412] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(35),
  [2415] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(36),
  [2418] = {.count = 2, .reusable = false}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(181),
  [2421] = {.count = 1, .reusable = true}, REDUCE(sym_normal_interface_declaration, 5),
  [2423] = {.count = 1, .reusable = false}, REDUCE(sym_normal_interface_declaration, 5),
  [2425] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 5),
  [2427] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 5),
  [2429] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2431] = {.count = 1, .reusable = true}, SHIFT(1140),
  [2433] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2435] = {.count = 2, .reusable = true}, REDUCE(aux_sym_basic_for_statement_repeat1, 2), SHIFT_REPEAT(642),
  [2438] = {.count = 1, .reusable = true}, SHIFT(1144),
  [2440] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2442] = {.count = 1, .reusable = true}, REDUCE(sym_field_access, 5),
  [2444] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2446] = {.count = 1, .reusable = false}, REDUCE(sym_field_access, 5),
  [2448] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2450] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2452] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2454] = {.count = 1, .reusable = true}, REDUCE(sym_ternary_expression, 5),
  [2456] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2458] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 6),
  [2460] = {.count = 1, .reusable = true}, SHIFT(1160),
  [2462] = {.count = 1, .reusable = true}, REDUCE(sym_receiver_parameter, 5),
  [2464] = {.count = 1, .reusable = false}, REDUCE(sym_receiver_parameter, 5),
  [2466] = {.count = 1, .reusable = true}, REDUCE(sym_switch_block, 2),
  [2468] = {.count = 1, .reusable = false}, REDUCE(sym_switch_block, 2),
  [2470] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2472] = {.count = 1, .reusable = true}, SHIFT(1163),
  [2474] = {.count = 1, .reusable = true}, SHIFT(1166),
  [2476] = {.count = 1, .reusable = true}, SHIFT(1167),
  [2478] = {.count = 1, .reusable = false}, SHIFT(1168),
  [2480] = {.count = 1, .reusable = true}, SHIFT(1170),
  [2482] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2484] = {.count = 1, .reusable = true}, SHIFT(1171),
  [2486] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2488] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2490] = {.count = 1, .reusable = false}, SHIFT(1176),
  [2492] = {.count = 1, .reusable = false}, SHIFT(1177),
  [2494] = {.count = 1, .reusable = false}, SHIFT(1178),
  [2496] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2498] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2500] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2502] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2504] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2506] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2508] = {.count = 1, .reusable = false}, SHIFT(1190),
  [2510] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2512] = {.count = 1, .reusable = false}, SHIFT(1192),
  [2514] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2516] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2518] = {.count = 1, .reusable = true}, SHIFT(1198),
  [2520] = {.count = 1, .reusable = true}, SHIFT(1199),
  [2522] = {.count = 1, .reusable = true}, REDUCE(sym_resource_specification, 5),
  [2524] = {.count = 1, .reusable = false}, SHIFT(1203),
  [2526] = {.count = 1, .reusable = false}, SHIFT(1204),
  [2528] = {.count = 1, .reusable = true}, REDUCE(sym_resource, 4),
  [2530] = {.count = 1, .reusable = false}, SHIFT(1207),
  [2532] = {.count = 1, .reusable = false}, SHIFT(1208),
  [2534] = {.count = 1, .reusable = true}, SHIFT(1208),
  [2536] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2538] = {.count = 1, .reusable = true}, SHIFT(1209),
  [2540] = {.count = 1, .reusable = false}, SHIFT(1210),
  [2542] = {.count = 1, .reusable = true}, SHIFT(1211),
  [2544] = {.count = 1, .reusable = false}, SHIFT(1211),
  [2546] = {.count = 1, .reusable = false}, SHIFT(1209),
  [2548] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2550] = {.count = 1, .reusable = true}, SHIFT(1213),
  [2552] = {.count = 1, .reusable = true}, SHIFT(1214),
  [2554] = {.count = 1, .reusable = true}, REDUCE(sym_catch_formal_parameter, 2),
  [2556] = {.count = 1, .reusable = false}, REDUCE(sym_catch_type, 2),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1228),
  [2560] = {.count = 1, .reusable = true}, SHIFT(1232),
  [2562] = {.count = 1, .reusable = true}, SHIFT(149),
  [2564] = {.count = 1, .reusable = true}, REDUCE(sym_basic_for_statement, 6),
  [2566] = {.count = 1, .reusable = false}, REDUCE(sym_basic_for_statement, 6),
  [2568] = {.count = 1, .reusable = true}, SHIFT(1235),
  [2570] = {.count = 1, .reusable = true}, SHIFT(1236),
  [2572] = {.count = 1, .reusable = true}, SHIFT(1240),
  [2574] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_array_initializer, 3),
  [2576] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2578] = {.count = 1, .reusable = true}, SHIFT(1244),
  [2580] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_pair, 3),
  [2582] = {.count = 1, .reusable = true}, REDUCE(aux_sym_element_value_pair_list_repeat1, 2),
  [2584] = {.count = 2, .reusable = true}, REDUCE(aux_sym_element_value_pair_list_repeat1, 2), SHIFT_REPEAT(797),
  [2587] = {.count = 1, .reusable = true}, REDUCE(sym_module_declaration, 6),
  [2589] = {.count = 1, .reusable = false}, REDUCE(sym_module_declaration, 6),
  [2591] = {.count = 1, .reusable = true}, SHIFT(1246),
  [2593] = {.count = 1, .reusable = true}, REDUCE(sym_module_directive, 3),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1247),
  [2597] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_directive_repeat1, 2), SHIFT_REPEAT(801),
  [2600] = {.count = 1, .reusable = false}, REDUCE(aux_sym_module_directive_repeat1, 2),
  [2602] = {.count = 1, .reusable = true}, SHIFT(802),
  [2604] = {.count = 1, .reusable = false}, SHIFT(1252),
  [2606] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 6),
  [2608] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 6),
  [2610] = {.count = 1, .reusable = true}, SHIFT(1253),
  [2612] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 6),
  [2614] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 6),
  [2616] = {.count = 1, .reusable = true}, SHIFT(1254),
  [2618] = {.count = 1, .reusable = true}, SHIFT(1255),
  [2620] = {.count = 1, .reusable = true}, REDUCE(aux_sym_enum_declaration_repeat1, 2),
  [2622] = {.count = 2, .reusable = true}, REDUCE(aux_sym_enum_declaration_repeat1, 2), SHIFT_REPEAT(1257),
  [2625] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 3),
  [2627] = {.count = 1, .reusable = true}, REDUCE(aux_sym_interface_type_list_repeat1, 2),
  [2629] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interface_type_list_repeat1, 2), SHIFT_REPEAT(822),
  [2632] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2634] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2636] = {.count = 1, .reusable = true}, REDUCE(sym_type_bound, 2),
  [2638] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [2640] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameters, 4),
  [2642] = {.count = 1, .reusable = false}, REDUCE(sym_type_parameters, 4),
  [2644] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(831),
  [2647] = {.count = 1, .reusable = true}, REDUCE(sym_type_parameter, 3),
  [2649] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 3),
  [2651] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1267),
  [2655] = {.count = 1, .reusable = true}, SHIFT(1269),
  [2657] = {.count = 1, .reusable = true}, REDUCE(sym_method_header, 3),
  [2659] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_body, 2),
  [2661] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_body, 2),
  [2663] = {.count = 1, .reusable = true}, SHIFT(1275),
  [2665] = {.count = 1, .reusable = true}, SHIFT(1276),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1277),
  [2669] = {.count = 1, .reusable = true}, SHIFT(1279),
  [2671] = {.count = 1, .reusable = true}, SHIFT(1278),
  [2673] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2675] = {.count = 1, .reusable = true}, SHIFT(1281),
  [2677] = {.count = 1, .reusable = true}, REDUCE(sym_exception_type, 1),
  [2679] = {.count = 1, .reusable = true}, REDUCE(sym_throws, 2),
  [2681] = {.count = 1, .reusable = true}, SHIFT(1282),
  [2683] = {.count = 1, .reusable = true}, REDUCE(sym_exception_type_list, 1),
  [2685] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 3),
  [2687] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 3),
  [2689] = {.count = 1, .reusable = true}, SHIFT(1284),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1285),
  [2693] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3),
  [2695] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1293),
  [2699] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 3),
  [2701] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 3),
  [2703] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 6),
  [2705] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 6),
  [2707] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 6),
  [2709] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 6),
  [2711] = {.count = 1, .reusable = true}, SHIFT(1294),
  [2713] = {.count = 1, .reusable = true}, REDUCE(sym_array_initializer, 3),
  [2715] = {.count = 1, .reusable = false}, REDUCE(sym_array_initializer, 3),
  [2717] = {.count = 1, .reusable = true}, SHIFT(1303),
  [2719] = {.count = 1, .reusable = true}, SHIFT(1307),
  [2721] = {.count = 1, .reusable = true}, REDUCE(sym_dims_expr, 4),
  [2723] = {.count = 1, .reusable = false}, REDUCE(sym_dims_expr, 4),
  [2725] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 6, .alias_sequence_id = 3),
  [2727] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 6, .alias_sequence_id = 3),
  [2729] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 6, .alias_sequence_id = 5),
  [2731] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 6, .alias_sequence_id = 5),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1313),
  [2735] = {.count = 1, .reusable = true}, REDUCE(sym_constant_declaration, 3),
  [2737] = {.count = 1, .reusable = false}, REDUCE(sym_constant_declaration, 3),
  [2739] = {.count = 1, .reusable = true}, SHIFT(1314),
  [2741] = {.count = 1, .reusable = true}, SHIFT(1315),
  [2743] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 6),
  [2745] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 6),
  [2747] = {.count = 1, .reusable = true}, SHIFT(1316),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1324),
  [2751] = {.count = 1, .reusable = true}, REDUCE(sym_normal_interface_declaration, 6),
  [2753] = {.count = 1, .reusable = false}, REDUCE(sym_normal_interface_declaration, 6),
  [2755] = {.count = 1, .reusable = true}, SHIFT(1330),
  [2757] = {.count = 1, .reusable = true}, REDUCE(sym__lambda_parameters, 7),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1331),
  [2761] = {.count = 1, .reusable = true}, REDUCE(sym_switch_label, 2),
  [2763] = {.count = 1, .reusable = false}, REDUCE(sym_switch_label, 2),
  [2765] = {.count = 1, .reusable = true}, SHIFT(1336),
  [2767] = {.count = 1, .reusable = true}, REDUCE(sym_switch_block, 3),
  [2769] = {.count = 1, .reusable = false}, REDUCE(sym_switch_block, 3),
  [2771] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1170),
  [2774] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2),
  [2777] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2),
  [2780] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(3),
  [2783] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(3),
  [2786] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(4),
  [2789] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(5),
  [2792] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(48),
  [2795] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(48),
  [2798] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(6),
  [2801] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(7),
  [2804] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(7),
  [2807] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(8),
  [2810] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(9),
  [2813] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(10),
  [2816] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(11),
  [2819] = {.count = 1, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [2821] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(965),
  [2824] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(966),
  [2827] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(13),
  [2830] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(967),
  [2833] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(15),
  [2836] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(16),
  [2839] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(17),
  [2842] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(18),
  [2845] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(19),
  [2848] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(968),
  [2851] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(969),
  [2854] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(970),
  [2857] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(23),
  [2860] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(24),
  [2863] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(25),
  [2866] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(26),
  [2869] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(27),
  [2872] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(28),
  [2875] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(29),
  [2878] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(12),
  [2881] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(30),
  [2884] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(31),
  [2887] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(32),
  [2890] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(33),
  [2893] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(34),
  [2896] = {.count = 2, .reusable = true}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(35),
  [2899] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(36),
  [2902] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(37),
  [2905] = {.count = 2, .reusable = false}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(971),
  [2908] = {.count = 1, .reusable = true}, SHIFT(1344),
  [2910] = {.count = 1, .reusable = true}, SHIFT(249),
  [2912] = {.count = 1, .reusable = true}, SHIFT(1348),
  [2914] = {.count = 1, .reusable = true}, SHIFT(1351),
  [2916] = {.count = 1, .reusable = true}, SHIFT(1357),
  [2918] = {.count = 1, .reusable = true}, SHIFT(265),
  [2920] = {.count = 1, .reusable = true}, SHIFT(1361),
  [2922] = {.count = 1, .reusable = true}, SHIFT(1364),
  [2924] = {.count = 1, .reusable = true}, REDUCE(sym_do_statement, 7),
  [2926] = {.count = 1, .reusable = false}, REDUCE(sym_do_statement, 7),
  [2928] = {.count = 1, .reusable = true}, SHIFT(1366),
  [2930] = {.count = 1, .reusable = true}, REDUCE(sym_resource, 5),
  [2932] = {.count = 1, .reusable = true}, REDUCE(sym_catch_clause, 5),
  [2934] = {.count = 1, .reusable = false}, REDUCE(sym_catch_clause, 5),
  [2936] = {.count = 1, .reusable = true}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2938] = {.count = 1, .reusable = false}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2940] = {.count = 2, .reusable = true}, REDUCE(aux_sym_catch_type_repeat1, 2), SHIFT_REPEAT(1014),
  [2943] = {.count = 1, .reusable = true}, REDUCE(sym_catch_formal_parameter, 3),
  [2945] = {.count = 1, .reusable = true}, SHIFT(1380),
  [2947] = {.count = 1, .reusable = true}, SHIFT(1382),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1383),
  [2951] = {.count = 1, .reusable = true}, SHIFT(1385),
  [2953] = {.count = 1, .reusable = true}, REDUCE(sym_if_then_else_statement, 7),
  [2955] = {.count = 1, .reusable = false}, REDUCE(sym_if_then_else_statement, 7),
  [2957] = {.count = 1, .reusable = true}, REDUCE(sym_basic_for_statement, 7),
  [2959] = {.count = 1, .reusable = false}, REDUCE(sym_basic_for_statement, 7),
  [2961] = {.count = 1, .reusable = true}, SHIFT(1388),
  [2963] = {.count = 1, .reusable = true}, SHIFT(1389),
  [2965] = {.count = 1, .reusable = true}, SHIFT(1391),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1392),
  [2969] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_array_initializer, 4),
  [2971] = {.count = 1, .reusable = true}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2),
  [2973] = {.count = 1, .reusable = true}, SHIFT(1393),
  [2975] = {.count = 2, .reusable = true}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2), SHIFT_REPEAT(1394),
  [2978] = {.count = 1, .reusable = true}, REDUCE(sym_module_name, 3),
  [2980] = {.count = 1, .reusable = true}, REDUCE(sym_module_directive, 4),
  [2982] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_directive_repeat2, 2),
  [2984] = {.count = 1, .reusable = true}, SHIFT(1395),
  [2986] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_directive_repeat2, 2), SHIFT_REPEAT(1051),
  [2989] = {.count = 1, .reusable = true}, SHIFT(1397),
  [2991] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 7),
  [2993] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 7),
  [2995] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 4),
  [2997] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 7),
  [2999] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 7),
  [3001] = {.count = 1, .reusable = true}, SHIFT(1400),
  [3003] = {.count = 1, .reusable = true}, SHIFT(1401),
  [3005] = {.count = 1, .reusable = true}, REDUCE(sym_type_bound, 3),
  [3007] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 4),
  [3009] = {.count = 1, .reusable = true}, SHIFT(1406),
  [3011] = {.count = 1, .reusable = true}, SHIFT(1409),
  [3013] = {.count = 1, .reusable = true}, SHIFT(1412),
  [3015] = {.count = 1, .reusable = true}, REDUCE(sym_method_header, 4),
  [3017] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3019] = {.count = 1, .reusable = false}, SHIFT(1417),
  [3021] = {.count = 1, .reusable = true}, SHIFT(1419),
  [3023] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_body, 3),
  [3025] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_body, 3),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1420),
  [3029] = {.count = 1, .reusable = false}, SHIFT(1421),
  [3031] = {.count = 1, .reusable = true}, REDUCE(sym_exception_type_list, 2),
  [3033] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 3),
  [3035] = {.count = 1, .reusable = true}, SHIFT(1426),
  [3037] = {.count = 1, .reusable = true}, SHIFT(1428),
  [3039] = {.count = 1, .reusable = true}, SHIFT(1430),
  [3041] = {.count = 1, .reusable = true}, SHIFT(1433),
  [3043] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declaration, 4),
  [3045] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_declaration, 4),
  [3047] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4),
  [3049] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4),
  [3051] = {.count = 1, .reusable = true}, SHIFT(1436),
  [3053] = {.count = 1, .reusable = true}, REDUCE(sym_array_initializer, 4),
  [3055] = {.count = 1, .reusable = false}, REDUCE(sym_array_initializer, 4),
  [3057] = {.count = 1, .reusable = true}, REDUCE(aux_sym_array_initializer_repeat1, 2),
  [3059] = {.count = 1, .reusable = true}, SHIFT(1439),
  [3061] = {.count = 1, .reusable = true}, SHIFT(1440),
  [3063] = {.count = 2, .reusable = true}, REDUCE(aux_sym_array_initializer_repeat1, 2), SHIFT_REPEAT(1441),
  [3066] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 7),
  [3068] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 7),
  [3070] = {.count = 1, .reusable = true}, REDUCE(sym_unqualified_class_instance_creation_expression, 7, .alias_sequence_id = 5),
  [3072] = {.count = 1, .reusable = false}, REDUCE(sym_unqualified_class_instance_creation_expression, 7, .alias_sequence_id = 5),
  [3074] = {.count = 1, .reusable = true}, SHIFT(1443),
  [3076] = {.count = 1, .reusable = true}, SHIFT(1442),
  [3078] = {.count = 1, .reusable = true}, SHIFT(1447),
  [3080] = {.count = 1, .reusable = true}, REDUCE(sym_constant_declaration, 4),
  [3082] = {.count = 1, .reusable = false}, REDUCE(sym_constant_declaration, 4),
  [3084] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 7),
  [3086] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 7),
  [3088] = {.count = 1, .reusable = true}, SHIFT(1448),
  [3090] = {.count = 1, .reusable = true}, SHIFT(1450),
  [3092] = {.count = 1, .reusable = true}, REDUCE(sym_class_declaration, 7),
  [3094] = {.count = 1, .reusable = false}, REDUCE(sym_class_declaration, 7),
  [3096] = {.count = 1, .reusable = true}, REDUCE(sym_module_declaration, 7),
  [3098] = {.count = 1, .reusable = false}, REDUCE(sym_module_declaration, 7),
  [3100] = {.count = 1, .reusable = true}, REDUCE(sym_switch_label, 3),
  [3102] = {.count = 1, .reusable = false}, REDUCE(sym_switch_label, 3),
  [3104] = {.count = 1, .reusable = true}, SHIFT(1451),
  [3106] = {.count = 1, .reusable = true}, SHIFT(1453),
  [3108] = {.count = 1, .reusable = true}, SHIFT(1454),
  [3110] = {.count = 1, .reusable = true}, SHIFT(1456),
  [3112] = {.count = 1, .reusable = true}, SHIFT(1459),
  [3114] = {.count = 1, .reusable = true}, SHIFT(1461),
  [3116] = {.count = 1, .reusable = true}, SHIFT(1462),
  [3118] = {.count = 1, .reusable = true}, SHIFT(1464),
  [3120] = {.count = 1, .reusable = true}, SHIFT(1467),
  [3122] = {.count = 1, .reusable = true}, SHIFT(1469),
  [3124] = {.count = 1, .reusable = true}, SHIFT(1470),
  [3126] = {.count = 1, .reusable = true}, SHIFT(1472),
  [3128] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3130] = {.count = 1, .reusable = true}, SHIFT(1475),
  [3132] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3134] = {.count = 1, .reusable = true}, SHIFT(1480),
  [3136] = {.count = 1, .reusable = true}, SHIFT(1481),
  [3138] = {.count = 1, .reusable = true}, SHIFT(1484),
  [3140] = {.count = 1, .reusable = false}, REDUCE(sym_annotated_type, 2),
  [3142] = {.count = 1, .reusable = true}, SHIFT(1485),
  [3144] = {.count = 1, .reusable = true}, SHIFT(1486),
  [3146] = {.count = 1, .reusable = true}, SHIFT(1488),
  [3148] = {.count = 1, .reusable = true}, SHIFT(1490),
  [3150] = {.count = 1, .reusable = true}, REDUCE(sym_basic_for_statement, 8),
  [3152] = {.count = 1, .reusable = false}, REDUCE(sym_basic_for_statement, 8),
  [3154] = {.count = 1, .reusable = true}, SHIFT(1492),
  [3156] = {.count = 1, .reusable = true}, SHIFT(1493),
  [3158] = {.count = 1, .reusable = true}, REDUCE(sym_enhanced_for_statement, 8),
  [3160] = {.count = 1, .reusable = false}, REDUCE(sym_enhanced_for_statement, 8),
  [3162] = {.count = 1, .reusable = true}, SHIFT(1494),
  [3164] = {.count = 1, .reusable = true}, REDUCE(sym_element_value_array_initializer, 5),
  [3166] = {.count = 1, .reusable = true}, REDUCE(sym_module_directive, 5),
  [3168] = {.count = 1, .reusable = true}, SHIFT(1495),
  [3170] = {.count = 1, .reusable = false}, SHIFT(1496),
  [3172] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 5),
  [3174] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 8),
  [3176] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 8),
  [3178] = {.count = 1, .reusable = true}, SHIFT(1499),
  [3180] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_bound_repeat1, 2),
  [3182] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_bound_repeat1, 2), SHIFT_REPEAT(1260),
  [3185] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 5),
  [3187] = {.count = 1, .reusable = true}, SHIFT(1500),
  [3189] = {.count = 1, .reusable = true}, SHIFT(1502),
  [3191] = {.count = 1, .reusable = true}, REDUCE(sym_method_header, 5),
  [3193] = {.count = 1, .reusable = true}, SHIFT(1505),
  [3195] = {.count = 1, .reusable = true}, SHIFT(1506),
  [3197] = {.count = 1, .reusable = true}, SHIFT(1507),
  [3199] = {.count = 1, .reusable = false}, SHIFT(1508),
  [3201] = {.count = 1, .reusable = false}, SHIFT(631),
  [3203] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_body, 4),
  [3205] = {.count = 1, .reusable = false}, REDUCE(sym_constructor_body, 4),
  [3207] = {.count = 1, .reusable = true}, REDUCE(aux_sym_exception_type_list_repeat1, 2),
  [3209] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exception_type_list_repeat1, 2), SHIFT_REPEAT(1282),
  [3212] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 4),
  [3214] = {.count = 1, .reusable = true}, SHIFT(1512),
  [3216] = {.count = 1, .reusable = true}, SHIFT(1514),
  [3218] = {.count = 1, .reusable = true}, REDUCE(sym_array_initializer, 5),
  [3220] = {.count = 1, .reusable = false}, REDUCE(sym_array_initializer, 5),
  [3222] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_element_declaration, 5),
  [3224] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_element_declaration, 5),
  [3226] = {.count = 1, .reusable = true}, SHIFT(1522),
  [3228] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 8),
  [3230] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 8),
  [3232] = {.count = 1, .reusable = true}, SHIFT(1526),
  [3234] = {.count = 1, .reusable = true}, SHIFT(1533),
  [3236] = {.count = 1, .reusable = false}, SHIFT(1528),
  [3238] = {.count = 1, .reusable = false}, SHIFT(1529),
  [3240] = {.count = 1, .reusable = false}, SHIFT(1530),
  [3242] = {.count = 1, .reusable = false}, SHIFT(1531),
  [3244] = {.count = 1, .reusable = false}, SHIFT(1532),
  [3246] = {.count = 1, .reusable = true}, SHIFT(1534),
  [3248] = {.count = 1, .reusable = true}, SHIFT(1536),
  [3250] = {.count = 1, .reusable = true}, SHIFT(1538),
  [3252] = {.count = 1, .reusable = true}, SHIFT(1540),
  [3254] = {.count = 1, .reusable = true}, SHIFT(1541),
  [3256] = {.count = 1, .reusable = true}, SHIFT(1543),
  [3258] = {.count = 1, .reusable = true}, SHIFT(1545),
  [3260] = {.count = 1, .reusable = true}, SHIFT(1547),
  [3262] = {.count = 1, .reusable = true}, SHIFT(1548),
  [3264] = {.count = 1, .reusable = true}, SHIFT(1549),
  [3266] = {.count = 1, .reusable = true}, SHIFT(1551),
  [3268] = {.count = 1, .reusable = true}, SHIFT(1553),
  [3270] = {.count = 1, .reusable = true}, SHIFT(1555),
  [3272] = {.count = 1, .reusable = false}, SHIFT(1559),
  [3274] = {.count = 1, .reusable = false}, SHIFT(1560),
  [3276] = {.count = 1, .reusable = true}, SHIFT(1561),
  [3278] = {.count = 1, .reusable = true}, SHIFT(1564),
  [3280] = {.count = 1, .reusable = true}, SHIFT(1566),
  [3282] = {.count = 1, .reusable = true}, REDUCE(sym_basic_for_statement, 9),
  [3284] = {.count = 1, .reusable = false}, REDUCE(sym_basic_for_statement, 9),
  [3286] = {.count = 1, .reusable = true}, SHIFT(1567),
  [3288] = {.count = 1, .reusable = true}, REDUCE(sym_enhanced_for_statement, 9),
  [3290] = {.count = 1, .reusable = false}, REDUCE(sym_enhanced_for_statement, 9),
  [3292] = {.count = 1, .reusable = true}, REDUCE(sym_module_directive, 6),
  [3294] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_directive_repeat3, 2),
  [3296] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_directive_repeat3, 2), SHIFT_REPEAT(1397),
  [3299] = {.count = 1, .reusable = true}, REDUCE(sym_enum_constant, 6),
  [3301] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 9),
  [3303] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 9),
  [3305] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 6),
  [3307] = {.count = 1, .reusable = true}, SHIFT(1568),
  [3309] = {.count = 1, .reusable = true}, SHIFT(1570),
  [3311] = {.count = 1, .reusable = true}, REDUCE(sym_explicit_constructor_invocation, 4),
  [3313] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_constructor_invocation, 4),
  [3315] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3317] = {.count = 1, .reusable = true}, SHIFT(1572),
  [3319] = {.count = 1, .reusable = true}, SHIFT(1574),
  [3321] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 5),
  [3323] = {.count = 1, .reusable = true}, SHIFT(1576),
  [3325] = {.count = 1, .reusable = true}, SHIFT(1578),
  [3327] = {.count = 2, .reusable = true}, REDUCE(aux_sym_exception_type_list_repeat1, 2), SHIFT_REPEAT(1433),
  [3330] = {.count = 1, .reusable = true}, REDUCE(sym_default_value, 2),
  [3332] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_element_declaration, 6),
  [3334] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_element_declaration, 6),
  [3336] = {.count = 1, .reusable = true}, SHIFT(1579),
  [3338] = {.count = 1, .reusable = true}, REDUCE(sym_method_invocation, 9),
  [3340] = {.count = 1, .reusable = false}, REDUCE(sym_method_invocation, 9),
  [3342] = {.count = 1, .reusable = true}, SHIFT(1581),
  [3344] = {.count = 1, .reusable = true}, SHIFT(1582),
  [3346] = {.count = 1, .reusable = true}, SHIFT(1585),
  [3348] = {.count = 1, .reusable = true}, SHIFT(1586),
  [3350] = {.count = 1, .reusable = false}, SHIFT(1587),
  [3352] = {.count = 1, .reusable = false}, SHIFT(1588),
  [3354] = {.count = 1, .reusable = false}, SHIFT(1589),
  [3356] = {.count = 1, .reusable = true}, SHIFT(1590),
  [3358] = {.count = 1, .reusable = true}, SHIFT(1593),
  [3360] = {.count = 1, .reusable = true}, SHIFT(1595),
  [3362] = {.count = 1, .reusable = false}, SHIFT(1596),
  [3364] = {.count = 1, .reusable = false}, SHIFT(1597),
  [3366] = {.count = 1, .reusable = true}, SHIFT(1598),
  [3368] = {.count = 1, .reusable = true}, SHIFT(1601),
  [3370] = {.count = 1, .reusable = true}, SHIFT(1603),
  [3372] = {.count = 1, .reusable = true}, SHIFT(1604),
  [3374] = {.count = 1, .reusable = false}, SHIFT(1605),
  [3376] = {.count = 1, .reusable = true}, SHIFT(1606),
  [3378] = {.count = 1, .reusable = true}, SHIFT(1609),
  [3380] = {.count = 1, .reusable = true}, SHIFT(1611),
  [3382] = {.count = 1, .reusable = true}, SHIFT(1023),
  [3384] = {.count = 1, .reusable = true}, SHIFT(1612),
  [3386] = {.count = 1, .reusable = true}, SHIFT(1615),
  [3388] = {.count = 1, .reusable = true}, REDUCE(sym_basic_for_statement, 10),
  [3390] = {.count = 1, .reusable = false}, REDUCE(sym_basic_for_statement, 10),
  [3392] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 7),
  [3394] = {.count = 1, .reusable = true}, SHIFT(1617),
  [3396] = {.count = 1, .reusable = true}, REDUCE(sym_explicit_constructor_invocation, 5),
  [3398] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_constructor_invocation, 5),
  [3400] = {.count = 1, .reusable = true}, SHIFT(1619),
  [3402] = {.count = 1, .reusable = true}, SHIFT(1620),
  [3404] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 6),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1623),
  [3408] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_element_declaration, 7),
  [3410] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_element_declaration, 7),
  [3412] = {.count = 1, .reusable = true}, SHIFT(1625),
  [3414] = {.count = 1, .reusable = true}, REDUCE(sym_enum_declaration, 10),
  [3416] = {.count = 1, .reusable = false}, REDUCE(sym_enum_declaration, 10),
  [3418] = {.count = 1, .reusable = true}, SHIFT(1630),
  [3420] = {.count = 1, .reusable = true}, SHIFT(1168),
  [3422] = {.count = 1, .reusable = true}, SHIFT(1634),
  [3424] = {.count = 1, .reusable = true}, SHIFT(1637),
  [3426] = {.count = 1, .reusable = true}, SHIFT(1176),
  [3428] = {.count = 1, .reusable = true}, SHIFT(1639),
  [3430] = {.count = 1, .reusable = true}, SHIFT(1642),
  [3432] = {.count = 1, .reusable = true}, SHIFT(1190),
  [3434] = {.count = 1, .reusable = true}, SHIFT(1644),
  [3436] = {.count = 1, .reusable = true}, SHIFT(1647),
  [3438] = {.count = 1, .reusable = true}, SHIFT(1649),
  [3440] = {.count = 1, .reusable = true}, SHIFT(1651),
  [3442] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 8),
  [3444] = {.count = 1, .reusable = true}, SHIFT(1652),
  [3446] = {.count = 1, .reusable = true}, REDUCE(sym_explicit_constructor_invocation, 6),
  [3448] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_constructor_invocation, 6),
  [3450] = {.count = 1, .reusable = true}, SHIFT(1653),
  [3452] = {.count = 1, .reusable = true}, SHIFT(1654),
  [3454] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 7),
  [3456] = {.count = 1, .reusable = true}, SHIFT(1656),
  [3458] = {.count = 1, .reusable = true}, REDUCE(sym_annotation_type_element_declaration, 8),
  [3460] = {.count = 1, .reusable = false}, REDUCE(sym_annotation_type_element_declaration, 8),
  [3462] = {.count = 1, .reusable = true}, SHIFT(1657),
  [3464] = {.count = 1, .reusable = true}, SHIFT(1659),
  [3466] = {.count = 1, .reusable = true}, SHIFT(1660),
  [3468] = {.count = 1, .reusable = true}, SHIFT(1662),
  [3470] = {.count = 1, .reusable = true}, SHIFT(1665),
  [3472] = {.count = 1, .reusable = true}, SHIFT(1667),
  [3474] = {.count = 1, .reusable = true}, SHIFT(1668),
  [3476] = {.count = 1, .reusable = true}, SHIFT(1670),
  [3478] = {.count = 1, .reusable = true}, SHIFT(1671),
  [3480] = {.count = 1, .reusable = true}, SHIFT(1673),
  [3482] = {.count = 1, .reusable = true}, SHIFT(1674),
  [3484] = {.count = 1, .reusable = true}, REDUCE(sym_constructor_declarator, 9),
  [3486] = {.count = 1, .reusable = true}, REDUCE(sym_explicit_constructor_invocation, 7),
  [3488] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_constructor_invocation, 7),
  [3490] = {.count = 1, .reusable = true}, SHIFT(1675),
  [3492] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 8),
  [3494] = {.count = 1, .reusable = true}, SHIFT(1677),
  [3496] = {.count = 1, .reusable = true}, SHIFT(1678),
  [3498] = {.count = 1, .reusable = true}, SHIFT(1680),
  [3500] = {.count = 1, .reusable = true}, SHIFT(1682),
  [3502] = {.count = 1, .reusable = true}, SHIFT(1684),
  [3504] = {.count = 1, .reusable = true}, SHIFT(1685),
  [3506] = {.count = 1, .reusable = true}, SHIFT(1686),
  [3508] = {.count = 1, .reusable = true}, REDUCE(sym_explicit_constructor_invocation, 8),
  [3510] = {.count = 1, .reusable = false}, REDUCE(sym_explicit_constructor_invocation, 8),
  [3512] = {.count = 1, .reusable = true}, REDUCE(sym_method_declarator, 9),
  [3514] = {.count = 1, .reusable = false}, SHIFT(1687),
  [3516] = {.count = 1, .reusable = false}, SHIFT(1688),
  [3518] = {.count = 1, .reusable = true}, SHIFT(1689),
  [3520] = {.count = 1, .reusable = true}, SHIFT(1692),
  [3522] = {.count = 1, .reusable = true}, SHIFT(1694),
  [3524] = {.count = 1, .reusable = true}, SHIFT(1587),
  [3526] = {.count = 1, .reusable = true}, SHIFT(1695),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1698),
  [3530] = {.count = 1, .reusable = true}, SHIFT(1700),
  [3532] = {.count = 1, .reusable = true}, SHIFT(1702),
  [3534] = {.count = 1, .reusable = true}, SHIFT(1703),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_java() {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
